
;CodeVisionAVR C Compiler V2.04.4a Advanced
;(C) Copyright 1998-2009 Pavel Haiduc, HP InfoTech s.r.l.
;http://www.hpinfotech.com

;Chip type                : ATmega32
;Program type             : Application
;Clock frequency          : 16,000000 MHz
;Memory model             : Small
;Optimize for             : Size
;(s)printf features       : int, width
;(s)scanf features        : int, width
;External RAM size        : 0
;Data Stack size          : 512 byte(s)
;Heap size                : 0 byte(s)
;Promote 'char' to 'int'  : No
;'char' is unsigned       : No
;8 bit enums              : Yes
;global 'const' stored in FLASH: No
;Enhanced core instructions    : On
;Smart register allocation     : On
;Automatic register allocation : On

	#pragma AVRPART ADMIN PART_NAME ATmega32
	#pragma AVRPART MEMORY PROG_FLASH 32768
	#pragma AVRPART MEMORY EEPROM 1024
	#pragma AVRPART MEMORY INT_SRAM SIZE 2048
	#pragma AVRPART MEMORY INT_SRAM START_ADDR 0x60

	.LISTMAC
	.EQU UDRE=0x5
	.EQU RXC=0x7
	.EQU USR=0xB
	.EQU UDR=0xC
	.EQU SPSR=0xE
	.EQU SPDR=0xF
	.EQU EERE=0x0
	.EQU EEWE=0x1
	.EQU EEMWE=0x2
	.EQU EECR=0x1C
	.EQU EEDR=0x1D
	.EQU EEARL=0x1E
	.EQU EEARH=0x1F
	.EQU WDTCR=0x21
	.EQU MCUCR=0x35
	.EQU GICR=0x3B
	.EQU SPL=0x3D
	.EQU SPH=0x3E
	.EQU SREG=0x3F

	.DEF R0X0=R0
	.DEF R0X1=R1
	.DEF R0X2=R2
	.DEF R0X3=R3
	.DEF R0X4=R4
	.DEF R0X5=R5
	.DEF R0X6=R6
	.DEF R0X7=R7
	.DEF R0X8=R8
	.DEF R0X9=R9
	.DEF R0XA=R10
	.DEF R0XB=R11
	.DEF R0XC=R12
	.DEF R0XD=R13
	.DEF R0XE=R14
	.DEF R0XF=R15
	.DEF R0X10=R16
	.DEF R0X11=R17
	.DEF R0X12=R18
	.DEF R0X13=R19
	.DEF R0X14=R20
	.DEF R0X15=R21
	.DEF R0X16=R22
	.DEF R0X17=R23
	.DEF R0X18=R24
	.DEF R0X19=R25
	.DEF R0X1A=R26
	.DEF R0X1B=R27
	.DEF R0X1C=R28
	.DEF R0X1D=R29
	.DEF R0X1E=R30
	.DEF R0X1F=R31

	.MACRO __CPD1N
	CPI  R30,LOW(@0)
	LDI  R26,HIGH(@0)
	CPC  R31,R26
	LDI  R26,BYTE3(@0)
	CPC  R22,R26
	LDI  R26,BYTE4(@0)
	CPC  R23,R26
	.ENDM

	.MACRO __CPD2N
	CPI  R26,LOW(@0)
	LDI  R30,HIGH(@0)
	CPC  R27,R30
	LDI  R30,BYTE3(@0)
	CPC  R24,R30
	LDI  R30,BYTE4(@0)
	CPC  R25,R30
	.ENDM

	.MACRO __CPWRR
	CP   R@0,R@2
	CPC  R@1,R@3
	.ENDM

	.MACRO __CPWRN
	CPI  R@0,LOW(@2)
	LDI  R30,HIGH(@2)
	CPC  R@1,R30
	.ENDM

	.MACRO __ADDB1MN
	SUBI R30,LOW(-@0-(@1))
	.ENDM

	.MACRO __ADDB2MN
	SUBI R26,LOW(-@0-(@1))
	.ENDM

	.MACRO __ADDW1MN
	SUBI R30,LOW(-@0-(@1))
	SBCI R31,HIGH(-@0-(@1))
	.ENDM

	.MACRO __ADDW2MN
	SUBI R26,LOW(-@0-(@1))
	SBCI R27,HIGH(-@0-(@1))
	.ENDM

	.MACRO __ADDW1FN
	SUBI R30,LOW(-2*@0-(@1))
	SBCI R31,HIGH(-2*@0-(@1))
	.ENDM

	.MACRO __ADDD1FN
	SUBI R30,LOW(-2*@0-(@1))
	SBCI R31,HIGH(-2*@0-(@1))
	SBCI R22,BYTE3(-2*@0-(@1))
	.ENDM

	.MACRO __ADDD1N
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	SBCI R22,BYTE3(-@0)
	SBCI R23,BYTE4(-@0)
	.ENDM

	.MACRO __ADDD2N
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	SBCI R24,BYTE3(-@0)
	SBCI R25,BYTE4(-@0)
	.ENDM

	.MACRO __SUBD1N
	SUBI R30,LOW(@0)
	SBCI R31,HIGH(@0)
	SBCI R22,BYTE3(@0)
	SBCI R23,BYTE4(@0)
	.ENDM

	.MACRO __SUBD2N
	SUBI R26,LOW(@0)
	SBCI R27,HIGH(@0)
	SBCI R24,BYTE3(@0)
	SBCI R25,BYTE4(@0)
	.ENDM

	.MACRO __ANDBMNN
	LDS  R30,@0+(@1)
	ANDI R30,LOW(@2)
	STS  @0+(@1),R30
	.ENDM

	.MACRO __ANDWMNN
	LDS  R30,@0+(@1)
	ANDI R30,LOW(@2)
	STS  @0+(@1),R30
	LDS  R30,@0+(@1)+1
	ANDI R30,HIGH(@2)
	STS  @0+(@1)+1,R30
	.ENDM

	.MACRO __ANDD1N
	ANDI R30,LOW(@0)
	ANDI R31,HIGH(@0)
	ANDI R22,BYTE3(@0)
	ANDI R23,BYTE4(@0)
	.ENDM

	.MACRO __ANDD2N
	ANDI R26,LOW(@0)
	ANDI R27,HIGH(@0)
	ANDI R24,BYTE3(@0)
	ANDI R25,BYTE4(@0)
	.ENDM

	.MACRO __ORBMNN
	LDS  R30,@0+(@1)
	ORI  R30,LOW(@2)
	STS  @0+(@1),R30
	.ENDM

	.MACRO __ORWMNN
	LDS  R30,@0+(@1)
	ORI  R30,LOW(@2)
	STS  @0+(@1),R30
	LDS  R30,@0+(@1)+1
	ORI  R30,HIGH(@2)
	STS  @0+(@1)+1,R30
	.ENDM

	.MACRO __ORD1N
	ORI  R30,LOW(@0)
	ORI  R31,HIGH(@0)
	ORI  R22,BYTE3(@0)
	ORI  R23,BYTE4(@0)
	.ENDM

	.MACRO __ORD2N
	ORI  R26,LOW(@0)
	ORI  R27,HIGH(@0)
	ORI  R24,BYTE3(@0)
	ORI  R25,BYTE4(@0)
	.ENDM

	.MACRO __DELAY_USB
	LDI  R24,LOW(@0)
__DELAY_USB_LOOP:
	DEC  R24
	BRNE __DELAY_USB_LOOP
	.ENDM

	.MACRO __DELAY_USW
	LDI  R24,LOW(@0)
	LDI  R25,HIGH(@0)
__DELAY_USW_LOOP:
	SBIW R24,1
	BRNE __DELAY_USW_LOOP
	.ENDM

	.MACRO __GETD1S
	LDD  R30,Y+@0
	LDD  R31,Y+@0+1
	LDD  R22,Y+@0+2
	LDD  R23,Y+@0+3
	.ENDM

	.MACRO __GETD2S
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	LDD  R24,Y+@0+2
	LDD  R25,Y+@0+3
	.ENDM

	.MACRO __PUTD1S
	STD  Y+@0,R30
	STD  Y+@0+1,R31
	STD  Y+@0+2,R22
	STD  Y+@0+3,R23
	.ENDM

	.MACRO __PUTD2S
	STD  Y+@0,R26
	STD  Y+@0+1,R27
	STD  Y+@0+2,R24
	STD  Y+@0+3,R25
	.ENDM

	.MACRO __PUTDZ2
	STD  Z+@0,R26
	STD  Z+@0+1,R27
	STD  Z+@0+2,R24
	STD  Z+@0+3,R25
	.ENDM

	.MACRO __CLRD1S
	STD  Y+@0,R30
	STD  Y+@0+1,R30
	STD  Y+@0+2,R30
	STD  Y+@0+3,R30
	.ENDM

	.MACRO __POINTB1MN
	LDI  R30,LOW(@0+(@1))
	.ENDM

	.MACRO __POINTW1MN
	LDI  R30,LOW(@0+(@1))
	LDI  R31,HIGH(@0+(@1))
	.ENDM

	.MACRO __POINTD1M
	LDI  R30,LOW(@0)
	LDI  R31,HIGH(@0)
	LDI  R22,BYTE3(@0)
	LDI  R23,BYTE4(@0)
	.ENDM

	.MACRO __POINTW1FN
	LDI  R30,LOW(2*@0+(@1))
	LDI  R31,HIGH(2*@0+(@1))
	.ENDM

	.MACRO __POINTD1FN
	LDI  R30,LOW(2*@0+(@1))
	LDI  R31,HIGH(2*@0+(@1))
	LDI  R22,BYTE3(2*@0+(@1))
	LDI  R23,BYTE4(2*@0+(@1))
	.ENDM

	.MACRO __POINTB2MN
	LDI  R26,LOW(@0+(@1))
	.ENDM

	.MACRO __POINTW2MN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	.ENDM

	.MACRO __POINTBRM
	LDI  R@0,LOW(@1)
	.ENDM

	.MACRO __POINTWRM
	LDI  R@0,LOW(@2)
	LDI  R@1,HIGH(@2)
	.ENDM

	.MACRO __POINTBRMN
	LDI  R@0,LOW(@1+(@2))
	.ENDM

	.MACRO __POINTWRMN
	LDI  R@0,LOW(@2+(@3))
	LDI  R@1,HIGH(@2+(@3))
	.ENDM

	.MACRO __POINTWRFN
	LDI  R@0,LOW(@2*2+(@3))
	LDI  R@1,HIGH(@2*2+(@3))
	.ENDM

	.MACRO __GETD1N
	LDI  R30,LOW(@0)
	LDI  R31,HIGH(@0)
	LDI  R22,BYTE3(@0)
	LDI  R23,BYTE4(@0)
	.ENDM

	.MACRO __GETD2N
	LDI  R26,LOW(@0)
	LDI  R27,HIGH(@0)
	LDI  R24,BYTE3(@0)
	LDI  R25,BYTE4(@0)
	.ENDM

	.MACRO __GETB1MN
	LDS  R30,@0+(@1)
	.ENDM

	.MACRO __GETB1HMN
	LDS  R31,@0+(@1)
	.ENDM

	.MACRO __GETW1MN
	LDS  R30,@0+(@1)
	LDS  R31,@0+(@1)+1
	.ENDM

	.MACRO __GETD1MN
	LDS  R30,@0+(@1)
	LDS  R31,@0+(@1)+1
	LDS  R22,@0+(@1)+2
	LDS  R23,@0+(@1)+3
	.ENDM

	.MACRO __GETBRMN
	LDS  R@0,@1+(@2)
	.ENDM

	.MACRO __GETWRMN
	LDS  R@0,@2+(@3)
	LDS  R@1,@2+(@3)+1
	.ENDM

	.MACRO __GETWRZ
	LDD  R@0,Z+@2
	LDD  R@1,Z+@2+1
	.ENDM

	.MACRO __GETD2Z
	LDD  R26,Z+@0
	LDD  R27,Z+@0+1
	LDD  R24,Z+@0+2
	LDD  R25,Z+@0+3
	.ENDM

	.MACRO __GETB2MN
	LDS  R26,@0+(@1)
	.ENDM

	.MACRO __GETW2MN
	LDS  R26,@0+(@1)
	LDS  R27,@0+(@1)+1
	.ENDM

	.MACRO __GETD2MN
	LDS  R26,@0+(@1)
	LDS  R27,@0+(@1)+1
	LDS  R24,@0+(@1)+2
	LDS  R25,@0+(@1)+3
	.ENDM

	.MACRO __PUTB1MN
	STS  @0+(@1),R30
	.ENDM

	.MACRO __PUTW1MN
	STS  @0+(@1),R30
	STS  @0+(@1)+1,R31
	.ENDM

	.MACRO __PUTD1MN
	STS  @0+(@1),R30
	STS  @0+(@1)+1,R31
	STS  @0+(@1)+2,R22
	STS  @0+(@1)+3,R23
	.ENDM

	.MACRO __PUTB1EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	CALL __EEPROMWRB
	.ENDM

	.MACRO __PUTW1EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	CALL __EEPROMWRW
	.ENDM

	.MACRO __PUTD1EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	CALL __EEPROMWRD
	.ENDM

	.MACRO __PUTBR0MN
	STS  @0+(@1),R0
	.ENDM

	.MACRO __PUTBMRN
	STS  @0+(@1),R@2
	.ENDM

	.MACRO __PUTWMRN
	STS  @0+(@1),R@2
	STS  @0+(@1)+1,R@3
	.ENDM

	.MACRO __PUTBZR
	STD  Z+@1,R@0
	.ENDM

	.MACRO __PUTWZR
	STD  Z+@2,R@0
	STD  Z+@2+1,R@1
	.ENDM

	.MACRO __GETW1R
	MOV  R30,R@0
	MOV  R31,R@1
	.ENDM

	.MACRO __GETW2R
	MOV  R26,R@0
	MOV  R27,R@1
	.ENDM

	.MACRO __GETWRN
	LDI  R@0,LOW(@2)
	LDI  R@1,HIGH(@2)
	.ENDM

	.MACRO __PUTW1R
	MOV  R@0,R30
	MOV  R@1,R31
	.ENDM

	.MACRO __PUTW2R
	MOV  R@0,R26
	MOV  R@1,R27
	.ENDM

	.MACRO __ADDWRN
	SUBI R@0,LOW(-@2)
	SBCI R@1,HIGH(-@2)
	.ENDM

	.MACRO __ADDWRR
	ADD  R@0,R@2
	ADC  R@1,R@3
	.ENDM

	.MACRO __SUBWRN
	SUBI R@0,LOW(@2)
	SBCI R@1,HIGH(@2)
	.ENDM

	.MACRO __SUBWRR
	SUB  R@0,R@2
	SBC  R@1,R@3
	.ENDM

	.MACRO __ANDWRN
	ANDI R@0,LOW(@2)
	ANDI R@1,HIGH(@2)
	.ENDM

	.MACRO __ANDWRR
	AND  R@0,R@2
	AND  R@1,R@3
	.ENDM

	.MACRO __ORWRN
	ORI  R@0,LOW(@2)
	ORI  R@1,HIGH(@2)
	.ENDM

	.MACRO __ORWRR
	OR   R@0,R@2
	OR   R@1,R@3
	.ENDM

	.MACRO __EORWRR
	EOR  R@0,R@2
	EOR  R@1,R@3
	.ENDM

	.MACRO __GETWRS
	LDD  R@0,Y+@2
	LDD  R@1,Y+@2+1
	.ENDM

	.MACRO __PUTBSR
	STD  Y+@1,R@0
	.ENDM

	.MACRO __PUTWSR
	STD  Y+@2,R@0
	STD  Y+@2+1,R@1
	.ENDM

	.MACRO __MOVEWRR
	MOV  R@0,R@2
	MOV  R@1,R@3
	.ENDM

	.MACRO __INWR
	IN   R@0,@2
	IN   R@1,@2+1
	.ENDM

	.MACRO __OUTWR
	OUT  @2+1,R@1
	OUT  @2,R@0
	.ENDM

	.MACRO __CALL1MN
	LDS  R30,@0+(@1)
	LDS  R31,@0+(@1)+1
	ICALL
	.ENDM

	.MACRO __CALL1FN
	LDI  R30,LOW(2*@0+(@1))
	LDI  R31,HIGH(2*@0+(@1))
	CALL __GETW1PF
	ICALL
	.ENDM

	.MACRO __CALL2EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	CALL __EEPROMRDW
	ICALL
	.ENDM

	.MACRO __GETW1STACK
	IN   R26,SPL
	IN   R27,SPH
	ADIW R26,@0+1
	LD   R30,X+
	LD   R31,X
	.ENDM

	.MACRO __GETD1STACK
	IN   R26,SPL
	IN   R27,SPH
	ADIW R26,@0+1
	LD   R30,X+
	LD   R31,X+
	LD   R22,X
	.ENDM

	.MACRO __NBST
	BST  R@0,@1
	IN   R30,SREG
	LDI  R31,0x40
	EOR  R30,R31
	OUT  SREG,R30
	.ENDM


	.MACRO __PUTB1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RNS
	MOVW R26,R@0
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RNS
	MOVW R26,R@0
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RNS
	MOVW R26,R@0
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	CALL __PUTDP1
	.ENDM


	.MACRO __GETB1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R30,Z
	.ENDM

	.MACRO __GETB1HSX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R31,Z
	.ENDM

	.MACRO __GETW1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R0,Z+
	LD   R31,Z
	MOV  R30,R0
	.ENDM

	.MACRO __GETD1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R0,Z+
	LD   R1,Z+
	LD   R22,Z+
	LD   R23,Z
	MOVW R30,R0
	.ENDM

	.MACRO __GETB2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R26,X
	.ENDM

	.MACRO __GETW2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	.ENDM

	.MACRO __GETD2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R1,X+
	LD   R24,X+
	LD   R25,X
	MOVW R26,R0
	.ENDM

	.MACRO __GETBRSX
	MOVW R30,R28
	SUBI R30,LOW(-@1)
	SBCI R31,HIGH(-@1)
	LD   R@0,Z
	.ENDM

	.MACRO __GETWRSX
	MOVW R30,R28
	SUBI R30,LOW(-@2)
	SBCI R31,HIGH(-@2)
	LD   R@0,Z+
	LD   R@1,Z
	.ENDM

	.MACRO __GETBRSX2
	MOVW R26,R28
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	LD   R@0,X
	.ENDM

	.MACRO __GETWRSX2
	MOVW R26,R28
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	LD   R@0,X+
	LD   R@1,X
	.ENDM

	.MACRO __LSLW8SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R31,Z
	CLR  R30
	.ENDM

	.MACRO __PUTB1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	.ENDM

	.MACRO __CLRW1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X,R30
	.ENDM

	.MACRO __CLRD1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X+,R30
	ST   X+,R30
	ST   X,R30
	.ENDM

	.MACRO __PUTB2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z,R26
	.ENDM

	.MACRO __PUTW2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z+,R26
	ST   Z,R27
	.ENDM

	.MACRO __PUTD2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z+,R26
	ST   Z+,R27
	ST   Z+,R24
	ST   Z,R25
	.ENDM

	.MACRO __PUTBSRX
	MOVW R30,R28
	SUBI R30,LOW(-@1)
	SBCI R31,HIGH(-@1)
	ST   Z,R@0
	.ENDM

	.MACRO __PUTWSRX
	MOVW R30,R28
	SUBI R30,LOW(-@2)
	SBCI R31,HIGH(-@2)
	ST   Z+,R@0
	ST   Z,R@1
	.ENDM

	.MACRO __PUTB1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	.ENDM

	.MACRO __MULBRR
	MULS R@0,R@1
	MOVW R30,R0
	.ENDM

	.MACRO __MULBRRU
	MUL  R@0,R@1
	MOVW R30,R0
	.ENDM

	.MACRO __MULBRR0
	MULS R@0,R@1
	.ENDM

	.MACRO __MULBRRU0
	MUL  R@0,R@1
	.ENDM

	.MACRO __MULBNWRU
	LDI  R26,@2
	MUL  R26,R@0
	MOVW R30,R0
	MUL  R26,R@1
	ADD  R31,R0
	.ENDM

;NAME DEFINITIONS FOR GLOBAL VARIABLES ALLOCATED TO REGISTERS
	.DEF _cnt_bit=R5
	.DEF _counter=R4
	.DEF _startbit1=R7
	.DEF _startbit2=R6
	.DEF _toggle=R9
	.DEF _address=R8

	.CSEG
	.ORG 0x00

;INTERRUPT VECTORS
	JMP  __RESET
	JMP  _ext_int0_isr
	JMP  _ext_int1_isr
	JMP  _ext_int2_isr
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  _timer1_compa_isr
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  _timer0_ovf_isr
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00

_symbols:
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x4F
	.DB  0x0,0x0,0x0,0x7,0x0,0x7,0x0,0x14
	.DB  0x7F,0x14,0x7F,0x14,0x24,0x2A,0x7F,0x2A
	.DB  0x12,0x23,0x13,0x8,0x64,0x62,0x36,0x49
	.DB  0x55,0x22,0x40,0x0,0x5,0x3,0x0,0x0
	.DB  0x0,0x1C,0x22,0x41,0x0,0x0,0x41,0x22
	.DB  0x1C,0x0,0x14,0x8,0x3E,0x8,0x14,0x8
	.DB  0x8,0x3E,0x8,0x8,0x0,0x50,0x30,0x0
	.DB  0x0,0x8,0x8,0x8,0x8,0x8,0x0,0x0
	.DB  0x40,0x0,0x0,0x20,0x10,0x8,0x4,0x2
	.DB  0x3E,0x51,0x49,0x45,0x3E,0x0,0x42,0x7F
	.DB  0x40,0x0,0x42,0x61,0x51,0x49,0x46,0x21
	.DB  0x41,0x45,0x4B,0x31,0x18,0x14,0x12,0x7F
	.DB  0x10,0x27,0x45,0x45,0x45,0x39,0x3C,0x4A
	.DB  0x49,0x49,0x30,0x1,0x71,0x9,0x5,0x3
	.DB  0x36,0x49,0x49,0x49,0x36,0x6,0x49,0x49
	.DB  0x29,0x1E,0x0,0x0,0x24,0x0,0x0,0x0
	.DB  0x56,0x36,0x0,0x0,0x8,0x14,0x22,0x41
	.DB  0x0,0x14,0x14,0x14,0x14,0x14,0x0,0x41
	.DB  0x22,0x14,0x8,0x2,0x1,0x51,0x9,0x6
	.DB  0x32,0x49,0x71,0x41,0x3E,0x7E,0x11,0x11
	.DB  0x11,0x7E,0x7F,0x49,0x49,0x49,0x36,0x3E
	.DB  0x41,0x41,0x41,0x22,0x7F,0x41,0x41,0x22
	.DB  0x1C,0x7F,0x49,0x49,0x49,0x41,0x7F,0x9
	.DB  0x9,0x9,0x1,0x3E,0x41,0x49,0x49,0x3A
	.DB  0x7F,0x8,0x8,0x8,0x7F,0x0,0x41,0x7F
	.DB  0x41,0x0,0x20,0x40,0x41,0x3F,0x1,0x7F
	.DB  0x8,0x14,0x22,0x41,0x7F,0x40,0x40,0x40
	.DB  0x40,0x7F,0x2,0xC,0x2,0x7F,0x7F,0x4
	.DB  0x8,0x10,0x7F,0x3E,0x41,0x41,0x41,0x3E
	.DB  0x7F,0x9,0x9,0x9,0x6,0x3E,0x41,0x51
	.DB  0x21,0x5E,0x7F,0x9,0x19,0x29,0x46,0x46
	.DB  0x49,0x49,0x49,0x31,0x1,0x1,0x7F,0x1
	.DB  0x1,0x3F,0x40,0x40,0x40,0x3F,0x1F,0x20
	.DB  0x40,0x20,0x1F,0x3F,0x40,0x70,0x40,0x3F
	.DB  0x63,0x14,0x8,0x14,0x63,0x7,0x8,0x70
	.DB  0x8,0x7,0x61,0x51,0x49,0x45,0x43,0x0
	.DB  0x7F,0x41,0x41,0x0,0x2,0x4,0x8,0x10
	.DB  0x20,0x0,0x41,0x41,0x7F,0x0,0x4,0x2
	.DB  0x1,0x2,0x4,0x40,0x40,0x40,0x40,0x40
	.DB  0x20,0x54,0x54,0x54,0x78,0x7F,0x48,0x44
	.DB  0x44,0x38,0x38,0x44,0x44,0x44,0x20,0x38
	.DB  0x44,0x44,0x48,0x7F,0x38,0x54,0x54,0x54
	.DB  0x18,0x8,0x7E,0x9,0x1,0x2,0xC,0x52
	.DB  0x52,0x52,0x3E,0x7F,0x8,0x4,0x4,0x78
	.DB  0x0,0x44,0x7D,0x40,0x0,0x20,0x40,0x44
	.DB  0x3D,0x0,0x7F,0x10,0x28,0x44,0x0,0x0
	.DB  0x41,0x7F,0x40,0x0,0x7C,0x4,0x18,0x4
	.DB  0x78,0x7C,0x8,0x4,0x4,0x78,0x38,0x44
	.DB  0x44,0x44,0x38,0x7C,0x14,0x14,0x14,0x8
	.DB  0x8,0x14,0x14,0x18,0x7C,0x7C,0x8,0x4
	.DB  0x4,0x8,0x48,0x54,0x54,0x54,0x20,0x4
	.DB  0x3F,0x44,0x40,0x20,0x3C,0x40,0x40,0x20
	.DB  0x7C,0x1C,0x20,0x40,0x20,0x1C,0x3C,0x40
	.DB  0x30,0x40,0x3C,0x44,0x28,0x10,0x28,0x44
	.DB  0xC,0x50,0x50,0x50,0x3C,0x44,0x64,0x54
	.DB  0x4C,0x44,0x0,0x8,0x36,0x41,0x0,0x0
	.DB  0x0,0x7F,0x0,0x0,0x0,0x41,0x36,0x8
	.DB  0x0,0x2,0x1,0x2,0x2,0x1,0x7E,0x4B
	.DB  0x4A,0x4B,0x42,0x38,0x55,0x54,0x55,0x18
	.DB  0x7E,0x11,0x11,0x11,0x7E,0x7F,0x49,0x49
	.DB  0x49,0x33,0x7F,0x49,0x49,0x49,0x36,0x7F
	.DB  0x1,0x1,0x1,0x3,0xE0,0x51,0x4F,0x41
	.DB  0xFF,0x7F,0x49,0x49,0x49,0x41,0x77,0x8
	.DB  0x7F,0x8,0x77,0x41,0x49,0x49,0x49,0x36
	.DB  0x7F,0x10,0x8,0x4,0x7F,0x7C,0x21,0x12
	.DB  0x9,0x7C,0x7F,0x8,0x14,0x22,0x41,0x20
	.DB  0x41,0x3F,0x1,0x7F,0x7F,0x2,0xC,0x2
	.DB  0x7F,0x7F,0x8,0x8,0x8,0x7F,0x3E,0x41
	.DB  0x41,0x41,0x3E,0x7F,0x1,0x1,0x1,0x7F
	.DB  0x7F,0x9,0x9,0x9,0x6,0x3E,0x41,0x41
	.DB  0x41,0x22,0x1,0x1,0x7F,0x1,0x1,0x47
	.DB  0x28,0x10,0x8,0x7,0x1C,0x22,0x7F,0x22
	.DB  0x1C,0x63,0x14,0x8,0x14,0x63,0x7F,0x40
	.DB  0x40,0x40,0xFF,0x7,0x8,0x8,0x8,0x7F
	.DB  0x7F,0x40,0x7F,0x40,0x7F,0x7F,0x40,0x7F
	.DB  0x40,0xFF,0x1,0x7F,0x48,0x48,0x30,0x7F
	.DB  0x48,0x30,0x0,0x7F,0x0,0x7F,0x48,0x48
	.DB  0x30,0x22,0x41,0x49,0x49,0x3E,0x7F,0x8
	.DB  0x3E,0x41,0x3E,0x46,0x29,0x19,0x9,0x7F
	.DB  0x20,0x54,0x54,0x54,0x78,0x3C,0x4A,0x4A
	.DB  0x49,0x31,0x7C,0x54,0x54,0x28,0x0,0x7C
	.DB  0x4,0x4,0x4,0xC,0xE0,0x54,0x4C,0x44
	.DB  0xFC,0x38,0x54,0x54,0x54,0x18,0x6C,0x10
	.DB  0x7C,0x10,0x6C,0x44,0x44,0x54,0x54,0x28
	.DB  0x7C,0x20,0x10,0x8,0x7C,0x7C,0x41,0x22
	.DB  0x11,0x7C,0x7C,0x10,0x28,0x44,0x0,0x20
	.DB  0x44,0x3C,0x4,0x7C,0x7C,0x8,0x10,0x8
	.DB  0x7C,0x7C,0x10,0x10,0x10,0x7C,0x38,0x44
	.DB  0x44,0x44,0x38,0x7C,0x4,0x4,0x4,0x7C
	.DB  0x7C,0x14,0x14,0x14,0x8,0x38,0x44,0x44
	.DB  0x44,0x0,0x4,0x4,0x7C,0x4,0x4,0xC
	.DB  0x50,0x50,0x50,0x3C,0x30,0x48,0xFC,0x48
	.DB  0x30,0x44,0x28,0x10,0x28,0x44,0x7C,0x40
	.DB  0x40,0x40,0xFC,0xC,0x10,0x10,0x10,0x7C
	.DB  0x7C,0x40,0x7C,0x40,0x7C,0x7C,0x40,0x7C
	.DB  0x40,0xFC,0x4,0x7C,0x50,0x50,0x20,0x7C
	.DB  0x50,0x50,0x20,0x7C,0x7C,0x50,0x50,0x20
	.DB  0x0,0x28,0x44,0x54,0x54,0x38,0x7C,0x10
	.DB  0x38,0x44,0x38,0x8,0x54,0x34,0x14,0x7C
_str_1:
	.DB  0x0,0x0,0x0,0x0,0x0,0x80,0xC0,0xE0
	.DB  0x70,0xB8,0x58,0x58,0xB0,0x70,0xE0,0x80
	.DB  0x80,0xFE,0xFF,0xAB,0x55,0xAB,0x55,0xAB
	.DB  0x55,0xAB,0x55,0xAB,0x57,0xFF,0xFE,0x80
	.DB  0x80,0xC0,0x60,0xB0,0x50,0x50,0xB0,0x60
	.DB  0xC0,0x80,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x1C,0x3F,0x73,0xED,0xD2
	.DB  0xAD,0x52,0xAD,0xD5,0xEA,0xF5,0x7A,0x3F
	.DB  0x1D,0x1F,0xD,0xE,0xD,0x6,0x87,0x86
	.DB  0x87,0x86,0x7,0xE,0xD,0xE,0x1D,0x1B
	.DB  0x3D,0x72,0xF5,0xEA,0x95,0xAB,0x54,0xAB
	.DB  0xD2,0x6D,0x33,0x1E,0x8,0x0,0x0,0x0
	.DB  0xF8,0x5C,0xAE,0x56,0xAE,0x56,0xAE,0x57
	.DB  0xAB,0xF5,0xFE,0x1F,0x3,0x0,0x0,0xC0
	.DB  0xF8,0x7C,0xE,0x7,0x3,0x3,0x3,0x1
	.DB  0x1,0x3,0x3,0x3,0x7,0xE,0x3C,0xF8
	.DB  0xE0,0x0,0x0,0x3,0x1F,0xFE,0xFD,0x53
	.DB  0xAF,0x56,0xAE,0x56,0xAE,0x56,0xAC,0xF8
	.DB  0x1F,0x35,0x6A,0x75,0x6A,0x75,0x6A,0xF5
	.DB  0xDA,0x2F,0xFF,0xF8,0xC0,0x0,0x0,0x3
	.DB  0x1F,0x3E,0x70,0xE0,0xC0,0xC0,0xC0,0x80
	.DB  0x80,0xC0,0xC0,0xC0,0xE0,0x70,0x3E,0x1F
	.DB  0x3,0x0,0x0,0xC0,0xF8,0x7F,0xAF,0xD5
	.DB  0xFA,0x75,0x6A,0x75,0x6A,0x75,0x7A,0x1F
	.DB  0x0,0x0,0x0,0x30,0x78,0xCC,0xB6,0x4B
	.DB  0xB5,0x4B,0xB6,0xA9,0x5B,0xB7,0x6E,0xBC
	.DB  0xD8,0xB8,0x70,0xB0,0x70,0xE0,0x61,0xE1
	.DB  0x61,0xE1,0x60,0xF0,0xB0,0x70,0xB8,0xD8
	.DB  0xDC,0x6E,0x97,0x6B,0x95,0xAA,0x5A,0xA5
	.DB  0x5B,0xB6,0xCC,0x78,0x30,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x1,0x3
	.DB  0x6,0xD,0x1A,0x1A,0xD,0x6,0x3,0x1
	.DB  0x1,0x3F,0x7F,0xEA,0xD5,0xAA,0xD5,0xAA
	.DB  0xD5,0xAA,0xD5,0xAA,0xD5,0x7F,0x3F,0x1
	.DB  0x1,0x3,0x6,0xD,0x1A,0x1A,0xD,0x6
	.DB  0x3,0x1,0x0,0x0,0x0,0x0,0x0,0x0
_str_2:
	.DB  0xFC,0x2,0x1,0xF9,0x89,0x89,0x89,0x89
	.DB  0x89,0x89,0x89,0x89,0x89,0xD9,0xF9,0x1
	.DB  0x1,0x1,0xF9,0x9,0x9,0x9,0x9,0x9
	.DB  0x9,0x9,0x9,0x9,0x59,0xF9,0x1,0x1
	.DB  0x1,0xF9,0x9,0x9,0x9,0x9,0x9,0x9
	.DB  0x9,0x9,0x9,0x59,0xF9,0x1,0x2,0xFC
	.DB  0xFF,0x0,0x0,0xFF,0x5F,0xAD,0x5A,0xAA
	.DB  0x5A,0xAA,0x5A,0xAA,0x5D,0xAF,0xFF,0x0
	.DB  0x0,0x0,0xFF,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x55,0xFF,0x0,0x0
	.DB  0x0,0xFF,0x7C,0xEC,0x54,0xD4,0x54,0xD4
	.DB  0x54,0xD4,0x6C,0xFD,0xFF,0x0,0x0,0xFF
	.DB  0xFF,0x40,0x40,0xFF,0x55,0xAA,0x55,0xAA
	.DB  0x55,0xAA,0x55,0xAA,0x55,0xAA,0xFF,0x40
	.DB  0x40,0x40,0xFF,0x7E,0xB6,0x6A,0xAA,0x6A
	.DB  0xAA,0x6A,0xAA,0x76,0xBF,0xFF,0x40,0x40
	.DB  0x40,0xFF,0x55,0xAA,0x55,0xAA,0x55,0xAA
	.DB  0x55,0xAA,0x55,0xAA,0xFF,0x40,0x40,0xFF
	.DB  0xFF,0x0,0x0,0xFF,0x55,0xAA,0x55,0xAA
	.DB  0x55,0xAA,0x55,0xAA,0x55,0xAA,0xFF,0x0
	.DB  0x0,0x0,0xFF,0x55,0xAA,0x55,0xAA,0x55
	.DB  0xAA,0x55,0xAA,0x55,0xAA,0xFF,0x0,0x0
	.DB  0x0,0xFF,0x55,0xAA,0x55,0xAA,0x55,0xAA
	.DB  0x55,0xAA,0x55,0xAA,0xFF,0x0,0x0,0xFF
	.DB  0xFF,0x0,0x0,0xFF,0x55,0xAA,0x55,0xAA
	.DB  0x55,0xAA,0x55,0xAA,0x55,0xAA,0xFF,0x0
	.DB  0x0,0x0,0xFF,0x55,0xAA,0x55,0xAA,0x55
	.DB  0xAA,0x55,0xAA,0x55,0xAA,0xFF,0x0,0x0
	.DB  0x0,0xFF,0x55,0xAA,0x55,0xAA,0x55,0xAA
	.DB  0x55,0xAA,0x55,0xAA,0xFF,0x0,0x0,0xFF
	.DB  0x3F,0x40,0x80,0x8F,0x8D,0x8A,0x8D,0x8A
	.DB  0x8D,0x8A,0x8D,0x8A,0x8D,0x8A,0x8F,0x80
	.DB  0x80,0x80,0x8F,0x8D,0x8A,0x8D,0x8A,0x8D
	.DB  0x8A,0x8D,0x8A,0x8D,0x8A,0x8F,0x80,0x80
	.DB  0x80,0x8F,0x8D,0x8A,0x8D,0x8A,0x8D,0x8A
	.DB  0x8D,0x8A,0x8D,0x8A,0x8F,0x80,0x40,0x3F
_str_3:
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x80,0xC0,0x60,0xA0,0x70,0xB8,0xD8,0xAC
	.DB  0x56,0xAE,0x56,0xAE,0x56,0xAB,0x57,0xFB
	.DB  0xF7,0xAB,0x57,0xAA,0x56,0xAE,0x54,0xA4
	.DB  0xDC,0xA8,0x58,0x90,0x70,0xE0,0xC0,0x80
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0xC0,0xE0,0x70,0xBC,0xD6,0xEB
	.DB  0xD5,0xAA,0x55,0xAA,0x55,0xAB,0x57,0xAB
	.DB  0x55,0xAA,0x55,0xAA,0x55,0xAA,0x55,0xFF
	.DB  0xFF,0xAA,0x55,0xAA,0x55,0xAA,0x55,0xAB
	.DB  0x57,0xAB,0x55,0xAA,0x55,0xAA,0xD5,0xEB
	.DB  0xD5,0xAF,0x4E,0xB8,0xE0,0x80,0x0,0x0
	.DB  0xE0,0xFE,0x57,0xAA,0xD5,0xEA,0xD5,0xAB
	.DB  0x55,0xAA,0x55,0xAA,0x55,0xAA,0x55,0xAA
	.DB  0x55,0xAA,0x55,0xAA,0x55,0xAA,0x55,0xFF
	.DB  0xFF,0xAA,0xD5,0xAA,0xD5,0xAA,0xD5,0xAA
	.DB  0xD5,0xAA,0xD5,0xAA,0xD5,0xAA,0xD5,0xAB
	.DB  0xD5,0xAA,0xD5,0xAA,0x55,0x2F,0xFC,0xE0
	.DB  0x7,0x3F,0xD5,0xAA,0x57,0xAB,0x57,0xAA
	.DB  0x55,0xAA,0x55,0xAA,0x55,0xAA,0x55,0xAA
	.DB  0x55,0xAA,0x55,0xAA,0x55,0xAA,0x55,0xAB
	.DB  0x55,0xAB,0x55,0xAB,0x55,0xAB,0x55,0xAB
	.DB  0x55,0xAB,0x55,0xAB,0x55,0xAB,0x55,0xAB
	.DB  0x55,0xAB,0x55,0xAB,0x55,0xEA,0x7F,0xF
	.DB  0x0,0x0,0x3,0xE,0x19,0x36,0x77,0xCF
	.DB  0x57,0xAA,0x55,0xAA,0x55,0xEA,0xD5,0xEA
	.DB  0x55,0xAA,0x55,0xAA,0x55,0xAA,0x55,0xAA
	.DB  0x55,0xAA,0x55,0xAA,0x55,0xAA,0x55,0xAA
	.DB  0xD5,0xAA,0x55,0xAA,0x55,0xAA,0x57,0xAF
	.DB  0xD7,0xEA,0x65,0x3A,0x7,0x3,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x1,0x3,0x6,0xD,0xD,0x1B,0x15,0x3B
	.DB  0x35,0x6A,0x75,0xEA,0xD5,0xEA,0xDF,0xEE
	.DB  0xDF,0xEE,0xD5,0xEA,0xD5,0x6A,0x55,0x6B
	.DB  0x67,0x3B,0x15,0x1A,0xD,0x6,0x7,0x3
	.DB  0x1,0x0,0x0,0x0,0x0,0x0,0x0,0x0
_str_4:
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x80
	.DB  0xC0,0xE0,0xE0,0x70,0x70,0x38,0xB8,0x38
	.DB  0xB8,0x38,0x78,0x30,0x30,0x3C,0x7E,0xF6
	.DB  0xE6,0xC6,0x7E,0x7C,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x80,0xE0,0xF0,0x78,0x9E,0xF,0x47
	.DB  0x3,0x5,0x20,0x1,0x4,0x0,0x2,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x80,0x20,0x8
	.DB  0x21,0x97,0x2F,0xFE,0xFC,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x80,0xC0,0xC0,0xE0,0xE0
	.DB  0xE0,0xE0,0xC0,0xC0,0xF0,0xF8,0xB8,0xBE
	.DB  0xF,0x57,0x3,0x12,0x0,0x2,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x80,0x20
	.DB  0x40,0x8,0x90,0x22,0x10,0xA8,0x52,0xA9
	.DB  0x54,0xCA,0xFD,0x7F,0xF,0x0,0x0,0x0
	.DB  0x0,0x0,0x6,0x1F,0x7F,0xFD,0xEB,0xD5
	.DB  0xAA,0x55,0xAB,0xD5,0xEB,0xF5,0xFB,0xF7
	.DB  0xFB,0xFF,0xFF,0x5E,0xAE,0x5C,0xBC,0x78
	.DB  0xF0,0xE0,0xE8,0xC0,0xAA,0x0,0x92,0xA4
	.DB  0x41,0xAA,0x50,0xAA,0xD5,0xEA,0x75,0x3E
	.DB  0xF,0x3,0x1,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x1,0x3,0x7
	.DB  0xF,0x1F,0x3C,0x3B,0x77,0xEF,0xEF,0xDF
	.DB  0xAF,0xD7,0x2B,0x55,0xAA,0x55,0xAA,0x55
	.DB  0xAA,0x55,0xAB,0x55,0xAB,0x57,0xAF,0x5E
	.DB  0xFD,0xFA,0xFF,0xCF,0x3,0x1,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x1,0x1
	.DB  0x3,0x7,0x7,0xF,0xE,0x1F,0x1E,0x3D
	.DB  0x3A,0x7D,0x7A,0x75,0x6A,0xF5,0xEA,0xF5
	.DB  0xEA,0xF5,0xEB,0x7F,0x3F,0x1C,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
_str_5:
	.DB  0xFE,0xFF,0xFF,0x7F,0x4F,0xF,0x9F,0x47
	.DB  0x47,0x9F,0xF,0x4F,0x7F,0xFF,0xFF,0xFE
	.DB  0x7F,0xFF,0xFF,0xFE,0xF2,0xF0,0xF9,0xE2
	.DB  0xE2,0xF9,0xF0,0xF2,0xFE,0xFF,0xFF,0x7F
_str_6:
	.DB  0xFE,0x1,0x19,0x19,0x1,0xFF,0x1,0x81
	.DB  0x81,0x1,0xFF,0x1,0xD,0xD,0x1,0xFE
	.DB  0x7F,0x80,0x80,0x80,0x80,0xFF,0x80,0x81
	.DB  0x81,0x80,0xFF,0x80,0x80,0x80,0x80,0x7F
_str_7:
	.DB  0x1E,0xE3,0x7B,0x7D,0xFE,0xFE,0xFE,0x0
	.DB  0x0,0x7E,0x7E,0x7C,0x79,0x73,0xC7,0x1E
	.DB  0x70,0xE7,0xCE,0x9E,0xBF,0x3F,0x7F,0x4E
	.DB  0x4E,0x7E,0x3E,0xBE,0xBE,0x9E,0xE7,0x70
_str_8:
	.DB  0x7E,0x7F,0x7F,0x7F,0x3F,0x9F,0x8F,0xE7
	.DB  0xF3,0xF1,0xFD,0xFD,0xBD,0x68,0x1,0xFA
	.DB  0x7E,0xFC,0xF1,0xE2,0xE1,0xC0,0x94,0xA9
	.DB  0x13,0x2A,0x53,0x5,0x3A,0xFC,0xFF,0x7F
_str_9:
	.DB  0x2,0x6,0xA,0x12,0x22,0x42,0x82,0xC2
	.DB  0x62,0x32,0x1A,0xE,0x6,0x2
_str_10:
	.DB  0x18,0x18,0x34,0x7A,0xFF,0x5A,0x99
_str_11:
	.DB  0xFF
_str_12:
	.DB  0x81,0x81,0xFF
_str_13:
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x81,0x81,0x81,0x81,0x81
	.DB  0x81,0x81,0x81,0x81,0x81
_str_14:
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
_str_15:
	.DB  0xFF,0xBD,0x99
_str_16:
	.DB  0x1C,0x22,0x5D,0x55,0x5D,0x22,0x1C,0x0
	.DB  0x8,0x1C,0x2A,0x8,0x8,0x8,0x8,0x8
_str_17:
	.DB  0x8,0x8,0x2A,0x1C,0x8
_str_18:
	.DB  0x8,0x1C,0x2A,0x8,0x8
_str_19:
	.DB  0xFF
_tbl10_G102:
	.DB  0x10,0x27,0xE8,0x3,0x64,0x0,0xA,0x0
	.DB  0x1,0x0
_tbl16_G102:
	.DB  0x0,0x10,0x0,0x1,0x10,0x0,0x1,0x0

;REGISTER BIT VARIABLES INITIALIZATION
__REG_BIT_VARS:
	.DW  0x0000

_0x3:
	.DB  0xCD,0xC0,0xD1,0xD2,0xD0,0xCE,0xC9,0xCA
	.DB  0xC8
_0x4:
	.DB  0xD2,0xE5,0xEC,0xE1,0xF0,0xEE,0xE1,0xEB
	.DB  0xEE,0xEA
_0x5:
	.DB  0xD2,0xC0,0xC9,0xCC,0xC5,0xD0
_0x6:
	.DB  0xCC,0xE0,0xEA,0xF1,0x2E,0x20,0xE3,0xF0
	.DB  0xEE,0xEC,0xEA,0x2E
_0x7:
	.DB  0x4D,0xE0,0xEA,0xF1,0x2E,0x20,0xE3,0xF0
	.DB  0x2E,0x20,0xE2,0xEA,0xEB,0x2E
_0x8:
	.DB  0xC0,0xF2,0xF2,0xE5,0xED,0xFE,0xE0,0xF2
	.DB  0xEE,0xF0
_0x9:
	.DB  0xD2,0xEE,0xED,0xEA,0xEE,0xEC,0xEF,0xE5
	.DB  0xED,0xF1,0xE0,0xF6,0xE8,0xFF
_0xA:
	.DB  0xD7,0xC0,0xD1,0xDB
_0xB:
	.DB  0xC2,0xFB,0xF1,0xEE,0xEA,0xE8,0xE5
_0xC:
	.DB  0xCD,0xE8,0xE7,0xEA,0xE8,0xE5
_0xD:
	.DB  0xC4,0xC4,0x2E,0xCC,0xCC,0x2E,0xC3,0xC3
_0xE:
	.DB  0xD7,0xD7,0x2E,0xCC,0xCC,0x2E,0xD1,0xD1
_0xF:
	.DB  0xC2,0xEA,0xEB,0xFE,0xF7,0xE5,0xED,0xE8
	.DB  0xE5
_0x10:
	.DB  0xCE,0xF2,0xEA,0xEB,0xFE,0xF7,0xE5,0xED
	.DB  0xE8,0xE5
_0x11:
	.DB  0x2D,0x2D,0x2F,0x2D,0x2D
_0x12:
	.DB  0x3A
_0x13:
	.DB  0x2E
_0x14:
	.DB  0xD7,0xF3,0xE2,0xF1,0xF2,0xE2,0x2E,0x20
	.DB  0xE2,0xE0,0xEB,0xEA,0xEE,0xE4,0xE5,0xF0
	.DB  0xE0
_0x15:
	.DB  0x31
_0x16:
	.DB  0x32
_0x17:
	.DB  0x33
_0x18:
	.DB  0xC3,0xF0,0xEE,0xEC,0xEA,0xEE,0xF1,0xF2
	.DB  0xFC
_0x19:
	.DB  0xC0,0xD2,0xD2
_0x1A:
	.DB  0x41,0x75,0x74,0x6F,0x20,0x4F,0x46,0x46
_0x1B:
	.DB  0xC0,0x75,0x74,0x6F,0x20,0x4F,0x4E
_0x1C:
	.DB  0x28,0xC0,0xE4,0xF0,0xE5,0xF1,0x20,0x48
	.DB  0x45,0x58,0x29
_0x1D:
	.DB  0x41,0x44,0x43,0x52,0x45,0x53,0x55,0x4C
	.DB  0x54,0x20,0x20,0xEF,0xEE,0x20,0xF1,0xF2
	.DB  0xE0,0xE4,0xE8,0xFF,0xEC
_0x1E:
	.DB  0xD0,0xE5,0xE7,0xF3,0xEB,0xFC,0xF2,0xE0
	.DB  0xF2,0xFB,0x20,0xF1,0xF2,0xE0,0xE4,0xE8
	.DB  0xE9
_0x1F:
	.DB  0x41,0x4D,0x42,0x49,0x45,0x4E,0x54,0x20
	.DB  0xEF,0xEE,0x20,0xF1,0xF2,0xE0,0xE4,0xE8
	.DB  0xFF,0xEC
_0x20:
	.DB  0x53,0x54,0x41,0x47,0x45,0x20,0x4D,0x41
	.DB  0x58,0x20,0x41,0x56,0x45,0x52,0x41,0x47
	.DB  0x45
_0x21:
	.DB  0x53,0x54,0x41,0x47,0x45,0x20,0x55,0x50
	.DB  0x20,0x54,0x52,0x45,0x53,0x48,0x4F,0x55
	.DB  0x4C,0x44
_0x22:
	.DB  0x53,0x54,0x41,0x47,0x45,0x20,0x4D,0x49
	.DB  0x4E,0x20,0x41,0x56,0x45,0x52,0x41,0x47
	.DB  0x45
_0x23:
	.DB  0x53,0x54,0x41,0x47,0x45,0x20,0x4C,0x4F
	.DB  0x57,0x20,0x54,0x52,0x45,0x53,0x48,0x4F
	.DB  0x55,0x4C,0x44
_0x24:
	.DB  0xCA,0xEE,0xED,0xF4,0xE8,0xE3,0x2E,0x20
	.DB  0xF0,0xE5,0xE3,0xE8,0xF1,0xF2,0xF0,0xFB
	.DB  0x20,0x28,0x30,0x2D,0x37,0x29
_0x25:
	.DB  0xC7,0xE0,0xE4,0xE0,0xF2,0xFC,0x20,0xE7
	.DB  0xED,0x2E
_0x26:
	.DB  0xC0,0xC4,0xD0,0xC5,0xD1
_0x27:
	.DB  0xC7,0xCD,0xC0,0xD7,0xC5,0xCD,0xC8,0xC5
_0x28:
	.DB  0xCD,0xE0,0xF1,0xF2,0xF0,0x2E,0x20,0xF1
	.DB  0xE5,0xED,0xF1,0xEE,0xF0,0xEE,0xE2
_0x29:
	.DB  0xD0,0xE0,0xE1,0xEE,0xF2,0xE0,0x20,0xF1
	.DB  0x20,0x41,0x44,0x37,0x31,0x34,0x32
_0x2A:
	.DB  0xC8,0xF2,0xEE,0xE3,0xEE,0xE2,0xFB,0xE5
	.DB  0x20,0xF0,0xE5,0xE7,0xF3,0xEB,0xFC,0xF2
	.DB  0xE0,0xF2,0xFB
_0x2B:
	.DB  0xCA,0xEE,0xED,0xF4,0xE8,0xE3,0xF3,0xF0
	.DB  0xE0,0xF6,0xE8,0xFF,0x20,0xF1,0xF2,0xE0
	.DB  0xE4,0xE8,0xE9
_0x2C:
	.DB  0xCF,0xE8,0xF2,0xE0,0xED,0xE8,0xE5,0x2C
	.DB  0x20,0xEF,0xF0,0xE5,0xF0,0xFB,0xE2,0xE0
	.DB  0xED,0xE8,0xFF
_0x2D:
	.DB  0xCF,0xF0,0xEE,0xE8,0xE7,0xE2,0xEE,0xEB
	.DB  0xFC,0xED,0xFB,0xE9,0x20,0xF0,0xE5,0xE3
	.DB  0xE8,0xF1,0xF2,0xF0
_0x2E:
	.DB  0x1
_0x2F:
	.DB  0xA
_0x30:
	.DB  0x7
_0x31:
	.DB  0x7
_0x35:
	.DB  LOW(_str_1*2),HIGH(_str_1*2),LOW(_str_2*2),HIGH(_str_2*2),LOW(_str_3*2),HIGH(_str_3*2),LOW(_str_4*2),HIGH(_str_4*2)
	.DB  LOW(_str_5*2),HIGH(_str_5*2),LOW(_str_6*2),HIGH(_str_6*2),LOW(_str_7*2),HIGH(_str_7*2),LOW(_str_8*2),HIGH(_str_8*2)
	.DB  LOW(_str_9*2),HIGH(_str_9*2),LOW(_str_10*2),HIGH(_str_10*2),LOW(_str_11*2),HIGH(_str_11*2),LOW(_str_12*2),HIGH(_str_12*2)
	.DB  LOW(_str_13*2),HIGH(_str_13*2),LOW(_str_14*2),HIGH(_str_14*2),LOW(_str_15*2),HIGH(_str_15*2),LOW(_str_16*2),HIGH(_str_16*2)
	.DB  LOW(_str_17*2),HIGH(_str_17*2),LOW(_str_18*2),HIGH(_str_18*2),LOW(_str_19*2),HIGH(_str_19*2)
_0x6FA:
	.DB  0x0,0x0,0x0,0x0,0x0,0x0
_0x0:
	.DB  0x2D,0x25,0x69,0x2E,0x25,0x30,0x32,0x69
	.DB  0x0,0x2B,0x25,0x69,0x2E,0x25,0x30,0x32
	.DB  0x69,0x0,0x25,0x69,0x0,0x25,0x64,0x0
	.DB  0x25,0x64,0x20,0xE4,0xC1,0x0,0x2B,0x25
	.DB  0x64,0x20,0xE4,0xC1,0x0,0x25,0x30,0x32
	.DB  0x64,0x0,0x25,0x30,0x32,0x64,0x3A,0x25
	.DB  0x30,0x32,0x64,0x3A,0x25,0x30,0x32,0x64
	.DB  0x0,0xC2,0xF7,0x20,0x25,0x64,0x20,0xE4
	.DB  0xC1,0x0,0xC2,0xF7,0x20,0x2B,0x25,0x64
	.DB  0x20,0xE4,0xC1,0x0,0xCD,0xF7,0x20,0x25
	.DB  0x64,0x20,0xE4,0xC1,0x0,0xCD,0xF7,0x20
	.DB  0x2B,0x25,0x64,0x20,0xE4,0xC1,0x0,0xD2
	.DB  0xEA,0x20,0x2B,0x25,0x69,0x2E,0x25,0x30
	.DB  0x32,0x69,0x20,0xE4,0xC1,0x0,0xD2,0xEA
	.DB  0x20,0x25,0x69,0x20,0xE4,0xC1,0x0,0xCA
	.DB  0xEE,0xE4,0x20,0xEA,0xEB,0xE0,0xE2,0xE8
	.DB  0xF8,0xE8,0x3A,0x20,0x25,0x69,0x0,0xCA
	.DB  0xEE,0xE4,0x20,0xF1,0xE8,0xF1,0xF2,0xE5
	.DB  0xEC,0xFB,0x3A,0x20,0x25,0x69,0x0,0xD1
	.DB  0xD2,0xC0,0xC4,0xC8,0xDF,0x20,0x25,0x75
	.DB  0x0,0x28,0x25,0x30,0x33,0x78,0x29,0x20
	.DB  0x20,0x41,0x44,0x43,0x5F,0x52,0x45,0x53
	.DB  0x3D,0x25,0x75,0x20,0x0,0x28,0x25,0x30
	.DB  0x33,0x78,0x29,0x20,0x20,0x53,0x54,0x41
	.DB  0x5F,0x52,0x45,0x53,0x3D,0x25,0x75,0x20
	.DB  0x0,0x28,0x25,0x30,0x33,0x78,0x29,0x20
	.DB  0x20,0x41,0x4D,0x42,0x49,0x45,0x4E,0x54
	.DB  0x3D,0x25,0x75,0x20,0x0,0x28,0x25,0x30
	.DB  0x33,0x78,0x29,0x20,0x20,0x4D,0x41,0x58
	.DB  0x5F,0x41,0x56,0x47,0x3D,0x25,0x75,0x20
	.DB  0x0,0x28,0x25,0x30,0x33,0x78,0x29,0x20
	.DB  0x20,0x48,0x49,0x5F,0x54,0x52,0x45,0x53
	.DB  0x3D,0x25,0x75,0x20,0x0,0x28,0x25,0x30
	.DB  0x33,0x78,0x29,0x20,0x20,0x4D,0x49,0x4E
	.DB  0x5F,0x41,0x56,0x47,0x3D,0x25,0x75,0x20
	.DB  0x0,0x28,0x25,0x30,0x33,0x78,0x29,0x20
	.DB  0x20,0x4C,0x4F,0x5F,0x54,0x52,0x45,0x53
	.DB  0x3D,0x25,0x75,0x20,0x0,0x25,0x75,0x3A
	.DB  0x25,0x75,0x0,0xCA,0xEE,0xED,0xF4,0xE8
	.DB  0xE3,0xF3,0xF0,0xE0,0xF6,0xE8,0xFF,0x20
	.DB  0xF1,0xF2,0xE0,0xE4,0xE8,0xE8,0x0,0xD1
	.DB  0xEC,0x2E,0x20,0xF2,0xE0,0xE1,0xEB,0xE8
	.DB  0xF6,0xF3,0x20,0x25,0x75,0x20,0xE4,0xF8
	.DB  0x2E,0x0,0xC1,0xE0,0xED,0xEA,0x20,0x32
	.DB  0x20,0xF0,0xE5,0xE3,0xE8,0xF1,0xF2,0xF0
	.DB  0xEE,0xE2,0x20,0x41,0x44,0x37,0x31,0x34
	.DB  0x32,0x0,0x28,0x25,0x30,0x32,0x78,0x29
	.DB  0x3A,0x25,0x75,0x0,0x28,0x25,0x75,0x29
	.DB  0x3A,0x0,0x48,0x45,0x58,0x3D,0x25,0x78
	.DB  0x0,0x44,0x45,0x43,0x3D,0x25,0x75,0x0

__GLOBAL_INI_TBL:
	.DW  0x01
	.DW  0x02
	.DW  __REG_BIT_VARS*2

	.DW  0x09
	.DW  _txt1
	.DW  _0x3*2

	.DW  0x0A
	.DW  _txt2
	.DW  _0x4*2

	.DW  0x06
	.DW  _txt3
	.DW  _0x5*2

	.DW  0x0C
	.DW  _txt4
	.DW  _0x6*2

	.DW  0x0E
	.DW  _txt5
	.DW  _0x7*2

	.DW  0x0A
	.DW  _txt6
	.DW  _0x8*2

	.DW  0x0E
	.DW  _txt7
	.DW  _0x9*2

	.DW  0x04
	.DW  _txt8
	.DW  _0xA*2

	.DW  0x07
	.DW  _txt9
	.DW  _0xB*2

	.DW  0x06
	.DW  _txt10
	.DW  _0xC*2

	.DW  0x08
	.DW  _txt11
	.DW  _0xD*2

	.DW  0x08
	.DW  _txt12
	.DW  _0xE*2

	.DW  0x09
	.DW  _txt13
	.DW  _0xF*2

	.DW  0x0A
	.DW  _txt14
	.DW  _0x10*2

	.DW  0x05
	.DW  _txt15
	.DW  _0x11*2

	.DW  0x01
	.DW  _txt16
	.DW  _0x12*2

	.DW  0x01
	.DW  _txt17
	.DW  _0x13*2

	.DW  0x11
	.DW  _txt18
	.DW  _0x14*2

	.DW  0x01
	.DW  _txt19
	.DW  _0x15*2

	.DW  0x01
	.DW  _txt20
	.DW  _0x16*2

	.DW  0x01
	.DW  _txt21
	.DW  _0x17*2

	.DW  0x09
	.DW  _txt22
	.DW  _0x18*2

	.DW  0x03
	.DW  _txt23
	.DW  _0x19*2

	.DW  0x08
	.DW  _txt24
	.DW  _0x1A*2

	.DW  0x07
	.DW  _txt25
	.DW  _0x1B*2

	.DW  0x0B
	.DW  _txt26
	.DW  _0x1C*2

	.DW  0x15
	.DW  _txt27
	.DW  _0x1D*2

	.DW  0x11
	.DW  _txt28
	.DW  _0x1E*2

	.DW  0x12
	.DW  _txt29
	.DW  _0x1F*2

	.DW  0x11
	.DW  _txt30
	.DW  _0x20*2

	.DW  0x12
	.DW  _txt31
	.DW  _0x21*2

	.DW  0x11
	.DW  _txt32
	.DW  _0x22*2

	.DW  0x13
	.DW  _txt33
	.DW  _0x23*2

	.DW  0x16
	.DW  _txt34
	.DW  _0x24*2

	.DW  0x0A
	.DW  _txt35
	.DW  _0x25*2

	.DW  0x05
	.DW  _txt36
	.DW  _0x26*2

	.DW  0x08
	.DW  _txt37
	.DW  _0x27*2

	.DW  0x0F
	.DW  _txt38
	.DW  _0x28*2

	.DW  0x0F
	.DW  _txt39
	.DW  _0x29*2

	.DW  0x13
	.DW  _txt40
	.DW  _0x2A*2

	.DW  0x13
	.DW  _txt41
	.DW  _0x2B*2

	.DW  0x13
	.DW  _txt42
	.DW  _0x2C*2

	.DW  0x14
	.DW  _txt43
	.DW  _0x2D*2

	.DW  0x01
	.DW  _displ_refresh
	.DW  _0x2E*2

	.DW  0x01
	.DW  _command_tx
	.DW  _0x2F*2

	.DW  0x01
	.DW  _treble
	.DW  _0x30*2

	.DW  0x01
	.DW  _bass
	.DW  _0x31*2

	.DW  0x26
	.DW  _tabstr
	.DW  _0x35*2

	.DW  0x06
	.DW  0x04
	.DW  _0x6FA*2

_0xFFFFFFFF:
	.DW  0

__RESET:
	CLI
	CLR  R30
	OUT  EECR,R30

;INTERRUPT VECTORS ARE PLACED
;AT THE START OF FLASH
	LDI  R31,1
	OUT  GICR,R31
	OUT  GICR,R30
	OUT  MCUCR,R30

;DISABLE WATCHDOG
	LDI  R31,0x18
	OUT  WDTCR,R31
	OUT  WDTCR,R30

;CLEAR R2-R14
	LDI  R24,(14-2)+1
	LDI  R26,2
	CLR  R27
__CLEAR_REG:
	ST   X+,R30
	DEC  R24
	BRNE __CLEAR_REG

;CLEAR SRAM
	LDI  R24,LOW(0x800)
	LDI  R25,HIGH(0x800)
	LDI  R26,0x60
__CLEAR_SRAM:
	ST   X+,R30
	SBIW R24,1
	BRNE __CLEAR_SRAM

;GLOBAL VARIABLES INITIALIZATION
	LDI  R30,LOW(__GLOBAL_INI_TBL*2)
	LDI  R31,HIGH(__GLOBAL_INI_TBL*2)
__GLOBAL_INI_NEXT:
	LPM  R24,Z+
	LPM  R25,Z+
	SBIW R24,0
	BREQ __GLOBAL_INI_END
	LPM  R26,Z+
	LPM  R27,Z+
	LPM  R0,Z+
	LPM  R1,Z+
	MOVW R22,R30
	MOVW R30,R0
__GLOBAL_INI_LOOP:
	LPM  R0,Z+
	ST   X+,R0
	SBIW R24,1
	BRNE __GLOBAL_INI_LOOP
	MOVW R30,R22
	RJMP __GLOBAL_INI_NEXT
__GLOBAL_INI_END:

;STACK POINTER INITIALIZATION
	LDI  R30,LOW(0x85F)
	OUT  SPL,R30
	LDI  R30,HIGH(0x85F)
	OUT  SPH,R30

;DATA STACK POINTER INITIALIZATION
	LDI  R28,LOW(0x260)
	LDI  R29,HIGH(0x260)

	JMP  _main

	.ESEG
	.ORG 0

	.DSEG
	.ORG 0x260

	.CSEG
;/*****************************************************
;  symbols.h     
;  128x64_functions.h   
;
;      :
;1)     .  massives.h
;
;2)         massives.h    128x64_functions.h
;    128x64_functions.h
;
;3)    mass []= " ";
;
;4)      i2c_and_TDA7313.lib.
;
;
; :
;   /     1/0
;
;)      ,         *tabstr
;page_kolonka_CS1_CS2_SL_massiv_nmass(, ,  1,  2, ,     *tabstr,   )
;
;)   .          ,      .
;  . ,   ,   
;putstr(  ,  1,  2, , ,  , )
;
; 1  2   1,    0
;     0  7
;  0  63
;  "" 0,     . ,  1,      
;
;)  
;LCD_clear( 1,  2)
;
;
;*****************************************************/
;/*   */
;#define Up 32
;#define Down 33
;#define Left 17
;#define Right 16
;#define Menu 48
;#define OK 59
;#define Att 13
;#define Off 12
;#define Timer 42
;#define Minus 21
;#define Plus 22
;#define Go_menu1 34
;#define IN1 1
;#define IN2 2
;#define IN3 3
;#define SBR 10
;/*******************************************/
;
;
;
;
;
;
;
;//     12864_functions
;#define Power_ON  PORTB SET_B0;			//    .0 .1 -     
;#define Power_OFF PORTB CLR_B0;			//      
;#define TA2022_ON  PORTD SET_B5;		//    .2  2022
;#define TA2022_OFF PORTD CLR_B5;		//    .2  2022
;#define Displ_podsvetka_ON PORTB SET_B3	//   
;#define Displ_podsvetka_OFF PORTB CLR_B3	//   
;#define Keyboard_Light_ON PORTB SET_B1;	//   
;#define Keyboard_Light_OFF  PORTB CLR_B1;	//   
;
;
;
;#define SET_B4 |=(1<<4);
;#define CLR_B4 &=~(1<<4);
;#define CS_act  PORTB CLR_B4;	//  4  0 -  
;#define CS_unact  PORTB SET_B4;
;
;
;#include <mega32.h>
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x80
	.EQU __sm_mask=0x70
	.EQU __sm_powerdown=0x20
	.EQU __sm_powersave=0x30
	.EQU __sm_standby=0x60
	.EQU __sm_ext_standby=0x70
	.EQU __sm_adc_noise_red=0x10
	.SET power_ctrl_reg=mcucr
	#endif
;#include <peremennie_and_txt.h>

	.DSEG
;#include <ad7142regmap.h>
;#include <spi.h>
;#include <7142_functions.h>

	.CSEG
_write_to_AD7142_spi:
	CALL __SAVELOCR6
;	address -> Y+8
;	data -> Y+6
;	MSB_stw -> R17
;	LSB_stw -> R16
;	MSB_data -> R19
;	LSB_data -> R18
;	start_word -> R20,R21
	cli
	LDD  R30,Y+8
	LDD  R31,Y+8+1
	ANDI R31,HIGH(0x3FF)
	ORI  R31,HIGH(0xE000)
	MOVW R20,R30
	MOV  R16,R20
	MOV  R17,R21
	CBI  0x18,4
	LDD  R18,Y+6
	LDD  R19,Y+7
	CALL SUBOPT_0x0
	ST   -Y,R19
	CALL _spi
	ST   -Y,R18
	CALL _spi
	SBI  0x18,4
	sei
	CALL __LOADLOCR6
	ADIW R28,10
	RET
_read_from_AD7142_spi:
	CALL __SAVELOCR6
;	address -> Y+6
;	MSB_stw -> R17
;	LSB_stw -> R16
;	data -> R18,R19
;	start_word -> R20,R21
	cli
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	ANDI R31,HIGH(0x3FF)
	ORI  R31,HIGH(0xE400)
	MOVW R20,R30
	MOV  R16,R20
	MOV  R17,R21
	CBI  0x18,4
	CALL SUBOPT_0x0
	LDI  R30,LOW(0)
	ST   -Y,R30
	CALL _spi
	MOV  R18,R30
	CLR  R19
	MOV  R19,R18
	CLR  R18
	LDI  R30,LOW(0)
	ST   -Y,R30
	CALL _spi
	LDI  R31,0
	__ORWRR 18,19,30,31
	SBI  0x18,4
	MOVW R30,R18
	RJMP _0x20E000D
	sei
_0x20E000D:
	CALL __LOADLOCR6
	ADIW R28,8
	RET
_write_to_AD7142_spi_serial:
	SBIW R28,5
	CALL __SAVELOCR6
;	start_address -> Y+15
;	num_mass -> Y+12
;	counter -> Y+11
;	q -> R17
;	*sel -> R18,R19
;	MSB_stw -> R16
;	LSB_stw -> R21
;	MSB_data -> R20
;	LSB_data -> Y+10
;	data -> Y+8
;	start_word -> Y+6
	cli
	LDD  R30,Y+15
	LDD  R31,Y+15+1
	ANDI R31,HIGH(0x3FF)
	ORI  R31,HIGH(0xE000)
	STD  Y+6,R30
	STD  Y+6+1,R31
	__GETWRS 18,19,13
	LDD  R21,Y+6
	LDD  R16,Y+7
	CBI  0x18,4
	ST   -Y,R16
	CALL _spi
	ST   -Y,R21
	CALL _spi
	LDD  R30,Y+12
	LDD  R26,Y+13
	LDD  R27,Y+13+1
	LDI  R31,0
	LSL  R30
	ROL  R31
	ADD  R30,R26
	ADC  R31,R27
	MOVW R18,R30
	LDI  R17,LOW(1)
_0x33:
	LDD  R30,Y+11
	CP   R30,R17
	BRLO _0x34
	MOVW R26,R18
	CALL __EEPROMRDW
	STD  Y+8,R30
	STD  Y+8+1,R31
	LDD  R30,Y+8
	STD  Y+10,R30
	LDD  R20,Y+9
	ST   -Y,R20
	CALL _spi
	LDD  R30,Y+10
	ST   -Y,R30
	CALL _spi
	__ADDWRN 18,19,2
	SUBI R17,-1
	RJMP _0x33
_0x34:
	SBI  0x18,4
	sei
	CALL __LOADLOCR6
	ADIW R28,17
	RET
;#include <7142_config.h>
_AD7142_configure:
	LDI  R30,LOW(23)
	LDI  R31,HIGH(23)
	CALL SUBOPT_0x1
	LDI  R30,LOW(128)
	LDI  R31,HIGH(128)
	CALL SUBOPT_0x2
	LDI  R30,LOW(8)
	ST   -Y,R30
	LDI  R30,LOW(96)
	ST   -Y,R30
	RCALL _write_to_AD7142_spi_serial
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
	CALL SUBOPT_0x2
	CALL SUBOPT_0x3
	RCALL _write_to_AD7142_spi_serial
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(4095)
	LDI  R31,HIGH(4095)
	ST   -Y,R31
	ST   -Y,R30
	RCALL _write_to_AD7142_spi
	LDI  R30,LOW(8)
	LDI  R31,HIGH(8)
	CALL SUBOPT_0x1
	LDI  R30,LOW(9)
	LDI  R31,HIGH(9)
	CALL SUBOPT_0x1
	LDI  R30,LOW(10)
	LDI  R31,HIGH(10)
	CALL SUBOPT_0x1
	RET
;#include <DELAY.h>
;#include <STRING.H>
;#include <stdio.h>
;#include <ds1307.h>
;
;#include <i2c.h>
;
;
;#asm                                        //    DS1307
   .equ __i2c_port=0x15 ;PORTC
   .equ __sda_bit=7
   .equ __scl_bit=6
; 0000 0061 #endasm
;#include <i2c.h>
;#include <controller_init.h>
_init_controller:
	LDI  R30,LOW(0)
	OUT  0x1B,R30
	LDI  R30,LOW(255)
	OUT  0x1A,R30
	LDI  R30,LOW(144)
	OUT  0x18,R30
	LDI  R30,LOW(187)
	OUT  0x17,R30
	LDI  R30,LOW(0)
	OUT  0x15,R30
	LDI  R30,LOW(60)
	OUT  0x14,R30
	LDI  R30,LOW(31)
	OUT  0x12,R30
	LDI  R30,LOW(224)
	OUT  0x11,R30
	CALL SUBOPT_0x4
	LDI  R30,LOW(0)
	OUT  0x3C,R30
	OUT  0x2F,R30
	LDI  R30,LOW(13)
	OUT  0x2E,R30
	LDI  R30,LOW(0)
	OUT  0x2D,R30
	OUT  0x2C,R30
	OUT  0x27,R30
	OUT  0x26,R30
	LDI  R30,LOW(30)
	OUT  0x2B,R30
	LDI  R30,LOW(132)
	OUT  0x2A,R30
	LDI  R30,LOW(0)
	OUT  0x29,R30
	OUT  0x28,R30
	OUT  0x22,R30
	OUT  0x25,R30
	OUT  0x24,R30
	OUT  0x23,R30
	IN   R30,0x3B
	ORI  R30,LOW(0xE0)
	OUT  0x3B,R30
	LDI  R30,LOW(13)
	OUT  0x35,R30
	LDI  R30,LOW(64)
	OUT  0x34,R30
	LDI  R30,LOW(224)
	OUT  0x3A,R30
	LDI  R30,LOW(92)
	OUT  0xD,R30
	LDI  R30,LOW(0)
	OUT  0xE,R30
	LDI  R30,LOW(17)
	OUT  0x39,R30
	LDI  R30,LOW(128)
	OUT  0x8,R30
	LDI  R30,LOW(0)
	OUT  0x30,R30
	RET
;
;#include <symbols.h>
;#include <massives.h>
;#include <128x64_functions.h>

	.DSEG

	.CSEG
_data_port:
;	data -> Y+0
	LD   R30,Y
	OUT  0x1B,R30
	ADIW R28,1
	RET
_strob:
	__DELAY_USB 5
	SBI  0x15,2
	__DELAY_USB 5
	CBI  0x15,2
	__DELAY_USB 48
	RET
_Display_ON:
	CBI  0x12,6
	CBI  0x12,7
	LDI  R30,LOW(63)
	RJMP _0x20E000C
_Display_OFF:
	CBI  0x12,6
	CBI  0x12,7
	LDI  R30,LOW(62)
_0x20E000C:
	ST   -Y,R30
	CALL SUBOPT_0x5
	RET
_LCD_init:
	CBI  0x15,2
	CBI  0x15,5
	__DELAY_USB 11
	SBI  0x15,5
	__DELAY_USB 59
	CBI  0x12,6
	CBI  0x12,7
	SBI  0x15,3
	CBI  0x15,4
	LDI  R30,LOW(192)
	ST   -Y,R30
	CALL SUBOPT_0x5
	LDI  R30,LOW(184)
	ST   -Y,R30
	CALL SUBOPT_0x5
	CALL SUBOPT_0x6
	RCALL _Display_ON
	CBI  0x15,3
	SBI  0x15,4
	LDI  R30,LOW(192)
	ST   -Y,R30
	CALL SUBOPT_0x5
	LDI  R30,LOW(184)
	ST   -Y,R30
	CALL SUBOPT_0x5
	CALL SUBOPT_0x6
	RCALL _Display_ON
	RET
_LCD_clear:
	ST   -Y,R17
	ST   -Y,R16
;	i -> R17
;	m -> R16
	SBI  0x15,3
	SBI  0x15,4
	LDI  R16,LOW(0)
_0x37:
	CPI  R16,8
	BRSH _0x38
	CBI  0x12,6
	CBI  0x12,7
	MOV  R30,R16
	CALL SUBOPT_0x7
	MOV  R30,R16
	CALL SUBOPT_0x8
	SBI  0x12,6
	LDI  R17,LOW(0)
_0x3A:
	CPI  R17,65
	BRSH _0x3B
	LDI  R30,LOW(0)
	ST   -Y,R30
	CALL SUBOPT_0x5
	SUBI R17,-1
	RJMP _0x3A
_0x3B:
	SUBI R16,-1
	RJMP _0x37
_0x38:
	LD   R16,Y+
	LD   R17,Y+
	RET
_page_kolonka_SL_massiv_nmass_inv_peren:
	SBIW R28,4
	LDI  R30,LOW(0)
	STD  Y+2,R30
	STD  Y+3,R30
	CALL __SAVELOCR6
;	page -> Y+17
;	kolonka -> Y+16
;	SL -> Y+15
;	massiv -> Y+14
;	nmass -> Y+12
;	invert -> Y+11
;	perenos -> Y+10
;	CS1 -> R17
;	CS2 -> R16
;	*stolb -> R18,R19
;	i -> R20,R21
;	x -> Y+8
;	temp_kolonka -> Y+7
;	temp_page -> Y+6
	__GETWRN 18,19,0
	__GETWRN 20,21,0
	LDD  R26,Y+16
	CPI  R26,LOW(0x40)
	BRLO _0x3C
	LDI  R17,LOW(0)
	LDI  R16,LOW(1)
	LDD  R30,Y+16
	SUBI R30,LOW(64)
	STD  Y+16,R30
	RJMP _0x3D
_0x3C:
	LDI  R17,LOW(1)
	LDI  R16,LOW(0)
_0x3D:
	LDD  R30,Y+16
	STD  Y+7,R30
	LDD  R30,Y+17
	STD  Y+6,R30
	CBI  0x12,6
	CBI  0x12,7
	CPI  R17,1
	BRNE _0x3E
	SBI  0x15,3
	RJMP _0x3F
_0x3E:
	CBI  0x15,3
_0x3F:
	CPI  R16,1
	BRNE _0x40
	SBI  0x15,4
	RJMP _0x41
_0x40:
	CBI  0x15,4
_0x41:
	LDD  R30,Y+15
	SUBI R30,-LOW(192)
	ST   -Y,R30
	CALL SUBOPT_0x5
	LDD  R30,Y+6
	CALL SUBOPT_0x7
	LDD  R30,Y+7
	CALL SUBOPT_0x8
	LDD  R30,Y+14
	LDI  R26,LOW(_tabstr)
	LDI  R27,HIGH(_tabstr)
	LDI  R31,0
	LSL  R30
	ROL  R31
	ADD  R26,R30
	ADC  R27,R31
	LD   R18,X+
	LD   R19,X
	SBI  0x12,6
	CBI  0x12,7
	__GETWRN 20,21,0
_0x43:
	LDD  R30,Y+12
	LDD  R31,Y+12+1
	SBIW R30,1
	CP   R30,R20
	CPC  R31,R21
	BRSH PC+3
	JMP _0x44
	LDD  R30,Y+11
	CPI  R30,0
	BRNE _0x45
	MOVW R30,R18
	LPM  R30,Z
	ST   -Y,R30
	RCALL _data_port
_0x45:
	LDD  R26,Y+11
	CPI  R26,LOW(0x1)
	BRNE _0x46
	MOVW R30,R18
	LPM  R30,Z
	COM  R30
	ST   -Y,R30
	RCALL _data_port
_0x46:
	RCALL _strob
	__ADDWRN 18,19,1
	LDD  R30,Y+8
	LDD  R31,Y+8+1
	ADIW R30,1
	STD  Y+8,R30
	STD  Y+8+1,R31
	LDD  R30,Y+16
	LDD  R26,Y+10
	ADD  R26,R30
	CPI  R26,LOW(0x40)
	BRLO _0x47
	CALL SUBOPT_0x9
	ADD  R26,R30
	ADC  R27,R31
	CPI  R26,LOW(0x40)
	LDI  R30,HIGH(0x40)
	CPC  R27,R30
	BRNE _0x48
	CBI  0x12,6
	CBI  0x15,3
	SBI  0x15,4
	LDD  R30,Y+6
	CALL SUBOPT_0x7
	CALL SUBOPT_0x6
	SBI  0x12,6
_0x48:
	CALL SUBOPT_0x9
	CALL SUBOPT_0xA
	BRNE _0x49
	CBI  0x15,4
	SBI  0x15,3
	CALL SUBOPT_0xB
	LDD  R30,Y+7
	CALL SUBOPT_0x8
	SBI  0x12,6
_0x49:
	RJMP _0x4A
_0x47:
	CALL SUBOPT_0x9
	CALL SUBOPT_0xA
	BRNE _0x4B
	CALL SUBOPT_0xB
	LDD  R30,Y+7
	CALL SUBOPT_0x8
	SBI  0x12,6
_0x4B:
_0x4A:
	__ADDWRN 20,21,1
	RJMP _0x43
_0x44:
	RJMP _0x20E000B
_putstr:
	SBIW R28,4
	CALL SUBOPT_0xC
	CALL __SAVELOCR6
;	string -> Y+16
;	CS1 -> Y+15
;	CS2 -> Y+14
;	page -> Y+13
;	kolonka -> Y+12
;	SL -> Y+11
;	invert -> Y+10
;	a -> R17
;	b -> R16
;	n -> R19
;	i -> R18
;	z -> R21
;	t_sym -> R20
;	stroka -> Y+9
;	tek_kol -> Y+8
;	tek_page -> Y+7
;	crystall -> Y+6
	LDI  R20,0
	CBI  0x12,6
	CBI  0x12,7
	LDD  R26,Y+15
	CPI  R26,LOW(0x1)
	BRNE _0x4C
	SBI  0x15,3
	LDI  R30,LOW(1)
	STD  Y+6,R30
	RJMP _0x4D
_0x4C:
	CBI  0x15,3
_0x4D:
	LDD  R26,Y+14
	CPI  R26,LOW(0x1)
	BRNE _0x4E
	SBI  0x15,4
	LDI  R30,LOW(2)
	STD  Y+6,R30
	RJMP _0x4F
_0x4E:
	CBI  0x15,4
_0x4F:
	LDD  R30,Y+11
	SUBI R30,-LOW(192)
	ST   -Y,R30
	CALL SUBOPT_0x5
	LDD  R30,Y+13
	CALL SUBOPT_0x7
	LDD  R30,Y+12
	CALL SUBOPT_0x8
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	ST   -Y,R31
	ST   -Y,R30
	CALL _strlen
	MOV  R19,R30
	SBI  0x12,6
	LDD  R30,Y+13
	STD  Y+7,R30
	LDD  R30,Y+12
	STD  Y+8,R30
	LDI  R18,LOW(0)
_0x51:
	CP   R18,R19
	BRLO PC+3
	JMP _0x52
	CALL SUBOPT_0xD
	CPI  R26,LOW(0x2F)
	BRLO _0x54
	CALL SUBOPT_0xD
	CPI  R26,LOW(0x60)
	BRLO _0x55
_0x54:
	RJMP _0x53
_0x55:
	CALL SUBOPT_0xE
	RJMP _0x56
_0x53:
	CALL SUBOPT_0xD
	CPI  R26,LOW(0x3A)
	BRNE _0x57
	LDI  R17,LOW(2)
	LDI  R16,LOW(2)
	LDI  R30,LOW(26)
	STD  Y+9,R30
	RJMP _0x56
_0x57:
	CALL SUBOPT_0xD
	CPI  R26,LOW(0x22)
	BRLO _0x59
	CALL SUBOPT_0xD
	CPI  R26,LOW(0x27)
	BRLO _0x5A
_0x59:
	RJMP _0x58
_0x5A:
	CALL SUBOPT_0xE
	RJMP _0x56
_0x58:
	CALL SUBOPT_0xD
	CPI  R26,LOW(0x27)
	BRLO _0x5C
	CALL SUBOPT_0xD
	CPI  R26,LOW(0x2A)
	BRLO _0x5D
_0x5C:
	RJMP _0x5B
_0x5D:
	LDI  R17,LOW(1)
	LDI  R16,LOW(3)
	CALL SUBOPT_0xF
	RJMP _0x56
_0x5B:
	CALL SUBOPT_0xD
	CPI  R26,LOW(0x2A)
	BRLO _0x5F
	CALL SUBOPT_0xD
	CPI  R26,LOW(0x2E)
	BRLO _0x60
_0x5F:
	RJMP _0x5E
_0x60:
	CALL SUBOPT_0xE
	RJMP _0x56
_0x5E:
	CALL SUBOPT_0xD
	CPI  R26,LOW(0x2E)
	BRNE _0x61
	LDI  R17,LOW(2)
	LDI  R16,LOW(2)
	LDI  R30,LOW(14)
	STD  Y+9,R30
	RJMP _0x56
_0x61:
	CALL SUBOPT_0xD
	CPI  R26,LOW(0x20)
	BRLO _0x63
	CALL SUBOPT_0xD
	CPI  R26,LOW(0x22)
	BRLO _0x64
_0x63:
	RJMP _0x62
_0x64:
	LDI  R17,LOW(2)
	LDI  R16,LOW(2)
	CALL SUBOPT_0xF
	RJMP _0x56
_0x62:
	CALL SUBOPT_0xD
	CPI  R26,LOW(0xB8)
	BRNE _0x65
	LDI  R17,LOW(0)
	LDI  R16,LOW(4)
	LDI  R30,LOW(95)
	STD  Y+9,R30
	RJMP _0x56
_0x65:
	CALL SUBOPT_0xD
	CPI  R26,LOW(0xA8)
	BRNE _0x66
	LDI  R17,LOW(0)
	LDI  R16,LOW(4)
	LDI  R30,LOW(94)
	STD  Y+9,R30
	RJMP _0x56
_0x66:
	CALL SUBOPT_0xD
	CPI  R26,LOW(0x61)
	BRLO _0x68
	CALL SUBOPT_0xD
	CPI  R26,LOW(0x7F)
	BRLO _0x69
_0x68:
	RJMP _0x67
_0x69:
	CALL SUBOPT_0x10
	SUBI R30,LOW(33)
	STD  Y+9,R30
	RJMP _0x56
_0x67:
	CALL SUBOPT_0xD
	CPI  R26,LOW(0xC0)
	BRLO _0x6B
	CALL SUBOPT_0xD
	LDI  R30,LOW(255)
	CP   R30,R26
	BRSH _0x6C
_0x6B:
	RJMP _0x6A
_0x6C:
	CALL SUBOPT_0x10
	SUBI R30,LOW(96)
	STD  Y+9,R30
_0x6A:
_0x56:
	MOV  R21,R17
_0x6E:
	CP   R16,R21
	BRLO _0x6F
	LDD  R30,Y+8
	SUBI R30,-LOW(1)
	STD  Y+8,R30
	LDD  R26,Y+8
	CPI  R26,LOW(0x41)
	BRLO _0x70
	LDI  R30,LOW(0)
	STD  Y+8,R30
	CBI  0x12,6
	CBI  0x12,7
	LDD  R26,Y+6
	CPI  R26,LOW(0x1)
	BRNE _0x71
	CBI  0x15,3
	SBI  0x15,4
	LDI  R30,LOW(2)
	STD  Y+6,R30
	LDD  R30,Y+7
	CALL SUBOPT_0x7
	CALL SUBOPT_0x6
	SBI  0x12,6
_0x71:
_0x70:
	LDD  R26,Y+10
	CPI  R26,LOW(0x1)
	BRNE _0x72
	CALL SUBOPT_0x11
	COM  R30
	RJMP _0x67E
_0x72:
	CALL SUBOPT_0x11
_0x67E:
	ST   -Y,R30
	CALL SUBOPT_0x5
	SUBI R21,-1
	RJMP _0x6E
_0x6F:
	LDD  R26,Y+10
	CPI  R26,LOW(0x1)
	BRNE _0x74
	LDI  R30,LOW(255)
	RJMP _0x67F
_0x74:
	LDI  R30,LOW(0)
_0x67F:
	ST   -Y,R30
	CALL SUBOPT_0x5
	LDD  R30,Y+8
	SUBI R30,-LOW(1)
	STD  Y+8,R30
	SUBI R20,-1
	SUBI R18,-1
	RJMP _0x51
_0x52:
_0x20E000B:
	CALL __LOADLOCR6
	ADIW R28,18
	RET
;#include <i2c_and_TDA7313.h>
;#include <menu_otobr.h>
_menu_5_6_7_8_29_65:
;	men5 -> Y+5
;	men6 -> Y+4
;	men7 -> Y+3
;	men8 -> Y+2
;	men29 -> Y+1
;	men65 -> Y+0
	RCALL _LCD_clear
	CALL SUBOPT_0x12
	BRNE _0x79
	LDI  R26,LOW(_loudness1)
	LDI  R27,HIGH(_loudness1)
	RJMP _0x680
_0x79:
	CPI  R30,LOW(0x2)
	BRNE _0x7A
	LDI  R26,LOW(_loudness2)
	LDI  R27,HIGH(_loudness2)
	RJMP _0x680
_0x7A:
	CPI  R30,LOW(0x3)
	BRNE _0x78
	LDI  R26,LOW(_loudness3)
	LDI  R27,HIGH(_loudness3)
_0x680:
	CALL __EEPROMRDW
	CALL SUBOPT_0x13
_0x78:
	LDI  R30,LOW(_txt4)
	LDI  R31,HIGH(_txt4)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x15
	CALL SUBOPT_0x16
	CALL SUBOPT_0x17
	CALL SUBOPT_0x18
	STS  _volume_ogr_displ,R30
	STS  _volume_ogr_displ+1,R31
	CALL SUBOPT_0x19
	CALL SUBOPT_0x1A
	CALL SUBOPT_0x1B
	CALL SUBOPT_0x1C
	CALL SUBOPT_0x1B
	CALL SUBOPT_0x1D
	CALL SUBOPT_0x1E
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(27)
	ST   -Y,R30
	CALL SUBOPT_0x16
	LDI  R30,LOW(_txt5)
	LDI  R31,HIGH(_txt5)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x1F
	CALL SUBOPT_0x20
	CALL SUBOPT_0x21
	CALL SUBOPT_0x18
	STS  _volume_on_max_displ,R30
	STS  _volume_on_max_displ+1,R31
	CALL SUBOPT_0x19
	CALL SUBOPT_0x1A
	CALL SUBOPT_0x22
	CALL SUBOPT_0x1C
	CALL SUBOPT_0x22
	CALL SUBOPT_0x1D
	CALL SUBOPT_0x1E
	LDI  R30,LOW(1)
	ST   -Y,R30
	LDI  R30,LOW(28)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	CALL SUBOPT_0x20
	LDI  R30,LOW(_txt6)
	LDI  R31,HIGH(_txt6)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x23
	CALL SUBOPT_0x24
	CALL SUBOPT_0x25
	CALL SUBOPT_0x18
	STS  _att_displ,R30
	STS  _att_displ+1,R31
	CALL SUBOPT_0x19
	CALL SUBOPT_0x1A
	CALL SUBOPT_0x26
	CALL SUBOPT_0x1C
	CALL SUBOPT_0x26
	CALL SUBOPT_0x1D
	CALL SUBOPT_0x1E
	LDI  R30,LOW(2)
	ST   -Y,R30
	LDI  R30,LOW(28)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	CALL SUBOPT_0x24
	LDI  R30,LOW(_txt7)
	LDI  R31,HIGH(_txt7)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x27
	CALL SUBOPT_0x28
	CALL SUBOPT_0x29
	BRLO _0x7C
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,9
	CALL SUBOPT_0x2A
	CALL SUBOPT_0x2B
	CALL SUBOPT_0x1D
	CALL SUBOPT_0x1E
	LDI  R30,LOW(3)
	ST   -Y,R30
	LDI  R30,LOW(28)
	RJMP _0x681
_0x7C:
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,18
	CALL SUBOPT_0x2C
	CALL SUBOPT_0x19
	CALL SUBOPT_0x1E
	LDI  R30,LOW(3)
	ST   -Y,R30
	LDI  R30,LOW(58)
_0x681:
	ST   -Y,R30
	CALL SUBOPT_0x2D
	LDI  R30,LOW(_txt18)
	LDI  R31,HIGH(_txt18)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x2E
	CALL SUBOPT_0x2F
	CALL SUBOPT_0x30
	__POINTW1FN _0x0,21
	ST   -Y,R31
	ST   -Y,R30
	CALL SUBOPT_0x31
	CALL SUBOPT_0x32
	CALL SUBOPT_0x1E
	LDI  R30,LOW(4)
	ST   -Y,R30
	LDI  R30,LOW(54)
	CALL SUBOPT_0x33
	LDI  R30,LOW(_txt38)
	LDI  R31,HIGH(_txt38)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x34
	CALL SUBOPT_0x35
	LDI  R30,LOW(5)
	ST   -Y,R30
	CALL SUBOPT_0x36
	LDI  R30,LOW(_txt1)
	LDI  R31,HIGH(_txt1)
	CALL SUBOPT_0x14
	LDI  R30,LOW(7)
	ST   -Y,R30
	LDI  R30,LOW(37)
	ST   -Y,R30
	CALL SUBOPT_0x15
	RCALL _putstr
	ADIW R28,6
	RET
_menu_9_10:
	ST   -Y,R17
;	men9 -> Y+2
;	men10 -> Y+1
;	a -> R17
	CALL SUBOPT_0x12
	BRNE _0x81
	CALL SUBOPT_0x37
	RJMP _0x682
_0x81:
	CPI  R30,LOW(0x2)
	BRNE _0x82
	CALL SUBOPT_0x38
	RJMP _0x682
_0x82:
	CPI  R30,LOW(0x3)
	BRNE _0x80
	CALL SUBOPT_0x39
_0x682:
	CALL __EEPROMRDB
	STS  _treble,R30
_0x80:
	CALL SUBOPT_0x3A
	RCALL _LCD_clear
	LDI  R30,LOW(_txt9)
	LDI  R31,HIGH(_txt9)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x15
	CALL SUBOPT_0x2D
	LDS  R26,_treble
	CPI  R26,LOW(0x8)
	BRSH _0x84
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,24
	CALL SUBOPT_0x3B
_0x84:
	LDS  R26,_treble
	CPI  R26,LOW(0x8)
	BRLO _0x85
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,30
	CALL SUBOPT_0x3B
_0x85:
	CALL SUBOPT_0x19
	CALL SUBOPT_0x1E
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(20)
	ST   -Y,R30
	CALL SUBOPT_0x2D
	LDI  R30,LOW(_txt10)
	LDI  R31,HIGH(_txt10)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x23
	CALL SUBOPT_0x2F
	LDS  R26,_bass
	CPI  R26,LOW(0x8)
	BRSH _0x86
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,24
	CALL SUBOPT_0x3C
_0x86:
	LDS  R26,_bass
	CPI  R26,LOW(0x8)
	BRLO _0x87
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,30
	CALL SUBOPT_0x3C
_0x87:
	CALL SUBOPT_0x19
	CALL SUBOPT_0x1E
	LDI  R30,LOW(2)
	ST   -Y,R30
	LDI  R30,LOW(20)
	CALL SUBOPT_0x33
	LDI  R30,LOW(_txt2)
	LDI  R31,HIGH(_txt2)
	CALL SUBOPT_0x14
	LDI  R30,LOW(7)
	ST   -Y,R30
	LDI  R30,LOW(35)
	ST   -Y,R30
	CALL SUBOPT_0x15
	RCALL _putstr
	LDD  R17,Y+0
	ADIW R28,3
	RET
_menu_11__16:
;	men11 -> Y+5
;	men12 -> Y+4
;	men13 -> Y+3
;	men14 -> Y+2
;	men15 -> Y+1
;	men16 -> Y+0
	RCALL _LCD_clear
	LDI  R30,LOW(_txt11)
	LDI  R31,HIGH(_txt11)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x15
	CALL SUBOPT_0x15
	RCALL _putstr
	LDI  R30,LOW(_txt12)
	LDI  R31,HIGH(_txt12)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x23
	CALL SUBOPT_0x3D
	LDI  R30,LOW(_date)
	LDI  R31,HIGH(_date)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(_mounth)
	LDI  R31,HIGH(_mounth)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(_year)
	LDI  R31,HIGH(_year)
	ST   -Y,R31
	ST   -Y,R30
	CALL _rtc_get_date
	CALL SUBOPT_0x3E
	CALL SUBOPT_0x30
	CALL SUBOPT_0x3F
	LDS  R30,_date
	CALL SUBOPT_0x32
	CALL SUBOPT_0x1E
	CALL SUBOPT_0x40
	CALL SUBOPT_0x16
	CALL SUBOPT_0x41
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(28)
	ST   -Y,R30
	CALL SUBOPT_0x15
	CALL SUBOPT_0x42
	CALL SUBOPT_0x3F
	LDS  R30,_mounth
	CALL SUBOPT_0x32
	CALL SUBOPT_0x1E
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(31)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	CALL SUBOPT_0x20
	CALL SUBOPT_0x41
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(44)
	ST   -Y,R30
	CALL SUBOPT_0x15
	CALL SUBOPT_0x42
	CALL SUBOPT_0x3F
	LDS  R30,_year
	CALL SUBOPT_0x32
	CALL SUBOPT_0x1E
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(47)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	CALL SUBOPT_0x24
	CALL SUBOPT_0x30
	CALL SUBOPT_0x3F
	LDS  R30,_h
	CALL SUBOPT_0x32
	CALL SUBOPT_0x1E
	LDI  R30,LOW(2)
	ST   -Y,R30
	LDI  R30,LOW(15)
	ST   -Y,R30
	CALL SUBOPT_0x2D
	CALL SUBOPT_0x41
	LDI  R30,LOW(2)
	ST   -Y,R30
	LDI  R30,LOW(28)
	ST   -Y,R30
	CALL SUBOPT_0x15
	CALL SUBOPT_0x42
	CALL SUBOPT_0x3F
	LDS  R30,_m
	CALL SUBOPT_0x32
	CALL SUBOPT_0x1E
	LDI  R30,LOW(2)
	ST   -Y,R30
	LDI  R30,LOW(31)
	CALL SUBOPT_0x33
	CALL SUBOPT_0x41
	LDI  R30,LOW(2)
	ST   -Y,R30
	LDI  R30,LOW(44)
	ST   -Y,R30
	CALL SUBOPT_0x15
	CALL SUBOPT_0x42
	CALL SUBOPT_0x3F
	LDS  R30,_s
	CALL SUBOPT_0x32
	CALL SUBOPT_0x1E
	LDI  R30,LOW(2)
	ST   -Y,R30
	LDI  R30,LOW(47)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	CALL SUBOPT_0x35
	LDI  R30,LOW(_txt8)
	LDI  R31,HIGH(_txt8)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x43
	RCALL _putstr
	RJMP _0x20E0009
_menu_17_18:
;	men17 -> Y+1
;	men18 -> Y+0
	RCALL _LCD_clear
	CALL SUBOPT_0x44
	CALL SUBOPT_0x15
	LDI  R30,LOW(0)
	ST   -Y,R30
	CALL SUBOPT_0x2F
	CALL SUBOPT_0x45
	CALL SUBOPT_0x23
	CALL SUBOPT_0x35
	CALL SUBOPT_0x46
	CALL SUBOPT_0x47
	CALL SUBOPT_0x15
	CALL SUBOPT_0x48
	CALL SUBOPT_0x49
	CALL SUBOPT_0x4A
	CALL SUBOPT_0x43
	RCALL _putstr
	ADIW R28,2
	RET
_menu_19_20_21:
	CALL SUBOPT_0x4B
;	men19_20_21 -> Y+4
;	a -> R17
;	b -> R16
;	c -> R19
;	d -> R18
	CPI  R30,LOW(0x13)
	BRNE _0x8B
	LDI  R17,LOW(1)
	LDI  R16,LOW(0)
	LDI  R19,LOW(1)
	RJMP _0x683
_0x8B:
	CPI  R30,LOW(0x14)
	BRNE _0x8C
	LDI  R17,LOW(1)
	LDI  R16,LOW(0)
	LDI  R19,LOW(0)
	LDI  R18,LOW(1)
	RJMP _0x8A
_0x8C:
	CPI  R30,LOW(0x15)
	BRNE _0x8A
	LDI  R17,LOW(0)
	LDI  R16,LOW(1)
	LDI  R19,LOW(0)
_0x683:
	LDI  R18,LOW(0)
_0x8A:
	CALL SUBOPT_0x44
	CALL SUBOPT_0x15
	CALL SUBOPT_0x4C
	CALL SUBOPT_0x23
	ST   -Y,R16
	CALL SUBOPT_0x42
	CALL SUBOPT_0x3F
	CALL SUBOPT_0x4D
	CALL SUBOPT_0x1E
	CALL SUBOPT_0x47
	CALL SUBOPT_0x4E
	CALL SUBOPT_0x4F
	CALL SUBOPT_0x42
	CALL SUBOPT_0x3F
	CALL SUBOPT_0x50
	CALL SUBOPT_0x1E
	CALL SUBOPT_0x51
	CALL SUBOPT_0x48
	CALL SUBOPT_0x49
	RJMP _0x20E000A
_menu_22_23_27_28:
	CALL __SAVELOCR6
;	men_x -> Y+6
;	x1 -> R17
;	x2 -> R16
;	x3 -> R19
;	x4 -> R18
;	x5 -> R21
;	x6 -> R20
	LDI  R17,0
	LDI  R16,0
	LDI  R19,0
	LDI  R18,0
	LDI  R21,0
	LDI  R20,0
	RCALL _LCD_clear
	LDD  R30,Y+6
	CPI  R30,LOW(0x16)
	BRNE _0x91
	LDI  R17,LOW(0)
	LDI  R16,LOW(1)
	LDI  R19,LOW(0)
	LDI  R18,LOW(0)
	LDI  R21,LOW(1)
	RJMP _0x684
_0x91:
	CPI  R30,LOW(0x17)
	BRNE _0x92
	LDI  R17,LOW(0)
	LDI  R16,LOW(1)
	LDI  R19,LOW(0)
	LDI  R18,LOW(0)
	LDI  R21,LOW(0)
	LDI  R20,LOW(1)
	RJMP _0x90
_0x92:
	CPI  R30,LOW(0x1B)
	BRNE _0x93
	LDI  R17,LOW(1)
	LDI  R16,LOW(0)
	LDI  R19,LOW(1)
	LDI  R18,LOW(0)
	RJMP _0x685
_0x93:
	CPI  R30,LOW(0x1C)
	BRNE _0x90
	LDI  R17,LOW(1)
	LDI  R16,LOW(0)
	LDI  R19,LOW(0)
	LDI  R18,LOW(1)
_0x685:
	LDI  R21,LOW(0)
_0x684:
	LDI  R20,LOW(0)
_0x90:
	CALL SUBOPT_0x44
	CALL SUBOPT_0x15
	CALL SUBOPT_0x4C
	CALL SUBOPT_0x23
	ST   -Y,R16
	CALL SUBOPT_0x42
	CALL SUBOPT_0x3F
	CALL SUBOPT_0x4D
	CALL SUBOPT_0x1E
	CALL SUBOPT_0x47
	CALL SUBOPT_0x4E
	CALL SUBOPT_0x4F
	CALL SUBOPT_0x42
	CALL SUBOPT_0x3F
	CALL SUBOPT_0x50
	CALL SUBOPT_0x1E
	CALL SUBOPT_0x51
	CALL SUBOPT_0x42
	CALL SUBOPT_0x3F
	CALL SUBOPT_0x52
	CALL SUBOPT_0x1E
	LDI  R30,LOW(2)
	ST   -Y,R30
	LDI  R30,LOW(30)
	CALL SUBOPT_0x53
	LDI  R30,LOW(_txt16)
	LDI  R31,HIGH(_txt16)
	CALL SUBOPT_0x54
	CALL SUBOPT_0x55
	CALL SUBOPT_0x42
	CALL SUBOPT_0x3F
	CALL SUBOPT_0x56
	CALL SUBOPT_0x1E
	CALL SUBOPT_0x57
	ST   -Y,R20
	CALL SUBOPT_0x4A
	CALL SUBOPT_0x43
	CALL SUBOPT_0x58
	ADIW R28,7
	RET
_menu_24_25_26:
	CALL SUBOPT_0x4B
;	men_x2 -> Y+4
;	x1 -> R17
;	x2 -> R16
;	x3 -> R19
;	x4 -> R18
	CPI  R30,LOW(0x18)
	BRNE _0x98
	LDI  R17,LOW(0)
	LDI  R16,LOW(1)
	LDI  R19,LOW(1)
	RJMP _0x686
_0x98:
	CPI  R30,LOW(0x19)
	BRNE _0x99
	LDI  R17,LOW(0)
	LDI  R16,LOW(1)
	LDI  R19,LOW(0)
	LDI  R18,LOW(1)
	RJMP _0x97
_0x99:
	CPI  R30,LOW(0x1A)
	BRNE _0x97
	LDI  R17,LOW(1)
	LDI  R16,LOW(0)
	LDI  R19,LOW(0)
_0x686:
	LDI  R18,LOW(0)
_0x97:
	CALL SUBOPT_0x44
	CALL SUBOPT_0x15
	CALL SUBOPT_0x4C
	CALL SUBOPT_0x23
	ST   -Y,R16
	CALL SUBOPT_0x48
	CALL SUBOPT_0x47
	CALL SUBOPT_0x15
	CALL SUBOPT_0x42
	CALL SUBOPT_0x3F
	CALL SUBOPT_0x52
	CALL SUBOPT_0x1E
	LDI  R30,LOW(2)
	ST   -Y,R30
	LDI  R30,LOW(30)
	ST   -Y,R30
	CALL SUBOPT_0x4E
	CALL SUBOPT_0x55
	CALL SUBOPT_0x42
	CALL SUBOPT_0x3F
	CALL SUBOPT_0x56
	CALL SUBOPT_0x1E
	CALL SUBOPT_0x57
	ST   -Y,R18
_0x20E000A:
	RCALL _putstr
	LDI  R30,LOW(_txt3)
	LDI  R31,HIGH(_txt3)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x43
	RCALL _putstr
	CALL __LOADLOCR4
	ADIW R28,5
	RET
_menu_0:
	CALL __SAVELOCR6
;	a -> R17
;	b -> R16
;	c -> R18,R19
;	t -> R21
;	r -> R20
	LDI  R16,1
	LDS  R26,_Refr4
	CPI  R26,LOW(0x1)
	BRNE _0x9B
	RCALL _LCD_clear
_0x9B:
	LDS  R26,_Refr1
	CPI  R26,LOW(0x1)
	BREQ _0x9D
	LDS  R26,_Refr4
	CPI  R26,LOW(0x1)
	BRNE _0x9C
_0x9D:
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,42
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_hour
	CALL SUBOPT_0x59
	LDS  R30,_min
	CALL SUBOPT_0x59
	LDS  R30,_sec
	CALL SUBOPT_0x59
	LDI  R24,12
	CALL _sprintf
	ADIW R28,16
	CALL SUBOPT_0x19
	CALL SUBOPT_0x1E
	CALL SUBOPT_0x40
	CALL SUBOPT_0x15
	RCALL _putstr
	LDI  R30,LOW(0)
	STS  _Refr1,R30
_0x9C:
	LDS  R26,_Refr2
	CPI  R26,LOW(0x1)
	BREQ _0xA0
	LDS  R26,_Refr4
	CPI  R26,LOW(0x1)
	BREQ _0xA0
	RJMP _0x9F
_0xA0:
	LDI  R30,LOW(7)
	ST   -Y,R30
	LDI  R30,LOW(121)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(9)
	ST   -Y,R30
	LDI  R30,LOW(7)
	LDI  R31,HIGH(7)
	CALL SUBOPT_0x5A
	LDI  R30,LOW(7)
	CALL SUBOPT_0x5B
	LDI  R30,LOW(125)
	CALL __MULB1W2U
	STS  _volume_displ,R30
	STS  _volume_displ+1,R31
	CALL SUBOPT_0x19
	CALL SUBOPT_0x1A
	CALL SUBOPT_0x5C
	CALL SUBOPT_0x1C
	CALL SUBOPT_0x5C
	CALL SUBOPT_0x1D
	CALL SUBOPT_0x1E
	LDI  R30,LOW(7)
	ST   -Y,R30
	LDI  R30,LOW(25)
	ST   -Y,R30
	CALL SUBOPT_0x15
	RCALL _putstr
	LDI  R30,LOW(7)
	ST   -Y,R30
	CALL SUBOPT_0x15
	LDI  R30,LOW(10)
	ST   -Y,R30
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
	CALL SUBOPT_0x54
	RCALL _page_kolonka_SL_massiv_nmass_inv_peren
	LDI  R17,LOW(0)
_0xA3:
	CPI  R17,4
	BRSH _0xA4
	LDI  R30,LOW(7)
	ST   -Y,R30
	ST   -Y,R16
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(12)
	ST   -Y,R30
	LDI  R30,LOW(21)
	LDI  R31,HIGH(21)
	CALL SUBOPT_0x5A
	LDI  R30,LOW(21)
	ST   -Y,R30
	RCALL _page_kolonka_SL_massiv_nmass_inv_peren
	SUBI R16,-LOW(21)
	SUBI R17,-1
	RJMP _0xA3
_0xA4:
	LDI  R16,LOW(1)
	LDI  R30,LOW(7)
	ST   -Y,R30
	LDI  R30,LOW(85)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(11)
	ST   -Y,R30
	LDI  R30,LOW(3)
	LDI  R31,HIGH(3)
	CALL SUBOPT_0x5A
	LDI  R30,LOW(3)
	CALL SUBOPT_0x5B
	LDI  R30,LOW(64)
	LDI  R31,HIGH(64)
	SUB  R30,R26
	SBC  R31,R27
	MOVW R18,R30
	__CPWRN 18,19,21
	BRSH _0xA5
	CALL SUBOPT_0x5D
	RJMP _0xA6
_0xA5:
	__ADDWRN 18,19,22
_0xA6:
	LDI  R30,LOW(7)
	ST   -Y,R30
	CALL SUBOPT_0x5E
	LDI  R30,LOW(13)
	ST   -Y,R30
	ST   -Y,R19
	ST   -Y,R18
	LDI  R30,LOW(0)
	ST   -Y,R30
	ST   -Y,R18
	RCALL _page_kolonka_SL_massiv_nmass_inv_peren
	CALL SUBOPT_0x17
	SBIW R30,6
	BRLO _0xA7
	CALL SUBOPT_0x17
	LDI  R26,LOW(64)
	LDI  R27,HIGH(64)
	SUB  R26,R30
	SBC  R27,R31
	MOVW R18,R26
	__CPWRN 18,19,21
	BRSH _0xA8
	CALL SUBOPT_0x5D
	RJMP _0xA9
_0xA8:
	__ADDWRN 18,19,22
_0xA9:
	__ADDWRN 18,19,1
	LDI  R30,LOW(7)
	ST   -Y,R30
	ST   -Y,R18
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(14)
	ST   -Y,R30
	LDI  R30,LOW(3)
	LDI  R31,HIGH(3)
	CALL SUBOPT_0x5A
	LDI  R30,LOW(4)
	ST   -Y,R30
	RCALL _page_kolonka_SL_massiv_nmass_inv_peren
_0xA7:
	LDI  R30,LOW(_txt22)
	LDI  R31,HIGH(_txt22)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x5F
	CALL SUBOPT_0x3D
	LDI  R30,LOW(0)
	STS  _Refr2,R30
_0x9F:
	LDS  R26,_Refr4
	CPI  R26,LOW(0x1)
	BREQ PC+3
	JMP _0xAA
	CALL SUBOPT_0x12
	BRNE _0xAE
	LDI  R30,LOW(_txt19)
	LDI  R31,HIGH(_txt19)
	RJMP _0x687
_0xAE:
	CPI  R30,LOW(0x2)
	BRNE _0xAF
	LDI  R30,LOW(_txt20)
	LDI  R31,HIGH(_txt20)
	RJMP _0x687
_0xAF:
	CPI  R30,LOW(0x3)
	BRNE _0xAD
	LDI  R30,LOW(_txt21)
	LDI  R31,HIGH(_txt21)
_0x687:
	ST   -Y,R31
	ST   -Y,R30
	CALL SUBOPT_0x1F
	LDI  R30,LOW(18)
	ST   -Y,R30
	CALL SUBOPT_0x15
	RCALL _putstr
_0xAD:
	CALL SUBOPT_0x15
	CALL SUBOPT_0x40
	LDI  R30,LOW(16)
	LDI  R31,HIGH(16)
	CALL SUBOPT_0x5A
	CALL SUBOPT_0x60
	CALL SUBOPT_0x12
	BRNE _0xB4
	CALL SUBOPT_0x37
	CALL SUBOPT_0x61
	LDI  R26,LOW(_loudness1)
	LDI  R27,HIGH(_loudness1)
	RJMP _0x688
_0xB4:
	CPI  R30,LOW(0x2)
	BRNE _0xB5
	CALL SUBOPT_0x38
	CALL SUBOPT_0x61
	LDI  R26,LOW(_loudness2)
	LDI  R27,HIGH(_loudness2)
	RJMP _0x688
_0xB5:
	CPI  R30,LOW(0x3)
	BRNE _0xB3
	CALL SUBOPT_0x39
	CALL SUBOPT_0x61
	LDI  R26,LOW(_loudness3)
	LDI  R27,HIGH(_loudness3)
_0x688:
	CALL __EEPROMRDW
	CALL SUBOPT_0x13
_0xB3:
	CALL SUBOPT_0x3A
	LDS  R26,_treble
	CPI  R26,LOW(0x8)
	BRSH _0xB7
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,57
	CALL SUBOPT_0x3B
_0xB7:
	LDS  R26,_treble
	CPI  R26,LOW(0x8)
	BRLO _0xB8
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,66
	CALL SUBOPT_0x3B
_0xB8:
	CALL SUBOPT_0x62
	CALL SUBOPT_0x1F
	CALL SUBOPT_0x3D
	LDS  R26,_bass
	CPI  R26,LOW(0x8)
	BRSH _0xB9
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,76
	CALL SUBOPT_0x3C
_0xB9:
	LDS  R26,_bass
	CPI  R26,LOW(0x8)
	BRLO _0xBA
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,85
	CALL SUBOPT_0x3C
_0xBA:
	CALL SUBOPT_0x62
	CALL SUBOPT_0x23
	CALL SUBOPT_0x3D
	LDI  R30,LOW(0)
	STS  _Refr3,R30
_0xAA:
	LDI  R21,LOW(0)
	LDS  R26,_att_on
	CPI  R26,LOW(0x1)
	BRNE _0xBB
	SUBI R21,-1
	LDI  R30,LOW(_txt23)
	LDI  R31,HIGH(_txt23)
	CALL SUBOPT_0x54
	ST   -Y,R21
	LDI  R30,LOW(44)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDS  R30,_mig_att
	ST   -Y,R30
	RCALL _putstr
_0xBB:
	LDS  R26,_amp_off_act
	CPI  R26,LOW(0x1)
	BRNE _0xBC
	SUBI R21,-1
	LDI  R30,LOW(_txt24)
	LDI  R31,HIGH(_txt24)
	CALL SUBOPT_0x14
	ST   -Y,R21
	LDI  R30,LOW(50)
	ST   -Y,R30
	CALL SUBOPT_0x15
	CALL SUBOPT_0x63
	__POINTW1FN _0x0,47
	ST   -Y,R31
	ST   -Y,R30
	CALL SUBOPT_0x64
	CALL SUBOPT_0x59
	CALL SUBOPT_0x65
	CALL SUBOPT_0x59
	CALL SUBOPT_0x66
	CALL SUBOPT_0x1E
	ST   -Y,R21
	LDI  R30,LOW(33)
	ST   -Y,R30
	CALL SUBOPT_0x15
	RCALL _putstr
_0xBC:
	LDS  R26,_amp_on_act
	CPI  R26,LOW(0x1)
	BRNE _0xBD
	SUBI R21,-1
	LDI  R30,LOW(_txt25)
	LDI  R31,HIGH(_txt25)
	CALL SUBOPT_0x14
	ST   -Y,R21
	LDI  R30,LOW(50)
	ST   -Y,R30
	CALL SUBOPT_0x15
	CALL SUBOPT_0x63
	__POINTW1FN _0x0,47
	ST   -Y,R31
	ST   -Y,R30
	CALL SUBOPT_0x67
	CALL SUBOPT_0x59
	CALL SUBOPT_0x68
	CALL SUBOPT_0x59
	CALL SUBOPT_0x66
	CALL SUBOPT_0x1E
	ST   -Y,R21
	LDI  R30,LOW(33)
	ST   -Y,R30
	CALL SUBOPT_0x15
	RCALL _putstr
_0xBD:
	LDI  R20,LOW(3)
	CPI  R21,3
	BRNE _0xBE
	LDI  R20,LOW(4)
_0xBE:
	CALL SUBOPT_0x29
	BRLO _0xBF
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,95
	CALL SUBOPT_0x2A
	CALL SUBOPT_0x2B
	CALL __MODW21U
	CALL SUBOPT_0x69
	CALL SUBOPT_0x6A
	RJMP _0x689
_0xBF:
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,110
	CALL SUBOPT_0x2C
_0x689:
	LDI  R30,LOW(_buffer)
	LDI  R31,HIGH(_buffer)
	CALL SUBOPT_0x14
	ST   -Y,R20
	CALL SUBOPT_0x15
	CALL SUBOPT_0x3D
	LDI  R30,LOW(0)
	STS  _Refr4,R30
	CALL __LOADLOCR6
_0x20E0009:
	ADIW R28,6
	RET
_menu_30:
	LDS  R26,_Refr30
	CPI  R26,LOW(0x1)
	BRNE _0xC1
	RCALL _LCD_clear
_0xC1:
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,119
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_rem_command
	CALL SUBOPT_0x59
	CALL SUBOPT_0x6B
	CALL SUBOPT_0x15
	CALL SUBOPT_0x15
	CALL SUBOPT_0x63
	__POINTW1FN _0x0,135
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_adr
	CALL SUBOPT_0x59
	CALL SUBOPT_0x6B
	CALL SUBOPT_0x23
	CALL SUBOPT_0x3D
	LDI  R30,LOW(0)
	STS  _Refr30,R30
	RET
_menu_31__38:
	SBIW R28,7
	CALL SUBOPT_0xC
	LDI  R30,LOW(0)
	STD  Y+3,R30
	STD  Y+4,R30
	STD  Y+5,R30
	STD  Y+6,R30
	CALL __SAVELOCR6
;	menu -> Y+13
;	address -> R16,R17
;	res -> R18,R19
;	p -> R21
;	inv_0 -> R20
;	inv_1 -> Y+12
;	inv_2 -> Y+11
;	inv_3 -> Y+10
;	inv_4 -> Y+9
;	inv_5 -> Y+8
;	inv_6 -> Y+7
;	inv_7 -> Y+6
	LDI  R20,0
	LDD  R30,Y+13
	STS  _menu_temp,R30
	CPI  R30,LOW(0x1F)
	BRNE _0xC5
	LDI  R20,LOW(1)
	RJMP _0xC4
_0xC5:
	CPI  R30,LOW(0x20)
	BRNE _0xC6
	LDI  R30,LOW(1)
	STD  Y+12,R30
	RJMP _0xC4
_0xC6:
	CPI  R30,LOW(0x21)
	BRNE _0xC7
	LDI  R30,LOW(1)
	STD  Y+11,R30
	RJMP _0xC4
_0xC7:
	CPI  R30,LOW(0x22)
	BRNE _0xC8
	LDI  R30,LOW(1)
	STD  Y+10,R30
	RJMP _0xC4
_0xC8:
	CPI  R30,LOW(0x23)
	BRNE _0xC9
	LDI  R30,LOW(1)
	STD  Y+9,R30
	RJMP _0xC4
_0xC9:
	CPI  R30,LOW(0x24)
	BRNE _0xCA
	LDI  R30,LOW(1)
	STD  Y+8,R30
	RJMP _0xC4
_0xCA:
	CPI  R30,LOW(0x25)
	BRNE _0xCB
	LDI  R30,LOW(1)
	STD  Y+7,R30
	RJMP _0xC4
_0xCB:
	CPI  R30,LOW(0x26)
	BRNE _0xC4
	LDI  R30,LOW(1)
	STD  Y+6,R30
_0xC4:
	RCALL _LCD_clear
	LDI  R30,LOW(_txt26)
	LDI  R31,HIGH(_txt26)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x15
	CALL SUBOPT_0x15
	CALL SUBOPT_0x63
	__POINTW1FN _0x0,151
	CALL SUBOPT_0x6C
	CALL SUBOPT_0x6D
	CALL SUBOPT_0x1E
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(14)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	ST   -Y,R20
	RCALL _putstr
	LDI  R21,LOW(1)
_0xCE:
	CPI  R21,8
	BRSH _0xCF
	ST   -Y,R21
	CALL SUBOPT_0x36
	SUBI R21,-1
	RJMP _0xCE
_0xCF:
	LDS  R30,_stage
	LDS  R31,_stage+1
	ADIW R30,11
	CALL SUBOPT_0x6E
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,161
	CALL SUBOPT_0x6F
	MOVW R30,R18
	CALL SUBOPT_0x69
	CALL SUBOPT_0x6A
	CALL SUBOPT_0x62
	CALL SUBOPT_0x1F
	LDD  R30,Y+19
	CALL SUBOPT_0x70
	SUBI R30,LOW(-224)
	SBCI R31,HIGH(-224)
	CALL SUBOPT_0x6E
	LDD  R26,Y+13
	CPI  R26,LOW(0x21)
	BRNE _0xD0
	CALL SUBOPT_0x71
_0xD0:
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,181
	CALL SUBOPT_0x6F
	MOVW R30,R18
	CALL SUBOPT_0x69
	CALL SUBOPT_0x6A
	CALL SUBOPT_0x62
	CALL SUBOPT_0x23
	LDD  R30,Y+18
	CALL SUBOPT_0x70
	SUBI R30,LOW(-241)
	SBCI R31,HIGH(-241)
	CALL SUBOPT_0x6E
	LDD  R26,Y+13
	CPI  R26,LOW(0x22)
	BRNE _0xD1
	CALL SUBOPT_0x71
_0xD1:
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,201
	CALL SUBOPT_0x6F
	MOVW R30,R18
	CALL SUBOPT_0x69
	CALL SUBOPT_0x6A
	CALL SUBOPT_0x62
	CALL SUBOPT_0x27
	LDD  R30,Y+17
	CALL SUBOPT_0x70
	SUBI R30,LOW(-249)
	SBCI R31,HIGH(-249)
	CALL SUBOPT_0x6E
	LDD  R26,Y+13
	CPI  R26,LOW(0x23)
	BRNE _0xD2
	CALL SUBOPT_0x71
_0xD2:
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,221
	CALL SUBOPT_0x6F
	MOVW R30,R18
	CALL SUBOPT_0x69
	CALL SUBOPT_0x6A
	CALL SUBOPT_0x62
	CALL SUBOPT_0x2E
	LDD  R30,Y+16
	CALL SUBOPT_0x70
	SUBI R30,LOW(-250)
	SBCI R31,HIGH(-250)
	CALL SUBOPT_0x6E
	LDD  R26,Y+13
	CPI  R26,LOW(0x24)
	BRNE _0xD3
	CALL SUBOPT_0x71
_0xD3:
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,241
	CALL SUBOPT_0x6F
	MOVW R30,R18
	CALL SUBOPT_0x69
	CALL SUBOPT_0x6A
	CALL SUBOPT_0x62
	CALL SUBOPT_0x34
	LDD  R30,Y+15
	CALL SUBOPT_0x70
	SUBI R30,LOW(-256)
	SBCI R31,HIGH(-256)
	CALL SUBOPT_0x6E
	LDD  R26,Y+13
	CPI  R26,LOW(0x25)
	BRNE _0xD4
	CALL SUBOPT_0x71
_0xD4:
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,261
	CALL SUBOPT_0x6F
	MOVW R30,R18
	CALL SUBOPT_0x69
	CALL SUBOPT_0x6A
	CALL SUBOPT_0x62
	CALL SUBOPT_0x5F
	LDD  R30,Y+14
	CALL SUBOPT_0x70
	SUBI R30,LOW(-257)
	SBCI R31,HIGH(-257)
	CALL SUBOPT_0x6E
	LDD  R26,Y+13
	CPI  R26,LOW(0x26)
	BRNE _0xD5
	CALL SUBOPT_0x71
_0xD5:
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,281
	CALL SUBOPT_0x6F
	MOVW R30,R18
	CALL SUBOPT_0x69
	CALL SUBOPT_0x6A
	CALL SUBOPT_0x62
	LDI  R30,LOW(7)
	ST   -Y,R30
	CALL SUBOPT_0x15
	LDD  R30,Y+13
	ST   -Y,R30
	CALL SUBOPT_0x58
	ADIW R28,14
	RET
_menu_39__45:
	SBIW R28,5
	CALL __SAVELOCR6
;	menu -> Y+11
;	a -> R16,R17
;	b -> R19
;	c -> R20,R21
;	d -> R18
;	st -> Y+10
;	address -> Y+8
;	res -> Y+6
	LDI  R19,LOW(2)
	RCALL _LCD_clear
	CALL SUBOPT_0x15
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(17)
	ST   -Y,R30
	LDI  R30,LOW(5)
	LDI  R31,HIGH(5)
	CALL SUBOPT_0x5A
	LDI  R30,LOW(5)
	ST   -Y,R30
	RCALL _page_kolonka_SL_massiv_nmass_inv_peren
	LDD  R30,Y+11
	CPI  R30,LOW(0x27)
	BRNE _0xD9
	__GETWRN 16,17,11
	__GETWRN 20,21,1
	LDI  R30,LOW(_txt27)
	LDI  R31,HIGH(_txt27)
	CALL SUBOPT_0x14
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(10)
	RJMP _0x68A
_0xD9:
	CPI  R30,LOW(0x28)
	BRNE _0xDA
	__GETWRN 16,17,224
	__GETWRN 20,21,36
	LDI  R30,LOW(_txt28)
	LDI  R31,HIGH(_txt28)
	CALL SUBOPT_0x14
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(10)
	RJMP _0x68A
_0xDA:
	CPI  R30,LOW(0x29)
	BRNE _0xDB
	__GETWRN 16,17,241
	__GETWRN 20,21,36
	LDI  R30,LOW(_txt29)
	LDI  R31,HIGH(_txt29)
	CALL SUBOPT_0x14
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(10)
	RJMP _0x68A
_0xDB:
	CPI  R30,LOW(0x2A)
	BRNE _0xDC
	__GETWRN 16,17,249
	__GETWRN 20,21,36
	LDI  R30,LOW(_txt30)
	LDI  R31,HIGH(_txt30)
	CALL SUBOPT_0x14
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(10)
	RJMP _0x68A
_0xDC:
	CPI  R30,LOW(0x2B)
	BRNE _0xDD
	__GETWRN 16,17,250
	__GETWRN 20,21,36
	LDI  R30,LOW(_txt31)
	LDI  R31,HIGH(_txt31)
	RJMP _0x68B
_0xDD:
	CPI  R30,LOW(0x2C)
	BRNE _0xDE
	__GETWRN 16,17,256
	__GETWRN 20,21,36
	LDI  R30,LOW(_txt32)
	LDI  R31,HIGH(_txt32)
	RJMP _0x68B
_0xDE:
	CPI  R30,LOW(0x2D)
	BRNE _0xD8
	__GETWRN 16,17,257
	__GETWRN 20,21,36
	LDI  R30,LOW(_txt33)
	LDI  R31,HIGH(_txt33)
_0x68B:
	ST   -Y,R31
	ST   -Y,R30
	CALL SUBOPT_0x1F
	LDI  R30,LOW(8)
_0x68A:
	ST   -Y,R30
	CALL SUBOPT_0x15
	RCALL _putstr
_0xD8:
	LDI  R30,LOW(0)
	STD  Y+10,R30
	LDI  R19,LOW(2)
	LDI  R18,LOW(0)
_0xE1:
	CPI  R18,6
	BRSH _0xE2
	CALL SUBOPT_0x72
	STD  Y+6,R30
	STD  Y+6+1,R31
	CALL SUBOPT_0x19
	CALL SUBOPT_0x73
	LDD  R30,Y+14
	LDD  R31,Y+14+1
	CALL SUBOPT_0x69
	CALL SUBOPT_0x6A
	CALL SUBOPT_0x62
	ST   -Y,R19
	CALL SUBOPT_0x15
	CALL SUBOPT_0x3D
	CALL SUBOPT_0x74
	SUBI R18,-1
	RJMP _0xE1
_0xE2:
	LDI  R19,LOW(2)
	LDI  R18,LOW(0)
_0xE4:
	CPI  R18,6
	BRSH _0xE5
	CALL SUBOPT_0x72
	STD  Y+6,R30
	STD  Y+6+1,R31
	CALL SUBOPT_0x19
	CALL SUBOPT_0x73
	LDD  R30,Y+14
	LDD  R31,Y+14+1
	CALL SUBOPT_0x69
	CALL SUBOPT_0x66
	CALL SUBOPT_0x1E
	ST   -Y,R19
	CALL SUBOPT_0x15
	CALL SUBOPT_0x3D
	CALL SUBOPT_0x74
	SUBI R18,-1
	RJMP _0xE4
_0xE5:
	CALL __LOADLOCR6
	ADIW R28,12
	RET
_menu_46__54:
	SBIW R28,1
	CALL __SAVELOCR6
;	menu -> Y+7
;	d -> R17
;	address -> R18,R19
;	res -> R20,R21
;	b -> R16
;	inv1 -> Y+6
	LDD  R26,Y+7
	CPI  R26,LOW(0x2E)
	BRNE _0xE6
	LDI  R30,LOW(1)
	RJMP _0x68C
_0xE6:
	LDI  R30,LOW(0)
_0x68C:
	STD  Y+6,R30
	CALL _LCD_clear
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,307
	CALL SUBOPT_0x75
	CALL SUBOPT_0x15
	CALL SUBOPT_0x15
	CALL SUBOPT_0x63
	__POINTW1FN _0x0,158
	CALL SUBOPT_0x6C
	CALL SUBOPT_0x6D
	CALL SUBOPT_0x1E
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(48)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDD  R30,Y+13
	ST   -Y,R30
	CALL SUBOPT_0x63
	__POINTW1FN _0x0,327
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_stage
	LDS  R31,_stage+1
	ADIW R30,33
	CALL SUBOPT_0x69
	CALL SUBOPT_0x6B
	CALL SUBOPT_0x1F
	CALL SUBOPT_0x3D
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,346
	CALL SUBOPT_0x75
	CALL SUBOPT_0x23
	CALL SUBOPT_0x3D
	LDS  R26,_stage
	LDS  R27,_stage+1
	LDI  R30,LOW(8)
	CALL __MULB1W2U
	SUBI R30,LOW(-128)
	SBCI R31,HIGH(-128)
	MOVW R18,R30
	LDI  R16,LOW(4)
	LDI  R17,LOW(0)
_0xE9:
	CPI  R17,4
	BRSH _0xEA
	LDD  R26,Y+7
	SUB  R26,R16
	CPI  R26,LOW(0x2B)
	BRNE _0xEB
	LDI  R30,LOW(1)
	RJMP _0x68D
_0xEB:
	LDI  R30,LOW(0)
_0x68D:
	STD  Y+6,R30
	CALL SUBOPT_0x76
	BRNE _0xED
	CALL SUBOPT_0x77
_0xED:
	CALL SUBOPT_0x19
	CALL SUBOPT_0x78
	MOVW R30,R20
	CALL SUBOPT_0x69
	CALL SUBOPT_0x6A
	CALL SUBOPT_0x62
	ST   -Y,R16
	CALL SUBOPT_0x15
	CALL SUBOPT_0x79
	SUBI R17,-1
	RJMP _0xE9
_0xEA:
	LDI  R16,LOW(4)
	LDI  R17,LOW(0)
_0xEF:
	CPI  R17,4
	BRSH _0xF0
	LDD  R26,Y+7
	SUB  R26,R16
	CPI  R26,LOW(0x2F)
	BRNE _0xF1
	LDI  R30,LOW(1)
	RJMP _0x68E
_0xF1:
	LDI  R30,LOW(0)
_0x68E:
	STD  Y+6,R30
	CALL SUBOPT_0x76
	BRNE _0xF3
	CALL SUBOPT_0x77
_0xF3:
	CALL SUBOPT_0x19
	CALL SUBOPT_0x78
	MOVW R30,R20
	CALL SUBOPT_0x69
	CALL SUBOPT_0x66
	CALL SUBOPT_0x1E
	ST   -Y,R16
	CALL SUBOPT_0x15
	CALL SUBOPT_0x79
	SUBI R17,-1
	RJMP _0xEF
_0xF0:
	CALL __LOADLOCR6
	ADIW R28,8
	RET
_menu_55__62:
	SBIW R28,2
	CALL __SAVELOCR6
;	menu -> Y+8
;	d -> R17
;	b -> R16
;	res -> R18,R19
;	inv -> R21
;	address -> Y+6
	CALL _LCD_clear
	LDI  R30,LOW(_txt34)
	LDI  R31,HIGH(_txt34)
	CALL SUBOPT_0x14
	LDI  R30,LOW(0)
	ST   -Y,R30
	CALL SUBOPT_0x5F
	CALL _putstr
	LDI  R30,LOW(0)
	STD  Y+6,R30
	STD  Y+6+1,R30
	LDI  R16,LOW(4)
	LDI  R17,LOW(0)
_0xF5:
	CPI  R17,4
	BRSH _0xF6
	LDD  R26,Y+8
	SUB  R26,R16
	CPI  R26,LOW(0x33)
	BRNE _0xF7
	LDI  R21,LOW(1)
	RJMP _0xF8
_0xF7:
	LDI  R21,LOW(0)
_0xF8:
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	CALL SUBOPT_0x1
	MOVW R18,R30
	CPI  R21,1
	BRNE _0xF9
	CALL SUBOPT_0x7A
_0xF9:
	CALL SUBOPT_0x19
	CALL SUBOPT_0x7B
	CALL SUBOPT_0x6B
	ST   -Y,R16
	CALL SUBOPT_0x15
	CALL SUBOPT_0x3D
	CALL SUBOPT_0x19
	CALL SUBOPT_0x7C
	CALL SUBOPT_0x6B
	ST   -Y,R16
	LDI  R30,LOW(20)
	CALL SUBOPT_0x53
	CALL SUBOPT_0x7D
	SUBI R17,-1
	RJMP _0xF5
_0xF6:
	LDI  R16,LOW(4)
	LDI  R17,LOW(0)
_0xFB:
	CPI  R17,4
	BRSH _0xFC
	LDD  R26,Y+8
	SUB  R26,R16
	CPI  R26,LOW(0x37)
	BRNE _0xFD
	LDI  R21,LOW(1)
	RJMP _0xFE
_0xFD:
	LDI  R21,LOW(0)
_0xFE:
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	CALL SUBOPT_0x1
	MOVW R18,R30
	CPI  R21,1
	BRNE _0xFF
	CALL SUBOPT_0x7A
_0xFF:
	CALL SUBOPT_0x19
	CALL SUBOPT_0x7B
	CALL SUBOPT_0x6D
	CALL SUBOPT_0x1E
	ST   -Y,R16
	CALL SUBOPT_0x15
	CALL SUBOPT_0x3D
	CALL SUBOPT_0x19
	CALL SUBOPT_0x7C
	CALL SUBOPT_0x6D
	CALL SUBOPT_0x1E
	ST   -Y,R16
	LDI  R30,LOW(20)
	CALL SUBOPT_0x53
	CALL SUBOPT_0x7D
	SUBI R17,-1
	RJMP _0xFB
_0xFC:
	CALL __LOADLOCR6
	ADIW R28,9
	RET
_menu_63__64:
	ST   -Y,R17
;	men -> Y+1
;	inv -> R17
	CALL _LCD_clear
	LDI  R30,LOW(_txt35)
	LDI  R31,HIGH(_txt35)
	CALL SUBOPT_0x54
	CALL SUBOPT_0x15
	CALL SUBOPT_0x15
	CALL _putstr
	LDI  R30,LOW(_txt36)
	LDI  R31,HIGH(_txt36)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x15
	CALL SUBOPT_0x15
	CALL _putstr
	LDI  R30,LOW(_txt37)
	LDI  R31,HIGH(_txt37)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x2E
	CALL SUBOPT_0x3D
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,386
	CALL SUBOPT_0x7E
	CALL SUBOPT_0x6B
	CALL SUBOPT_0x1F
	CALL SUBOPT_0x3D
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,393
	CALL SUBOPT_0x7E
	CALL SUBOPT_0x6B
	CALL SUBOPT_0x23
	CALL SUBOPT_0x3D
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,386
	CALL SUBOPT_0x7F
	CALL SUBOPT_0x6B
	CALL SUBOPT_0x34
	CALL SUBOPT_0x3D
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,393
	CALL SUBOPT_0x7F
	CALL SUBOPT_0x6B
	CALL SUBOPT_0x5F
	CALL SUBOPT_0x3D
	LDD  R26,Y+1
	CPI  R26,LOW(0x3F)
	BRNE _0x100
	LDI  R17,LOW(1)
	RJMP _0x101
_0x100:
	LDI  R17,LOW(0)
_0x101:
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,390
	CALL SUBOPT_0x7E
	CALL SUBOPT_0x6D
	CALL SUBOPT_0x1E
	LDI  R30,LOW(1)
	ST   -Y,R30
	LDI  R30,LOW(10)
	ST   -Y,R30
	CALL SUBOPT_0x15
	CALL SUBOPT_0x63
	__POINTW1FN _0x0,158
	CALL SUBOPT_0x7E
	CALL SUBOPT_0x6D
	CALL SUBOPT_0x1E
	LDI  R30,LOW(2)
	CALL SUBOPT_0x80
	LDD  R26,Y+1
	CPI  R26,LOW(0x40)
	BRNE _0x102
	LDI  R17,LOW(1)
	RJMP _0x103
_0x102:
	LDI  R17,LOW(0)
_0x103:
	CALL SUBOPT_0x19
	__POINTW1FN _0x0,390
	CALL SUBOPT_0x7F
	CALL SUBOPT_0x6D
	CALL SUBOPT_0x1E
	LDI  R30,LOW(5)
	ST   -Y,R30
	LDI  R30,LOW(10)
	ST   -Y,R30
	CALL SUBOPT_0x15
	CALL SUBOPT_0x63
	__POINTW1FN _0x0,158
	CALL SUBOPT_0x7F
	CALL SUBOPT_0x6D
	CALL SUBOPT_0x1E
	LDI  R30,LOW(6)
	CALL SUBOPT_0x80
	LDD  R17,Y+0
	ADIW R28,2
	RET
_menu_66__69:
	CALL __SAVELOCR6
;	menu -> Y+6
;	inv1 -> R17
;	inv2 -> R16
;	inv3 -> R19
;	inv4 -> R18
;	p -> R21
	LDD  R30,Y+6
	CPI  R30,LOW(0x42)
	BRNE _0x107
	LDI  R17,LOW(1)
	LDI  R16,LOW(0)
	LDI  R19,LOW(0)
	LDI  R18,LOW(0)
	RJMP _0x68F
_0x107:
	CPI  R30,LOW(0x43)
	BRNE _0x108
	LDI  R16,LOW(1)
	LDI  R17,LOW(0)
	LDI  R19,LOW(0)
	LDI  R18,LOW(0)
	RJMP _0x68F
_0x108:
	CPI  R30,LOW(0x44)
	BRNE _0x109
	LDI  R19,LOW(1)
	LDI  R17,LOW(0)
	LDI  R16,LOW(0)
	LDI  R18,LOW(0)
	RJMP _0x68F
_0x109:
	CPI  R30,LOW(0x45)
	BRNE _0x106
	LDI  R18,LOW(1)
	LDI  R17,LOW(0)
	LDI  R16,LOW(0)
	LDI  R19,LOW(0)
_0x68F:
	LDD  R30,Y+6
	STS  _menu_temp,R30
_0x106:
	CALL _LCD_clear
	LDI  R21,LOW(2)
_0x10C:
	CPI  R21,6
	BRSH _0x10D
	ST   -Y,R21
	CALL SUBOPT_0x36
	SUBI R21,-1
	RJMP _0x10C
_0x10D:
	LDI  R30,LOW(_txt39)
	LDI  R31,HIGH(_txt39)
	CALL SUBOPT_0x14
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(23)
	ST   -Y,R30
	CALL SUBOPT_0x15
	CALL _putstr
	LDI  R30,LOW(_txt40)
	LDI  R31,HIGH(_txt40)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x23
	ST   -Y,R17
	CALL _putstr
	LDI  R30,LOW(_txt41)
	LDI  R31,HIGH(_txt41)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x27
	ST   -Y,R16
	CALL _putstr
	LDI  R30,LOW(_txt42)
	LDI  R31,HIGH(_txt42)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x2E
	ST   -Y,R19
	CALL _putstr
	LDI  R30,LOW(_txt43)
	LDI  R31,HIGH(_txt43)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x34
	ST   -Y,R18
	CALL SUBOPT_0x58
	ADIW R28,7
	RET
_display_menu:
;	num_of_menu -> Y+0
	LD   R30,Y
	CPI  R30,0
	BRNE _0x111
	RCALL _menu_0
	RJMP _0x110
_0x111:
	CPI  R30,LOW(0x1)
	BRNE _0x112
	CALL SUBOPT_0x81
	LDI  R30,LOW(0)
	CALL SUBOPT_0x82
	CALL SUBOPT_0x83
	CALL SUBOPT_0x60
	CALL SUBOPT_0x84
	CALL SUBOPT_0x60
	CALL SUBOPT_0x85
	CALL SUBOPT_0x60
	CALL SUBOPT_0x86
	CALL SUBOPT_0x60
	LDI  R30,LOW(4)
	ST   -Y,R30
	LDI  R30,LOW(61)
	ST   -Y,R30
	CALL SUBOPT_0x3
	CALL SUBOPT_0x87
	CALL SUBOPT_0x88
	LDI  R30,LOW(_txt1)
	LDI  R31,HIGH(_txt1)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x89
	CALL _putstr
	RJMP _0x110
_0x112:
	CPI  R30,LOW(0x2)
	BRNE _0x113
	CALL SUBOPT_0x81
	LDI  R30,LOW(1)
	CALL SUBOPT_0x82
	CALL SUBOPT_0x83
	CALL SUBOPT_0x60
	CALL SUBOPT_0x84
	CALL SUBOPT_0x60
	CALL SUBOPT_0x85
	CALL SUBOPT_0x60
	CALL SUBOPT_0x86
	CALL SUBOPT_0x60
	LDI  R30,LOW(4)
	ST   -Y,R30
	LDI  R30,LOW(78)
	ST   -Y,R30
	CALL SUBOPT_0x3
	CALL SUBOPT_0x87
	CALL SUBOPT_0x88
	LDI  R30,LOW(_txt2)
	LDI  R31,HIGH(_txt2)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x89
	CALL _putstr
	RJMP _0x110
_0x113:
	CPI  R30,LOW(0x3)
	BRNE _0x114
	CALL SUBOPT_0x81
	LDI  R30,LOW(2)
	CALL SUBOPT_0x82
	CALL SUBOPT_0x83
	CALL SUBOPT_0x60
	CALL SUBOPT_0x84
	CALL SUBOPT_0x60
	CALL SUBOPT_0x85
	CALL SUBOPT_0x60
	CALL SUBOPT_0x86
	CALL SUBOPT_0x60
	LDI  R30,LOW(4)
	ST   -Y,R30
	LDI  R30,LOW(95)
	ST   -Y,R30
	CALL SUBOPT_0x3
	CALL SUBOPT_0x87
	CALL SUBOPT_0x88
	LDI  R30,LOW(_txt8)
	LDI  R31,HIGH(_txt8)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x89
	CALL _putstr
	RJMP _0x110
_0x114:
	CPI  R30,LOW(0x4)
	BRNE _0x115
	CALL SUBOPT_0x81
	LDI  R30,LOW(3)
	CALL SUBOPT_0x82
	CALL SUBOPT_0x83
	CALL SUBOPT_0x60
	CALL SUBOPT_0x84
	CALL SUBOPT_0x60
	CALL SUBOPT_0x85
	CALL SUBOPT_0x60
	CALL SUBOPT_0x86
	CALL SUBOPT_0x60
	LDI  R30,LOW(4)
	ST   -Y,R30
	LDI  R30,LOW(112)
	ST   -Y,R30
	CALL SUBOPT_0x3
	CALL SUBOPT_0x87
	CALL SUBOPT_0x88
	LDI  R30,LOW(_txt3)
	LDI  R31,HIGH(_txt3)
	CALL SUBOPT_0x14
	CALL SUBOPT_0x89
	CALL _putstr
	RJMP _0x110
_0x115:
	CPI  R30,LOW(0x5)
	BRNE _0x116
	CALL SUBOPT_0x1F
	CALL SUBOPT_0x15
	LDI  R30,LOW(0)
	RJMP _0x690
_0x116:
	CPI  R30,LOW(0x6)
	BRNE _0x117
	CALL SUBOPT_0x1E
	CALL SUBOPT_0x15
	LDI  R30,LOW(0)
	ST   -Y,R30
	RJMP _0x690
_0x117:
	CPI  R30,LOW(0x7)
	BRNE _0x118
	CALL SUBOPT_0x15
	CALL SUBOPT_0x1F
	LDI  R30,LOW(0)
	RJMP _0x690
_0x118:
	CPI  R30,LOW(0x8)
	BRNE _0x119
	CALL SUBOPT_0x15
	CALL SUBOPT_0x1E
	LDI  R30,LOW(0)
	ST   -Y,R30
	RJMP _0x690
_0x119:
	CPI  R30,LOW(0x9)
	BRNE _0x11A
	CALL SUBOPT_0x5E
	CALL _menu_9_10
	RJMP _0x110
_0x11A:
	CPI  R30,LOW(0xA)
	BRNE _0x11B
	CALL SUBOPT_0x1E
	CALL _menu_9_10
	RJMP _0x110
_0x11B:
	CPI  R30,LOW(0xB)
	BRNE _0x11C
	CALL SUBOPT_0x1F
	CALL SUBOPT_0x15
	LDI  R30,LOW(0)
	ST   -Y,R30
	CALL _menu_11__16
	RJMP _0x110
_0x11C:
	CPI  R30,LOW(0xC)
	BRNE _0x11D
	CALL SUBOPT_0x1E
	CALL SUBOPT_0x15
	CALL SUBOPT_0x15
	CALL _menu_11__16
	RJMP _0x110
_0x11D:
	CPI  R30,LOW(0xD)
	BRNE _0x11E
	CALL SUBOPT_0x15
	CALL SUBOPT_0x1F
	LDI  R30,LOW(0)
	ST   -Y,R30
	CALL _menu_11__16
	RJMP _0x110
_0x11E:
	CPI  R30,LOW(0xE)
	BRNE _0x11F
	CALL SUBOPT_0x15
	CALL SUBOPT_0x1E
	CALL SUBOPT_0x15
	CALL _menu_11__16
	RJMP _0x110
_0x11F:
	CPI  R30,LOW(0xF)
	BRNE _0x120
	CALL SUBOPT_0x15
	CALL SUBOPT_0x15
	CALL SUBOPT_0x5E
	CALL _menu_11__16
	RJMP _0x110
_0x120:
	CPI  R30,LOW(0x10)
	BRNE _0x121
	CALL SUBOPT_0x15
	CALL SUBOPT_0x15
	CALL SUBOPT_0x1E
	CALL _menu_11__16
	RJMP _0x110
_0x121:
	CPI  R30,LOW(0x11)
	BRNE _0x122
	CALL SUBOPT_0x5E
	CALL _menu_17_18
	RJMP _0x110
_0x122:
	CPI  R30,LOW(0x12)
	BRNE _0x123
	CALL SUBOPT_0x1E
	CALL _menu_17_18
	RJMP _0x110
_0x123:
	CPI  R30,LOW(0x13)
	BRNE _0x124
	CALL SUBOPT_0x8A
	RJMP _0x110
_0x124:
	CPI  R30,LOW(0x14)
	BRNE _0x125
	CALL SUBOPT_0x8A
	RJMP _0x110
_0x125:
	CPI  R30,LOW(0x15)
	BRNE _0x126
	CALL SUBOPT_0x8A
	RJMP _0x110
_0x126:
	CPI  R30,LOW(0x16)
	BRNE _0x127
	CALL SUBOPT_0x8B
	RJMP _0x110
_0x127:
	CPI  R30,LOW(0x17)
	BRNE _0x128
	CALL SUBOPT_0x8B
	RJMP _0x110
_0x128:
	CPI  R30,LOW(0x1B)
	BRNE _0x129
	CALL SUBOPT_0x8B
	RJMP _0x110
_0x129:
	CPI  R30,LOW(0x1C)
	BRNE _0x12A
	CALL SUBOPT_0x8B
	RJMP _0x110
_0x12A:
	CPI  R30,LOW(0x1D)
	BRNE _0x12B
	CALL SUBOPT_0x15
	CALL SUBOPT_0x15
	LDI  R30,LOW(1)
	ST   -Y,R30
	LDI  R30,LOW(0)
	RJMP _0x690
_0x12B:
	CPI  R30,LOW(0x1E)
	BRNE _0x12C
	RCALL _menu_30
	RJMP _0x110
_0x12C:
	CPI  R30,LOW(0x3F)
	BRNE _0x12D
	LD   R30,Y
	ST   -Y,R30
	RCALL _menu_63__64
	RJMP _0x110
_0x12D:
	CPI  R30,LOW(0x40)
	BRNE _0x12E
	LD   R30,Y
	ST   -Y,R30
	RCALL _menu_63__64
	RJMP _0x110
_0x12E:
	CPI  R30,LOW(0x41)
	BRNE _0x110
	CALL SUBOPT_0x15
	CALL SUBOPT_0x15
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(1)
_0x690:
	ST   -Y,R30
	CALL _menu_5_6_7_8_29_65
_0x110:
	LD   R26,Y
	CPI  R26,LOW(0x18)
	BRLO _0x131
	CPI  R26,LOW(0x1B)
	BRLO _0x132
_0x131:
	RJMP _0x130
_0x132:
	LD   R30,Y
	ST   -Y,R30
	RCALL _menu_24_25_26
_0x130:
	LD   R26,Y
	CPI  R26,LOW(0x1F)
	BRLO _0x134
	CPI  R26,LOW(0x27)
	BRLO _0x135
_0x134:
	RJMP _0x133
_0x135:
	LD   R30,Y
	ST   -Y,R30
	RCALL _menu_31__38
_0x133:
	LD   R26,Y
	CPI  R26,LOW(0x27)
	BRLO _0x137
	CPI  R26,LOW(0x2E)
	BRLO _0x138
_0x137:
	RJMP _0x136
_0x138:
	LD   R30,Y
	ST   -Y,R30
	RCALL _menu_39__45
_0x136:
	LD   R26,Y
	CPI  R26,LOW(0x2E)
	BRLO _0x13A
	CPI  R26,LOW(0x37)
	BRLO _0x13B
_0x13A:
	RJMP _0x139
_0x13B:
	LD   R30,Y
	ST   -Y,R30
	RCALL _menu_46__54
_0x139:
	LD   R26,Y
	CPI  R26,LOW(0x37)
	BRLO _0x13D
	CPI  R26,LOW(0x3F)
	BRLO _0x13E
_0x13D:
	RJMP _0x13C
_0x13E:
	LD   R30,Y
	ST   -Y,R30
	RCALL _menu_55__62
_0x13C:
	LD   R26,Y
	CPI  R26,LOW(0x42)
	BRLO _0x140
	CPI  R26,LOW(0x46)
	BRLO _0x141
_0x140:
	RJMP _0x13F
_0x141:
	LD   R30,Y
	ST   -Y,R30
	RCALL _menu_66__69
_0x13F:
	RJMP _0x20E0008
;#include <RC5.h>
_RC5_decoder:
	IN   R4,50
	LDI  R30,LOW(0)
	OUT  0x32,R30
	SET
	BLD  R2,1
	TST  R5
	BRNE _0x142
	LDI  R30,LOW(4)
	OUT  0x33,R30
	CALL SUBOPT_0x8C
	SET
	BLD  R2,0
	RJMP _0x143
_0x142:
	LDI  R30,LOW(44)
	CP   R30,R4
	BRSH _0x145
	LDI  R30,LOW(68)
	CP   R4,R30
	BRLO _0x146
_0x145:
	RJMP _0x144
_0x146:
	SBRS R2,0
	RJMP _0x147
	CLT
	BLD  R2,0
	RJMP _0x691
_0x147:
	SET
	BLD  R2,0
	CALL SUBOPT_0x8C
_0x691:
	CLT
	BLD  R2,1
_0x144:
	LDI  R30,LOW(80)
	CP   R30,R4
	BRSH _0x14A
	LDI  R30,LOW(136)
	CP   R4,R30
	BRLO _0x14B
_0x14A:
	RJMP _0x149
_0x14B:
	CALL SUBOPT_0x8C
	CLT
	BLD  R2,1
_0x149:
	SBRS R2,1
	RJMP _0x14C
	SBIW R28,1
	LDI  R30,LOW(0)
	ST   Y,R30
;	i -> Y+0
	CALL SUBOPT_0x4
	CLR  R4
	CLR  R5
	LDI  R30,LOW(0)
	ST   Y,R30
_0x14E:
	LD   R26,Y
	CPI  R26,LOW(0xE)
	BRGE _0x14F
	CALL SUBOPT_0x8D
	LD   R30,Y
	SUBI R30,-LOW(1)
	ST   Y,R30
	RJMP _0x14E
_0x14F:
	ADIW R28,1
_0x14C:
	LDI  R30,LOW(14)
	CP   R30,R5
	BREQ PC+3
	JMP _0x150
	SBIW R28,1
	LDI  R30,LOW(0)
	ST   Y,R30
;	i -> Y+0
	CALL SUBOPT_0x4
	CLR  R5
	LDS  R7,_code
	__GETBRMN 6,_code,1
	__GETBRMN 9,_code,2
	__GETB1MN _code,3
	SWAP R30
	ANDI R30,0xF0
	MOV  R26,R30
	__GETB1MN _code,4
	LSL  R30
	LSL  R30
	LSL  R30
	OR   R30,R26
	MOV  R26,R30
	__GETB1MN _code,5
	LSL  R30
	LSL  R30
	OR   R30,R26
	MOV  R26,R30
	__GETB1MN _code,6
	LSL  R30
	OR   R30,R26
	MOV  R26,R30
	__GETB1MN _code,7
	OR   R30,R26
	MOV  R8,R30
	__GETB1MN _code,8
	SWAP R30
	ANDI R30,0xF0
	LSL  R30
	MOV  R26,R30
	__GETB1MN _code,9
	SWAP R30
	ANDI R30,0xF0
	OR   R30,R26
	MOV  R26,R30
	__GETB1MN _code,10
	LSL  R30
	LSL  R30
	LSL  R30
	OR   R30,R26
	MOV  R26,R30
	__GETB1MN _code,11
	LSL  R30
	LSL  R30
	OR   R30,R26
	MOV  R26,R30
	__GETB1MN _code,12
	LSL  R30
	OR   R30,R26
	MOV  R26,R30
	__GETB1MN _code,13
	OR   R30,R26
	STS  _rem_command,R30
	LDI  R30,LOW(20)
	STS  _command_tx,R30
	LDI  R30,LOW(0)
	STS  _timer,R30
	ST   Y,R30
_0x152:
	LD   R26,Y
	CPI  R26,LOW(0xE)
	BRGE _0x153
	CALL SUBOPT_0x8D
	LD   R30,Y
	SUBI R30,-LOW(1)
	ST   Y,R30
	RJMP _0x152
_0x153:
	ADIW R28,1
_0x150:
_0x143:
	RET
;#include <menu_navigation.h>
_go_to_menu:
;	me -> Y+0
	CALL SUBOPT_0x8E
	LD   R30,Y
	STS  _tek_menu,R30
	LDS  R30,_tek_menu
	CPI  R30,0
	BRNE _0x154
	LDI  R30,LOW(1)
	STS  _Refr4,R30
_0x154:
	CALL SUBOPT_0x8F
_0x20E0008:
	ADIW R28,1
	RET
_menu_navi:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x156
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x0)
	BRNE _0x156
	LDS  R26,_rem_command
	CPI  R26,LOW(0x30)
	BRNE _0x156
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x157
_0x156:
	RJMP _0x155
_0x157:
	STS  _tog_ch,R9
	LDI  R30,LOW(1)
	STS  _tek_menu,R30
	CALL SUBOPT_0x8F
	LDI  R30,LOW(10)
	STS  _command_tx,R30
_0x155:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x159
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1)
	BRNE _0x159
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x15A
_0x159:
	RJMP _0x158
_0x15A:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x10)
	BRNE _0x15E
	LDI  R30,LOW(2)
	RJMP _0x692
_0x15E:
	CPI  R30,LOW(0x11)
	BRNE _0x15F
	LDI  R30,LOW(4)
	RJMP _0x692
_0x15F:
	CPI  R30,LOW(0x3B)
	BRNE _0x160
	LDI  R30,LOW(5)
	RJMP _0x692
_0x160:
	CPI  R30,LOW(0x21)
	BRNE _0x161
	LDI  R30,LOW(5)
	RJMP _0x692
_0x161:
	CPI  R30,LOW(0x30)
	BREQ _0x693
	CPI  R30,LOW(0x22)
	BRNE _0x15D
_0x693:
	LDI  R30,LOW(0)
_0x692:
	ST   -Y,R30
	RCALL _go_to_menu
_0x15D:
_0x158:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x165
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x2)
	BRNE _0x165
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x166
_0x165:
	RJMP _0x164
_0x166:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x10)
	BRNE _0x16A
	LDI  R30,LOW(3)
	RJMP _0x694
_0x16A:
	CPI  R30,LOW(0x11)
	BRNE _0x16B
	LDI  R30,LOW(1)
	RJMP _0x694
_0x16B:
	CPI  R30,LOW(0x3B)
	BRNE _0x16C
	LDI  R30,LOW(9)
	RJMP _0x694
_0x16C:
	CPI  R30,LOW(0x21)
	BRNE _0x16D
	LDI  R30,LOW(9)
	RJMP _0x694
_0x16D:
	CPI  R30,LOW(0x30)
	BREQ _0x695
	CPI  R30,LOW(0x22)
	BRNE _0x169
_0x695:
	LDI  R30,LOW(0)
_0x694:
	ST   -Y,R30
	RCALL _go_to_menu
_0x169:
_0x164:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x171
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x3)
	BRNE _0x171
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x172
_0x171:
	RJMP _0x170
_0x172:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x10)
	BRNE _0x176
	LDI  R30,LOW(4)
	RJMP _0x696
_0x176:
	CPI  R30,LOW(0x11)
	BRNE _0x177
	LDI  R30,LOW(2)
	RJMP _0x696
_0x177:
	CPI  R30,LOW(0x3B)
	BRNE _0x178
	LDI  R30,LOW(11)
	RJMP _0x696
_0x178:
	CPI  R30,LOW(0x21)
	BRNE _0x179
	LDI  R30,LOW(11)
	RJMP _0x696
_0x179:
	CPI  R30,LOW(0x30)
	BREQ _0x697
	CPI  R30,LOW(0x22)
	BRNE _0x175
_0x697:
	LDI  R30,LOW(0)
_0x696:
	ST   -Y,R30
	RCALL _go_to_menu
_0x175:
_0x170:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x17D
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x4)
	BRNE _0x17D
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x17E
_0x17D:
	RJMP _0x17C
_0x17E:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x3B)
	BRNE _0x180
	LDS  R26,_amp_on_act
	CPI  R26,LOW(0x0)
	BRNE _0x180
	LDS  R26,_amp_off_act
	CPI  R26,LOW(0x0)
	BREQ _0x181
_0x180:
	RJMP _0x17F
_0x181:
	LDI  R30,LOW(17)
	ST   -Y,R30
	RCALL _go_to_menu
_0x17F:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x3B)
	BRNE _0x183
	LDS  R26,_amp_on_act
	CPI  R26,LOW(0x1)
	BRNE _0x183
	LDS  R26,_amp_off_act
	CPI  R26,LOW(0x0)
	BREQ _0x184
_0x183:
	RJMP _0x182
_0x184:
	LDI  R30,LOW(19)
	ST   -Y,R30
	RCALL _go_to_menu
_0x182:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x3B)
	BRNE _0x186
	LDS  R26,_amp_on_act
	CPI  R26,LOW(0x0)
	BRNE _0x186
	LDS  R26,_amp_off_act
	CPI  R26,LOW(0x1)
	BREQ _0x187
_0x186:
	RJMP _0x185
_0x187:
	LDI  R30,LOW(24)
	ST   -Y,R30
	RCALL _go_to_menu
_0x185:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x3B)
	BRNE _0x189
	LDS  R26,_amp_on_act
	CPI  R26,LOW(0x1)
	BRNE _0x189
	LDS  R26,_amp_off_act
	CPI  R26,LOW(0x1)
	BREQ _0x18A
_0x189:
	RJMP _0x188
_0x18A:
	LDI  R30,LOW(27)
	ST   -Y,R30
	RCALL _go_to_menu
_0x188:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x21)
	BRNE _0x18C
	LDS  R26,_amp_on_act
	CPI  R26,LOW(0x0)
	BRNE _0x18C
	LDS  R26,_amp_off_act
	CPI  R26,LOW(0x0)
	BREQ _0x18D
_0x18C:
	RJMP _0x18B
_0x18D:
	LDI  R30,LOW(17)
	ST   -Y,R30
	RCALL _go_to_menu
_0x18B:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x21)
	BRNE _0x18F
	LDS  R26,_amp_on_act
	CPI  R26,LOW(0x1)
	BRNE _0x18F
	LDS  R26,_amp_off_act
	CPI  R26,LOW(0x0)
	BREQ _0x190
_0x18F:
	RJMP _0x18E
_0x190:
	LDI  R30,LOW(19)
	ST   -Y,R30
	RCALL _go_to_menu
_0x18E:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x21)
	BRNE _0x192
	LDS  R26,_amp_on_act
	CPI  R26,LOW(0x0)
	BRNE _0x192
	LDS  R26,_amp_off_act
	CPI  R26,LOW(0x1)
	BREQ _0x193
_0x192:
	RJMP _0x191
_0x193:
	LDI  R30,LOW(24)
	ST   -Y,R30
	RCALL _go_to_menu
_0x191:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x21)
	BRNE _0x195
	LDS  R26,_amp_on_act
	CPI  R26,LOW(0x1)
	BRNE _0x195
	LDS  R26,_amp_off_act
	CPI  R26,LOW(0x1)
	BREQ _0x196
_0x195:
	RJMP _0x194
_0x196:
	LDI  R30,LOW(27)
	ST   -Y,R30
	RCALL _go_to_menu
_0x194:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x10)
	BRNE _0x19A
	LDI  R30,LOW(1)
	RJMP _0x698
_0x19A:
	CPI  R30,LOW(0x11)
	BRNE _0x19B
	LDI  R30,LOW(3)
	RJMP _0x698
_0x19B:
	CPI  R30,LOW(0x30)
	BREQ _0x699
	CPI  R30,LOW(0x22)
	BRNE _0x199
_0x699:
	LDI  R30,LOW(0)
_0x698:
	ST   -Y,R30
	RCALL _go_to_menu
_0x199:
_0x17C:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x19F
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x5)
	BRNE _0x19F
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x1A0
_0x19F:
	RJMP _0x19E
_0x1A0:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x21)
	BRNE _0x1A4
	LDI  R30,LOW(6)
	RJMP _0x69A
_0x1A4:
	CPI  R30,LOW(0x20)
	BREQ _0x69B
	CPI  R30,LOW(0x30)
	BRNE _0x1A6
	LDI  R30,LOW(0)
	RJMP _0x69A
_0x1A6:
	CPI  R30,LOW(0x22)
	BRNE _0x1A3
_0x69B:
	LDI  R30,LOW(1)
_0x69A:
	ST   -Y,R30
	RCALL _go_to_menu
_0x1A3:
_0x19E:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x1A9
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x6)
	BRNE _0x1A9
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x1AA
_0x1A9:
	RJMP _0x1A8
_0x1AA:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x21)
	BRNE _0x1AE
	LDI  R30,LOW(7)
	RJMP _0x69C
_0x1AE:
	CPI  R30,LOW(0x20)
	BRNE _0x1AF
	LDI  R30,LOW(5)
	RJMP _0x69C
_0x1AF:
	CPI  R30,LOW(0x30)
	BRNE _0x1B0
	LDI  R30,LOW(0)
	RJMP _0x69C
_0x1B0:
	CPI  R30,LOW(0x22)
	BRNE _0x1AD
	LDI  R30,LOW(1)
_0x69C:
	ST   -Y,R30
	RCALL _go_to_menu
_0x1AD:
_0x1A8:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x1B3
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x7)
	BRNE _0x1B3
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x1B4
_0x1B3:
	RJMP _0x1B2
_0x1B4:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x21)
	BRNE _0x1B8
	LDI  R30,LOW(8)
	RJMP _0x69D
_0x1B8:
	CPI  R30,LOW(0x20)
	BRNE _0x1B9
	LDI  R30,LOW(6)
	RJMP _0x69D
_0x1B9:
	CPI  R30,LOW(0x30)
	BRNE _0x1BA
	LDI  R30,LOW(0)
	RJMP _0x69D
_0x1BA:
	CPI  R30,LOW(0x22)
	BRNE _0x1B7
	LDI  R30,LOW(1)
_0x69D:
	ST   -Y,R30
	RCALL _go_to_menu
_0x1B7:
_0x1B2:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x1BD
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x8)
	BRNE _0x1BD
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x1BE
_0x1BD:
	RJMP _0x1BC
_0x1BE:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x1C2
	LDI  R30,LOW(7)
	RJMP _0x69E
_0x1C2:
	CPI  R30,LOW(0x21)
	BRNE _0x1C3
	LDI  R30,LOW(29)
	RJMP _0x69E
_0x1C3:
	CPI  R30,LOW(0x30)
	BRNE _0x1C4
	LDI  R30,LOW(0)
	RJMP _0x69E
_0x1C4:
	CPI  R30,LOW(0x22)
	BRNE _0x1C1
	LDI  R30,LOW(1)
_0x69E:
	ST   -Y,R30
	RCALL _go_to_menu
_0x1C1:
_0x1BC:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x1C7
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x9)
	BRNE _0x1C7
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x1C8
_0x1C7:
	RJMP _0x1C6
_0x1C8:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x21)
	BRNE _0x1CC
	LDI  R30,LOW(10)
	RJMP _0x69F
_0x1CC:
	CPI  R30,LOW(0x20)
	BREQ _0x6A0
	CPI  R30,LOW(0x30)
	BRNE _0x1CE
	LDI  R30,LOW(0)
	RJMP _0x69F
_0x1CE:
	CPI  R30,LOW(0x22)
	BRNE _0x1CB
_0x6A0:
	LDI  R30,LOW(2)
_0x69F:
	ST   -Y,R30
	RCALL _go_to_menu
_0x1CB:
_0x1C6:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x1D1
	LDS  R26,_tek_menu
	CPI  R26,LOW(0xA)
	BRNE _0x1D1
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x1D2
_0x1D1:
	RJMP _0x1D0
_0x1D2:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x1D6
	LDI  R30,LOW(9)
	RJMP _0x6A1
_0x1D6:
	CPI  R30,LOW(0x30)
	BRNE _0x1D7
	LDI  R30,LOW(0)
	RJMP _0x6A1
_0x1D7:
	CPI  R30,LOW(0x22)
	BRNE _0x1D5
	LDI  R30,LOW(2)
_0x6A1:
	ST   -Y,R30
	RCALL _go_to_menu
_0x1D5:
_0x1D0:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x1DA
	LDS  R26,_tek_menu
	CPI  R26,LOW(0xB)
	BRNE _0x1DA
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x1DB
_0x1DA:
	RJMP _0x1D9
_0x1DB:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BREQ _0x6A2
	CPI  R30,LOW(0x21)
	BRNE _0x1E0
	LDI  R30,LOW(14)
	RJMP _0x6A3
_0x1E0:
	CPI  R30,LOW(0x10)
	BRNE _0x1E1
	LDI  R30,LOW(12)
	RJMP _0x6A3
_0x1E1:
	CPI  R30,LOW(0x11)
	BRNE _0x1E2
	LDI  R30,LOW(16)
	RJMP _0x6A3
_0x1E2:
	CPI  R30,LOW(0x30)
	BRNE _0x1E3
	LDI  R30,LOW(0)
	RJMP _0x6A3
_0x1E3:
	CPI  R30,LOW(0x22)
	BRNE _0x1DE
_0x6A2:
	LDI  R30,LOW(3)
_0x6A3:
	ST   -Y,R30
	RCALL _go_to_menu
_0x1DE:
_0x1D9:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x1E6
	LDS  R26,_tek_menu
	CPI  R26,LOW(0xC)
	BRNE _0x1E6
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x1E7
_0x1E6:
	RJMP _0x1E5
_0x1E7:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x21)
	BRNE _0x1EB
	LDI  R30,LOW(15)
	RJMP _0x6A4
_0x1EB:
	CPI  R30,LOW(0x10)
	BRNE _0x1EC
	LDI  R30,LOW(13)
	RJMP _0x6A4
_0x1EC:
	CPI  R30,LOW(0x11)
	BRNE _0x1ED
	LDI  R30,LOW(11)
	RJMP _0x6A4
_0x1ED:
	CPI  R30,LOW(0x30)
	BRNE _0x1EE
	LDI  R30,LOW(0)
	RJMP _0x6A4
_0x1EE:
	CPI  R30,LOW(0x22)
	BRNE _0x1EA
	LDI  R30,LOW(3)
_0x6A4:
	ST   -Y,R30
	RCALL _go_to_menu
_0x1EA:
_0x1E5:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x1F1
	LDS  R26,_tek_menu
	CPI  R26,LOW(0xD)
	BRNE _0x1F1
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x1F2
_0x1F1:
	RJMP _0x1F0
_0x1F2:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x21)
	BRNE _0x1F6
	LDI  R30,LOW(16)
	RJMP _0x6A5
_0x1F6:
	CPI  R30,LOW(0x10)
	BRNE _0x1F7
	LDI  R30,LOW(14)
	RJMP _0x6A5
_0x1F7:
	CPI  R30,LOW(0x11)
	BRNE _0x1F8
	LDI  R30,LOW(12)
	RJMP _0x6A5
_0x1F8:
	CPI  R30,LOW(0x30)
	BRNE _0x1F9
	LDI  R30,LOW(0)
	RJMP _0x6A5
_0x1F9:
	CPI  R30,LOW(0x22)
	BRNE _0x1F5
	LDI  R30,LOW(3)
_0x6A5:
	ST   -Y,R30
	RCALL _go_to_menu
_0x1F5:
_0x1F0:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x1FC
	LDS  R26,_tek_menu
	CPI  R26,LOW(0xE)
	BRNE _0x1FC
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x1FD
_0x1FC:
	RJMP _0x1FB
_0x1FD:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x201
	LDI  R30,LOW(11)
	RJMP _0x6A6
_0x201:
	CPI  R30,LOW(0x10)
	BRNE _0x202
	LDI  R30,LOW(15)
	RJMP _0x6A6
_0x202:
	CPI  R30,LOW(0x11)
	BRNE _0x203
	LDI  R30,LOW(13)
	RJMP _0x6A6
_0x203:
	CPI  R30,LOW(0x30)
	BRNE _0x204
	LDI  R30,LOW(0)
	RJMP _0x6A6
_0x204:
	CPI  R30,LOW(0x22)
	BRNE _0x200
	LDI  R30,LOW(3)
_0x6A6:
	ST   -Y,R30
	RCALL _go_to_menu
_0x200:
_0x1FB:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x207
	LDS  R26,_tek_menu
	CPI  R26,LOW(0xF)
	BRNE _0x207
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x208
_0x207:
	RJMP _0x206
_0x208:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x20C
	LDI  R30,LOW(12)
	RJMP _0x6A7
_0x20C:
	CPI  R30,LOW(0x10)
	BRNE _0x20D
	LDI  R30,LOW(16)
	RJMP _0x6A7
_0x20D:
	CPI  R30,LOW(0x11)
	BRNE _0x20E
	LDI  R30,LOW(14)
	RJMP _0x6A7
_0x20E:
	CPI  R30,LOW(0x30)
	BRNE _0x20F
	LDI  R30,LOW(0)
	RJMP _0x6A7
_0x20F:
	CPI  R30,LOW(0x22)
	BRNE _0x20B
	LDI  R30,LOW(3)
_0x6A7:
	ST   -Y,R30
	RCALL _go_to_menu
_0x20B:
_0x206:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x212
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x10)
	BRNE _0x212
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x213
_0x212:
	RJMP _0x211
_0x213:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x217
	LDI  R30,LOW(13)
	RJMP _0x6A8
_0x217:
	CPI  R30,LOW(0x10)
	BRNE _0x218
	LDI  R30,LOW(11)
	RJMP _0x6A8
_0x218:
	CPI  R30,LOW(0x11)
	BRNE _0x219
	LDI  R30,LOW(15)
	RJMP _0x6A8
_0x219:
	CPI  R30,LOW(0x30)
	BRNE _0x21A
	LDI  R30,LOW(0)
	RJMP _0x6A8
_0x21A:
	CPI  R30,LOW(0x22)
	BRNE _0x216
	LDI  R30,LOW(3)
_0x6A8:
	ST   -Y,R30
	RCALL _go_to_menu
_0x216:
_0x211:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x21D
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x11)
	BRNE _0x21D
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x21E
_0x21D:
	RJMP _0x21C
_0x21E:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BREQ _0x6A9
	CPI  R30,LOW(0x21)
	BRNE _0x223
	LDI  R30,LOW(18)
	RJMP _0x6AA
_0x223:
	CPI  R30,LOW(0x10)
	BRNE _0x224
	LDI  R30,LOW(1)
	STS  _amp_on_act,R30
	LDI  R30,LOW(19)
	RJMP _0x6AA
_0x224:
	CPI  R30,LOW(0x3B)
	BRNE _0x225
	LDI  R30,LOW(1)
	STS  _amp_on_act,R30
	LDI  R30,LOW(19)
	RJMP _0x6AA
_0x225:
	CPI  R30,LOW(0x30)
	BRNE _0x226
	LDI  R30,LOW(0)
	RJMP _0x6AA
_0x226:
	CPI  R30,LOW(0x22)
	BRNE _0x221
_0x6A9:
	LDI  R30,LOW(4)
_0x6AA:
	ST   -Y,R30
	RCALL _go_to_menu
_0x221:
_0x21C:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x229
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x12)
	BRNE _0x229
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x22A
_0x229:
	RJMP _0x228
_0x22A:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x22E
	LDI  R30,LOW(17)
	RJMP _0x6AB
_0x22E:
	CPI  R30,LOW(0x21)
	BRNE _0x22F
	LDI  R30,LOW(17)
	RJMP _0x6AB
_0x22F:
	CPI  R30,LOW(0x10)
	BRNE _0x230
	LDI  R30,LOW(1)
	STS  _amp_off_act,R30
	LDI  R30,LOW(24)
	RJMP _0x6AB
_0x230:
	CPI  R30,LOW(0x3B)
	BRNE _0x231
	LDI  R30,LOW(1)
	STS  _amp_off_act,R30
	LDI  R30,LOW(24)
	RJMP _0x6AB
_0x231:
	CPI  R30,LOW(0x30)
	BRNE _0x232
	LDI  R30,LOW(0)
	RJMP _0x6AB
_0x232:
	CPI  R30,LOW(0x22)
	BRNE _0x22D
	LDI  R30,LOW(4)
_0x6AB:
	ST   -Y,R30
	RCALL _go_to_menu
_0x22D:
_0x228:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x235
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x13)
	BRNE _0x235
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x236
_0x235:
	RJMP _0x234
_0x236:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x23A
	LDI  R30,LOW(21)
	RJMP _0x6AC
_0x23A:
	CPI  R30,LOW(0x21)
	BRNE _0x23B
	LDI  R30,LOW(21)
	RJMP _0x6AC
_0x23B:
	CPI  R30,LOW(0x10)
	BRNE _0x23C
	LDI  R30,LOW(20)
	RJMP _0x6AC
_0x23C:
	CPI  R30,LOW(0x11)
	BRNE _0x23D
	LDI  R30,LOW(20)
	RJMP _0x6AC
_0x23D:
	CPI  R30,LOW(0x3B)
	BRNE _0x23E
	LDI  R30,LOW(0)
	STS  _amp_on_act,R30
	LDI  R30,LOW(17)
	RJMP _0x6AC
_0x23E:
	CPI  R30,LOW(0x30)
	BRNE _0x23F
	LDI  R30,LOW(0)
	RJMP _0x6AC
_0x23F:
	CPI  R30,LOW(0x22)
	BRNE _0x239
	LDI  R30,LOW(4)
_0x6AC:
	ST   -Y,R30
	RCALL _go_to_menu
_0x239:
_0x234:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x242
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x14)
	BRNE _0x242
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x243
_0x242:
	RJMP _0x241
_0x243:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x247
	LDI  R30,LOW(21)
	RJMP _0x6AD
_0x247:
	CPI  R30,LOW(0x21)
	BRNE _0x248
	LDI  R30,LOW(21)
	RJMP _0x6AD
_0x248:
	CPI  R30,LOW(0x10)
	BRNE _0x249
	LDI  R30,LOW(19)
	RJMP _0x6AD
_0x249:
	CPI  R30,LOW(0x11)
	BRNE _0x24A
	LDI  R30,LOW(19)
	RJMP _0x6AD
_0x24A:
	CPI  R30,LOW(0x3B)
	BRNE _0x24B
	LDI  R30,LOW(0)
	STS  _amp_on_act,R30
	LDI  R30,LOW(17)
	RJMP _0x6AD
_0x24B:
	CPI  R30,LOW(0x30)
	BRNE _0x24C
	LDI  R30,LOW(0)
	RJMP _0x6AD
_0x24C:
	CPI  R30,LOW(0x22)
	BRNE _0x246
	LDI  R30,LOW(4)
_0x6AD:
	ST   -Y,R30
	RCALL _go_to_menu
_0x246:
_0x241:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x24F
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x15)
	BRNE _0x24F
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x250
_0x24F:
	RJMP _0x24E
_0x250:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x254
	LDI  R30,LOW(19)
	RJMP _0x6AE
_0x254:
	CPI  R30,LOW(0x21)
	BRNE _0x255
	LDI  R30,LOW(19)
	RJMP _0x6AE
_0x255:
	CPI  R30,LOW(0x10)
	BRNE _0x256
	LDI  R30,LOW(1)
	STS  _amp_off_act,R30
	LDI  R30,LOW(22)
	RJMP _0x6AE
_0x256:
	CPI  R30,LOW(0x3B)
	BRNE _0x257
	LDI  R30,LOW(1)
	STS  _amp_off_act,R30
	LDI  R30,LOW(22)
	RJMP _0x6AE
_0x257:
	CPI  R30,LOW(0x11)
	BRNE _0x258
	LDI  R30,LOW(20)
	RJMP _0x6AE
_0x258:
	CPI  R30,LOW(0x30)
	BRNE _0x259
	LDI  R30,LOW(0)
	RJMP _0x6AE
_0x259:
	CPI  R30,LOW(0x22)
	BRNE _0x253
	LDI  R30,LOW(4)
_0x6AE:
	ST   -Y,R30
	RCALL _go_to_menu
_0x253:
_0x24E:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x25C
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x16)
	BRNE _0x25C
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x25D
_0x25C:
	RJMP _0x25B
_0x25D:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x261
	LDI  R30,LOW(27)
	RJMP _0x6AF
_0x261:
	CPI  R30,LOW(0x21)
	BRNE _0x262
	LDI  R30,LOW(27)
	RJMP _0x6AF
_0x262:
	CPI  R30,LOW(0x10)
	BRNE _0x263
	LDI  R30,LOW(23)
	RJMP _0x6AF
_0x263:
	CPI  R30,LOW(0x11)
	BRNE _0x264
	LDI  R30,LOW(28)
	RJMP _0x6AF
_0x264:
	CPI  R30,LOW(0x3B)
	BRNE _0x265
	LDI  R30,LOW(0)
	STS  _amp_off_act,R30
	LDI  R30,LOW(21)
	RJMP _0x6AF
_0x265:
	CPI  R30,LOW(0x30)
	BRNE _0x266
	LDI  R30,LOW(0)
	RJMP _0x6AF
_0x266:
	CPI  R30,LOW(0x22)
	BRNE _0x260
	LDI  R30,LOW(4)
_0x6AF:
	ST   -Y,R30
	RCALL _go_to_menu
_0x260:
_0x25B:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x269
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x17)
	BRNE _0x269
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x26A
_0x269:
	RJMP _0x268
_0x26A:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x26E
	LDI  R30,LOW(28)
	RJMP _0x6B0
_0x26E:
	CPI  R30,LOW(0x21)
	BRNE _0x26F
	LDI  R30,LOW(28)
	RJMP _0x6B0
_0x26F:
	CPI  R30,LOW(0x10)
	BRNE _0x270
	LDI  R30,LOW(27)
	RJMP _0x6B0
_0x270:
	CPI  R30,LOW(0x11)
	BRNE _0x271
	LDI  R30,LOW(22)
	RJMP _0x6B0
_0x271:
	CPI  R30,LOW(0x3B)
	BRNE _0x272
	LDI  R30,LOW(0)
	STS  _amp_off_act,R30
	LDI  R30,LOW(21)
	RJMP _0x6B0
_0x272:
	CPI  R30,LOW(0x30)
	BRNE _0x273
	LDI  R30,LOW(0)
	RJMP _0x6B0
_0x273:
	CPI  R30,LOW(0x22)
	BRNE _0x26D
	LDI  R30,LOW(4)
_0x6B0:
	ST   -Y,R30
	RCALL _go_to_menu
_0x26D:
_0x268:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x276
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x18)
	BRNE _0x276
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x277
_0x276:
	RJMP _0x275
_0x277:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x27B
	LDI  R30,LOW(26)
	RJMP _0x6B1
_0x27B:
	CPI  R30,LOW(0x21)
	BRNE _0x27C
	LDI  R30,LOW(26)
	RJMP _0x6B1
_0x27C:
	CPI  R30,LOW(0x10)
	BRNE _0x27D
	LDI  R30,LOW(25)
	RJMP _0x6B1
_0x27D:
	CPI  R30,LOW(0x11)
	BRNE _0x27E
	LDI  R30,LOW(25)
	RJMP _0x6B1
_0x27E:
	CPI  R30,LOW(0x3B)
	BRNE _0x27F
	LDI  R30,LOW(0)
	STS  _amp_off_act,R30
	LDI  R30,LOW(18)
	RJMP _0x6B1
_0x27F:
	CPI  R30,LOW(0x30)
	BRNE _0x280
	LDI  R30,LOW(0)
	RJMP _0x6B1
_0x280:
	CPI  R30,LOW(0x22)
	BRNE _0x27A
	LDI  R30,LOW(4)
_0x6B1:
	ST   -Y,R30
	RCALL _go_to_menu
_0x27A:
_0x275:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x283
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x19)
	BRNE _0x283
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x284
_0x283:
	RJMP _0x282
_0x284:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x288
	LDI  R30,LOW(26)
	RJMP _0x6B2
_0x288:
	CPI  R30,LOW(0x21)
	BRNE _0x289
	LDI  R30,LOW(26)
	RJMP _0x6B2
_0x289:
	CPI  R30,LOW(0x10)
	BRNE _0x28A
	LDI  R30,LOW(24)
	RJMP _0x6B2
_0x28A:
	CPI  R30,LOW(0x11)
	BRNE _0x28B
	LDI  R30,LOW(24)
	RJMP _0x6B2
_0x28B:
	CPI  R30,LOW(0x3B)
	BRNE _0x28C
	LDI  R30,LOW(0)
	STS  _amp_off_act,R30
	LDI  R30,LOW(18)
	RJMP _0x6B2
_0x28C:
	CPI  R30,LOW(0x30)
	BRNE _0x28D
	LDI  R30,LOW(0)
	RJMP _0x6B2
_0x28D:
	CPI  R30,LOW(0x22)
	BRNE _0x287
	LDI  R30,LOW(4)
_0x6B2:
	ST   -Y,R30
	RCALL _go_to_menu
_0x287:
_0x282:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x290
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1A)
	BRNE _0x290
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x291
_0x290:
	RJMP _0x28F
_0x291:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x295
	LDI  R30,LOW(24)
	RJMP _0x6B3
_0x295:
	CPI  R30,LOW(0x21)
	BRNE _0x296
	LDI  R30,LOW(24)
	RJMP _0x6B3
_0x296:
	CPI  R30,LOW(0x10)
	BRNE _0x297
	LDI  R30,LOW(1)
	STS  _amp_on_act,R30
	LDI  R30,LOW(27)
	RJMP _0x6B3
_0x297:
	CPI  R30,LOW(0x11)
	BRNE _0x298
	LDI  R30,LOW(1)
	STS  _amp_on_act,R30
	LDI  R30,LOW(28)
	RJMP _0x6B3
_0x298:
	CPI  R30,LOW(0x3B)
	BRNE _0x299
	LDI  R30,LOW(1)
	STS  _amp_on_act,R30
	LDI  R30,LOW(27)
	RJMP _0x6B3
_0x299:
	CPI  R30,LOW(0x30)
	BRNE _0x29A
	LDI  R30,LOW(0)
	RJMP _0x6B3
_0x29A:
	CPI  R30,LOW(0x22)
	BRNE _0x294
	LDI  R30,LOW(4)
_0x6B3:
	ST   -Y,R30
	RCALL _go_to_menu
_0x294:
_0x28F:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x29D
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1B)
	BRNE _0x29D
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x29E
_0x29D:
	RJMP _0x29C
_0x29E:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x2A2
	LDI  R30,LOW(22)
	RJMP _0x6B4
_0x2A2:
	CPI  R30,LOW(0x21)
	BRNE _0x2A3
	LDI  R30,LOW(22)
	RJMP _0x6B4
_0x2A3:
	CPI  R30,LOW(0x10)
	BRNE _0x2A4
	LDI  R30,LOW(28)
	RJMP _0x6B4
_0x2A4:
	CPI  R30,LOW(0x11)
	BRNE _0x2A5
	LDI  R30,LOW(23)
	RJMP _0x6B4
_0x2A5:
	CPI  R30,LOW(0x3B)
	BRNE _0x2A6
	LDI  R30,LOW(0)
	STS  _amp_on_act,R30
	LDI  R30,LOW(26)
	RJMP _0x6B4
_0x2A6:
	CPI  R30,LOW(0x30)
	BRNE _0x2A7
	LDI  R30,LOW(0)
	RJMP _0x6B4
_0x2A7:
	CPI  R30,LOW(0x22)
	BRNE _0x2A1
	LDI  R30,LOW(4)
_0x6B4:
	ST   -Y,R30
	RCALL _go_to_menu
_0x2A1:
_0x29C:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x2AA
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1C)
	BRNE _0x2AA
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x2AB
_0x2AA:
	RJMP _0x2A9
_0x2AB:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x2AF
	LDI  R30,LOW(23)
	RJMP _0x6B5
_0x2AF:
	CPI  R30,LOW(0x21)
	BRNE _0x2B0
	LDI  R30,LOW(23)
	RJMP _0x6B5
_0x2B0:
	CPI  R30,LOW(0x10)
	BRNE _0x2B1
	LDI  R30,LOW(22)
	RJMP _0x6B5
_0x2B1:
	CPI  R30,LOW(0x11)
	BRNE _0x2B2
	LDI  R30,LOW(27)
	RJMP _0x6B5
_0x2B2:
	CPI  R30,LOW(0x3B)
	BRNE _0x2B3
	LDI  R30,LOW(0)
	STS  _amp_on_act,R30
	LDI  R30,LOW(26)
	RJMP _0x6B5
_0x2B3:
	CPI  R30,LOW(0x30)
	BRNE _0x2B4
	LDI  R30,LOW(0)
	RJMP _0x6B5
_0x2B4:
	CPI  R30,LOW(0x22)
	BRNE _0x2AE
	LDI  R30,LOW(4)
_0x6B5:
	ST   -Y,R30
	RCALL _go_to_menu
_0x2AE:
_0x2A9:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x2B7
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1D)
	BRNE _0x2B7
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x2B8
_0x2B7:
	RJMP _0x2B6
_0x2B8:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x2BC
	LDI  R30,LOW(8)
	RJMP _0x6B6
_0x2BC:
	CPI  R30,LOW(0x21)
	BRNE _0x2BD
	LDI  R30,LOW(65)
	RJMP _0x6B6
_0x2BD:
	CPI  R30,LOW(0x30)
	BRNE _0x2BE
	LDI  R30,LOW(0)
	RJMP _0x6B6
_0x2BE:
	CPI  R30,LOW(0x22)
	BRNE _0x2BB
	LDI  R30,LOW(1)
_0x6B6:
	ST   -Y,R30
	RCALL _go_to_menu
_0x2BB:
_0x2B6:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x2C1
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x2C2
_0x2C1:
	RJMP _0x2C0
_0x2C2:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x37)
	BRNE _0x2C4
	LDS  R26,_menu30
	CPI  R26,LOW(0x0)
	BRNE _0x2C4
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1E)
	BRNE _0x2C5
_0x2C4:
	RJMP _0x2C3
_0x2C5:
	LDI  R30,LOW(1)
	CALL SUBOPT_0x90
	RJMP _0x2C6
_0x2C3:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x34)
	BREQ _0x2C8
	LDS  R26,_menu30
	CPI  R26,LOW(0x1)
	BREQ _0x2C9
_0x2C8:
	RJMP _0x2C7
_0x2C9:
	LDI  R30,LOW(0)
	STS  _menu30,R30
_0x2C7:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x34)
	BRNE _0x2CB
	LDS  R26,_menu30
	CPI  R26,LOW(0x1)
	BREQ _0x2CC
_0x2CB:
	RJMP _0x2CA
_0x2CC:
	LDI  R30,LOW(2)
	CALL SUBOPT_0x90
	RJMP _0x2C6
_0x2CA:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x36)
	BREQ _0x2CE
	LDS  R26,_menu30
	CPI  R26,LOW(0x2)
	BREQ _0x2CF
_0x2CE:
	RJMP _0x2CD
_0x2CF:
	LDI  R30,LOW(0)
	STS  _menu30,R30
_0x2CD:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x36)
	BRNE _0x2D1
	LDS  R26,_menu30
	CPI  R26,LOW(0x2)
	BREQ _0x2D2
_0x2D1:
	RJMP _0x2D0
_0x2D2:
	LDI  R30,LOW(3)
	CALL SUBOPT_0x90
	RJMP _0x2C6
_0x2D0:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x32)
	BREQ _0x2D4
	LDS  R26,_menu30
	CPI  R26,LOW(0x3)
	BREQ _0x2D5
_0x2D4:
	RJMP _0x2D3
_0x2D5:
	LDI  R30,LOW(0)
	STS  _menu30,R30
_0x2D3:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x32)
	BRNE _0x2D7
	LDS  R26,_menu30
	CPI  R26,LOW(0x3)
	BREQ _0x2D8
_0x2D7:
	RJMP _0x2D6
_0x2D8:
	CALL SUBOPT_0x8E
	LDI  R30,LOW(0)
	STS  _menu30,R30
	LDI  R30,LOW(1)
	STS  _Refr30,R30
	LDI  R30,LOW(30)
	RJMP _0x6B7
_0x2D6:
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1E)
	BRNE _0x2DA
	LDS  R26,_rem_command
	CPI  R26,LOW(0x37)
	BRNE _0x2DA
	LDS  R26,_menu30_2
	CPI  R26,LOW(0x0)
	BREQ _0x2DB
_0x2DA:
	RJMP _0x2D9
_0x2DB:
	CALL SUBOPT_0x8E
	LDI  R30,LOW(1)
	STS  _menu30_2,R30
	RJMP _0x2C6
_0x2D9:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x37)
	BREQ _0x2DD
	LDS  R26,_menu30_2
	CPI  R26,LOW(0x1)
	BREQ _0x2DE
_0x2DD:
	RJMP _0x2DC
_0x2DE:
	LDI  R30,LOW(0)
	STS  _menu30_2,R30
_0x2DC:
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1E)
	BRNE _0x2E0
	LDS  R26,_rem_command
	CPI  R26,LOW(0x37)
	BRNE _0x2E0
	LDS  R26,_menu30_2
	CPI  R26,LOW(0x1)
	BREQ _0x2E1
_0x2E0:
	RJMP _0x2DF
_0x2E1:
	CALL SUBOPT_0x8E
	LDI  R30,LOW(2)
	STS  _menu30_2,R30
	RJMP _0x2C6
_0x2DF:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x37)
	BREQ _0x2E3
	LDS  R26,_menu30_2
	CPI  R26,LOW(0x2)
	BREQ _0x2E4
_0x2E3:
	RJMP _0x2E2
_0x2E4:
	LDI  R30,LOW(0)
	STS  _menu30_2,R30
_0x2E2:
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1E)
	BRNE _0x2E6
	LDS  R26,_rem_command
	CPI  R26,LOW(0x37)
	BRNE _0x2E6
	LDS  R26,_menu30_2
	CPI  R26,LOW(0x2)
	BREQ _0x2E7
_0x2E6:
	RJMP _0x2E5
_0x2E7:
	CALL SUBOPT_0x8E
	LDI  R30,LOW(0)
	STS  _menu30_2,R30
	STS  _Refr30,R30
_0x6B7:
	ST   -Y,R30
	RCALL _go_to_menu
_0x2E5:
_0x2C6:
_0x2C0:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x2E9
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x41)
	BRNE _0x2E9
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x2EA
_0x2E9:
	RJMP _0x2E8
_0x2EA:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x2EE
	LDI  R30,LOW(29)
	RJMP _0x6B8
_0x2EE:
	CPI  R30,LOW(0x21)
	BRNE _0x2EF
	LDI  R30,LOW(5)
	RJMP _0x6B8
_0x2EF:
	CPI  R30,LOW(0x30)
	BRNE _0x2F0
	LDI  R30,LOW(0)
	RJMP _0x6B8
_0x2F0:
	CPI  R30,LOW(0x22)
	BRNE _0x2F1
	LDI  R30,LOW(1)
	RJMP _0x6B8
_0x2F1:
	CPI  R30,LOW(0x10)
	BREQ _0x6B9
	CPI  R30,LOW(0x3B)
	BRNE _0x2ED
_0x6B9:
	LDI  R30,LOW(66)
_0x6B8:
	ST   -Y,R30
	RCALL _go_to_menu
_0x2ED:
_0x2E8:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x2F5
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x41)
	BRNE _0x2F5
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x2F6
_0x2F5:
	RJMP _0x2F4
_0x2F6:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x2FA
	LDI  R30,LOW(29)
	RJMP _0x6BA
_0x2FA:
	CPI  R30,LOW(0x21)
	BRNE _0x2FB
	LDI  R30,LOW(5)
	RJMP _0x6BA
_0x2FB:
	CPI  R30,LOW(0x30)
	BRNE _0x2FC
	LDI  R30,LOW(0)
	RJMP _0x6BA
_0x2FC:
	CPI  R30,LOW(0x22)
	BRNE _0x2FD
	LDI  R30,LOW(1)
	RJMP _0x6BA
_0x2FD:
	CPI  R30,LOW(0x10)
	BREQ _0x6BB
	CPI  R30,LOW(0x3B)
	BRNE _0x2F9
_0x6BB:
	LDI  R30,LOW(66)
_0x6BA:
	ST   -Y,R30
	RCALL _go_to_menu
_0x2F9:
_0x2F4:
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1F)
	BRSH PC+3
	JMP _0x300
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x302
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x42)
	BRNE _0x302
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x303
_0x302:
	RJMP _0x301
_0x303:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x307
	LDI  R30,LOW(69)
	RJMP _0x6BC
_0x307:
	CPI  R30,LOW(0x21)
	BRNE _0x308
	LDI  R30,LOW(67)
	RJMP _0x6BC
_0x308:
	CPI  R30,LOW(0x30)
	BRNE _0x309
	LDI  R30,LOW(0)
	RJMP _0x6BC
_0x309:
	CPI  R30,LOW(0x22)
	BRNE _0x30A
	LDI  R30,LOW(65)
	RJMP _0x6BC
_0x30A:
	CPI  R30,LOW(0x10)
	BRNE _0x30B
	LDI  R30,LOW(31)
	ST   -Y,R30
	RCALL _go_to_menu
	CALL _LCD_clear
	RJMP _0x306
_0x30B:
	CPI  R30,LOW(0x3B)
	BRNE _0x306
	LDI  R30,LOW(31)
_0x6BC:
	ST   -Y,R30
	RCALL _go_to_menu
_0x306:
_0x301:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x30E
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x43)
	BRNE _0x30E
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x30F
_0x30E:
	RJMP _0x30D
_0x30F:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x313
	LDI  R30,LOW(66)
	RJMP _0x6BD
_0x313:
	CPI  R30,LOW(0x21)
	BRNE _0x314
	LDI  R30,LOW(68)
	RJMP _0x6BD
_0x314:
	CPI  R30,LOW(0x30)
	BRNE _0x315
	LDI  R30,LOW(0)
	RJMP _0x6BD
_0x315:
	CPI  R30,LOW(0x22)
	BRNE _0x316
	LDI  R30,LOW(65)
	RJMP _0x6BD
_0x316:
	CPI  R30,LOW(0x10)
	BREQ _0x6BE
	CPI  R30,LOW(0x3B)
	BRNE _0x312
_0x6BE:
	LDI  R30,LOW(46)
_0x6BD:
	ST   -Y,R30
	RCALL _go_to_menu
_0x312:
_0x30D:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x31A
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x44)
	BRNE _0x31A
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x31B
_0x31A:
	RJMP _0x319
_0x31B:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x31F
	LDI  R30,LOW(67)
	RJMP _0x6BF
_0x31F:
	CPI  R30,LOW(0x21)
	BRNE _0x320
	LDI  R30,LOW(69)
	RJMP _0x6BF
_0x320:
	CPI  R30,LOW(0x30)
	BRNE _0x321
	LDI  R30,LOW(0)
	RJMP _0x6BF
_0x321:
	CPI  R30,LOW(0x22)
	BRNE _0x322
	LDI  R30,LOW(65)
	RJMP _0x6BF
_0x322:
	CPI  R30,LOW(0x10)
	BREQ _0x6C0
	CPI  R30,LOW(0x3B)
	BRNE _0x31E
_0x6C0:
	LDI  R30,LOW(55)
_0x6BF:
	ST   -Y,R30
	RCALL _go_to_menu
_0x31E:
_0x319:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x326
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x45)
	BRNE _0x326
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x327
_0x326:
	RJMP _0x325
_0x327:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x32B
	LDI  R30,LOW(68)
	RJMP _0x6C1
_0x32B:
	CPI  R30,LOW(0x21)
	BRNE _0x32C
	LDI  R30,LOW(66)
	RJMP _0x6C1
_0x32C:
	CPI  R30,LOW(0x30)
	BRNE _0x32D
	LDI  R30,LOW(0)
	RJMP _0x6C1
_0x32D:
	CPI  R30,LOW(0x22)
	BRNE _0x32E
	LDI  R30,LOW(65)
	RJMP _0x6C1
_0x32E:
	CPI  R30,LOW(0x10)
	BREQ _0x6C2
	CPI  R30,LOW(0x3B)
	BRNE _0x32A
_0x6C2:
	LDI  R30,LOW(63)
_0x6C1:
	ST   -Y,R30
	RCALL _go_to_menu
_0x32A:
_0x325:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x332
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x3F)
	BRNE _0x332
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x333
_0x332:
	RJMP _0x331
_0x333:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x337
	LDI  R30,LOW(0)
	STS  _d_count,R30
	LDI  R30,LOW(64)
	RJMP _0x6C3
_0x337:
	CPI  R30,LOW(0x21)
	BRNE _0x338
	LDI  R30,LOW(0)
	STS  _d_count,R30
	LDI  R30,LOW(64)
	RJMP _0x6C3
_0x338:
	CPI  R30,LOW(0x30)
	BRNE _0x339
	CALL SUBOPT_0x91
	RJMP _0x6C3
_0x339:
	CPI  R30,LOW(0x22)
	BREQ _0x6C4
	CPI  R30,LOW(0x11)
	BRNE _0x336
_0x6C4:
	LDI  R30,LOW(0)
	STS  _d_count,R30
	LDS  R30,_menu_temp
_0x6C3:
	ST   -Y,R30
	RCALL _go_to_menu
_0x336:
_0x331:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x33D
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x40)
	BRNE _0x33D
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x33E
_0x33D:
	RJMP _0x33C
_0x33E:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x342
	LDI  R30,LOW(0)
	STS  _d_count,R30
	LDI  R30,LOW(63)
	RJMP _0x6C5
_0x342:
	CPI  R30,LOW(0x21)
	BRNE _0x343
	LDI  R30,LOW(0)
	STS  _d_count,R30
	LDI  R30,LOW(63)
	RJMP _0x6C5
_0x343:
	CPI  R30,LOW(0x30)
	BRNE _0x344
	CALL SUBOPT_0x91
	RJMP _0x6C5
_0x344:
	CPI  R30,LOW(0x22)
	BREQ _0x6C6
	CPI  R30,LOW(0x11)
	BRNE _0x341
_0x6C6:
	LDI  R30,LOW(0)
	STS  _d_count,R30
	LDS  R30,_menu_temp
_0x6C5:
	ST   -Y,R30
	RCALL _go_to_menu
_0x341:
_0x33C:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x348
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x37)
	BRNE _0x348
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x349
_0x348:
	RJMP _0x347
_0x349:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x34D
	LDI  R30,LOW(62)
	RJMP _0x6C7
_0x34D:
	CPI  R30,LOW(0x21)
	BRNE _0x34E
	LDI  R30,LOW(56)
	RJMP _0x6C7
_0x34E:
	CPI  R30,LOW(0x30)
	BRNE _0x34F
	LDI  R30,LOW(0)
	RJMP _0x6C7
_0x34F:
	CPI  R30,LOW(0x22)
	BRNE _0x350
	LDI  R30,LOW(68)
	RJMP _0x6C7
_0x350:
	CPI  R30,LOW(0x11)
	BRNE _0x351
	LDI  R30,LOW(62)
	RJMP _0x6C7
_0x351:
	CPI  R30,LOW(0x10)
	BRNE _0x352
	LDI  R30,LOW(59)
	RJMP _0x6C7
_0x352:
	CPI  R30,LOW(0x3B)
	BRNE _0x34C
	LDI  R30,LOW(63)
_0x6C7:
	ST   -Y,R30
	RCALL _go_to_menu
_0x34C:
_0x347:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x355
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x38)
	BRNE _0x355
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x356
_0x355:
	RJMP _0x354
_0x356:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x35A
	LDI  R30,LOW(55)
	RJMP _0x6C8
_0x35A:
	CPI  R30,LOW(0x21)
	BRNE _0x35B
	LDI  R30,LOW(57)
	RJMP _0x6C8
_0x35B:
	CPI  R30,LOW(0x30)
	BRNE _0x35C
	LDI  R30,LOW(0)
	RJMP _0x6C8
_0x35C:
	CPI  R30,LOW(0x22)
	BRNE _0x35D
	LDI  R30,LOW(68)
	RJMP _0x6C8
_0x35D:
	CPI  R30,LOW(0x11)
	BRNE _0x35E
	LDI  R30,LOW(60)
	RJMP _0x6C8
_0x35E:
	CPI  R30,LOW(0x10)
	BRNE _0x35F
	LDI  R30,LOW(60)
	RJMP _0x6C8
_0x35F:
	CPI  R30,LOW(0x3B)
	BRNE _0x359
	LDI  R30,LOW(64)
_0x6C8:
	ST   -Y,R30
	RCALL _go_to_menu
_0x359:
_0x354:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x362
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x39)
	BRNE _0x362
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x363
_0x362:
	RJMP _0x361
_0x363:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x367
	LDI  R30,LOW(56)
	RJMP _0x6C9
_0x367:
	CPI  R30,LOW(0x21)
	BRNE _0x368
	LDI  R30,LOW(58)
	RJMP _0x6C9
_0x368:
	CPI  R30,LOW(0x30)
	BRNE _0x369
	LDI  R30,LOW(0)
	RJMP _0x6C9
_0x369:
	CPI  R30,LOW(0x22)
	BRNE _0x36A
	LDI  R30,LOW(68)
	RJMP _0x6C9
_0x36A:
	CPI  R30,LOW(0x11)
	BRNE _0x36B
	LDI  R30,LOW(61)
	RJMP _0x6C9
_0x36B:
	CPI  R30,LOW(0x10)
	BRNE _0x36C
	LDI  R30,LOW(61)
	RJMP _0x6C9
_0x36C:
	CPI  R30,LOW(0x3B)
	BRNE _0x366
	LDI  R30,LOW(64)
_0x6C9:
	ST   -Y,R30
	RCALL _go_to_menu
_0x366:
_0x361:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x36F
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x3A)
	BRNE _0x36F
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x370
_0x36F:
	RJMP _0x36E
_0x370:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x374
	LDI  R30,LOW(57)
	RJMP _0x6CA
_0x374:
	CPI  R30,LOW(0x21)
	BRNE _0x375
	LDI  R30,LOW(59)
	RJMP _0x6CA
_0x375:
	CPI  R30,LOW(0x30)
	BRNE _0x376
	LDI  R30,LOW(0)
	RJMP _0x6CA
_0x376:
	CPI  R30,LOW(0x22)
	BRNE _0x377
	LDI  R30,LOW(68)
	RJMP _0x6CA
_0x377:
	CPI  R30,LOW(0x11)
	BRNE _0x378
	LDI  R30,LOW(62)
	RJMP _0x6CA
_0x378:
	CPI  R30,LOW(0x10)
	BRNE _0x379
	LDI  R30,LOW(62)
	RJMP _0x6CA
_0x379:
	CPI  R30,LOW(0x3B)
	BRNE _0x373
	LDI  R30,LOW(64)
_0x6CA:
	ST   -Y,R30
	RCALL _go_to_menu
_0x373:
_0x36E:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x37C
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x3B)
	BRNE _0x37C
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x37D
_0x37C:
	RJMP _0x37B
_0x37D:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x381
	LDI  R30,LOW(58)
	RJMP _0x6CB
_0x381:
	CPI  R30,LOW(0x21)
	BRNE _0x382
	LDI  R30,LOW(60)
	RJMP _0x6CB
_0x382:
	CPI  R30,LOW(0x30)
	BRNE _0x383
	LDI  R30,LOW(0)
	RJMP _0x6CB
_0x383:
	CPI  R30,LOW(0x22)
	BRNE _0x384
	LDI  R30,LOW(68)
	RJMP _0x6CB
_0x384:
	CPI  R30,LOW(0x11)
	BRNE _0x385
	LDI  R30,LOW(55)
	RJMP _0x6CB
_0x385:
	CPI  R30,LOW(0x10)
	BRNE _0x386
	LDI  R30,LOW(55)
	RJMP _0x6CB
_0x386:
	CPI  R30,LOW(0x3B)
	BRNE _0x380
	LDI  R30,LOW(64)
_0x6CB:
	ST   -Y,R30
	CALL _go_to_menu
_0x380:
_0x37B:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x389
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x3C)
	BRNE _0x389
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x38A
_0x389:
	RJMP _0x388
_0x38A:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x38E
	LDI  R30,LOW(59)
	RJMP _0x6CC
_0x38E:
	CPI  R30,LOW(0x21)
	BRNE _0x38F
	LDI  R30,LOW(61)
	RJMP _0x6CC
_0x38F:
	CPI  R30,LOW(0x30)
	BRNE _0x390
	LDI  R30,LOW(0)
	RJMP _0x6CC
_0x390:
	CPI  R30,LOW(0x22)
	BRNE _0x391
	LDI  R30,LOW(68)
	RJMP _0x6CC
_0x391:
	CPI  R30,LOW(0x11)
	BRNE _0x392
	LDI  R30,LOW(56)
	RJMP _0x6CC
_0x392:
	CPI  R30,LOW(0x10)
	BRNE _0x393
	LDI  R30,LOW(56)
	RJMP _0x6CC
_0x393:
	CPI  R30,LOW(0x3B)
	BRNE _0x38D
	LDI  R30,LOW(64)
_0x6CC:
	ST   -Y,R30
	CALL _go_to_menu
_0x38D:
_0x388:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x396
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x3D)
	BRNE _0x396
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x397
_0x396:
	RJMP _0x395
_0x397:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x39B
	LDI  R30,LOW(60)
	RJMP _0x6CD
_0x39B:
	CPI  R30,LOW(0x21)
	BRNE _0x39C
	LDI  R30,LOW(62)
	RJMP _0x6CD
_0x39C:
	CPI  R30,LOW(0x30)
	BRNE _0x39D
	LDI  R30,LOW(0)
	RJMP _0x6CD
_0x39D:
	CPI  R30,LOW(0x22)
	BRNE _0x39E
	LDI  R30,LOW(68)
	RJMP _0x6CD
_0x39E:
	CPI  R30,LOW(0x11)
	BRNE _0x39F
	LDI  R30,LOW(57)
	RJMP _0x6CD
_0x39F:
	CPI  R30,LOW(0x10)
	BRNE _0x3A0
	LDI  R30,LOW(57)
	RJMP _0x6CD
_0x3A0:
	CPI  R30,LOW(0x3B)
	BRNE _0x39A
	LDI  R30,LOW(64)
_0x6CD:
	ST   -Y,R30
	CALL _go_to_menu
_0x39A:
_0x395:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x3A3
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x3E)
	BRNE _0x3A3
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x3A4
_0x3A3:
	RJMP _0x3A2
_0x3A4:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x3A8
	LDI  R30,LOW(61)
	RJMP _0x6CE
_0x3A8:
	CPI  R30,LOW(0x21)
	BRNE _0x3A9
	LDI  R30,LOW(55)
	RJMP _0x6CE
_0x3A9:
	CPI  R30,LOW(0x30)
	BRNE _0x3AA
	LDI  R30,LOW(0)
	RJMP _0x6CE
_0x3AA:
	CPI  R30,LOW(0x22)
	BRNE _0x3AB
	LDI  R30,LOW(68)
	RJMP _0x6CE
_0x3AB:
	CPI  R30,LOW(0x11)
	BRNE _0x3AC
	LDI  R30,LOW(58)
	RJMP _0x6CE
_0x3AC:
	CPI  R30,LOW(0x10)
	BRNE _0x3AD
	LDI  R30,LOW(55)
	RJMP _0x6CE
_0x3AD:
	CPI  R30,LOW(0x3B)
	BRNE _0x3A7
	LDI  R30,LOW(64)
_0x6CE:
	ST   -Y,R30
	CALL _go_to_menu
_0x3A7:
_0x3A2:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x3B0
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x2E)
	BRNE _0x3B0
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x3B1
_0x3B0:
	RJMP _0x3AF
_0x3B1:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x3B5
	LDI  R30,LOW(54)
	RJMP _0x6CF
_0x3B5:
	CPI  R30,LOW(0x21)
	BREQ _0x6D0
	CPI  R30,LOW(0x30)
	BRNE _0x3B7
	LDI  R30,LOW(0)
	RJMP _0x6CF
_0x3B7:
	CPI  R30,LOW(0x22)
	BRNE _0x3B8
	LDI  R30,LOW(67)
	RJMP _0x6CF
_0x3B8:
	CPI  R30,LOW(0x11)
	BREQ _0x6D0
	CPI  R30,LOW(0x10)
	BRNE _0x3B4
_0x6D0:
	LDI  R30,LOW(47)
_0x6CF:
	ST   -Y,R30
	CALL _go_to_menu
_0x3B4:
_0x3AF:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x3BC
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x2F)
	BRNE _0x3BC
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x3BD
_0x3BC:
	RJMP _0x3BB
_0x3BD:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x3C1
	LDI  R30,LOW(46)
	RJMP _0x6D1
_0x3C1:
	CPI  R30,LOW(0x21)
	BRNE _0x3C2
	LDI  R30,LOW(48)
	RJMP _0x6D1
_0x3C2:
	CPI  R30,LOW(0x30)
	BRNE _0x3C3
	LDI  R30,LOW(0)
	RJMP _0x6D1
_0x3C3:
	CPI  R30,LOW(0x22)
	BRNE _0x3C4
	LDI  R30,LOW(67)
	RJMP _0x6D1
_0x3C4:
	CPI  R30,LOW(0x11)
	BRNE _0x3C5
	LDI  R30,LOW(54)
	RJMP _0x6D1
_0x3C5:
	CPI  R30,LOW(0x10)
	BRNE _0x3C6
	LDI  R30,LOW(51)
	RJMP _0x6D1
_0x3C6:
	CPI  R30,LOW(0x3B)
	BRNE _0x3C0
	LDI  R30,LOW(64)
_0x6D1:
	ST   -Y,R30
	CALL _go_to_menu
_0x3C0:
_0x3BB:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x3C9
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x30)
	BRNE _0x3C9
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x3CA
_0x3C9:
	RJMP _0x3C8
_0x3CA:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x3CE
	LDI  R30,LOW(47)
	RJMP _0x6D2
_0x3CE:
	CPI  R30,LOW(0x21)
	BRNE _0x3CF
	LDI  R30,LOW(49)
	RJMP _0x6D2
_0x3CF:
	CPI  R30,LOW(0x30)
	BRNE _0x3D0
	LDI  R30,LOW(0)
	RJMP _0x6D2
_0x3D0:
	CPI  R30,LOW(0x22)
	BRNE _0x3D1
	LDI  R30,LOW(67)
	RJMP _0x6D2
_0x3D1:
	CPI  R30,LOW(0x11)
	BRNE _0x3D2
	LDI  R30,LOW(52)
	RJMP _0x6D2
_0x3D2:
	CPI  R30,LOW(0x10)
	BRNE _0x3D3
	LDI  R30,LOW(52)
	RJMP _0x6D2
_0x3D3:
	CPI  R30,LOW(0x3B)
	BRNE _0x3CD
	LDI  R30,LOW(64)
_0x6D2:
	ST   -Y,R30
	CALL _go_to_menu
_0x3CD:
_0x3C8:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x3D6
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x31)
	BRNE _0x3D6
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x3D7
_0x3D6:
	RJMP _0x3D5
_0x3D7:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x3DB
	LDI  R30,LOW(48)
	RJMP _0x6D3
_0x3DB:
	CPI  R30,LOW(0x21)
	BRNE _0x3DC
	LDI  R30,LOW(50)
	RJMP _0x6D3
_0x3DC:
	CPI  R30,LOW(0x30)
	BRNE _0x3DD
	LDI  R30,LOW(0)
	RJMP _0x6D3
_0x3DD:
	CPI  R30,LOW(0x22)
	BRNE _0x3DE
	LDI  R30,LOW(67)
	RJMP _0x6D3
_0x3DE:
	CPI  R30,LOW(0x11)
	BRNE _0x3DF
	LDI  R30,LOW(53)
	RJMP _0x6D3
_0x3DF:
	CPI  R30,LOW(0x10)
	BRNE _0x3E0
	LDI  R30,LOW(53)
	RJMP _0x6D3
_0x3E0:
	CPI  R30,LOW(0x3B)
	BRNE _0x3DA
	LDI  R30,LOW(64)
_0x6D3:
	ST   -Y,R30
	CALL _go_to_menu
_0x3DA:
_0x3D5:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x3E3
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x32)
	BRNE _0x3E3
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x3E4
_0x3E3:
	RJMP _0x3E2
_0x3E4:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x3E8
	LDI  R30,LOW(49)
	RJMP _0x6D4
_0x3E8:
	CPI  R30,LOW(0x21)
	BRNE _0x3E9
	LDI  R30,LOW(51)
	RJMP _0x6D4
_0x3E9:
	CPI  R30,LOW(0x30)
	BRNE _0x3EA
	LDI  R30,LOW(0)
	RJMP _0x6D4
_0x3EA:
	CPI  R30,LOW(0x22)
	BRNE _0x3EB
	LDI  R30,LOW(67)
	RJMP _0x6D4
_0x3EB:
	CPI  R30,LOW(0x11)
	BRNE _0x3EC
	LDI  R30,LOW(54)
	RJMP _0x6D4
_0x3EC:
	CPI  R30,LOW(0x10)
	BRNE _0x3ED
	LDI  R30,LOW(54)
	RJMP _0x6D4
_0x3ED:
	CPI  R30,LOW(0x3B)
	BRNE _0x3E7
	LDI  R30,LOW(64)
_0x6D4:
	ST   -Y,R30
	CALL _go_to_menu
_0x3E7:
_0x3E2:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x3F0
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x33)
	BRNE _0x3F0
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x3F1
_0x3F0:
	RJMP _0x3EF
_0x3F1:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x3F5
	LDI  R30,LOW(50)
	RJMP _0x6D5
_0x3F5:
	CPI  R30,LOW(0x21)
	BRNE _0x3F6
	LDI  R30,LOW(52)
	RJMP _0x6D5
_0x3F6:
	CPI  R30,LOW(0x30)
	BRNE _0x3F7
	LDI  R30,LOW(0)
	RJMP _0x6D5
_0x3F7:
	CPI  R30,LOW(0x22)
	BRNE _0x3F8
	LDI  R30,LOW(67)
	RJMP _0x6D5
_0x3F8:
	CPI  R30,LOW(0x11)
	BRNE _0x3F9
	LDI  R30,LOW(47)
	RJMP _0x6D5
_0x3F9:
	CPI  R30,LOW(0x10)
	BRNE _0x3FA
	LDI  R30,LOW(47)
	RJMP _0x6D5
_0x3FA:
	CPI  R30,LOW(0x3B)
	BRNE _0x3F4
	LDI  R30,LOW(64)
_0x6D5:
	ST   -Y,R30
	CALL _go_to_menu
_0x3F4:
_0x3EF:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x3FD
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x34)
	BRNE _0x3FD
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x3FE
_0x3FD:
	RJMP _0x3FC
_0x3FE:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x402
	LDI  R30,LOW(51)
	RJMP _0x6D6
_0x402:
	CPI  R30,LOW(0x21)
	BRNE _0x403
	LDI  R30,LOW(53)
	RJMP _0x6D6
_0x403:
	CPI  R30,LOW(0x30)
	BRNE _0x404
	LDI  R30,LOW(0)
	RJMP _0x6D6
_0x404:
	CPI  R30,LOW(0x22)
	BRNE _0x405
	LDI  R30,LOW(67)
	RJMP _0x6D6
_0x405:
	CPI  R30,LOW(0x11)
	BRNE _0x406
	LDI  R30,LOW(48)
	RJMP _0x6D6
_0x406:
	CPI  R30,LOW(0x10)
	BRNE _0x407
	LDI  R30,LOW(48)
	RJMP _0x6D6
_0x407:
	CPI  R30,LOW(0x3B)
	BRNE _0x401
	LDI  R30,LOW(64)
_0x6D6:
	ST   -Y,R30
	CALL _go_to_menu
_0x401:
_0x3FC:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x40A
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x35)
	BRNE _0x40A
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x40B
_0x40A:
	RJMP _0x409
_0x40B:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x40F
	LDI  R30,LOW(52)
	RJMP _0x6D7
_0x40F:
	CPI  R30,LOW(0x21)
	BRNE _0x410
	LDI  R30,LOW(54)
	RJMP _0x6D7
_0x410:
	CPI  R30,LOW(0x30)
	BRNE _0x411
	LDI  R30,LOW(0)
	RJMP _0x6D7
_0x411:
	CPI  R30,LOW(0x22)
	BRNE _0x412
	LDI  R30,LOW(67)
	RJMP _0x6D7
_0x412:
	CPI  R30,LOW(0x11)
	BRNE _0x413
	LDI  R30,LOW(49)
	RJMP _0x6D7
_0x413:
	CPI  R30,LOW(0x10)
	BRNE _0x414
	LDI  R30,LOW(49)
	RJMP _0x6D7
_0x414:
	CPI  R30,LOW(0x3B)
	BRNE _0x40E
	LDI  R30,LOW(64)
_0x6D7:
	ST   -Y,R30
	CALL _go_to_menu
_0x40E:
_0x409:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x417
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x36)
	BRNE _0x417
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x418
_0x417:
	RJMP _0x416
_0x418:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x41C
	LDI  R30,LOW(53)
	RJMP _0x6D8
_0x41C:
	CPI  R30,LOW(0x21)
	BRNE _0x41D
	LDI  R30,LOW(47)
	RJMP _0x6D8
_0x41D:
	CPI  R30,LOW(0x30)
	BRNE _0x41E
	LDI  R30,LOW(0)
	RJMP _0x6D8
_0x41E:
	CPI  R30,LOW(0x22)
	BRNE _0x41F
	LDI  R30,LOW(67)
	RJMP _0x6D8
_0x41F:
	CPI  R30,LOW(0x11)
	BRNE _0x420
	LDI  R30,LOW(50)
	RJMP _0x6D8
_0x420:
	CPI  R30,LOW(0x10)
	BRNE _0x421
	LDI  R30,LOW(50)
	RJMP _0x6D8
_0x421:
	CPI  R30,LOW(0x3B)
	BRNE _0x41B
	LDI  R30,LOW(64)
_0x6D8:
	ST   -Y,R30
	CALL _go_to_menu
_0x41B:
_0x416:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x424
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1F)
	BRNE _0x424
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x425
_0x424:
	RJMP _0x423
_0x425:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x429
	LDI  R30,LOW(38)
	RJMP _0x6D9
_0x429:
	CPI  R30,LOW(0x21)
	BRNE _0x42A
	LDI  R30,LOW(32)
	RJMP _0x6D9
_0x42A:
	CPI  R30,LOW(0x30)
	BRNE _0x42B
	LDI  R30,LOW(0)
	RJMP _0x6D9
_0x42B:
	CPI  R30,LOW(0x22)
	BREQ _0x6DA
	CPI  R30,LOW(0x11)
	BREQ _0x6DA
	CPI  R30,LOW(0x10)
	BRNE _0x428
_0x6DA:
	LDI  R30,LOW(66)
_0x6D9:
	ST   -Y,R30
	CALL _go_to_menu
_0x428:
_0x423:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x430
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x20)
	BRLO _0x430
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x27)
	BRSH _0x430
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x431
_0x430:
	RJMP _0x42F
_0x431:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x20)
	BRNE _0x435
	LDS  R30,_tek_menu
	SUBI R30,LOW(1)
	RJMP _0x6DB
_0x435:
	CPI  R30,LOW(0x21)
	BRNE _0x436
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x26)
	BRNE _0x437
	LDI  R30,LOW(31)
	RJMP _0x6DC
_0x437:
	LDS  R30,_tek_menu
	SUBI R30,-LOW(1)
_0x6DC:
	ST   -Y,R30
	CALL _go_to_menu
	RJMP _0x434
_0x436:
	CPI  R30,LOW(0x30)
	BRNE _0x439
	LDI  R30,LOW(0)
	RJMP _0x6DB
_0x439:
	CPI  R30,LOW(0x22)
	BRNE _0x43A
	LDI  R30,LOW(66)
	RJMP _0x6DB
_0x43A:
	CPI  R30,LOW(0x11)
	BRNE _0x43B
	LDI  R30,LOW(66)
	RJMP _0x6DB
_0x43B:
	CPI  R30,LOW(0x10)
	BRNE _0x43C
	LDS  R30,_tek_menu
	SUBI R30,-LOW(7)
	RJMP _0x6DB
_0x43C:
	CPI  R30,LOW(0x3B)
	BRNE _0x434
	LDI  R30,LOW(64)
_0x6DB:
	ST   -Y,R30
	CALL _go_to_menu
_0x434:
_0x42F:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x43F
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x27)
	BRLO _0x43F
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x2E)
	BRSH _0x43F
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x440
_0x43F:
	RJMP _0x43E
_0x440:
	LDS  R30,_rem_command
	CPI  R30,LOW(0x22)
	BREQ _0x6DD
	CPI  R30,LOW(0x11)
	BREQ _0x6DD
	CPI  R30,LOW(0x3B)
	BRNE _0x443
_0x6DD:
	LDS  R30,_tek_menu
	SUBI R30,LOW(7)
	ST   -Y,R30
	CALL _go_to_menu
_0x443:
_0x43E:
_0x300:
	RET
;#include <1307_functions.h>
_sync_clock:
	CALL SUBOPT_0x3E
	CALL SUBOPT_0x92
	LDS  R30,_s
	STS  _sec,R30
	RET
_DS1307_init:
	LDI  R26,LOW(_DS)
	LDI  R27,HIGH(_DS)
	CALL __EEPROMRDB
	CPI  R30,LOW(0x22)
	BREQ _0x447
	CALL SUBOPT_0x1E
	LDI  R30,LOW(0)
	ST   -Y,R30
	CALL _rtc_init
	CALL SUBOPT_0x40
	LDI  R30,LOW(0)
	ST   -Y,R30
	CALL _rtc_set_time
	LDI  R30,LOW(1)
	ST   -Y,R30
	ST   -Y,R30
	ST   -Y,R30
	CALL _rtc_set_date
	LDI  R26,LOW(_DS)
	LDI  R27,HIGH(_DS)
	LDI  R30,LOW(34)
	CALL __EEPROMWRB
_0x447:
	RET
_vnutr_chasi:
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
	RCALL _sync_clock
	RET
;#include <set_changes.h >
;void treble_swich (void) {
; 0000 006D void treble_swich (void) {
_treble_swich:
;if (treble<=7) {  //F3
	LDS  R26,_treble
	CPI  R26,LOW(0x8)
	BRSH _0x448
;com=112+treble;
	LDS  R30,_treble
	SUBI R30,-LOW(112)
	CALL SUBOPT_0x93
; tda7313_write(com);}  //F3
;if ((treble>7)&&(treble<=14)) {  //F4
_0x448:
	LDS  R26,_treble
	CPI  R26,LOW(0x8)
	BRLO _0x44A
	LDS  R26,_treble
	CPI  R26,LOW(0xF)
	BRLO _0x44B
_0x44A:
	RJMP _0x449
_0x44B:
;com=134-treble;
	LDS  R26,_treble
	LDI  R30,LOW(134)
	SUB  R30,R26
	CALL SUBOPT_0x93
; tda7313_write(com);
; }  //F4
;}
_0x449:
	RET
;
;void bass_swich (void) {
_bass_swich:
;if (bass<=7) {  //F3
	LDS  R26,_bass
	CPI  R26,LOW(0x8)
	BRSH _0x44C
;com=96+bass;
	LDS  R30,_bass
	SUBI R30,-LOW(96)
	CALL SUBOPT_0x93
; tda7313_write(com);}  //F3
;if ((bass>7)&&(bass<=14)) {  //F4
_0x44C:
	LDS  R26,_bass
	CPI  R26,LOW(0x8)
	BRLO _0x44E
	LDS  R26,_bass
	CPI  R26,LOW(0xF)
	BRLO _0x44F
_0x44E:
	RJMP _0x44D
_0x44F:
;com=118-bass;
	LDS  R26,_bass
	LDI  R30,LOW(118)
	SUB  R30,R26
	CALL SUBOPT_0x93
; tda7313_write(com);
; }  //F4
;}
_0x44D:
	RET
;
;
;void set_parameters (void) {     // R1          
_set_parameters:
;
;/************************************   5*******************************************/
;if ((command_tx==20)&&(tek_menu==5)) {  //3
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x451
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x5)
	BREQ _0x452
_0x451:
	RJMP _0x450
_0x452:
;if ((rem_command==Plus)&& (volume_ogr>0)) {//A4
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x454
	CALL SUBOPT_0x17
	MOVW R26,R30
	CALL __CPW02
	BRLO _0x455
_0x454:
	RJMP _0x453
_0x455:
;volume_ogr--;
	CALL SUBOPT_0x17
	CALL SUBOPT_0x94
;command_tx=10;
;displ_refresh=1;
;goto n1;
	JMP  _0x456
;}//A4
;if ((rem_command==Minus)&& (volume_ogr<63)) {//A5
_0x453:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x458
	CALL SUBOPT_0x17
	SBIW R30,63
	BRLO _0x459
_0x458:
	RJMP _0x457
_0x459:
;volume_ogr++;
	CALL SUBOPT_0x17
	CALL SUBOPT_0x95
;command_tx=10;
;displ_refresh=1;
;goto n1;
	JMP  _0x456
;}//A5
;}//A3
_0x457:
; /****************************************************************************************************/
;/************************************   6*******************************************/
;if ((command_tx==20)&&(tek_menu==6)) {  //3
_0x450:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x45B
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x6)
	BREQ _0x45C
_0x45B:
	RJMP _0x45A
_0x45C:
;if ((rem_command==Plus)&& (volume_on_max>0)) {//A4
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x45E
	CALL SUBOPT_0x21
	MOVW R26,R30
	CALL __CPW02
	BRLO _0x45F
_0x45E:
	RJMP _0x45D
_0x45F:
;volume_on_max--;
	CALL SUBOPT_0x21
	CALL SUBOPT_0x94
;command_tx=10;
;displ_refresh=1;
;goto n1;
	JMP  _0x456
;}//A4
;if ((rem_command==Minus)&& (volume_on_max<63)) {//A5
_0x45D:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x461
	CALL SUBOPT_0x21
	SBIW R30,63
	BRLO _0x462
_0x461:
	RJMP _0x460
_0x462:
;volume_on_max++;
	CALL SUBOPT_0x21
	CALL SUBOPT_0x95
;command_tx=10;
;displ_refresh=1;
;goto n1;
	JMP  _0x456
;}//A5
;}//A3
_0x460:
; /****************************************************************************************************/
; /************************************   7*******************************************/
;if ((command_tx==20)&&(tek_menu==7)) {  //3
_0x45A:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x464
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x7)
	BREQ _0x465
_0x464:
	RJMP _0x463
_0x465:
;if ((rem_command==Plus)&& (att>0)) {//A4
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x467
	CALL SUBOPT_0x25
	MOVW R26,R30
	CALL __CPW02
	BRLO _0x468
_0x467:
	RJMP _0x466
_0x468:
;att--;
	CALL SUBOPT_0x25
	CALL SUBOPT_0x94
;command_tx=10;
;displ_refresh=1;
;goto n1;
	JMP  _0x456
;}//A4
;if ((rem_command==Minus)&& (att<31)) {//A5
_0x466:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x46A
	CALL SUBOPT_0x25
	SBIW R30,31
	BRLO _0x46B
_0x46A:
	RJMP _0x469
_0x46B:
;att++;
	CALL SUBOPT_0x25
	CALL SUBOPT_0x95
;command_tx=10;
;displ_refresh=1;
;goto n1;
	JMP  _0x456
;}//A5
;}//A3
_0x469:
; /****************************************************************************************************/
;  /************************************   8*******************************************/
;if ((command_tx==20)&&(tek_menu==8)&&(tog_ch!=toggle)) {  //3
_0x463:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x46D
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x8)
	BRNE _0x46D
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x46E
_0x46D:
	RJMP _0x46C
_0x46E:
;Refr4=1;          //    
	LDI  R30,LOW(1)
	STS  _Refr4,R30
;
;switch ( tek_vhod) {                                                     //   loudness      
	CALL SUBOPT_0x12
;case 1: loudness=loudness1;   break;
	BRNE _0x472
	LDI  R26,LOW(_loudness1)
	LDI  R27,HIGH(_loudness1)
	RJMP _0x6DE
;case 2: loudness=loudness2;   break;
_0x472:
	CPI  R30,LOW(0x2)
	BRNE _0x473
	LDI  R26,LOW(_loudness2)
	LDI  R27,HIGH(_loudness2)
	RJMP _0x6DE
;case 3: loudness=loudness3;   break;
_0x473:
	CPI  R30,LOW(0x3)
	BRNE _0x471
	LDI  R26,LOW(_loudness3)
	LDI  R27,HIGH(_loudness3)
_0x6DE:
	CALL __EEPROMRDW
	CALL SUBOPT_0x13
;};
_0x471:
;
;if ((rem_command==Plus)&& (loudness<3)) {//A4             tek_vhod=1
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x476
	LDS  R26,_loudness
	LDS  R27,_loudness+1
	SBIW R26,3
	BRLO _0x477
_0x476:
	RJMP _0x475
_0x477:
;loudness++;                       //  
	LDI  R26,LOW(_loudness)
	LDI  R27,HIGH(_loudness)
	CALL SUBOPT_0x96
;if (tek_vhod==1) { //AA          1           
	CALL SUBOPT_0x12
	BRNE _0x478
;switch ( loudness) {    //(8)              loudness ,   0   
	CALL SUBOPT_0x97
;case 1:   tda7313_write(80);  loudness1=loudness;  displ_refresh=1;  break;          //    7313        
	CPI  R30,LOW(0x1)
	LDI  R26,HIGH(0x1)
	CPC  R31,R26
	BRNE _0x47C
	LDI  R30,LOW(80)
	RJMP _0x6DF
;case 2:   tda7313_write(72);  loudness1=loudness;  displ_refresh=1;  break;
_0x47C:
	CPI  R30,LOW(0x2)
	LDI  R26,HIGH(0x2)
	CPC  R31,R26
	BRNE _0x47D
	LDI  R30,LOW(72)
	RJMP _0x6DF
;case 3:   tda7313_write(64);  loudness1=loudness;  displ_refresh=1;  break;
_0x47D:
	CPI  R30,LOW(0x3)
	LDI  R26,HIGH(0x3)
	CPC  R31,R26
	BRNE _0x47B
	LDI  R30,LOW(64)
_0x6DF:
	ST   -Y,R30
	CALL SUBOPT_0x98
	CALL SUBOPT_0x99
;};   //(8)
_0x47B:
;} //AA
;if (tek_vhod==2) { //AA          2           
_0x478:
	CALL SUBOPT_0x9A
	CPI  R30,LOW(0x2)
	BRNE _0x47F
;switch ( loudness) {    //(8)              loudness ,   0   
	CALL SUBOPT_0x97
;case 1:   tda7313_write(81); loudness2=loudness;  displ_refresh=1;  break;
	CPI  R30,LOW(0x1)
	LDI  R26,HIGH(0x1)
	CPC  R31,R26
	BRNE _0x483
	LDI  R30,LOW(81)
	RJMP _0x6E0
;case 2:   tda7313_write(73); loudness2=loudness;  displ_refresh=1;  break;
_0x483:
	CPI  R30,LOW(0x2)
	LDI  R26,HIGH(0x2)
	CPC  R31,R26
	BRNE _0x484
	LDI  R30,LOW(73)
	RJMP _0x6E0
;case 3:   tda7313_write(65); loudness2=loudness;  displ_refresh=1;  break;
_0x484:
	CPI  R30,LOW(0x3)
	LDI  R26,HIGH(0x3)
	CPC  R31,R26
	BRNE _0x482
	LDI  R30,LOW(65)
_0x6E0:
	ST   -Y,R30
	CALL SUBOPT_0x98
	CALL SUBOPT_0x9B
;};   //(8)
_0x482:
;} //AA
;if (tek_vhod==3) { //AA          3           
_0x47F:
	CALL SUBOPT_0x9A
	CPI  R30,LOW(0x3)
	BRNE _0x486
;switch ( loudness) {    //(8)              loudness ,   0   
	CALL SUBOPT_0x97
;case 1:   tda7313_write(82); loudness3=loudness;  displ_refresh=1;  break;
	CPI  R30,LOW(0x1)
	LDI  R26,HIGH(0x1)
	CPC  R31,R26
	BRNE _0x48A
	LDI  R30,LOW(82)
	RJMP _0x6E1
;case 2:   tda7313_write(74); loudness3=loudness;  displ_refresh=1; break;
_0x48A:
	CPI  R30,LOW(0x2)
	LDI  R26,HIGH(0x2)
	CPC  R31,R26
	BRNE _0x48B
	LDI  R30,LOW(74)
	RJMP _0x6E1
;case 3:   tda7313_write(66); loudness3=loudness;  displ_refresh=1;  break;
_0x48B:
	CPI  R30,LOW(0x3)
	LDI  R26,HIGH(0x3)
	CPC  R31,R26
	BRNE _0x489
	LDI  R30,LOW(66)
_0x6E1:
	ST   -Y,R30
	CALL SUBOPT_0x98
	CALL SUBOPT_0x9C
;};   //(8)
_0x489:
;} //AA
;tog_ch=toggle;
_0x486:
	RJMP _0x6E2
;command_tx=10;
;goto n1;
;}//A4
;
;if ((rem_command==Minus)&& (loudness>0)&&(tog_ch!=toggle)) {//A5
_0x475:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x48E
	LDS  R26,_loudness
	LDS  R27,_loudness+1
	CALL __CPW02
	BRSH _0x48E
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x48F
_0x48E:
	RJMP _0x48D
_0x48F:
;loudness--;
	LDI  R26,LOW(_loudness)
	LDI  R27,HIGH(_loudness)
	CALL SUBOPT_0x9D
;if (tek_vhod==1) { //AA          1           
	CALL SUBOPT_0x12
	BRNE _0x490
;switch ( loudness) {    //(8)              loudness ,   3   
	CALL SUBOPT_0x97
;case 0:   tda7313_write(88); loudness1=loudness; displ_refresh=1;  break;
	SBIW R30,0
	BRNE _0x494
	LDI  R30,LOW(88)
	RJMP _0x6E3
;case 1:   tda7313_write(80); loudness1=loudness; displ_refresh=1;  break;
_0x494:
	CPI  R30,LOW(0x1)
	LDI  R26,HIGH(0x1)
	CPC  R31,R26
	BRNE _0x495
	LDI  R30,LOW(80)
	RJMP _0x6E3
;case 2:   tda7313_write(72); loudness1=loudness; displ_refresh=1;  break;
_0x495:
	CPI  R30,LOW(0x2)
	LDI  R26,HIGH(0x2)
	CPC  R31,R26
	BRNE _0x493
	LDI  R30,LOW(72)
_0x6E3:
	ST   -Y,R30
	CALL SUBOPT_0x98
	CALL SUBOPT_0x99
;};   //(8)
_0x493:
;} //AA
;if (tek_vhod==2) { //AA          2           
_0x490:
	CALL SUBOPT_0x9A
	CPI  R30,LOW(0x2)
	BRNE _0x497
;switch ( loudness) {    //(8)              loudness ,   3   
	CALL SUBOPT_0x97
;case 0:   tda7313_write(89); loudness2=loudness; displ_refresh=1;  break;
	SBIW R30,0
	BRNE _0x49B
	LDI  R30,LOW(89)
	RJMP _0x6E4
;case 1:   tda7313_write(81); loudness2=loudness; displ_refresh=1;  break;
_0x49B:
	CPI  R30,LOW(0x1)
	LDI  R26,HIGH(0x1)
	CPC  R31,R26
	BRNE _0x49C
	LDI  R30,LOW(81)
	RJMP _0x6E4
;case 2:   tda7313_write(73); loudness2=loudness; displ_refresh=1;  break;
_0x49C:
	CPI  R30,LOW(0x2)
	LDI  R26,HIGH(0x2)
	CPC  R31,R26
	BRNE _0x49A
	LDI  R30,LOW(73)
_0x6E4:
	ST   -Y,R30
	CALL SUBOPT_0x98
	CALL SUBOPT_0x9B
;};   //(8)
_0x49A:
;} //AA
;if (tek_vhod==3) { //AA          3           
_0x497:
	CALL SUBOPT_0x9A
	CPI  R30,LOW(0x3)
	BRNE _0x49E
;switch ( loudness) {    //(8)              loudness ,   3   
	CALL SUBOPT_0x97
;case 0:   tda7313_write(90); loudness3=loudness; displ_refresh=1;  break;
	SBIW R30,0
	BRNE _0x4A2
	LDI  R30,LOW(90)
	RJMP _0x6E5
;case 1:   tda7313_write(82); loudness3=loudness; displ_refresh=1;  break;
_0x4A2:
	CPI  R30,LOW(0x1)
	LDI  R26,HIGH(0x1)
	CPC  R31,R26
	BRNE _0x4A3
	LDI  R30,LOW(82)
	RJMP _0x6E5
;case 2:   tda7313_write(74); loudness3=loudness; displ_refresh=1;  break;
_0x4A3:
	CPI  R30,LOW(0x2)
	LDI  R26,HIGH(0x2)
	CPC  R31,R26
	BRNE _0x4A1
	LDI  R30,LOW(74)
_0x6E5:
	ST   -Y,R30
	CALL SUBOPT_0x98
	CALL SUBOPT_0x9C
;};   //(8)
_0x4A1:
;} //AA
;tog_ch=toggle;
_0x49E:
	RJMP _0x6E2
;command_tx=10;
;goto n1;
;}//A5
;}//A3
_0x48D:
; /****************************************************************************************************/
;   /************************************   9*******************************************/
;if ((command_tx==20)&&(tek_menu==9)) {      //F1          -  
_0x46C:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x4A6
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x9)
	BREQ _0x4A7
_0x4A6:
	RJMP _0x4A5
_0x4A7:
;
;
;switch ( tek_vhod) {
	CALL SUBOPT_0x12
;case 1:  treble=treble1;   break;
	BRNE _0x4AB
	LDI  R26,LOW(_treble1)
	LDI  R27,HIGH(_treble1)
	RJMP _0x6E6
;case 2:  treble=treble2;   break;
_0x4AB:
	CPI  R30,LOW(0x2)
	BRNE _0x4AC
	LDI  R26,LOW(_treble2)
	LDI  R27,HIGH(_treble2)
	RJMP _0x6E6
;case 3:  treble=treble3;  break;
_0x4AC:
	CPI  R30,LOW(0x3)
	BRNE _0x4AA
	LDI  R26,LOW(_treble3)
	LDI  R27,HIGH(_treble3)
_0x6E6:
	CALL __EEPROMRDB
	STS  _treble,R30
;};
_0x4AA:
;
;
;if ((rem_command==Plus)&&(treble<14)&&(tog_ch!=toggle)) {//F2   " "     ,     
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x4AF
	LDS  R26,_treble
	CPI  R26,LOW(0xE)
	BRSH _0x4AF
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x4B0
_0x4AF:
	RJMP _0x4AE
_0x4B0:
;command_tx=10;   //       
	CALL SUBOPT_0x9E
;tog_ch=toggle; //  ,        
;treble++;          //  
	SUBI R30,-LOW(1)
	STS  _treble,R30
;
;switch ( tek_vhod) {                    //          
	CALL SUBOPT_0x12
;case 1:  treble1=treble;   break;
	BRNE _0x4B4
	LDS  R30,_treble
	LDI  R26,LOW(_treble1)
	LDI  R27,HIGH(_treble1)
	RJMP _0x6E7
;case 2:  treble2=treble;   break;
_0x4B4:
	CPI  R30,LOW(0x2)
	BRNE _0x4B5
	LDS  R30,_treble
	LDI  R26,LOW(_treble2)
	LDI  R27,HIGH(_treble2)
	RJMP _0x6E7
;case 3:  treble3=treble;  break;
_0x4B5:
	CPI  R30,LOW(0x3)
	BRNE _0x4B3
	LDS  R30,_treble
	LDI  R26,LOW(_treble3)
	LDI  R27,HIGH(_treble3)
_0x6E7:
	CALL __EEPROMWRB
;};
_0x4B3:
;
;displ_refresh=1;
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
;
;//      7313
;treble_swich ();
	RCALL _treble_swich
; goto n1;
	RJMP _0x456
; }//F2
;
;if ((rem_command==Minus)&&(treble>0)&&(tog_ch!=toggle)) {//F6
_0x4AE:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x4B8
	LDS  R26,_treble
	CPI  R26,LOW(0x1)
	BRLO _0x4B8
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x4B9
_0x4B8:
	RJMP _0x4B7
_0x4B9:
;command_tx=10;   //       
	CALL SUBOPT_0x9E
;tog_ch=toggle; //  ,        
;treble--;          //  
	SUBI R30,LOW(1)
	STS  _treble,R30
;
;switch ( tek_vhod) {                    //          
	CALL SUBOPT_0x12
;case 1:  treble1=treble;   break;
	BRNE _0x4BD
	LDS  R30,_treble
	LDI  R26,LOW(_treble1)
	LDI  R27,HIGH(_treble1)
	RJMP _0x6E8
;case 2:  treble2=treble;   break;
_0x4BD:
	CPI  R30,LOW(0x2)
	BRNE _0x4BE
	LDS  R30,_treble
	LDI  R26,LOW(_treble2)
	LDI  R27,HIGH(_treble2)
	RJMP _0x6E8
;case 3:  treble3=treble;  break;
_0x4BE:
	CPI  R30,LOW(0x3)
	BRNE _0x4BC
	LDS  R30,_treble
	LDI  R26,LOW(_treble3)
	LDI  R27,HIGH(_treble3)
_0x6E8:
	CALL __EEPROMWRB
;};
_0x4BC:
;
;displ_refresh=1;
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
;
;//      7313
;treble_swich ();
	RCALL _treble_swich
; goto n1;
	RJMP _0x456
;}//F6
;} //F1
_0x4B7:
;
;
; /****************************************************************************************************/
;   /************************************   10*******************************************/
;if ((command_tx==20)&&(tek_menu==10)) {      //Z1         -  
_0x4A5:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x4C1
	LDS  R26,_tek_menu
	CPI  R26,LOW(0xA)
	BREQ _0x4C2
_0x4C1:
	RJMP _0x4C0
_0x4C2:
;
;switch ( tek_vhod) {
	CALL SUBOPT_0x12
;case 1:  bass=bass1;   break;
	BRNE _0x4C6
	LDI  R26,LOW(_bass1)
	LDI  R27,HIGH(_bass1)
	RJMP _0x6E9
;case 2:  bass=bass2;   break;
_0x4C6:
	CPI  R30,LOW(0x2)
	BRNE _0x4C7
	LDI  R26,LOW(_bass2)
	LDI  R27,HIGH(_bass2)
	RJMP _0x6E9
;case 3:  bass=bass3;  break;
_0x4C7:
	CPI  R30,LOW(0x3)
	BRNE _0x4C5
	LDI  R26,LOW(_bass3)
	LDI  R27,HIGH(_bass3)
_0x6E9:
	CALL __EEPROMRDB
	STS  _bass,R30
;};
_0x4C5:
;
;
;if ((rem_command==Plus)&&(bass<14)&&(tog_ch!=toggle)) {//F2   " "     ,     
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x4CA
	LDS  R26,_bass
	CPI  R26,LOW(0xE)
	BRSH _0x4CA
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x4CB
_0x4CA:
	RJMP _0x4C9
_0x4CB:
;command_tx=10;   //       
	CALL SUBOPT_0x9F
;tog_ch=toggle; //  ,        
;bass++;          //  
	SUBI R30,-LOW(1)
	STS  _bass,R30
;
;switch ( tek_vhod) {                    //          
	CALL SUBOPT_0x12
;case 1:   bass1= bass;   break;
	BRNE _0x4CF
	LDS  R30,_bass
	LDI  R26,LOW(_bass1)
	LDI  R27,HIGH(_bass1)
	RJMP _0x6EA
;case 2:   bass2= bass;   break;
_0x4CF:
	CPI  R30,LOW(0x2)
	BRNE _0x4D0
	LDS  R30,_bass
	LDI  R26,LOW(_bass2)
	LDI  R27,HIGH(_bass2)
	RJMP _0x6EA
;case 3:   bass3= bass;  break;
_0x4D0:
	CPI  R30,LOW(0x3)
	BRNE _0x4CE
	LDS  R30,_bass
	LDI  R26,LOW(_bass3)
	LDI  R27,HIGH(_bass3)
_0x6EA:
	CALL __EEPROMWRB
;};
_0x4CE:
;
;displ_refresh=1;
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
;//      7313
;bass_swich ();
	RCALL _bass_swich
; goto n1;
	RJMP _0x456
; }//F2
;if ((rem_command==Minus)&&(bass>0)&&(tog_ch!=toggle)) {//F8
_0x4C9:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x4D3
	LDS  R26,_bass
	CPI  R26,LOW(0x1)
	BRLO _0x4D3
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x4D4
_0x4D3:
	RJMP _0x4D2
_0x4D4:
;command_tx=10;   //       
	CALL SUBOPT_0x9F
;tog_ch=toggle; //  ,        
;bass--;          //  
	SUBI R30,LOW(1)
	STS  _bass,R30
;
;switch ( tek_vhod) {                    //          
	CALL SUBOPT_0x12
;case 1:   bass1= bass;   break;
	BRNE _0x4D8
	LDS  R30,_bass
	LDI  R26,LOW(_bass1)
	LDI  R27,HIGH(_bass1)
	RJMP _0x6EB
;case 2:   bass2= bass;   break;
_0x4D8:
	CPI  R30,LOW(0x2)
	BRNE _0x4D9
	LDS  R30,_bass
	LDI  R26,LOW(_bass2)
	LDI  R27,HIGH(_bass2)
	RJMP _0x6EB
;case 3:   bass3= bass;  break;
_0x4D9:
	CPI  R30,LOW(0x3)
	BRNE _0x4D7
	LDS  R30,_bass
	LDI  R26,LOW(_bass3)
	LDI  R27,HIGH(_bass3)
_0x6EB:
	CALL __EEPROMWRB
;};
_0x4D7:
;
;displ_refresh=1;
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
;//      7313
;bass_swich ();
	RCALL _bass_swich
; goto n1;
	RJMP _0x456
; }//F8
;}//Z1
_0x4D2:
;
;  /****************************************************************************************************/
;
;
;
;
; /************************************   11*******************************************/
;if ((command_tx==20)&&(tek_menu==11)&&(tog_ch!=toggle)) {  //3
_0x4C0:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x4DC
	LDS  R26,_tek_menu
	CPI  R26,LOW(0xB)
	BRNE _0x4DC
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x4DD
_0x4DC:
	RJMP _0x4DB
_0x4DD:
;if ((rem_command==Plus)&& (date<31)) {//A4
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x4DF
	LDS  R26,_date
	CPI  R26,LOW(0x1F)
	BRLO _0x4E0
_0x4DF:
	RJMP _0x4DE
_0x4E0:
;date++;
	LDS  R30,_date
	SUBI R30,-LOW(1)
	CALL SUBOPT_0xA0
;displ_refresh=1;
;rtc_set_date(date,mounth,year) ;
;command_tx=10;
;tog_ch=toggle;
;}//A4
;if ((rem_command==Minus)&& (date>1)) {//A4
_0x4DE:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x4E2
	LDS  R26,_date
	CPI  R26,LOW(0x2)
	BRSH _0x4E3
_0x4E2:
	RJMP _0x4E1
_0x4E3:
;date--;
	LDS  R30,_date
	SUBI R30,LOW(1)
	CALL SUBOPT_0xA0
;displ_refresh=1;
;rtc_set_date(date,mounth,year) ;
;command_tx=10;
;tog_ch=toggle;
;}//A4
;goto n1;
_0x4E1:
	RJMP _0x456
;}//A3
; /****************************************************************************************************/
;
;  /************************************   12*******************************************/
;if ((command_tx==20)&&(tek_menu==12)&&(tog_ch!=toggle)) {  //3
_0x4DB:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x4E5
	LDS  R26,_tek_menu
	CPI  R26,LOW(0xC)
	BRNE _0x4E5
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x4E6
_0x4E5:
	RJMP _0x4E4
_0x4E6:
;if ((rem_command==Plus)&& (mounth<12)) {//A4
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x4E8
	LDS  R26,_mounth
	CPI  R26,LOW(0xC)
	BRLO _0x4E9
_0x4E8:
	RJMP _0x4E7
_0x4E9:
;mounth++;
	LDS  R30,_mounth
	SUBI R30,-LOW(1)
	CALL SUBOPT_0xA1
;displ_refresh=1;
;rtc_set_date(date,mounth,year) ;
;command_tx=10;
;tog_ch=toggle;
;}//A4
;if ((rem_command==Minus)&& (mounth>1)) {//A4
_0x4E7:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x4EB
	LDS  R26,_mounth
	CPI  R26,LOW(0x2)
	BRSH _0x4EC
_0x4EB:
	RJMP _0x4EA
_0x4EC:
;mounth--;
	LDS  R30,_mounth
	SUBI R30,LOW(1)
	CALL SUBOPT_0xA1
;displ_refresh=1;
;rtc_set_date(date,mounth,year) ;
;command_tx=10;
;tog_ch=toggle;
;}//A4
;goto n1;
_0x4EA:
	RJMP _0x456
;}//A3
; /****************************************************************************************************/
;
;   /************************************   13*******************************************/
;if ((command_tx==20)&&(tek_menu==13)&&(tog_ch!=toggle)) {  //3
_0x4E4:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x4EE
	LDS  R26,_tek_menu
	CPI  R26,LOW(0xD)
	BRNE _0x4EE
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x4EF
_0x4EE:
	RJMP _0x4ED
_0x4EF:
;if ((rem_command==Plus)&& (year<55)) {//A4
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x4F1
	LDS  R26,_year
	CPI  R26,LOW(0x37)
	BRLO _0x4F2
_0x4F1:
	RJMP _0x4F0
_0x4F2:
;year++;
	LDS  R30,_year
	SUBI R30,-LOW(1)
	CALL SUBOPT_0xA2
;displ_refresh=1;
;rtc_set_date(date,mounth,year) ;
;command_tx=10;
;tog_ch=toggle;
;}//A4
;if ((rem_command==Minus)&& (year>8)) {//A4
_0x4F0:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x4F4
	LDS  R26,_year
	CPI  R26,LOW(0x9)
	BRSH _0x4F5
_0x4F4:
	RJMP _0x4F3
_0x4F5:
;year--;
	LDS  R30,_year
	SUBI R30,LOW(1)
	CALL SUBOPT_0xA2
;displ_refresh=1;
;rtc_set_date(date,mounth,year) ;
;command_tx=10;
;tog_ch=toggle;
;}//A4
;goto n1;
_0x4F3:
	RJMP _0x456
;}//A3
; /****************************************************************************************************/
;   /************************************   14*******************************************/
;if ((command_tx==20)&&(tek_menu==14)&&(tog_ch!=toggle)) {  //3
_0x4ED:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x4F7
	LDS  R26,_tek_menu
	CPI  R26,LOW(0xE)
	BRNE _0x4F7
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x4F8
_0x4F7:
	RJMP _0x4F6
_0x4F8:
;if ((rem_command==Plus)&& (h<24)) {//A4
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x4FA
	LDS  R26,_h
	CPI  R26,LOW(0x18)
	BRLO _0x4FB
_0x4FA:
	RJMP _0x4F9
_0x4FB:
;h++;
	LDS  R30,_h
	SUBI R30,-LOW(1)
	CALL SUBOPT_0xA3
;displ_refresh=1;
;if (h==24) {h=0;}
	LDS  R26,_h
	CPI  R26,LOW(0x18)
	BRNE _0x4FC
	LDI  R30,LOW(0)
	STS  _h,R30
;rtc_set_time(h,m,s);
_0x4FC:
	CALL SUBOPT_0xA4
;command_tx=10;
	CALL SUBOPT_0xA5
;tog_ch=toggle;
;hour=h;
	CALL SUBOPT_0x92
;min=m;
;}//A4
;
;if ((rem_command==Minus)&& (h==0)) {h=23; displ_refresh=1;  rtc_set_time(h,m,s); hour=h;  min=m; command_tx=10; tog_ch=toggle;  goto n1;}
_0x4F9:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x4FE
	LDS  R26,_h
	CPI  R26,LOW(0x0)
	BREQ _0x4FF
_0x4FE:
	RJMP _0x4FD
_0x4FF:
	LDI  R30,LOW(23)
	CALL SUBOPT_0xA3
	CALL SUBOPT_0xA4
	CALL SUBOPT_0x92
	CALL SUBOPT_0xA5
	RJMP _0x456
;
;if ((rem_command==Minus)&& (h>0)) {//A4
_0x4FD:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x501
	LDS  R26,_h
	CPI  R26,LOW(0x1)
	BRSH _0x502
_0x501:
	RJMP _0x500
_0x502:
;h--;
	LDS  R30,_h
	SUBI R30,LOW(1)
	CALL SUBOPT_0xA3
;displ_refresh=1;
;rtc_set_time(h,m,s);
	CALL SUBOPT_0xA4
;command_tx=10;
	CALL SUBOPT_0xA5
;tog_ch=toggle;
;hour=h;
	CALL SUBOPT_0x92
;min=m;
;}//A4
;goto n1;
_0x500:
	RJMP _0x456
;}//A3
; /****************************************************************************************************/
;
;   /************************************   15*******************************************/
;if ((command_tx==20)&&(tek_menu==15)&&(tog_ch!=toggle)) {  //3
_0x4F6:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x504
	LDS  R26,_tek_menu
	CPI  R26,LOW(0xF)
	BRNE _0x504
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x505
_0x504:
	RJMP _0x503
_0x505:
;if ((rem_command==Plus)&& (m<60)) {//A4
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x507
	LDS  R26,_m
	CPI  R26,LOW(0x3C)
	BRLO _0x508
_0x507:
	RJMP _0x506
_0x508:
;m++;
	LDS  R30,_m
	SUBI R30,-LOW(1)
	STS  _m,R30
;displ_refresh=1;
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
;if (m==60) {m=0;}
	LDS  R26,_m
	CPI  R26,LOW(0x3C)
	BRNE _0x509
	LDI  R30,LOW(0)
	STS  _m,R30
;rtc_set_time(h,m,s);
_0x509:
	CALL SUBOPT_0xA4
;command_tx=10;
	CALL SUBOPT_0xA5
;tog_ch=toggle;
;hour=h;
	CALL SUBOPT_0x92
;min=m;
;}//A4
;
;if ((rem_command==Minus)&& (m==0)) {m=59; rtc_set_time(h,m,s); hour=h;  min=m; command_tx=10; tog_ch=toggle;  goto n1;}
_0x506:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x50B
	LDS  R26,_m
	CPI  R26,LOW(0x0)
	BREQ _0x50C
_0x50B:
	RJMP _0x50A
_0x50C:
	LDI  R30,LOW(59)
	STS  _m,R30
	CALL SUBOPT_0xA4
	CALL SUBOPT_0x92
	CALL SUBOPT_0xA5
	RJMP _0x456
;
;if ((rem_command==Minus)&& (m>0)) {//A4
_0x50A:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x50E
	LDS  R26,_m
	CPI  R26,LOW(0x1)
	BRSH _0x50F
_0x50E:
	RJMP _0x50D
_0x50F:
;m--;
	LDS  R30,_m
	SUBI R30,LOW(1)
	STS  _m,R30
;displ_refresh=1;
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
;rtc_set_time(h,m,s);
	CALL SUBOPT_0xA4
;command_tx=10;
	CALL SUBOPT_0xA5
;tog_ch=toggle;
;hour=h;
	CALL SUBOPT_0x92
;min=m;
;}//A4
;goto n1;
_0x50D:
	RJMP _0x456
;}//A3
; /****************************************************************************************************/
;
;    /************************************   16*******************************************/
;if ((command_tx==20)&&(tek_menu==16)&&(tog_ch!=toggle)) {  //3
_0x503:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x511
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x10)
	BRNE _0x511
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x512
_0x511:
	RJMP _0x510
_0x512:
;if ((rem_command==Plus)&& (s<60)) {//A4
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x514
	LDS  R26,_s
	CPI  R26,LOW(0x3C)
	BRLO _0x515
_0x514:
	RJMP _0x513
_0x515:
;s++;
	LDS  R30,_s
	SUBI R30,-LOW(1)
	STS  _s,R30
;displ_refresh=1;
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
;if (s==60) {s=0;}
	LDS  R26,_s
	CPI  R26,LOW(0x3C)
	BRNE _0x516
	LDI  R30,LOW(0)
	STS  _s,R30
;rtc_set_time(h,m,s);
_0x516:
	CALL SUBOPT_0xA4
;command_tx=10;
	CALL SUBOPT_0xA5
;tog_ch=toggle;
;hour=h;
	CALL SUBOPT_0x92
;min=m;
;}//A4
;
;if ((rem_command==Minus)&& (s==0)) {s=59; rtc_set_time(h,m,s); hour=h;  min=m; command_tx=10; tog_ch=toggle;  goto n1;}
_0x513:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x518
	LDS  R26,_s
	CPI  R26,LOW(0x0)
	BREQ _0x519
_0x518:
	RJMP _0x517
_0x519:
	LDI  R30,LOW(59)
	STS  _s,R30
	CALL SUBOPT_0xA4
	CALL SUBOPT_0x92
	CALL SUBOPT_0xA5
	RJMP _0x456
;
;if ((rem_command==Minus)&& (s>0)) {//A4
_0x517:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x51B
	LDS  R26,_s
	CPI  R26,LOW(0x1)
	BRSH _0x51C
_0x51B:
	RJMP _0x51A
_0x51C:
;s--;
	LDS  R30,_s
	SUBI R30,LOW(1)
	STS  _s,R30
;displ_refresh=1;
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
;rtc_set_time(h,m,s);
	CALL SUBOPT_0xA4
;command_tx=10;
	CALL SUBOPT_0xA5
;tog_ch=toggle;
;hour=h;
	CALL SUBOPT_0x92
;min=m;
;}//A4
;goto n1;
_0x51A:
	RJMP _0x456
;}//A3
; /****************************************************************************************************/
;
;
;
;
;    /************************************   19*******************************************/
;if ((command_tx==20)&&(tek_menu==19))  {  //Q1
_0x510:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x51E
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x13)
	BREQ _0x51F
_0x51E:
	RJMP _0x51D
_0x51F:
;if (rem_command==Plus) {//A4
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x520
;hour_on++;
	CALL SUBOPT_0x67
	CALL SUBOPT_0xA6
;displ_refresh=1;
;if (hour_on>=24)  {hour_on=0;}
	CALL SUBOPT_0x67
	CPI  R30,LOW(0x18)
	BRLO _0x521
	CALL SUBOPT_0xA7
;command_tx=10;
_0x521:
	RJMP _0x6EC
;goto n1;
;}//A4
; if ((rem_command==Minus)&&(hour_on==0)) {hour_on=23; command_tx=10; displ_refresh=1;  goto n1;}
_0x520:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x523
	CALL SUBOPT_0x67
	CPI  R30,0
	BREQ _0x524
_0x523:
	RJMP _0x522
_0x524:
	CALL SUBOPT_0xA8
	RJMP _0x456
; if ((rem_command==Minus)&&(hour_on>0)) {//A5
_0x522:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x526
	CALL SUBOPT_0x67
	CPI  R30,LOW(0x1)
	BRSH _0x527
_0x526:
	RJMP _0x525
_0x527:
;hour_on--;
	CALL SUBOPT_0x67
	CALL SUBOPT_0xA9
;displ_refresh=1;
;command_tx=10;
	RJMP _0x6EC
;goto n1;
;}//A5
;} //Q1
_0x525:
;/****************************************************************************************************/
;    /************************************   20*******************************************/
;if ((command_tx==20)&&(tek_menu==20))  {  //Q1
_0x51D:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x529
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x14)
	BREQ _0x52A
_0x529:
	RJMP _0x528
_0x52A:
;if (rem_command==Plus) {//A4
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x52B
;min_on ++;
	CALL SUBOPT_0x68
	CALL SUBOPT_0xA6
;displ_refresh=1;
;if (min_on>=60)  {min_on=0;}
	CALL SUBOPT_0x68
	CPI  R30,LOW(0x3C)
	BRLO _0x52C
	CALL SUBOPT_0xAA
;command_tx=10;
_0x52C:
	RJMP _0x6EC
;goto n1;
;}//A4
; if ((rem_command==Minus)&&(min_on==0)) {min_on=59; command_tx=10; displ_refresh=1;  goto n1;}
_0x52B:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x52E
	CALL SUBOPT_0x68
	CPI  R30,0
	BREQ _0x52F
_0x52E:
	RJMP _0x52D
_0x52F:
	CALL SUBOPT_0xAB
	RJMP _0x456
; if ((rem_command==Minus)&&(min_on>=1)) {//A5
_0x52D:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x531
	CALL SUBOPT_0x68
	CPI  R30,LOW(0x1)
	BRSH _0x532
_0x531:
	RJMP _0x530
_0x532:
;min_on--;
	CALL SUBOPT_0x68
	CALL SUBOPT_0xA9
;displ_refresh=1;
;command_tx=10;
	RJMP _0x6EC
;goto n1;
;}//A5
;} //Q1
_0x530:
;/****************************************************************************************************/
;    /************************************   22*******************************************/
;if ((command_tx==20)&&(tek_menu==22))  {  //Q1
_0x528:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x534
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x16)
	BREQ _0x535
_0x534:
	RJMP _0x533
_0x535:
;if (rem_command==Plus) {//A4
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x536
;hour_off++;
	CALL SUBOPT_0x64
	CALL SUBOPT_0xA6
;displ_refresh=1;
;if (hour_off>=24)  {hour_off=0;}
	CALL SUBOPT_0x64
	CPI  R30,LOW(0x18)
	BRLO _0x537
	LDI  R26,LOW(_hour_off)
	LDI  R27,HIGH(_hour_off)
	LDI  R30,LOW(0)
	CALL __EEPROMWRB
;command_tx=10;
_0x537:
	RJMP _0x6EC
;goto n1;
;}//A4
; if ((rem_command==Minus)&&(hour_off==0)) {hour_off=23; command_tx=10; displ_refresh=1; goto n1;}
_0x536:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x539
	CALL SUBOPT_0x64
	CPI  R30,0
	BREQ _0x53A
_0x539:
	RJMP _0x538
_0x53A:
	CALL SUBOPT_0xAC
	RJMP _0x456
; if ((rem_command==Minus)&&(hour_off>0)) {//A5
_0x538:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x53C
	CALL SUBOPT_0x64
	CPI  R30,LOW(0x1)
	BRSH _0x53D
_0x53C:
	RJMP _0x53B
_0x53D:
;hour_off--;
	CALL SUBOPT_0x64
	CALL SUBOPT_0xA9
;displ_refresh=1;
;command_tx=10;
	RJMP _0x6EC
;goto n1;
;}//A5
;} //Q1
_0x53B:
;/****************************************************************************************************/
;    /************************************   23*******************************************/
;if ((command_tx==20)&&(tek_menu==23))  {  //Q1
_0x533:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x53F
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x17)
	BREQ _0x540
_0x53F:
	RJMP _0x53E
_0x540:
;if (rem_command==Plus) {//A4
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x541
;min_off++;
	CALL SUBOPT_0x65
	CALL SUBOPT_0xA6
;displ_refresh=1;
;if (min_off>=60)  {min_off=0;}
	CALL SUBOPT_0x65
	CPI  R30,LOW(0x3C)
	BRLO _0x542
	LDI  R26,LOW(_min_off)
	LDI  R27,HIGH(_min_off)
	LDI  R30,LOW(0)
	CALL __EEPROMWRB
;command_tx=10;
_0x542:
	RJMP _0x6EC
;goto n1;
;}//A4
; if ((rem_command==Minus)&&(min_off==0)) {min_off=59; command_tx=10; displ_refresh=1; goto n1;}
_0x541:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x544
	CALL SUBOPT_0x65
	CPI  R30,0
	BREQ _0x545
_0x544:
	RJMP _0x543
_0x545:
	CALL SUBOPT_0xAD
	RJMP _0x456
; if ((rem_command==Minus)&&(min_off>0)) {//A5
_0x543:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x547
	CALL SUBOPT_0x65
	CPI  R30,LOW(0x1)
	BRSH _0x548
_0x547:
	RJMP _0x546
_0x548:
;min_off--;
	CALL SUBOPT_0x65
	CALL SUBOPT_0xA9
;displ_refresh=1;
;command_tx=10;
	RJMP _0x6EC
;goto n1;
;}//A5
;} //Q1
_0x546:
;/****************************************************************************************************/
;    /************************************   24*******************************************/
;if ((command_tx==20)&&(tek_menu==24))  {  //Q1
_0x53E:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x54A
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x18)
	BREQ _0x54B
_0x54A:
	RJMP _0x549
_0x54B:
;if (rem_command==Plus) {//A4
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x54C
;hour_off++;
	CALL SUBOPT_0x64
	CALL SUBOPT_0xA6
;displ_refresh=1;
;if (hour_off>=24)  {hour_off=0;}
	CALL SUBOPT_0x64
	CPI  R30,LOW(0x18)
	BRLO _0x54D
	LDI  R26,LOW(_hour_off)
	LDI  R27,HIGH(_hour_off)
	LDI  R30,LOW(0)
	CALL __EEPROMWRB
;command_tx=10;
_0x54D:
	RJMP _0x6EC
;goto n1;
;}//A4
; if ((rem_command==Minus)&&(hour_off==0)) {hour_off=23; command_tx=10; displ_refresh=1; goto n1;}
_0x54C:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x54F
	CALL SUBOPT_0x64
	CPI  R30,0
	BREQ _0x550
_0x54F:
	RJMP _0x54E
_0x550:
	CALL SUBOPT_0xAC
	RJMP _0x456
; if ((rem_command==Minus)&&(hour_off>0)) {//A5
_0x54E:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x552
	CALL SUBOPT_0x64
	CPI  R30,LOW(0x1)
	BRSH _0x553
_0x552:
	RJMP _0x551
_0x553:
;hour_off--;
	CALL SUBOPT_0x64
	CALL SUBOPT_0xA9
;displ_refresh=1;
;command_tx=10;
	RJMP _0x6EC
;goto n1;
;}//A5
;} //Q1
_0x551:
;/****************************************************************************************************/
;   /************************************   25*******************************************/
;if ((command_tx==20)&&(tek_menu==25))  {  //Q1
_0x549:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x555
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x19)
	BREQ _0x556
_0x555:
	RJMP _0x554
_0x556:
;if (rem_command==Plus) {//A4
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x557
;min_off++;
	CALL SUBOPT_0x65
	CALL SUBOPT_0xA6
;displ_refresh=1;
;if (min_off>=60)  {min_off=0;}
	CALL SUBOPT_0x65
	CPI  R30,LOW(0x3C)
	BRLO _0x558
	LDI  R26,LOW(_min_off)
	LDI  R27,HIGH(_min_off)
	LDI  R30,LOW(0)
	CALL __EEPROMWRB
;command_tx=10;
_0x558:
	RJMP _0x6EC
;goto n1;
;}//A4
; if ((rem_command==Minus)&&(min_off==0)) {min_off=59; command_tx=10; displ_refresh=1; goto n1;}
_0x557:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x55A
	CALL SUBOPT_0x65
	CPI  R30,0
	BREQ _0x55B
_0x55A:
	RJMP _0x559
_0x55B:
	CALL SUBOPT_0xAD
	RJMP _0x456
; if ((rem_command==Minus)&&(min_off>0)) {//A5
_0x559:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x55D
	CALL SUBOPT_0x65
	CPI  R30,LOW(0x1)
	BRSH _0x55E
_0x55D:
	RJMP _0x55C
_0x55E:
;min_off--;
	CALL SUBOPT_0x65
	CALL SUBOPT_0xA9
;displ_refresh=1;
;command_tx=10;
	RJMP _0x6EC
;goto n1;
;}//A5
;} //Q1
_0x55C:
;/****************************************************************************************************/
;
;    /************************************   27*******************************************/
;if ((command_tx==20)&&(tek_menu==27))  {  //Q1
_0x554:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x560
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1B)
	BREQ _0x561
_0x560:
	RJMP _0x55F
_0x561:
;if (rem_command==Plus) {//A4
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x562
;hour_on++;
	CALL SUBOPT_0x67
	CALL SUBOPT_0xA6
;displ_refresh=1;
;if (hour_on>=24)  {hour_on=0;}
	CALL SUBOPT_0x67
	CPI  R30,LOW(0x18)
	BRLO _0x563
	CALL SUBOPT_0xA7
;command_tx=10;
_0x563:
	RJMP _0x6EC
;goto n1;
;}//A4
; if ((rem_command==Minus)&&(hour_on==0)) {hour_on=23; command_tx=10; displ_refresh=1; goto n1;}
_0x562:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x565
	CALL SUBOPT_0x67
	CPI  R30,0
	BREQ _0x566
_0x565:
	RJMP _0x564
_0x566:
	CALL SUBOPT_0xA8
	RJMP _0x456
; if ((rem_command==Minus)&&(hour_on>0)) {//A5
_0x564:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x568
	CALL SUBOPT_0x67
	CPI  R30,LOW(0x1)
	BRSH _0x569
_0x568:
	RJMP _0x567
_0x569:
;hour_on--;
	CALL SUBOPT_0x67
	CALL SUBOPT_0xA9
;displ_refresh=1;
;command_tx=10;
	RJMP _0x6EC
;goto n1;
;}//A5
;} //Q1
_0x567:
;/****************************************************************************************************/
;    /************************************   28*******************************************/
;if ((command_tx==20)&&(tek_menu==28))  {  //Q1
_0x55F:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x56B
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1C)
	BREQ _0x56C
_0x56B:
	RJMP _0x56A
_0x56C:
;if (rem_command==Plus) {//A4
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x56D
;min_on++;
	CALL SUBOPT_0x68
	CALL SUBOPT_0xA6
;displ_refresh=1;
;if (min_on>=60)  {min_on=0;}
	CALL SUBOPT_0x68
	CPI  R30,LOW(0x3C)
	BRLO _0x56E
	CALL SUBOPT_0xAA
;command_tx=10;
_0x56E:
	RJMP _0x6EC
;goto n1;
;}//A4
; if ((rem_command==Minus)&&(min_on==0)) {min_on=59; command_tx=10;displ_refresh=1; goto n1;}
_0x56D:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x570
	CALL SUBOPT_0x68
	CPI  R30,0
	BREQ _0x571
_0x570:
	RJMP _0x56F
_0x571:
	CALL SUBOPT_0xAB
	RJMP _0x456
; if ((rem_command==Minus)&&(min_on>0)) {//A5
_0x56F:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x573
	CALL SUBOPT_0x68
	CPI  R30,LOW(0x1)
	BRSH _0x574
_0x573:
	RJMP _0x572
_0x574:
;min_on--;
	CALL SUBOPT_0x68
	CALL SUBOPT_0xA9
;displ_refresh=1;
;command_tx=10;
	RJMP _0x6EC
;goto n1;
;}//A5
;} //Q1
_0x572:
;/****************************************************************************************************/
;    /************************************   29*******************************************/
;if ((command_tx==20)&&(tek_menu==29)&&(tog_ch!=toggle))  {  //Q1  valcoder_sens
_0x56A:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x576
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1D)
	BRNE _0x576
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x577
_0x576:
	RJMP _0x575
_0x577:
;if ((rem_command==Plus)&&(valcoder_sens<8)) {//A4
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x579
	CALL SUBOPT_0x31
	CPI  R30,LOW(0x8)
	BRLO _0x57A
_0x579:
	RJMP _0x578
_0x57A:
;valcoder_sens++;
	CALL SUBOPT_0x31
	CALL SUBOPT_0xA6
;displ_refresh=1;
;n_valc_imp=10-valcoder_sens;
	CALL SUBOPT_0x31
	CALL SUBOPT_0xAE
;tog_ch=toggle;
	RJMP _0x6E2
;command_tx=10;
;goto n1;
;}//A4
;
;if ((rem_command==Minus)&&(valcoder_sens>0)) {//A4
_0x578:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x57C
	CALL SUBOPT_0x31
	CPI  R30,LOW(0x1)
	BRSH _0x57D
_0x57C:
	RJMP _0x57B
_0x57D:
;valcoder_sens--;
	CALL SUBOPT_0x31
	CALL SUBOPT_0xA9
;displ_refresh=1;
;n_valc_imp=10-valcoder_sens;
	CALL SUBOPT_0x31
	CALL SUBOPT_0xAE
;tog_ch=toggle;
	RJMP _0x6E2
;command_tx=10;
;goto n1;
;}//A4
;} //Q1
_0x57B:
;/****************************************************************************************************/
;
;
;
;
;
;
;
;
;
;
;
;
; /************************************   63 *******************************************/
;if ((command_tx==20)&&(tek_menu==63)&&(tog_ch!=toggle))  {  //Q1
_0x575:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x57F
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x3F)
	BRNE _0x57F
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x580
_0x57F:
	RJMP _0x57E
_0x580:
;
;if(rem_command==SBR) {dig1=0; dig2=0; dig3=0; dig4=0; dig5=0; d_count=0; adr_long=0; }; 	//    -     
	LDS  R26,_rem_command
	CPI  R26,LOW(0xA)
	BRNE _0x581
	CALL SUBOPT_0xAF
	CALL SUBOPT_0xB0
_0x581:
;if (d_count>5) {d_count=0;};		//   
	LDS  R26,_d_count
	CPI  R26,LOW(0x6)
	BRLO _0x582
	LDI  R30,LOW(0)
	STS  _d_count,R30
_0x582:
;if((rem_command>9)&&(rem_command!=OK)) {goto e;};
	LDS  R26,_rem_command
	CPI  R26,LOW(0xA)
	BRLO _0x584
	LDS  R26,_rem_command
	CPI  R26,LOW(0x3B)
	BRNE _0x585
_0x584:
	RJMP _0x583
_0x585:
	RJMP _0x586
_0x583:
;
;
;if ((rem_command>=0)&&(rem_command<=9)) {//A4            
	LDS  R26,_rem_command
	CPI  R26,0
	BRLO _0x588
	LDS  R26,_rem_command
	CPI  R26,LOW(0xA)
	BRLO _0x589
_0x588:
	RJMP _0x587
_0x589:
;switch (d_count) {
	LDS  R30,_d_count
;    case 0 : dig1=rem_command;  break;
	CPI  R30,0
	BRNE _0x58D
	CALL SUBOPT_0xB1
	RJMP _0x58C
;    case 1 : dig2=rem_command;  break;
_0x58D:
	CPI  R30,LOW(0x1)
	BRNE _0x58E
	CALL SUBOPT_0xB2
	RJMP _0x58C
;    case 2 : dig3=rem_command;  break;
_0x58E:
	CPI  R30,LOW(0x2)
	BRNE _0x58F
	LDS  R30,_rem_command
	STS  _dig3,R30
	RJMP _0x58C
;    case 3 : dig4=rem_command;  break;
_0x58F:
	CPI  R30,LOW(0x3)
	BRNE _0x590
	LDS  R30,_rem_command
	STS  _dig4,R30
	RJMP _0x58C
;    case 4 : dig5=rem_command;  break;
_0x590:
	CPI  R30,LOW(0x4)
	BRNE _0x591
	LDS  R30,_rem_command
	STS  _dig5,R30
	RJMP _0x58C
;    case 5 : adr_long=(long int) rem_command; d_count=0; goto k; break;
_0x591:
	CPI  R30,LOW(0x5)
	BRNE _0x58C
	LDS  R30,_rem_command
	CLR  R31
	CLR  R22
	CLR  R23
	STS  _adr_long,R30
	STS  _adr_long+1,R31
	STS  _adr_long+2,R22
	STS  _adr_long+3,R23
	LDI  R30,LOW(0)
	STS  _d_count,R30
	RJMP _0x593
;    };
_0x58C:
;d_count++;
	CALL SUBOPT_0xB3
;
;}//A4
;
;switch (d_count) {
_0x587:
	LDS  R30,_d_count
;    case 1 : adr_long=(long int)dig1; goto k;  break;
	CPI  R30,LOW(0x1)
	BRNE _0x597
	LDS  R30,_dig1
	CLR  R31
	CLR  R22
	CLR  R23
	RJMP _0x6ED
;    case 2 : adr_long=(long int)dig1*10 + (long int)dig2; goto k;  break;
_0x597:
	CPI  R30,LOW(0x2)
	BRNE _0x598
	CALL SUBOPT_0xB4
	CALL SUBOPT_0xB5
	MOVW R26,R30
	MOVW R24,R22
	LDS  R30,_dig2
	RJMP _0x6EE
;    case 3 : adr_long=(long int)dig1*100 + (long int)dig2*10 + (long int)dig3; goto k;  break;
_0x598:
	CPI  R30,LOW(0x3)
	BRNE _0x599
	CALL SUBOPT_0xB4
	CALL SUBOPT_0xB6
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	CALL SUBOPT_0xB7
	CALL SUBOPT_0xB5
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	CALL __ADDD21
	LDS  R30,_dig3
	RJMP _0x6EE
;    case 4 : adr_long=(long int)dig1*1000 + (long int)dig2*100 + (long int)dig3*10 + (long int)dig4; goto k;  break;
_0x599:
	CPI  R30,LOW(0x4)
	BRNE _0x59A
	CALL SUBOPT_0xB4
	CALL SUBOPT_0xB8
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	CALL SUBOPT_0xB7
	CALL SUBOPT_0xB6
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	CALL __ADDD12
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	CALL SUBOPT_0xB9
	CALL SUBOPT_0xB5
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	CALL __ADDD21
	LDS  R30,_dig4
	RJMP _0x6EE
;    case 5 : adr_long=(long int)dig1*10000 + (long int)dig2*1000 + (long int)dig3*100 + (long int)dig4*10 + (long int)dig5;  break;
_0x59A:
	CPI  R30,LOW(0x5)
	BRNE _0x596
	CALL SUBOPT_0xB4
	CALL SUBOPT_0xBA
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	CALL SUBOPT_0xB7
	CALL SUBOPT_0xB8
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	CALL __ADDD12
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	CALL SUBOPT_0xB9
	CALL SUBOPT_0xB6
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	CALL __ADDD12
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	CALL SUBOPT_0xBB
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	CALL __ADDD21
	LDS  R30,_dig5
_0x6EE:
	CLR  R31
	CLR  R22
	CLR  R23
	CALL __ADDD12
_0x6ED:
	STS  _adr_long,R30
	STS  _adr_long+1,R31
	STS  _adr_long+2,R22
	STS  _adr_long+3,R23
;    };
_0x596:
;
;
;k:
_0x593:
;if (rem_command==Plus) {adr_long++;};
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x59C
	LDI  R26,LOW(_adr_long)
	LDI  R27,HIGH(_adr_long)
	CALL SUBOPT_0xBC
_0x59C:
;if (rem_command==Minus) {adr_long--;};
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x59D
	LDI  R26,LOW(_adr_long)
	LDI  R27,HIGH(_adr_long)
	CALL SUBOPT_0xBD
_0x59D:
;
;if(adr_long>655 ) {adr_long=0;};			// 
	LDS  R26,_adr_long
	LDS  R27,_adr_long+1
	LDS  R24,_adr_long+2
	LDS  R25,_adr_long+3
	__CPD2N 0x290
	BRLT _0x59E
	LDI  R30,LOW(0)
	CALL SUBOPT_0xB0
_0x59E:
;//if((adr_long>=24)&&(adr_long<=65)) {adr_long=0;};		// 
;//if((adr_long>=67)&&(adr_long<=2032)) {adr_long=0;};	// 
;
;
;address_temp=(unsigned int)adr_long;		//    int,  -  
	LDS  R30,_adr_long
	LDS  R31,_adr_long+1
	STS  _address_temp,R30
	STS  _address_temp+1,R31
;
;
;if (rem_command==OK) {
	LDS  R26,_rem_command
	CPI  R26,LOW(0x3B)
	BRNE _0x59F
;res_temp = read_from_AD7142_spi (address_temp);	//    
	CALL SUBOPT_0xBE
	CALL SUBOPT_0x1
	STS  _res_temp,R30
	STS  _res_temp+1,R31
;d_count=0;
	LDI  R30,LOW(0)
	STS  _d_count,R30
;};
_0x59F:
;displ_refresh=1;
	RJMP _0x6EF
;tog_ch=toggle;
;command_tx=10;
;goto n1;
;
;
;e:
_0x586:
;} //Q1
;/****************************************************************************************************/
;
;
;
;
; /************************************   64 *******************************************/
;if ((command_tx==20)&&(tek_menu==64)&&(tog_ch!=toggle))  {  //Q1
_0x57E:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x5A1
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x40)
	BRNE _0x5A1
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x5A2
_0x5A1:
	RJMP _0x5A0
_0x5A2:
;
;if(rem_command==SBR) {dig1=0; dig2=0; dig3=0; dig4=0; dig5=0; d_count=0; res_long=0; }; 	//    -     
	LDS  R26,_rem_command
	CPI  R26,LOW(0xA)
	BRNE _0x5A3
	CALL SUBOPT_0xAF
	CALL SUBOPT_0xBF
_0x5A3:
;if (d_count>5) {d_count=0;};		//   
	LDS  R26,_d_count
	CPI  R26,LOW(0x6)
	BRLO _0x5A4
	LDI  R30,LOW(0)
	STS  _d_count,R30
_0x5A4:
;if((rem_command>9)&&(rem_command!=OK)) {goto f;};
	LDS  R26,_rem_command
	CPI  R26,LOW(0xA)
	BRLO _0x5A6
	LDS  R26,_rem_command
	CPI  R26,LOW(0x3B)
	BRNE _0x5A7
_0x5A6:
	RJMP _0x5A5
_0x5A7:
	RJMP _0x5A8
_0x5A5:
;
;if ((rem_command>=0)&&(rem_command<=9)) {//A4            
	LDS  R26,_rem_command
	CPI  R26,0
	BRLO _0x5AA
	LDS  R26,_rem_command
	CPI  R26,LOW(0xA)
	BRLO _0x5AB
_0x5AA:
	RJMP _0x5A9
_0x5AB:
;switch (d_count) {
	LDS  R30,_d_count
;    case 0 : dig1=rem_command;  break;
	CPI  R30,0
	BRNE _0x5AF
	CALL SUBOPT_0xB1
	RJMP _0x5AE
;    case 1 : dig2=rem_command;  break;
_0x5AF:
	CPI  R30,LOW(0x1)
	BRNE _0x5B0
	CALL SUBOPT_0xB2
	RJMP _0x5AE
;    case 2 : dig3=rem_command;  break;
_0x5B0:
	CPI  R30,LOW(0x2)
	BRNE _0x5B1
	LDS  R30,_rem_command
	STS  _dig3,R30
	RJMP _0x5AE
;    case 3 : dig4=rem_command;  break;
_0x5B1:
	CPI  R30,LOW(0x3)
	BRNE _0x5B2
	LDS  R30,_rem_command
	STS  _dig4,R30
	RJMP _0x5AE
;    case 4 : dig5=rem_command;  break;
_0x5B2:
	CPI  R30,LOW(0x4)
	BRNE _0x5B3
	LDS  R30,_rem_command
	STS  _dig5,R30
	RJMP _0x5AE
;    case 5 : res_long=(long int) rem_command; d_count=0; goto g; break;
_0x5B3:
	CPI  R30,LOW(0x5)
	BRNE _0x5AE
	LDS  R30,_rem_command
	CLR  R31
	CLR  R22
	CLR  R23
	STS  _res_long,R30
	STS  _res_long+1,R31
	STS  _res_long+2,R22
	STS  _res_long+3,R23
	LDI  R30,LOW(0)
	STS  _d_count,R30
	RJMP _0x5B5
;    };
_0x5AE:
;d_count++;
	CALL SUBOPT_0xB3
;
;}//A4
;
;switch (d_count) {
_0x5A9:
	LDS  R30,_d_count
;    case 1 : res_long=(long int)dig1; goto g;  break;
	CPI  R30,LOW(0x1)
	BRNE _0x5B9
	LDS  R30,_dig1
	CLR  R31
	CLR  R22
	CLR  R23
	RJMP _0x6F0
;    case 2 : res_long=(long int)dig1*10 + (long int)dig2; goto g;  break;
_0x5B9:
	CPI  R30,LOW(0x2)
	BRNE _0x5BA
	CALL SUBOPT_0xB4
	CALL SUBOPT_0xB5
	MOVW R26,R30
	MOVW R24,R22
	LDS  R30,_dig2
	RJMP _0x6F1
;    case 3 : res_long=(long int)dig1*100 + (long int)dig2*10 + (long int)dig3; goto g;  break;
_0x5BA:
	CPI  R30,LOW(0x3)
	BRNE _0x5BB
	CALL SUBOPT_0xB4
	CALL SUBOPT_0xB6
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	CALL SUBOPT_0xB7
	CALL SUBOPT_0xB5
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	CALL __ADDD21
	LDS  R30,_dig3
	RJMP _0x6F1
;    case 4 : res_long=(long int)dig1*1000 + (long int)dig2*100 + (long int)dig3*10 + (long int)dig4; goto g;  break;
_0x5BB:
	CPI  R30,LOW(0x4)
	BRNE _0x5BC
	CALL SUBOPT_0xB4
	CALL SUBOPT_0xB8
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	CALL SUBOPT_0xB7
	CALL SUBOPT_0xB6
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	CALL __ADDD12
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	CALL SUBOPT_0xB9
	CALL SUBOPT_0xB5
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	CALL __ADDD21
	LDS  R30,_dig4
	RJMP _0x6F1
;    case 5 : res_long=(long int)dig1*10000 + (long int)dig2*1000 + (long int)dig3*100 + (long int)dig4*10 + (long int)dig5;  break;
_0x5BC:
	CPI  R30,LOW(0x5)
	BRNE _0x5B8
	CALL SUBOPT_0xB4
	CALL SUBOPT_0xBA
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	CALL SUBOPT_0xB7
	CALL SUBOPT_0xB8
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	CALL __ADDD12
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	CALL SUBOPT_0xB9
	CALL SUBOPT_0xB6
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	CALL __ADDD12
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	CALL SUBOPT_0xBB
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	CALL __ADDD21
	LDS  R30,_dig5
_0x6F1:
	CLR  R31
	CLR  R22
	CLR  R23
	CALL __ADDD12
_0x6F0:
	STS  _res_long,R30
	STS  _res_long+1,R31
	STS  _res_long+2,R22
	STS  _res_long+3,R23
;    };
_0x5B8:
;
;
;g:
_0x5B5:
;
;if (rem_command==Plus) {res_long++;};
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x5BE
	LDI  R26,LOW(_res_long)
	LDI  R27,HIGH(_res_long)
	CALL SUBOPT_0xBC
_0x5BE:
;if (rem_command==Minus) {res_long--;};
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x5BF
	LDI  R26,LOW(_res_long)
	LDI  R27,HIGH(_res_long)
	CALL SUBOPT_0xBD
_0x5BF:
;if(res_long>65535) {res_long=0;};
	LDS  R26,_res_long
	LDS  R27,_res_long+1
	LDS  R24,_res_long+2
	LDS  R25,_res_long+3
	__CPD2N 0x10000
	BRLT _0x5C0
	LDI  R30,LOW(0)
	CALL SUBOPT_0xBF
_0x5C0:
;res_temp=(unsigned int)res_long;		//    int
	LDS  R30,_res_long
	LDS  R31,_res_long+1
	STS  _res_temp,R30
	STS  _res_temp+1,R31
;
;
;if (rem_command==OK) {
	LDS  R26,_rem_command
	CPI  R26,LOW(0x3B)
	BRNE _0x5C1
;write_to_AD7142_spi(address_temp,res_temp);//  ,       
	CALL SUBOPT_0xBE
	ST   -Y,R31
	ST   -Y,R30
	CALL SUBOPT_0xC0
	ST   -Y,R31
	ST   -Y,R30
	CALL _write_to_AD7142_spi
;d_count=0;
	LDI  R30,LOW(0)
	STS  _d_count,R30
;if ((address_temp>=0)&&(address_temp<=7)) {AD7142_Config [address_temp]=res_temp;};//    
	CALL SUBOPT_0xC1
	SBIW R26,0
	BRLO _0x5C3
	CALL SUBOPT_0xC1
	SBIW R26,8
	BRLO _0x5C4
_0x5C3:
	RJMP _0x5C2
_0x5C4:
	CALL SUBOPT_0xBE
	CALL SUBOPT_0xC2
_0x5C2:
;if ((address_temp>=128)&&(address_temp<=223)) {AD7142_Config [(address_temp-120)]=res_temp;};//    
	CALL SUBOPT_0xC1
	CPI  R26,LOW(0x80)
	LDI  R30,HIGH(0x80)
	CPC  R27,R30
	BRLO _0x5C6
	CALL SUBOPT_0xC1
	CPI  R26,LOW(0xE0)
	LDI  R30,HIGH(0xE0)
	CPC  R27,R30
	BRLO _0x5C7
_0x5C6:
	RJMP _0x5C5
_0x5C7:
	CALL SUBOPT_0xBE
	SUBI R30,LOW(120)
	SBCI R31,HIGH(120)
	CALL SUBOPT_0xC2
_0x5C5:
;
;};
_0x5C1:
;
;
;
;displ_refresh=1;
	RJMP _0x6EF
;tog_ch=toggle;
;command_tx=10;
;goto n1;
;
;
;f:
_0x5A8:
;} //Q1
;/****************************************************************************************************/
;
;
;
;
;
;
;
;
;
;
;
;
;
;/************************************   31  46 ****************************************Minus***/
;if ((command_tx==20)&&(tog_ch!=toggle)&&(tek_menu==31))  {  //Q1
_0x5A0:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x5C9
	LDS  R26,_tog_ch
	CP   R9,R26
	BREQ _0x5C9
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1F)
	BREQ _0x5CA
_0x5C9:
	RJMP _0x5C8
_0x5CA:
;if(rem_command==SBR) {dig1=0; dig2=0; dig3=0; dig4=0; dig5=0; d_count=0; };
	LDS  R26,_rem_command
	CPI  R26,LOW(0xA)
	BRNE _0x5CB
	CALL SUBOPT_0xC3
_0x5CB:
;if (d_count>2) {d_count=0;};		//   
	LDS  R26,_d_count
	CPI  R26,LOW(0x3)
	BRLO _0x5CC
	LDI  R30,LOW(0)
	STS  _d_count,R30
_0x5CC:
;
;if ((rem_command>=0)&&(rem_command<=9)) {//A4            
	LDS  R26,_rem_command
	CPI  R26,0
	BRLO _0x5CE
	LDS  R26,_rem_command
	CPI  R26,LOW(0xA)
	BRLO _0x5CF
_0x5CE:
	RJMP _0x5CD
_0x5CF:
;switch (d_count) {
	LDS  R30,_d_count
;    case 0 : dig1=rem_command;  break;
	CPI  R30,0
	BRNE _0x5D3
	CALL SUBOPT_0xB1
	RJMP _0x5D2
;    case 1 : dig2=rem_command;  break;
_0x5D3:
	CPI  R30,LOW(0x1)
	BRNE _0x5D4
	CALL SUBOPT_0xB2
	RJMP _0x5D2
;    case 2 : stage_temp=(unsigned  int) rem_command; d_count=0; goto u; break;
_0x5D4:
	CPI  R30,LOW(0x2)
	BRNE _0x5D2
	CALL SUBOPT_0xC4
	RJMP _0x5D6
;    };
_0x5D2:
;d_count++;
	CALL SUBOPT_0xB3
;
;}//A4
;
;
;
;switch (d_count) {
_0x5CD:
	LDS  R30,_d_count
;    case 1 : stage_temp=(unsigned  int)dig1; goto u;  break;
	CPI  R30,LOW(0x1)
	BRNE _0x5DA
	LDS  R30,_dig1
	LDI  R31,0
	RJMP _0x6F2
;    case 2 : stage_temp=(unsigned  int)dig1*10 + (unsigned  int)dig2; break;
_0x5DA:
	CPI  R30,LOW(0x2)
	BRNE _0x5D9
	CALL SUBOPT_0xC5
_0x6F2:
	STS  _stage_temp,R30
	STS  _stage_temp+1,R31
; };
_0x5D9:
;u:
_0x5D6:
;if (rem_command==Plus) {stage_temp++;};
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x5DC
	LDI  R26,LOW(_stage_temp)
	LDI  R27,HIGH(_stage_temp)
	CALL SUBOPT_0x96
_0x5DC:
;if (rem_command==Minus) {stage_temp--;};
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x5DD
	LDI  R26,LOW(_stage_temp)
	LDI  R27,HIGH(_stage_temp)
	CALL SUBOPT_0x9D
_0x5DD:
;if (stage_temp>11) {stage_temp=0;};
	LDS  R26,_stage_temp
	LDS  R27,_stage_temp+1
	SBIW R26,12
	BRLO _0x5DE
	LDI  R30,LOW(0)
	STS  _stage_temp,R30
	STS  _stage_temp+1,R30
_0x5DE:
;
;if (rem_command==OK) {stage = stage_temp;};
	LDS  R26,_rem_command
	CPI  R26,LOW(0x3B)
	BRNE _0x5DF
	CALL SUBOPT_0xC6
_0x5DF:
;
;
;
;displ_refresh=1;
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
;tog_ch=toggle;
	CALL SUBOPT_0x8E
;command_tx=10;
;
;
;} //Q1
;/****************************************************************************************************/
;
;/************************************   31  46 *******************************************/
;if ((command_tx==20)&&(tog_ch!=toggle)&&(tek_menu==46))  {  //Q1
_0x5C8:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x5E1
	LDS  R26,_tog_ch
	CP   R9,R26
	BREQ _0x5E1
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x2E)
	BREQ _0x5E2
_0x5E1:
	RJMP _0x5E0
_0x5E2:
;if(rem_command==SBR) {dig1=0; dig2=0; dig3=0; dig4=0; dig5=0; d_count=0; };
	LDS  R26,_rem_command
	CPI  R26,LOW(0xA)
	BRNE _0x5E3
	CALL SUBOPT_0xC3
_0x5E3:
;if (d_count>2) {d_count=0;};		//   
	LDS  R26,_d_count
	CPI  R26,LOW(0x3)
	BRLO _0x5E4
	LDI  R30,LOW(0)
	STS  _d_count,R30
_0x5E4:
;
;if ((rem_command>=0)&&(rem_command<=9)) {//A4            
	LDS  R26,_rem_command
	CPI  R26,0
	BRLO _0x5E6
	LDS  R26,_rem_command
	CPI  R26,LOW(0xA)
	BRLO _0x5E7
_0x5E6:
	RJMP _0x5E5
_0x5E7:
;switch (d_count) {
	LDS  R30,_d_count
;    case 0 : dig1=rem_command;  break;
	CPI  R30,0
	BRNE _0x5EB
	CALL SUBOPT_0xB1
	RJMP _0x5EA
;    case 1 : dig2=rem_command;  break;
_0x5EB:
	CPI  R30,LOW(0x1)
	BRNE _0x5EC
	CALL SUBOPT_0xB2
	RJMP _0x5EA
;    case 2 : stage_temp=(unsigned  int) rem_command; d_count=0; goto u1; break;
_0x5EC:
	CPI  R30,LOW(0x2)
	BRNE _0x5EA
	CALL SUBOPT_0xC4
	RJMP _0x5EE
;    };
_0x5EA:
;d_count++;
	CALL SUBOPT_0xB3
;
;}//A4
;
;
;
;switch (d_count) {
_0x5E5:
	LDS  R30,_d_count
;    case 1 : stage_temp=(unsigned  int)dig1; goto u;  break;
	CPI  R30,LOW(0x1)
	BRNE _0x5F2
	LDS  R30,_dig1
	LDI  R31,0
	STS  _stage_temp,R30
	STS  _stage_temp+1,R31
	RJMP _0x5D6
;    case 2 : stage_temp=(unsigned  int)dig1*10 + (unsigned  int)dig2; break;
_0x5F2:
	CPI  R30,LOW(0x2)
	BRNE _0x5F1
	CALL SUBOPT_0xC5
	STS  _stage_temp,R30
	STS  _stage_temp+1,R31
; };
_0x5F1:
;u1:
_0x5EE:
;if (rem_command==Plus) {stage_temp++;};
	LDS  R26,_rem_command
	CPI  R26,LOW(0x16)
	BRNE _0x5F4
	LDI  R26,LOW(_stage_temp)
	LDI  R27,HIGH(_stage_temp)
	CALL SUBOPT_0x96
_0x5F4:
;if (rem_command==Minus) {stage_temp--;};
	LDS  R26,_rem_command
	CPI  R26,LOW(0x15)
	BRNE _0x5F5
	LDI  R26,LOW(_stage_temp)
	LDI  R27,HIGH(_stage_temp)
	CALL SUBOPT_0x9D
_0x5F5:
;if (stage_temp>11) {stage_temp=0;};
	LDS  R26,_stage_temp
	LDS  R27,_stage_temp+1
	SBIW R26,12
	BRLO _0x5F6
	LDI  R30,LOW(0)
	STS  _stage_temp,R30
	STS  _stage_temp+1,R30
_0x5F6:
;
;if (rem_command==OK) {stage = stage_temp;};
	LDS  R26,_rem_command
	CPI  R26,LOW(0x3B)
	BRNE _0x5F7
	CALL SUBOPT_0xC6
_0x5F7:
;
;
;
;displ_refresh=1;
_0x6EF:
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
;tog_ch=toggle;
_0x6E2:
	STS  _tog_ch,R9
;command_tx=10;
_0x6EC:
	LDI  R30,LOW(10)
	STS  _command_tx,R30
;
;
;} //Q1
;/****************************************************************************************************/
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;
;n1:
_0x5E0:
_0x456:
;}   // R1
	RET
;#include <TDA_7313_control.h> set_changes.h
_povt_deistv:
	STS  _tog_ch,R9
	CALL SUBOPT_0xC7
	STS  _Refr4,R30
	CALL SUBOPT_0x12
	BRNE _0x5FB
	CALL SUBOPT_0x37
	RJMP _0x6F3
_0x5FB:
	CPI  R30,LOW(0x2)
	BRNE _0x5FC
	CALL SUBOPT_0x38
	RJMP _0x6F3
_0x5FC:
	CPI  R30,LOW(0x3)
	BRNE _0x5FA
	CALL SUBOPT_0x39
_0x6F3:
	CALL __EEPROMRDB
	STS  _treble,R30
	CALL _treble_swich
	CALL _bass_swich
_0x5FA:
	RET
_tda_control:
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x5FF
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x0)
	BREQ _0x600
_0x5FF:
	RJMP _0x5FE
_0x600:
	cli
	CALL SUBOPT_0x17
	CALL SUBOPT_0xC8
	CP   R30,R26
	CPC  R31,R27
	BRSH _0x602
	LDS  R26,_rem_command
	CPI  R26,LOW(0x10)
	BRNE _0x602
	CALL SUBOPT_0xC8
	CALL __CPW02
	BRLO _0x603
_0x602:
	RJMP _0x601
_0x603:
	LDI  R26,LOW(_volume)
	LDI  R27,HIGH(_volume)
	CALL SUBOPT_0x9D
	CALL SUBOPT_0xC9
	STS  _Refr2,R30
	RJMP _0x604
_0x601:
	CALL SUBOPT_0xC8
	SBIW R26,63
	BRSH _0x606
	LDS  R26,_rem_command
	CPI  R26,LOW(0x11)
	BREQ _0x607
_0x606:
	RJMP _0x605
_0x607:
	LDI  R26,LOW(_volume)
	LDI  R27,HIGH(_volume)
	CALL SUBOPT_0x96
	CALL SUBOPT_0xC9
	STS  _Refr2,R30
	RJMP _0x604
_0x605:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x1)
	BRNE _0x609
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x60A
_0x609:
	RJMP _0x608
_0x60A:
	LDI  R26,LOW(_tek_vhod)
	LDI  R27,HIGH(_tek_vhod)
	LDI  R30,LOW(1)
	CALL __EEPROMWRB
	LDI  R26,LOW(_loudness1)
	LDI  R27,HIGH(_loudness1)
	CALL __EEPROMRDW
	SBIW R30,0
	BRNE _0x60E
	LDI  R30,LOW(88)
	CALL SUBOPT_0xCA
	RJMP _0x604
_0x60E:
	CPI  R30,LOW(0x1)
	LDI  R26,HIGH(0x1)
	CPC  R31,R26
	BRNE _0x610
	LDI  R30,LOW(80)
	CALL SUBOPT_0xCA
	RJMP _0x604
_0x610:
	CPI  R30,LOW(0x2)
	LDI  R26,HIGH(0x2)
	CPC  R31,R26
	BRNE _0x612
	LDI  R30,LOW(72)
	CALL SUBOPT_0xCA
	RJMP _0x604
_0x612:
	CPI  R30,LOW(0x3)
	LDI  R26,HIGH(0x3)
	CPC  R31,R26
	BRNE _0x60D
	LDI  R30,LOW(64)
	CALL SUBOPT_0xCA
	RJMP _0x604
_0x60D:
_0x608:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x2)
	BRNE _0x616
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x617
_0x616:
	RJMP _0x615
_0x617:
	LDI  R26,LOW(_tek_vhod)
	LDI  R27,HIGH(_tek_vhod)
	LDI  R30,LOW(2)
	CALL __EEPROMWRB
	LDI  R26,LOW(_loudness2)
	LDI  R27,HIGH(_loudness2)
	CALL __EEPROMRDW
	SBIW R30,0
	BRNE _0x61B
	LDI  R30,LOW(89)
	CALL SUBOPT_0xCA
	RJMP _0x604
_0x61B:
	CPI  R30,LOW(0x1)
	LDI  R26,HIGH(0x1)
	CPC  R31,R26
	BRNE _0x61D
	LDI  R30,LOW(81)
	CALL SUBOPT_0xCA
	RJMP _0x604
_0x61D:
	CPI  R30,LOW(0x2)
	LDI  R26,HIGH(0x2)
	CPC  R31,R26
	BRNE _0x61F
	LDI  R30,LOW(73)
	CALL SUBOPT_0xCA
	RJMP _0x604
_0x61F:
	CPI  R30,LOW(0x3)
	LDI  R26,HIGH(0x3)
	CPC  R31,R26
	BRNE _0x61A
	LDI  R30,LOW(65)
	CALL SUBOPT_0xCA
	RJMP _0x604
_0x61A:
_0x615:
	LDS  R26,_rem_command
	CPI  R26,LOW(0x3)
	BRNE _0x623
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x624
_0x623:
	RJMP _0x622
_0x624:
	LDI  R26,LOW(_tek_vhod)
	LDI  R27,HIGH(_tek_vhod)
	LDI  R30,LOW(3)
	CALL __EEPROMWRB
	LDI  R26,LOW(_loudness3)
	LDI  R27,HIGH(_loudness3)
	CALL __EEPROMRDW
	SBIW R30,0
	BRNE _0x628
	LDI  R30,LOW(90)
	CALL SUBOPT_0xCA
	RJMP _0x604
_0x628:
	CPI  R30,LOW(0x1)
	LDI  R26,HIGH(0x1)
	CPC  R31,R26
	BRNE _0x62A
	LDI  R30,LOW(82)
	CALL SUBOPT_0xCA
	RJMP _0x604
_0x62A:
	CPI  R30,LOW(0x2)
	LDI  R26,HIGH(0x2)
	CPC  R31,R26
	BRNE _0x62C
	LDI  R30,LOW(74)
	CALL SUBOPT_0xCA
	RJMP _0x604
_0x62C:
	CPI  R30,LOW(0x3)
	LDI  R26,HIGH(0x3)
	CPC  R31,R26
	BRNE _0x627
	LDI  R30,LOW(66)
	CALL SUBOPT_0xCA
	RJMP _0x604
_0x627:
_0x622:
	LDS  R26,_rem_command
	CPI  R26,LOW(0xD)
	BRNE _0x630
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x631
_0x630:
	RJMP _0x62F
_0x631:
	STS  _tog_ch,R9
	LDS  R30,_att_on
	CPI  R30,0
	BRNE _0x632
	LDI  R26,LOW(_att)
	LDI  R27,HIGH(_att)
	CALL __EEPROMRDB
	SUBI R30,-LOW(128)
	ST   -Y,R30
	CALL _tda7313_write
	LDI  R26,LOW(_att)
	LDI  R27,HIGH(_att)
	CALL __EEPROMRDB
	SUBI R30,-LOW(160)
	ST   -Y,R30
	CALL _tda7313_write
	LDI  R30,LOW(1)
	CALL SUBOPT_0xCB
	STS  _Refr4,R30
	RJMP _0x604
_0x632:
	LDI  R30,LOW(128)
	ST   -Y,R30
	CALL _tda7313_write
	LDI  R30,LOW(160)
	ST   -Y,R30
	CALL _tda7313_write
	LDI  R30,LOW(0)
	CALL SUBOPT_0xCB
	STS  _Refr4,R30
_0x62F:
	sei
_0x5FE:
_0x604:
	sei
	RET
;#include <amp_init_on_off.h >
;void system_init (void) {  // E1         
; 0000 006F void system_init (void) {
_system_init:
;if (first_run!=25) {                 // E2
	LDI  R26,LOW(_first_run)
	LDI  R27,HIGH(_first_run)
	CALL __EEPROMRDB
	CPI  R30,LOW(0x19)
	BRNE PC+3
	JMP _0x634
;displ_refresh=1;
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
;hour_on=0;
	CALL SUBOPT_0xA7
;min_on = 0;
	CALL SUBOPT_0xAA
;volume_ogr=30;
	CALL SUBOPT_0xCC
;valcoder_sens=5;                        // 
	LDI  R26,LOW(_valcoder_sens)
	LDI  R27,HIGH(_valcoder_sens)
	LDI  R30,LOW(5)
	CALL __EEPROMWRB
;n_valc_imp=10-valcoder_sens;  //   .  
	CALL SUBOPT_0x31
	CALL SUBOPT_0xAE
;save_volume = 44;                       //   -55,      7313 
	CALL SUBOPT_0xCD
;volume_on_max=30;
	CALL SUBOPT_0xCE
;tek_menu=0; 			//  0
	LDI  R30,LOW(0)
	STS  _tek_menu,R30
;loudness=0;                                 // 0 
	STS  _loudness,R30
	STS  _loudness+1,R30
;loudness1=0;                                 // 0 
	CALL SUBOPT_0xCF
;loudness2=0;                                 // 0 
	CALL SUBOPT_0xD0
;loudness3=0;                                 // 0 
	CALL SUBOPT_0xD1
;
;tek_vhod=1;                                //   1
	LDI  R26,LOW(_tek_vhod)
	LDI  R27,HIGH(_tek_vhod)
	LDI  R30,LOW(1)
	CALL __EEPROMWRB
;att=25;                                           //  31,25    
	LDI  R26,LOW(_att)
	LDI  R27,HIGH(_att)
	LDI  R30,LOW(25)
	LDI  R31,HIGH(25)
	CALL __EEPROMWRW
;treble=7;                                      //0 
	LDI  R30,LOW(7)
	STS  _treble,R30
;treble1=7;                                      //0 
	LDI  R26,LOW(_treble1)
	LDI  R27,HIGH(_treble1)
	CALL __EEPROMWRB
;treble2=7;                                      //0 
	LDI  R26,LOW(_treble2)
	LDI  R27,HIGH(_treble2)
	CALL __EEPROMWRB
;treble3=7;                                      //0 
	LDI  R26,LOW(_treble3)
	LDI  R27,HIGH(_treble3)
	CALL __EEPROMWRB
;
;bass=7;                                          //0 
	STS  _bass,R30
;bass1=7;                                          //0 
	LDI  R26,LOW(_bass1)
	LDI  R27,HIGH(_bass1)
	CALL __EEPROMWRB
;bass2=7;                                          //0 
	LDI  R26,LOW(_bass2)
	LDI  R27,HIGH(_bass2)
	CALL __EEPROMWRB
;bass3=7;                                          //0 
	LDI  R26,LOW(_bass3)
	LDI  R27,HIGH(_bass3)
	CALL __EEPROMWRB
;
;tog_ch=0;
	LDI  R30,LOW(0)
	STS  _tog_ch,R30
;amp_on_act=0;						//         1 - 
	STS  _amp_on_act,R30
;amp_off_act=0;						//      1 - 
	STS  _amp_off_act,R30
;system_on=0;						//  0   
	STS  _system_on,R30
;
;DS=12;                                                                          //    1307
	LDI  R26,LOW(_DS)
	LDI  R27,HIGH(_DS)
	LDI  R30,LOW(12)
	CALL __EEPROMWRB
;first_run=25;
	LDI  R26,LOW(_first_run)
	LDI  R27,HIGH(_first_run)
	LDI  R30,LOW(25)
	CALL __EEPROMWRB
;
;} // E2
;}// E1
_0x634:
	RET
;
;void amplifier_on (void) { //U1        
_amplifier_on:
;if ((system_on==0)&&(command_tx==20)&&(rem_command==Off)&&(tog_ch!=toggle)) {  //U2         ,        12    1  ,   
	LDS  R26,_system_on
	CPI  R26,LOW(0x0)
	BRNE _0x636
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x636
	LDS  R26,_rem_command
	CPI  R26,LOW(0xC)
	BRNE _0x636
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x637
_0x636:
	RJMP _0x635
_0x637:
;system_on=1;    //    
	LDI  R30,LOW(1)
	STS  _system_on,R30
;Refr4=1  ;
	STS  _Refr4,R30
;
;
;if (volume_on_max>=63) {volume_on_max=30;};
	CALL SUBOPT_0x21
	SBIW R30,63
	BRLO _0x638
	CALL SUBOPT_0xCE
_0x638:
;if (volume_ogr>=63) {volume_ogr=30;};
	CALL SUBOPT_0x17
	SBIW R30,63
	BRLO _0x639
	CALL SUBOPT_0xCC
_0x639:
;Power_ON        //              
	SBI  0x18,0
;//    !!!      ,       tda_control,      .   
;Display_ON();        // ,      
	CALL _Display_ON
;LCD_init();            //   
	CALL _LCD_init
;LCD_clear();   //    
	CALL _LCD_clear
;delay_ms(2000);   //        
	LDI  R30,LOW(2000)
	LDI  R31,HIGH(2000)
	ST   -Y,R31
	ST   -Y,R30
	CALL _delay_ms
;
; if (loudness1>=4)  {loudness1=0;}; //   
	LDI  R26,LOW(_loudness1)
	LDI  R27,HIGH(_loudness1)
	CALL __EEPROMRDW
	SBIW R30,4
	BRLO _0x63A
	CALL SUBOPT_0xCF
_0x63A:
; if (loudness2>=4)  {loudness2=0;};
	LDI  R26,LOW(_loudness2)
	LDI  R27,HIGH(_loudness2)
	CALL __EEPROMRDW
	SBIW R30,4
	BRLO _0x63B
	CALL SUBOPT_0xD0
_0x63B:
; if (loudness3>=4)  {loudness3=0;};
	LDI  R26,LOW(_loudness3)
	LDI  R27,HIGH(_loudness3)
	CALL __EEPROMRDW
	SBIW R30,4
	BRLO _0x63C
	CALL SUBOPT_0xD1
_0x63C:
; if (save_volume>=64) {save_volume=44;}
	LDI  R26,LOW(_save_volume)
	LDI  R27,HIGH(_save_volume)
	CALL __EEPROMRDW
	CPI  R30,LOW(0x40)
	LDI  R26,HIGH(0x40)
	CPC  R31,R26
	BRLO _0x63D
	CALL SUBOPT_0xCD
; if (volume_on_max>=64) {volume_on_max=44;}
_0x63D:
	CALL SUBOPT_0x21
	CPI  R30,LOW(0x40)
	LDI  R26,HIGH(0x40)
	CPC  R31,R26
	BRLO _0x63E
	LDI  R26,LOW(_volume_on_max)
	LDI  R27,HIGH(_volume_on_max)
	LDI  R30,LOW(44)
	LDI  R31,HIGH(44)
	CALL __EEPROMWRW
;
;amp_on_act=0;
_0x63E:
	LDI  R30,LOW(0)
	STS  _amp_on_act,R30
;
;
;
;/////////////////////////////////////////////////////////////     7313   
;tek_menu=0;  //     tda_control.     command_tx=20   
	STS  _tek_menu,R30
;switch (tek_vhod) {    //c        ,    
	CALL SUBOPT_0x12
;case 1:  rem_command=IN1;  break;             //          tda_control
	BRNE _0x642
	LDI  R30,LOW(1)
	RJMP _0x6F4
;case 2:  rem_command=IN2;  break;
_0x642:
	CPI  R30,LOW(0x2)
	BRNE _0x643
	LDI  R30,LOW(2)
	RJMP _0x6F4
;case 3:  rem_command=IN3;  break;
_0x643:
	CPI  R30,LOW(0x3)
	BRNE _0x641
	LDI  R30,LOW(3)
_0x6F4:
	STS  _rem_command,R30
;};
_0x641:
; tda_control ();              //            loudness ,          ,       
	RCALL _tda_control
;/////////////////////////////////////////////////////////////////////////// 
;
;
;if (save_volume>=volume_on_max) {    //U3                    .  , 
	LDI  R26,LOW(_save_volume)
	LDI  R27,HIGH(_save_volume)
	CALL __EEPROMRDW
	MOVW R0,R30
	CALL SUBOPT_0x21
	CP   R0,R30
	CPC  R1,R31
	BRLO _0x645
;volume= save_volume; tda7313_write(volume);     //   .   
	LDI  R26,LOW(_save_volume)
	LDI  R27,HIGH(_save_volume)
	RJMP _0x6F5
;}//U3
;else { volume=volume_on_max; tda7313_write(volume);   }; // ,       
_0x645:
	LDI  R26,LOW(_volume_on_max)
	LDI  R27,HIGH(_volume_on_max)
_0x6F5:
	CALL __EEPROMRDW
	STS  _volume,R30
	STS  _volume+1,R31
	LDS  R30,_volume
	ST   -Y,R30
	CALL _tda7313_write
;
;
;Displ_podsvetka_ON  //  
	SBI  0x18,3
; Keyboard_Light_ON //  
	SBI  0x18,1
; TA2022_ON  // 
	SBI  0x12,5
;}//U2
;}//U1
_0x635:
	RET
;   /////////////////////////////////////////////            1307
;
;void amplifier_off(void) {  //R1       
_amplifier_off:
;if ((system_on==1)&&(command_tx==20)&&(rem_command==Off)&&(tog_ch!=toggle)) {  //R2
	LDS  R26,_system_on
	CPI  R26,LOW(0x1)
	BRNE _0x648
	LDS  R26,_command_tx
	CPI  R26,LOW(0x14)
	BRNE _0x648
	LDS  R26,_rem_command
	CPI  R26,LOW(0xC)
	BRNE _0x648
	LDS  R26,_tog_ch
	CP   R9,R26
	BRNE _0x649
_0x648:
	RJMP _0x647
_0x649:
;TA2022_OFF      //  
	CBI  0x12,5
; system_on=0;    //                  
	LDI  R30,LOW(0)
	STS  _system_on,R30
;
;
;amp_off_act=0; //  
	STS  _amp_off_act,R30
;
;
;
;
; //     
; if (volume>=volume_on_max) {             //         , 
	CALL SUBOPT_0x21
	CALL SUBOPT_0xC8
	CP   R26,R30
	CPC  R27,R31
	BRLO _0x64A
;save_volume=volume;                                //    
	LDS  R30,_volume
	LDS  R31,_volume+1
	RJMP _0x6F6
; }
; else {save_volume=volume_on_max;};
_0x64A:
	CALL SUBOPT_0x21
_0x6F6:
	LDI  R26,LOW(_save_volume)
	LDI  R27,HIGH(_save_volume)
	CALL __EEPROMWRW
;  LCD_clear();
	CALL _LCD_clear
; Display_OFF();
	CALL _Display_OFF
; Displ_podsvetka_OFF
	CBI  0x18,3
; Keyboard_Light_OFF
	CBI  0x18,1
; delay_ms(500);
	LDI  R30,LOW(500)
	LDI  R31,HIGH(500)
	ST   -Y,R31
	ST   -Y,R30
	CALL _delay_ms
; Power_OFF
	CBI  0x18,0
; tog_ch=toggle;
	CALL SUBOPT_0x8E
; command_tx=10;
;}//R2
;} //R1
_0x647:
	RET
;
;
;void auto_ON (void) {  //L1     min_on=0, hour_on=0;
_auto_ON:
;if (amp_on_act==1){    //L2        //         
	LDS  R26,_amp_on_act
	CPI  R26,LOW(0x1)
	BRNE _0x64C
;if ((hour_on==hour)&&(min_on==min)&&(system_on==0)){   //L3          ,    
	CALL SUBOPT_0x67
	MOV  R26,R30
	LDS  R30,_hour
	CP   R30,R26
	BRNE _0x64E
	CALL SUBOPT_0x68
	MOV  R26,R30
	LDS  R30,_min
	CP   R30,R26
	BRNE _0x64E
	LDS  R26,_system_on
	CPI  R26,LOW(0x0)
	BREQ _0x64F
_0x64E:
	RJMP _0x64D
_0x64F:
;command_tx=20;                                                                                                             //      
	CALL SUBOPT_0xD2
;rem_command=Off;
;tog_ch=1;
;toggle=0;
;amp_on_act=0; //  
	STS  _amp_on_act,R30
; } //L3
;}  //L2
_0x64D:
;} //L1
_0x64C:
	RET
;
;void auto_OFF (void) { //U1
_auto_OFF:
;if ((amp_off_act==1)&&(tek_menu<17)){  //U2          
	LDS  R26,_amp_off_act
	CPI  R26,LOW(0x1)
	BRNE _0x651
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x11)
	BRLO _0x652
_0x651:
	RJMP _0x650
_0x652:
;if ((hour_off==hour)&&(min_off==min)&&(system_on==1)){   //U3          ,    
	CALL SUBOPT_0x64
	MOV  R26,R30
	LDS  R30,_hour
	CP   R30,R26
	BRNE _0x654
	CALL SUBOPT_0x65
	MOV  R26,R30
	LDS  R30,_min
	CP   R30,R26
	BRNE _0x654
	LDS  R26,_system_on
	CPI  R26,LOW(0x1)
	BREQ _0x655
_0x654:
	RJMP _0x653
_0x655:
;command_tx=20;                                                                                                             //      
	CALL SUBOPT_0xD2
;rem_command=Off;
;tog_ch=1;
;toggle=0;
;amp_off_act=0; //  
	STS  _amp_off_act,R30
; } //U3
;
;
;
;} //U2
_0x653:
;}//U1
_0x650:
	RET
;#include <valcoder_functions.h >
;void valcoder (void) {
; 0000 0070 void valcoder (void) {
_valcoder:
;
;if (PIND.4==0) {                   // S1      .  ,   
	SBIC 0x10,4
	RJMP _0x656
;valcoder_PLUS ++;                //    
	LDS  R30,_valcoder_PLUS
	SUBI R30,-LOW(1)
	STS  _valcoder_PLUS,R30
;valcoder_MINUS=0;              //  .         -
	LDI  R30,LOW(0)
	STS  _valcoder_MINUS,R30
;
;if ((valcoder_PLUS== n_valc_imp)&&(tek_menu==0)) {             // K1            0
	CALL SUBOPT_0xD3
	BRNE _0x658
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x0)
	BREQ _0x659
_0x658:
	RJMP _0x657
_0x659:
;valcoder_PLUS=0;   //  
	CALL SUBOPT_0xD4
;command_tx=20;                                                                                                             //       +
;rem_command=Right;
	LDI  R30,LOW(16)
	CALL SUBOPT_0xD5
;displ_refresh=1;
;timer=0;        //       
;} // K1
;
;
;if ((valcoder_PLUS== n_valc_imp)&&(tek_menu!=0)) {	// K2             0
_0x657:
	CALL SUBOPT_0xD3
	BRNE _0x65B
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x0)
	BRNE _0x65C
_0x65B:
	RJMP _0x65A
_0x65C:
;valcoder_PLUS=0;								//  
	CALL SUBOPT_0xD4
;command_tx=20;								//      Plus
;rem_command=Plus;
	LDI  R30,LOW(22)
	STS  _rem_command,R30
;displ_refresh=1;
	CALL SUBOPT_0xC7
;tog_ch=1;
	CALL SUBOPT_0xD6
;toggle=0;
;timer=0;        //       
;} // K2
;}// S1
_0x65A:
;
;
;
;if (PIND.4==1) {  // S2
_0x656:
	SBIS 0x10,4
	RJMP _0x65D
;valcoder_MINUS ++;
	LDS  R30,_valcoder_MINUS
	SUBI R30,-LOW(1)
	STS  _valcoder_MINUS,R30
;valcoder_PLUS=0;
	LDI  R30,LOW(0)
	STS  _valcoder_PLUS,R30
;
;if ((valcoder_MINUS== n_valc_imp)&&(tek_menu==0)) {             // K3            0
	CALL SUBOPT_0xD7
	BRNE _0x65F
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x0)
	BREQ _0x660
_0x65F:
	RJMP _0x65E
_0x660:
;valcoder_MINUS=0;   //  
	CALL SUBOPT_0xD8
;command_tx=20;                                                                                                             //       -
;rem_command=Left;
	LDI  R30,LOW(17)
	CALL SUBOPT_0xD5
;displ_refresh=1;
;timer=0;        //       
;} // K3
;
;if ((valcoder_MINUS== n_valc_imp)&&(tek_menu!=0)) {             // K4             0
_0x65E:
	CALL SUBOPT_0xD7
	BRNE _0x662
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x0)
	BRNE _0x663
_0x662:
	RJMP _0x661
_0x663:
;valcoder_MINUS=0;   //  
	CALL SUBOPT_0xD8
;command_tx=20;                                                                                                             //      Minus
;rem_command=Minus;
	LDI  R30,LOW(21)
	STS  _rem_command,R30
;displ_refresh=1;
	CALL SUBOPT_0xC7
;tog_ch=1;
	CALL SUBOPT_0xD6
;toggle=0;
;timer=0;        //       
;} // K4
;}   // S2
_0x661:
;
;}
_0x65D:
	RET
;
;
;//   7142
;interrupt [EXT_INT2] void ext_int2_isr(void)
; 0000 0075 {
_ext_int2_isr:
	CALL SUBOPT_0xD9
; 0000 0076 #asm ("cli");
	cli
; 0000 0077 SLLI	= read_from_AD7142_spi (8);		//Stage low limit int			 8
	LDI  R30,LOW(8)
	LDI  R31,HIGH(8)
	CALL SUBOPT_0x1
	STS  _SLLI,R30
	STS  _SLLI+1,R31
; 0000 0078 SHLI	= read_from_AD7142_spi (9);		//Stage hight limit int		 9
	LDI  R30,LOW(9)
	LDI  R31,HIGH(9)
	CALL SUBOPT_0x1
	STS  _SHLI,R30
	STS  _SHLI+1,R31
; 0000 0079 SCLI	= read_from_AD7142_spi (10);	//Stage complete limit int		 10
	LDI  R30,LOW(10)
	LDI  R31,HIGH(10)
	CALL SUBOPT_0x1
	STS  _SCLI,R30
	STS  _SCLI+1,R31
; 0000 007A 
; 0000 007B /*
; 0000 007C 	if (   ((SHLI & 0x0001) != 0x0000) && ((SLLI& 0x0001) == 0x0000) && (EnableRecalAgain==1))
; 0000 007D 	{
; 0000 007E 		//These 2 variables are used to run the re-calibration only once
; 0000 007F 		EnableRecalAgain=0;
; 0000 0080 		EnableRecalCounter=0;
; 0000 0081 		// 
; 0000 0082 		temp=read_from_AD7142_spi (2);	//  2 AMB_COMP_CTRL0
; 0000 0083 		temp|=0x4000;				//   14 
; 0000 0084 		 write_to_AD7142_spi(2, temp);	//   AD7142
; 0000 0085 
; 0000 0086 		//Read back
; 0000 0087 		do
; 0000 0088 		{temp=read_from_AD7142_spi (2);}	//  2
; 0000 0089 		while((temp & 0x4000) == 0x4000);
; 0000 008A 	}
; 0000 008B 
; 0000 008C if (EnableRecalCounter<4 && EnableRecalAgain==0) {EnableRecalCounter++;};
; 0000 008D 
; 0000 008E if (EnableRecalCounter==3 && EnableRecalAgain==0) {EnableRecalAgain=1;};
; 0000 008F 
; 0000 0090 */
; 0000 0091 if (m1==0) {Keyboard_Light_ON;m1=1; goto w; };
	LDS  R30,_m1
	CPI  R30,0
	BRNE _0x664
	SBI  0x18,1
	LDI  R30,LOW(1)
	RJMP _0x6F7
_0x664:
; 0000 0092 if (m1==1) {Keyboard_Light_OFF;m1=0; };
	LDS  R26,_m1
	CPI  R26,LOW(0x1)
	BRNE _0x666
	CBI  0x18,1
	LDI  R30,LOW(0)
_0x6F7:
	STS  _m1,R30
_0x666:
; 0000 0093 w:
; 0000 0094 rem_command = Right;
	LDI  R30,LOW(16)
	STS  _rem_command,R30
; 0000 0095 command_tx=20;
	LDI  R30,LOW(20)
	STS  _command_tx,R30
; 0000 0096 #asm("sei")
	sei
; 0000 0097 }
	RJMP _0x6F9
;
;
;
;//    0  TSOP
;interrupt [EXT_INT0] void ext_int0_isr(void){ RC5_decoder();}
; 0000 009C interrupt [2] void ext_int0_isr(void){ RC5_decoder();}
_ext_int0_isr:
	CALL SUBOPT_0xD9
	CALL _RC5_decoder
	RJMP _0x6F9
;
;
;// Timer 0 overflow interrupt service routine    Rc5
;interrupt [TIM0_OVF] void timer0_ovf_isr(void){
; 0000 00A0 interrupt [12] void timer0_ovf_isr(void){
_timer0_ovf_isr:
	ST   -Y,R26
	ST   -Y,R30
	ST   -Y,R31
	IN   R30,SREG
	ST   -Y,R30
; 0000 00A1 char i = 0;			// 
; 0000 00A2 TCCR0 = 0x00;		// 
	ST   -Y,R17
;	i -> R17
	LDI  R17,0
	CALL SUBOPT_0x4
; 0000 00A3 TCNT0 = 0x00;		// 
; 0000 00A4 counter = 0;		// 
	CLR  R4
; 0000 00A5 cnt_bit = 0;			//   
	CLR  R5
; 0000 00A6 for (i=0; i<14; i++) code[i]=0; //   
	LDI  R17,LOW(0)
_0x668:
	CPI  R17,14
	BRGE _0x669
	MOV  R30,R17
	LDI  R31,0
	SUBI R30,LOW(-_code)
	SBCI R31,HIGH(-_code)
	LDI  R26,LOW(0)
	STD  Z+0,R26
	SUBI R17,-1
	RJMP _0x668
_0x669:
; 0000 00A7 }
	LD   R17,Y+
	LD   R30,Y+
	OUT  SREG,R30
	LD   R31,Y+
	LD   R30,Y+
	LD   R26,Y+
	RETI
;
;
;// External Interrupt 1 service routine   
;interrupt [EXT_INT1] void ext_int1_isr(void) {   valcoder ();}
; 0000 00AB interrupt [3] void ext_int1_isr(void) {   valcoder ();}
_ext_int1_isr:
	CALL SUBOPT_0xD9
	RCALL _valcoder
_0x6F9:
	LD   R30,Y+
	OUT  SREG,R30
	LD   R31,Y+
	LD   R30,Y+
	LD   R27,Y+
	LD   R26,Y+
	LD   R25,Y+
	LD   R24,Y+
	LD   R23,Y+
	LD   R22,Y+
	LD   R15,Y+
	LD   R1,Y+
	LD   R0,Y+
	RETI
;
;
;// Timer 1 output compare A interrupt service routine     
;interrupt [TIM1_COMPA] void timer1_compa_isr(void) {
; 0000 00AF interrupt [8] void timer1_compa_isr(void) {
_timer1_compa_isr:
	ST   -Y,R26
	ST   -Y,R30
	IN   R30,SREG
	ST   -Y,R30
; 0000 00B0 #asm("cli")
	cli
; 0000 00B1 Refr1=1; //    
	LDI  R30,LOW(1)
	STS  _Refr1,R30
; 0000 00B2 if ((tek_menu>=31)&&(tek_menu<=69)) {timer=0;}//      7142,    
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1F)
	BRLO _0x66B
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x46)
	BRLO _0x66C
_0x66B:
	RJMP _0x66A
_0x66C:
	LDI  R30,LOW(0)
	STS  _timer,R30
; 0000 00B3 if ((tek_menu!=0)&&(tek_menu!=30)) {timer++;}                      //  ,       ...
_0x66A:
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x0)
	BREQ _0x66E
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1E)
	BRNE _0x66F
_0x66E:
	RJMP _0x66D
_0x66F:
	LDS  R30,_timer
	SUBI R30,-LOW(1)
	STS  _timer,R30
; 0000 00B4 if (timer>=40) {		//40     20 ,    2   
_0x66D:
	LDS  R26,_timer
	CPI  R26,LOW(0x28)
	BRLO _0x670
; 0000 00B5 timer=0;			//  
	LDI  R30,LOW(0)
	STS  _timer,R30
; 0000 00B6 tek_menu=0;		//      0
	STS  _tek_menu,R30
; 0000 00B7 displ_refresh=1;		//   
	CALL SUBOPT_0xC7
; 0000 00B8 Refr4=1;			//     1 
	STS  _Refr4,R30
; 0000 00B9 }
; 0000 00BA 
; 0000 00BB clock=1;  //   
_0x670:
	LDI  R30,LOW(1)
	STS  _clock,R30
; 0000 00BC 
; 0000 00BD if (att_on==1) {
	LDS  R26,_att_on
	CPI  R26,LOW(0x1)
	BRNE _0x671
; 0000 00BE //  
; 0000 00BF if (mig_att==0) {mig_att=1; goto e;}             //    0        mig_att     
	LDS  R30,_mig_att
	CPI  R30,0
	BRNE _0x672
	LDI  R30,LOW(1)
	RJMP _0x6F8
; 0000 00C0 if (mig_att==1) {mig_att=0;}
_0x672:
	LDS  R26,_mig_att
	CPI  R26,LOW(0x1)
	BRNE _0x674
	LDI  R30,LOW(0)
_0x6F8:
	STS  _mig_att,R30
; 0000 00C1 e:
_0x674:
; 0000 00C2 }
; 0000 00C3 #asm("sei")
_0x671:
	sei
; 0000 00C4 }
	LD   R30,Y+
	OUT  SREG,R30
	LD   R30,Y+
	LD   R26,Y+
	RETI
;
;
;
;
;void main(void)
; 0000 00CA {
_main:
; 0000 00CB 
; 0000 00CC init_controller ();
	CALL _init_controller
; 0000 00CD 
; 0000 00CE LCD_init();		//   
	CALL _LCD_init
; 0000 00CF LCD_clear();	//    
	CALL _LCD_clear
; 0000 00D0 i2c_init();		//  i2c
	CALL _i2c_init
; 0000 00D1 displ_refresh=1;
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
; 0000 00D2 DS1307_init();	//     ,   1307       ,     DS  34
	CALL _DS1307_init
; 0000 00D3 timer=0;		//        
	LDI  R30,LOW(0)
	STS  _timer,R30
; 0000 00D4 AD7142_configure ();	// 7142
	CALL _AD7142_configure
; 0000 00D5 #asm("sei")
	sei
; 0000 00D6 
; 0000 00D7 
; 0000 00D8 
; 0000 00D9 while (1)
_0x675:
; 0000 00DA 
; 0000 00DB {//while
; 0000 00DC 
; 0000 00DD 
; 0000 00DE 
; 0000 00DF if (clock==1) {vnutr_chasi (); clock=0; }              //     -             vnutr_chasi
	LDS  R26,_clock
	CPI  R26,LOW(0x1)
	BRNE _0x678
	CALL _vnutr_chasi
	LDI  R30,LOW(0)
	STS  _clock,R30
; 0000 00E0 
; 0000 00E1 auto_ON();
_0x678:
	RCALL _auto_ON
; 0000 00E2 auto_OFF ();
	RCALL _auto_OFF
; 0000 00E3 
; 0000 00E4 if ( tek_menu!=30) {			//   ,   .       -  
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1E)
	BREQ _0x679
; 0000 00E5 amplifier_on();
	RCALL _amplifier_on
; 0000 00E6 amplifier_off();
	RCALL _amplifier_off
; 0000 00E7 system_init();				//        
	RCALL _system_init
; 0000 00E8 }
; 0000 00E9 
; 0000 00EA 
; 0000 00EB if (system_on==1) {			//1   , :
_0x679:
	LDS  R26,_system_on
	CPI  R26,LOW(0x1)
	BRNE _0x67A
; 0000 00EC menu_navi ();
	CALL _menu_navi
; 0000 00ED if (tek_menu!=30) { //   
	LDS  R26,_tek_menu
	CPI  R26,LOW(0x1E)
	BREQ _0x67B
; 0000 00EE tda_control();
	RCALL _tda_control
; 0000 00EF 
; 0000 00F0 set_parameters ();
	CALL _set_parameters
; 0000 00F1 }
; 0000 00F2 if (displ_refresh==1) {			//     -     
_0x67B:
	LDS  R26,_displ_refresh
	CPI  R26,LOW(0x1)
	BRNE _0x67C
; 0000 00F3 //LCD_clear();
; 0000 00F4 display_menu(tek_menu);		//  
	CALL SUBOPT_0x8F
; 0000 00F5 displ_refresh=0; }	   			//    
	LDI  R30,LOW(0)
	STS  _displ_refresh,R30
; 0000 00F6 
; 0000 00F7 }     //1
_0x67C:
; 0000 00F8 
; 0000 00F9 }; //while
_0x67A:
	RJMP _0x675
; 0000 00FA }
_0x67D:
	RJMP _0x67D
;
;
;
;
;
;
;
;
;
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x80
	.EQU __sm_mask=0x70
	.EQU __sm_powerdown=0x20
	.EQU __sm_powersave=0x30
	.EQU __sm_standby=0x60
	.EQU __sm_ext_standby=0x70
	.EQU __sm_adc_noise_red=0x10
	.SET power_ctrl_reg=mcucr
	#endif

	.CSEG
_spi:
	LD   R30,Y
	OUT  0xF,R30
_0x2000003:
	SBIS 0xE,7
	RJMP _0x2000003
	IN   R30,0xF
	JMP  _0x20E0001

	.CSEG
_strlen:
    ld   r26,y+
    ld   r27,y+
    clr  r30
    clr  r31
strlen0:
    ld   r22,x+
    tst  r22
    breq strlen1
    adiw r30,1
    rjmp strlen0
strlen1:
    ret
_strlenf:
    clr  r26
    clr  r27
    ld   r30,y+
    ld   r31,y+
strlenf0:
	lpm  r0,z+
    tst  r0
    breq strlenf1
    adiw r26,1
    rjmp strlenf0
strlenf1:
    movw r30,r26
    ret
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x80
	.EQU __sm_mask=0x70
	.EQU __sm_powerdown=0x20
	.EQU __sm_powersave=0x30
	.EQU __sm_standby=0x60
	.EQU __sm_ext_standby=0x70
	.EQU __sm_adc_noise_red=0x10
	.SET power_ctrl_reg=mcucr
	#endif

	.CSEG
_put_buff_G102:
	ST   -Y,R17
	ST   -Y,R16
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	ADIW R26,2
	CALL __GETW1P
	SBIW R30,0
	BREQ _0x2040010
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	ADIW R26,4
	CALL __GETW1P
	MOVW R16,R30
	SBIW R30,0
	BREQ _0x2040012
	__CPWRN 16,17,2
	BRLO _0x2040013
	MOVW R30,R16
	SBIW R30,1
	MOVW R16,R30
	__PUTW1SNS 2,4
_0x2040012:
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	ADIW R26,2
	CALL SUBOPT_0x96
	SBIW R30,1
	LDD  R26,Y+4
	STD  Z+0,R26
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	CALL __GETW1P
	TST  R31
	BRMI _0x2040014
	CALL SUBOPT_0x96
_0x2040014:
_0x2040013:
	RJMP _0x2040015
_0x2040010:
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	LDI  R30,LOW(65535)
	LDI  R31,HIGH(65535)
	ST   X+,R30
	ST   X,R31
_0x2040015:
	LDD  R17,Y+1
	LDD  R16,Y+0
	RJMP _0x20E0002
__print_G102:
	SBIW R28,6
	CALL __SAVELOCR6
	LDI  R17,0
	LDD  R26,Y+12
	LDD  R27,Y+12+1
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
	ST   X+,R30
	ST   X,R31
_0x2040016:
	LDD  R30,Y+18
	LDD  R31,Y+18+1
	ADIW R30,1
	STD  Y+18,R30
	STD  Y+18+1,R31
	SBIW R30,1
	LPM  R30,Z
	MOV  R18,R30
	CPI  R30,0
	BRNE PC+3
	JMP _0x2040018
	MOV  R30,R17
	CPI  R30,0
	BRNE _0x204001C
	CPI  R18,37
	BRNE _0x204001D
	LDI  R17,LOW(1)
	RJMP _0x204001E
_0x204001D:
	CALL SUBOPT_0xDA
_0x204001E:
	RJMP _0x204001B
_0x204001C:
	CPI  R30,LOW(0x1)
	BRNE _0x204001F
	CPI  R18,37
	BRNE _0x2040020
	CALL SUBOPT_0xDA
	RJMP _0x20400C9
_0x2040020:
	LDI  R17,LOW(2)
	LDI  R20,LOW(0)
	LDI  R16,LOW(0)
	CPI  R18,45
	BRNE _0x2040021
	LDI  R16,LOW(1)
	RJMP _0x204001B
_0x2040021:
	CPI  R18,43
	BRNE _0x2040022
	LDI  R20,LOW(43)
	RJMP _0x204001B
_0x2040022:
	CPI  R18,32
	BRNE _0x2040023
	LDI  R20,LOW(32)
	RJMP _0x204001B
_0x2040023:
	RJMP _0x2040024
_0x204001F:
	CPI  R30,LOW(0x2)
	BRNE _0x2040025
_0x2040024:
	LDI  R21,LOW(0)
	LDI  R17,LOW(3)
	CPI  R18,48
	BRNE _0x2040026
	ORI  R16,LOW(128)
	RJMP _0x204001B
_0x2040026:
	RJMP _0x2040027
_0x2040025:
	CPI  R30,LOW(0x3)
	BREQ PC+3
	JMP _0x204001B
_0x2040027:
	CPI  R18,48
	BRLO _0x204002A
	CPI  R18,58
	BRLO _0x204002B
_0x204002A:
	RJMP _0x2040029
_0x204002B:
	LDI  R26,LOW(10)
	MUL  R21,R26
	MOV  R21,R0
	MOV  R30,R18
	SUBI R30,LOW(48)
	ADD  R21,R30
	RJMP _0x204001B
_0x2040029:
	MOV  R30,R18
	CPI  R30,LOW(0x63)
	BRNE _0x204002F
	CALL SUBOPT_0xDB
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	LDD  R26,Z+4
	ST   -Y,R26
	CALL SUBOPT_0xDC
	RJMP _0x2040030
_0x204002F:
	CPI  R30,LOW(0x73)
	BRNE _0x2040032
	CALL SUBOPT_0xDB
	CALL SUBOPT_0xDD
	CALL _strlen
	MOV  R17,R30
	RJMP _0x2040033
_0x2040032:
	CPI  R30,LOW(0x70)
	BRNE _0x2040035
	CALL SUBOPT_0xDB
	CALL SUBOPT_0xDD
	CALL _strlenf
	MOV  R17,R30
	ORI  R16,LOW(8)
_0x2040033:
	ORI  R16,LOW(2)
	ANDI R16,LOW(127)
	LDI  R19,LOW(0)
	RJMP _0x2040036
_0x2040035:
	CPI  R30,LOW(0x64)
	BREQ _0x2040039
	CPI  R30,LOW(0x69)
	BRNE _0x204003A
_0x2040039:
	ORI  R16,LOW(4)
	RJMP _0x204003B
_0x204003A:
	CPI  R30,LOW(0x75)
	BRNE _0x204003C
_0x204003B:
	LDI  R30,LOW(_tbl10_G102*2)
	LDI  R31,HIGH(_tbl10_G102*2)
	STD  Y+6,R30
	STD  Y+6+1,R31
	LDI  R17,LOW(5)
	RJMP _0x204003D
_0x204003C:
	CPI  R30,LOW(0x58)
	BRNE _0x204003F
	ORI  R16,LOW(8)
	RJMP _0x2040040
_0x204003F:
	CPI  R30,LOW(0x78)
	BREQ PC+3
	JMP _0x2040071
_0x2040040:
	LDI  R30,LOW(_tbl16_G102*2)
	LDI  R31,HIGH(_tbl16_G102*2)
	STD  Y+6,R30
	STD  Y+6+1,R31
	LDI  R17,LOW(4)
_0x204003D:
	SBRS R16,2
	RJMP _0x2040042
	CALL SUBOPT_0xDB
	CALL SUBOPT_0xDE
	LDD  R26,Y+11
	TST  R26
	BRPL _0x2040043
	LDD  R30,Y+10
	LDD  R31,Y+10+1
	CALL __ANEGW1
	STD  Y+10,R30
	STD  Y+10+1,R31
	LDI  R20,LOW(45)
_0x2040043:
	CPI  R20,0
	BREQ _0x2040044
	SUBI R17,-LOW(1)
	RJMP _0x2040045
_0x2040044:
	ANDI R16,LOW(251)
_0x2040045:
	RJMP _0x2040046
_0x2040042:
	CALL SUBOPT_0xDB
	CALL SUBOPT_0xDE
_0x2040046:
_0x2040036:
	SBRC R16,0
	RJMP _0x2040047
_0x2040048:
	CP   R17,R21
	BRSH _0x204004A
	SBRS R16,7
	RJMP _0x204004B
	SBRS R16,2
	RJMP _0x204004C
	ANDI R16,LOW(251)
	MOV  R18,R20
	SUBI R17,LOW(1)
	RJMP _0x204004D
_0x204004C:
	LDI  R18,LOW(48)
_0x204004D:
	RJMP _0x204004E
_0x204004B:
	LDI  R18,LOW(32)
_0x204004E:
	CALL SUBOPT_0xDA
	SUBI R21,LOW(1)
	RJMP _0x2040048
_0x204004A:
_0x2040047:
	MOV  R19,R17
	SBRS R16,1
	RJMP _0x204004F
_0x2040050:
	CPI  R19,0
	BREQ _0x2040052
	SBRS R16,3
	RJMP _0x2040053
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	LPM  R18,Z+
	STD  Y+6,R30
	STD  Y+6+1,R31
	RJMP _0x2040054
_0x2040053:
	LDD  R26,Y+6
	LDD  R27,Y+6+1
	LD   R18,X+
	STD  Y+6,R26
	STD  Y+6+1,R27
_0x2040054:
	CALL SUBOPT_0xDA
	CPI  R21,0
	BREQ _0x2040055
	SUBI R21,LOW(1)
_0x2040055:
	SUBI R19,LOW(1)
	RJMP _0x2040050
_0x2040052:
	RJMP _0x2040056
_0x204004F:
_0x2040058:
	LDI  R18,LOW(48)
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	CALL __GETW1PF
	STD  Y+8,R30
	STD  Y+8+1,R31
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	ADIW R30,2
	STD  Y+6,R30
	STD  Y+6+1,R31
_0x204005A:
	LDD  R30,Y+8
	LDD  R31,Y+8+1
	LDD  R26,Y+10
	LDD  R27,Y+10+1
	CP   R26,R30
	CPC  R27,R31
	BRLO _0x204005C
	SUBI R18,-LOW(1)
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	LDD  R30,Y+10
	LDD  R31,Y+10+1
	SUB  R30,R26
	SBC  R31,R27
	STD  Y+10,R30
	STD  Y+10+1,R31
	RJMP _0x204005A
_0x204005C:
	CPI  R18,58
	BRLO _0x204005D
	SBRS R16,3
	RJMP _0x204005E
	SUBI R18,-LOW(7)
	RJMP _0x204005F
_0x204005E:
	SUBI R18,-LOW(39)
_0x204005F:
_0x204005D:
	SBRC R16,4
	RJMP _0x2040061
	CPI  R18,49
	BRSH _0x2040063
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	SBIW R26,1
	BRNE _0x2040062
_0x2040063:
	RJMP _0x20400CA
_0x2040062:
	CP   R21,R19
	BRLO _0x2040067
	SBRS R16,0
	RJMP _0x2040068
_0x2040067:
	RJMP _0x2040066
_0x2040068:
	LDI  R18,LOW(32)
	SBRS R16,7
	RJMP _0x2040069
	LDI  R18,LOW(48)
_0x20400CA:
	ORI  R16,LOW(16)
	SBRS R16,2
	RJMP _0x204006A
	ANDI R16,LOW(251)
	ST   -Y,R20
	CALL SUBOPT_0xDC
	CPI  R21,0
	BREQ _0x204006B
	SUBI R21,LOW(1)
_0x204006B:
_0x204006A:
_0x2040069:
_0x2040061:
	CALL SUBOPT_0xDA
	CPI  R21,0
	BREQ _0x204006C
	SUBI R21,LOW(1)
_0x204006C:
_0x2040066:
	SUBI R19,LOW(1)
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	SBIW R26,2
	BRLO _0x2040059
	RJMP _0x2040058
_0x2040059:
_0x2040056:
	SBRS R16,0
	RJMP _0x204006D
_0x204006E:
	CPI  R21,0
	BREQ _0x2040070
	SUBI R21,LOW(1)
	LDI  R30,LOW(32)
	ST   -Y,R30
	CALL SUBOPT_0xDC
	RJMP _0x204006E
_0x2040070:
_0x204006D:
_0x2040071:
_0x2040030:
_0x20400C9:
	LDI  R17,LOW(0)
_0x204001B:
	RJMP _0x2040016
_0x2040018:
	LDD  R26,Y+12
	LDD  R27,Y+12+1
	CALL __GETW1P
	CALL __LOADLOCR6
	ADIW R28,20
	RET
_sprintf:
	PUSH R15
	MOV  R15,R24
	SBIW R28,6
	CALL __SAVELOCR4
	CALL SUBOPT_0xDF
	SBIW R30,0
	BRNE _0x2040072
	LDI  R30,LOW(65535)
	LDI  R31,HIGH(65535)
	RJMP _0x20E0007
_0x2040072:
	MOVW R26,R28
	ADIW R26,6
	CALL __ADDW2R15
	MOVW R16,R26
	CALL SUBOPT_0xDF
	STD  Y+6,R30
	STD  Y+6+1,R31
	LDI  R30,LOW(0)
	STD  Y+8,R30
	STD  Y+8+1,R30
	MOVW R26,R28
	ADIW R26,10
	CALL __ADDW2R15
	CALL __GETW1P
	ST   -Y,R31
	ST   -Y,R30
	ST   -Y,R17
	ST   -Y,R16
	LDI  R30,LOW(_put_buff_G102)
	LDI  R31,HIGH(_put_buff_G102)
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,10
	ST   -Y,R31
	ST   -Y,R30
	RCALL __print_G102
	MOVW R18,R30
	LDD  R26,Y+6
	LDD  R27,Y+6+1
	LDI  R30,LOW(0)
	ST   X,R30
	MOVW R30,R18
_0x20E0007:
	CALL __LOADLOCR4
	ADIW R28,10
	POP  R15
	RET

	.CSEG
_rtc_init:
	LDD  R30,Y+2
	ANDI R30,LOW(0x3)
	STD  Y+2,R30
	LDD  R30,Y+1
	CPI  R30,0
	BREQ _0x2060003
	LDD  R30,Y+2
	ORI  R30,0x10
	STD  Y+2,R30
_0x2060003:
	LD   R30,Y
	CPI  R30,0
	BREQ _0x2060004
	LDD  R30,Y+2
	ORI  R30,0x80
	STD  Y+2,R30
_0x2060004:
	CALL SUBOPT_0xE0
	LDI  R30,LOW(7)
	CALL SUBOPT_0xE1
	RJMP _0x20E0005
_rtc_get_time:
	CALL SUBOPT_0xE0
	LDI  R30,LOW(0)
	CALL SUBOPT_0xE2
	LD   R26,Y
	LDD  R27,Y+1
	CALL SUBOPT_0xE3
	LDD  R26,Y+4
	LDD  R27,Y+4+1
	RJMP _0x20E0006
_rtc_set_time:
	CALL SUBOPT_0xE0
	LDI  R30,LOW(0)
	ST   -Y,R30
	CALL _i2c_write
	LD   R30,Y
	CALL SUBOPT_0xE4
	CALL SUBOPT_0xE1
	RJMP _0x20E0004
_rtc_get_date:
	CALL SUBOPT_0xE0
	LDI  R30,LOW(4)
	CALL SUBOPT_0xE2
	LDD  R26,Y+4
	LDD  R27,Y+4+1
	CALL SUBOPT_0xE3
	LD   R26,Y
	LDD  R27,Y+1
_0x20E0006:
	ST   X,R30
	CALL _i2c_stop
	ADIW R28,6
	RET
_rtc_set_date:
	CALL SUBOPT_0xE0
	LDI  R30,LOW(4)
	CALL SUBOPT_0xE1
	CALL SUBOPT_0xE4
	ST   -Y,R30
	CALL _i2c_write
	LD   R30,Y
_0x20E0004:
	ST   -Y,R30
	CALL _bin2bcd
_0x20E0005:
	ST   -Y,R30
	CALL _i2c_write
	CALL _i2c_stop
	ADIW R28,3
	RET
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x40
	.EQU __sm_mask=0xB0
	.EQU __sm_powerdown=0x20
	.EQU __sm_powersave=0x30
	.EQU __sm_standby=0xA0
	.EQU __sm_ext_standby=0xB0
	.EQU __sm_adc_noise_red=0x10
	.SET power_ctrl_reg=mcucr
	#endif

	.CSEG
_i2_start:
	CBI  0x14,6
	CBI  0x14,7
	CBI  0x15,6
	CBI  0x15,7
	__DELAY_USB 80
	SBI  0x14,7
	__DELAY_USB 80
	SBI  0x14,6
	RJMP _0x20E0003
_i2_stop:
	SBI  0x14,7
	CALL SUBOPT_0xE5
	CBI  0x14,7
_0x20E0003:
	__DELAY_USB 80
	RET
_i2_write:
	CALL __SAVELOCR4
	LDI  R17,0
	LDI  R16,LOW(0)
_0x2080004:
	CPI  R16,8
	BRSH _0x2080005
	LDI  R30,LOW(7)
	SUB  R30,R16
	LDD  R26,Y+4
	CALL __LSRB12
	ANDI R30,LOW(0x1)
	MOV  R19,R30
	CPI  R19,0
	BRNE _0x2080006
	SBI  0x14,7
	RJMP _0x2080007
_0x2080006:
	CBI  0x14,7
_0x2080007:
	CALL SUBOPT_0xE5
	SBI  0x14,6
	__DELAY_USB 80
	SUBI R16,-1
	RJMP _0x2080004
_0x2080005:
	CBI  0x14,7
	CALL SUBOPT_0xE5
	SBIS 0x13,7
	RJMP _0x2080008
	LDI  R17,LOW(1)
	RJMP _0x2080009
_0x2080008:
	LDI  R17,LOW(0)
_0x2080009:
	SBI  0x14,6
	__DELAY_USB 80
	MOV  R30,R17
	CALL __LOADLOCR4
_0x20E0002:
	ADIW R28,5
	RET
_tda7313_write:
	RCALL _i2_start
	LDI  R30,LOW(136)
	ST   -Y,R30
	RCALL _i2_write
	CPI  R30,0
	BRNE _0x208000B
	LD   R30,Y
	ST   -Y,R30
	RCALL _i2_write
_0x208000B:
	RCALL _i2_stop
_0x20E0001:
	ADIW R28,1
	RET

	.CSEG

	.CSEG
_bcd2bin:
    ld   r30,y
    swap r30
    andi r30,0xf
    mov  r26,r30
    lsl  r26
    lsl  r26
    add  r30,r26
    lsl  r30
    ld   r26,y+
    andi r26,0xf
    add  r30,r26
    ret
_bin2bcd:
    ld   r26,y+
    clr  r30
bin2bcd0:
    subi r26,10
    brmi bin2bcd1
    subi r30,-16
    rjmp bin2bcd0
bin2bcd1:
    subi r26,-10
    add  r30,r26
    ret

	.DSEG
_txt1:
	.BYTE 0xA
_txt2:
	.BYTE 0xB
_txt3:
	.BYTE 0x7
_txt4:
	.BYTE 0xD
_txt5:
	.BYTE 0xF
_txt6:
	.BYTE 0xB
_txt7:
	.BYTE 0xF
_txt8:
	.BYTE 0x5
_txt9:
	.BYTE 0x8
_txt10:
	.BYTE 0x7
_txt11:
	.BYTE 0x9
_txt12:
	.BYTE 0x9
_txt13:
	.BYTE 0xA
_txt14:
	.BYTE 0xB
_txt15:
	.BYTE 0x6
_txt16:
	.BYTE 0x2
_txt17:
	.BYTE 0x2
_txt18:
	.BYTE 0x12
_txt19:
	.BYTE 0x2
_txt20:
	.BYTE 0x2
_txt21:
	.BYTE 0x2
_txt22:
	.BYTE 0xA
_txt23:
	.BYTE 0x4
_txt24:
	.BYTE 0x9
_txt25:
	.BYTE 0x8
_txt26:
	.BYTE 0xC
_txt27:
	.BYTE 0x16
_txt28:
	.BYTE 0x12
_txt29:
	.BYTE 0x13
_txt30:
	.BYTE 0x12
_txt31:
	.BYTE 0x13
_txt32:
	.BYTE 0x12
_txt33:
	.BYTE 0x14
_txt34:
	.BYTE 0x17
_txt35:
	.BYTE 0xB
_txt36:
	.BYTE 0x6
_txt37:
	.BYTE 0x9
_txt38:
	.BYTE 0x10
_txt39:
	.BYTE 0x10
_txt40:
	.BYTE 0x14
_txt41:
	.BYTE 0x14
_txt42:
	.BYTE 0x14
_txt43:
	.BYTE 0x15
_clock:
	.BYTE 0x1
_mig_att:
	.BYTE 0x1
_displ_refresh:
	.BYTE 0x1
_h:
	.BYTE 0x1
_m:
	.BYTE 0x1
_s:
	.BYTE 0x1
_hour:
	.BYTE 0x1
_min:
	.BYTE 0x1
_sec:
	.BYTE 0x1
_date:
	.BYTE 0x1
_mounth:
	.BYTE 0x1
_year:
	.BYTE 0x1
_rem_command:
	.BYTE 0x1
_command_tx:
	.BYTE 0x1
_volume:
	.BYTE 0x2
_volume_displ:
	.BYTE 0x2

	.ESEG
_volume_ogr:
	.DW  0x1E

	.DSEG
_volume_ogr_displ:
	.BYTE 0x2

	.ESEG
_valcoder_sens:
	.DB  0x1
_n_valc_imp:
	.DB  0x5

	.DSEG
_valcoder_PLUS:
	.BYTE 0x1
_valcoder_MINUS:
	.BYTE 0x1

	.ESEG
_save_volume:
	.DW  0x2C
_volume_on_max:
	.DW  0x1E

	.DSEG
_volume_on_max_displ:
	.BYTE 0x2
_tek_menu:
	.BYTE 0x1

	.ESEG
_tek_vhod:
	.DB  0x1

	.DSEG
_loud_displ:
	.BYTE 0x2

	.ESEG
_att:
	.DW  0x19

	.DSEG
_att_displ:
	.BYTE 0x2
_att_on:
	.BYTE 0x1
_loudness:
	.BYTE 0x2
_treble:
	.BYTE 0x1
_bass:
	.BYTE 0x1

	.ESEG
_treble1:
	.DB  0x7
_treble2:
	.DB  0x7
_treble3:
	.DB  0x7
_bass1:
	.DB  0x7
_bass2:
	.DB  0x7
_bass3:
	.DB  0x7
_loudness1:
	.DW  0x0
_loudness2:
	.DW  0x0
_loudness3:
	.DW  0x0

	.DSEG
_Refr1:
	.BYTE 0x1
_Refr2:
	.BYTE 0x1
_Refr3:
	.BYTE 0x1
_Refr4:
	.BYTE 0x1
_Refr30:
	.BYTE 0x1
_menu30:
	.BYTE 0x1
_menu30_2:
	.BYTE 0x1
_timer:
	.BYTE 0x1
_adr:
	.BYTE 0x1
_treble_disp:
	.BYTE 0x1
_bass_disp:
	.BYTE 0x1
_tog_ch:
	.BYTE 0x1

	.ESEG
_min_off:
	.DB  0x0
_hour_off:
	.DB  0x0
_min_on:
	.DB  0x0
_hour_on:
	.DB  0x0

	.DSEG
_buffer:
	.BYTE 0x18
_buf:
	.BYTE 0x4
_amp_on_act:
	.BYTE 0x1
_amp_off_act:
	.BYTE 0x1

	.ESEG
_first_run:
	.DB  0x0

	.DSEG
_system_on:
	.BYTE 0x1

	.ESEG
_DS:
	.DB  0xC

	.DSEG
_com:
	.BYTE 0x1
_stage:
	.BYTE 0x2
_stage_temp:
	.BYTE 0x2
_address_temp:
	.BYTE 0x2
_menu_temp:
	.BYTE 0x1
_res_temp:
	.BYTE 0x2
_d_count:
	.BYTE 0x1
_res_long:
	.BYTE 0x4
_adr_long:
	.BYTE 0x4
_dig1:
	.BYTE 0x1
_dig2:
	.BYTE 0x1
_dig3:
	.BYTE 0x1
_dig4:
	.BYTE 0x1
_dig5:
	.BYTE 0x1
_SLLI:
	.BYTE 0x2
_SHLI:
	.BYTE 0x2
_SCLI:
	.BYTE 0x2
_m1:
	.BYTE 0x1

	.ESEG
_AD7142_Config:
	.DB  LOW(0x8B0),HIGH(0x8B0),BYTE3(0x8B0),BYTE4(0x8B0)
	.DB  LOW(0x14C83230),HIGH(0x14C83230),BYTE3(0x14C83230),BYTE4(0x14C83230)
	.DB  LOW(0x832),HIGH(0x832),BYTE3(0x832),BYTE4(0x832)
	.DB  LOW(0x10000),HIGH(0x10000),BYTE3(0x10000),BYTE4(0x10000)
	.DB  LOW(0x3FFF3FFE),HIGH(0x3FFF3FFE),BYTE3(0x3FFF3FFE),BYTE4(0x3FFF3FFE)
	.DB  LOW(0x26260500),HIGH(0x26260500),BYTE3(0x26260500),BYTE4(0x26260500)
	.DB  LOW(0x3E803E8),HIGH(0x3E803E8),BYTE3(0x3E803E8),BYTE4(0x3E803E8)
	.DB  LOW(0x5DC05DC),HIGH(0x5DC05DC),BYTE3(0x5DC05DC),BYTE4(0x5DC05DC)
	.DB  LOW(0x3FFF3FFF),HIGH(0x3FFF3FFF),BYTE3(0x3FFF3FFF),BYTE4(0x3FFF3FFF)
	.DB  LOW(0x26260000),HIGH(0x26260000),BYTE3(0x26260000),BYTE4(0x26260000)
	.DB  LOW(0x3E803E8),HIGH(0x3E803E8),BYTE3(0x3E803E8),BYTE4(0x3E803E8)
	.DB  LOW(0x5DC05DC),HIGH(0x5DC05DC),BYTE3(0x5DC05DC),BYTE4(0x5DC05DC)
	.DB  LOW(0x3FFF3FFF),HIGH(0x3FFF3FFF),BYTE3(0x3FFF3FFF),BYTE4(0x3FFF3FFF)
	.DB  LOW(0x26260000),HIGH(0x26260000),BYTE3(0x26260000),BYTE4(0x26260000)
	.DB  LOW(0x3E803E8),HIGH(0x3E803E8),BYTE3(0x3E803E8),BYTE4(0x3E803E8)
	.DB  LOW(0x5DC05DC),HIGH(0x5DC05DC),BYTE3(0x5DC05DC),BYTE4(0x5DC05DC)
	.DB  LOW(0x3FFF3FFF),HIGH(0x3FFF3FFF),BYTE3(0x3FFF3FFF),BYTE4(0x3FFF3FFF)
	.DB  LOW(0x26260000),HIGH(0x26260000),BYTE3(0x26260000),BYTE4(0x26260000)
	.DB  LOW(0x3E803E8),HIGH(0x3E803E8),BYTE3(0x3E803E8),BYTE4(0x3E803E8)
	.DB  LOW(0x5DC05DC),HIGH(0x5DC05DC),BYTE3(0x5DC05DC),BYTE4(0x5DC05DC)
	.DB  LOW(0x3FFF3FFF),HIGH(0x3FFF3FFF),BYTE3(0x3FFF3FFF),BYTE4(0x3FFF3FFF)
	.DB  LOW(0x26260000),HIGH(0x26260000),BYTE3(0x26260000),BYTE4(0x26260000)
	.DB  LOW(0x3E803E8),HIGH(0x3E803E8),BYTE3(0x3E803E8),BYTE4(0x3E803E8)
	.DB  LOW(0x5DC05DC),HIGH(0x5DC05DC),BYTE3(0x5DC05DC),BYTE4(0x5DC05DC)
	.DB  LOW(0x3FFF3FFF),HIGH(0x3FFF3FFF),BYTE3(0x3FFF3FFF),BYTE4(0x3FFF3FFF)
	.DB  LOW(0x26260000),HIGH(0x26260000),BYTE3(0x26260000),BYTE4(0x26260000)
	.DB  LOW(0x3E803E8),HIGH(0x3E803E8),BYTE3(0x3E803E8),BYTE4(0x3E803E8)
	.DB  LOW(0x5DC05DC),HIGH(0x5DC05DC),BYTE3(0x5DC05DC),BYTE4(0x5DC05DC)
	.DB  LOW(0x3FFF3FFF),HIGH(0x3FFF3FFF),BYTE3(0x3FFF3FFF),BYTE4(0x3FFF3FFF)
	.DB  LOW(0x26260000),HIGH(0x26260000),BYTE3(0x26260000),BYTE4(0x26260000)
	.DB  LOW(0x3E803E8),HIGH(0x3E803E8),BYTE3(0x3E803E8),BYTE4(0x3E803E8)
	.DB  LOW(0x5DC05DC),HIGH(0x5DC05DC),BYTE3(0x5DC05DC),BYTE4(0x5DC05DC)
	.DB  LOW(0x3FFF3FFF),HIGH(0x3FFF3FFF),BYTE3(0x3FFF3FFF),BYTE4(0x3FFF3FFF)
	.DB  LOW(0x26260000),HIGH(0x26260000),BYTE3(0x26260000),BYTE4(0x26260000)
	.DB  LOW(0x3E803E8),HIGH(0x3E803E8),BYTE3(0x3E803E8),BYTE4(0x3E803E8)
	.DB  LOW(0x5DC05DC),HIGH(0x5DC05DC),BYTE3(0x5DC05DC),BYTE4(0x5DC05DC)
	.DB  LOW(0x3FFF3FFF),HIGH(0x3FFF3FFF),BYTE3(0x3FFF3FFF),BYTE4(0x3FFF3FFF)
	.DB  LOW(0x26260000),HIGH(0x26260000),BYTE3(0x26260000),BYTE4(0x26260000)
	.DB  LOW(0x3E803E8),HIGH(0x3E803E8),BYTE3(0x3E803E8),BYTE4(0x3E803E8)
	.DB  LOW(0x5DC05DC),HIGH(0x5DC05DC),BYTE3(0x5DC05DC),BYTE4(0x5DC05DC)
	.DB  LOW(0x3FFF3FFF),HIGH(0x3FFF3FFF),BYTE3(0x3FFF3FFF),BYTE4(0x3FFF3FFF)
	.DB  LOW(0x26260000),HIGH(0x26260000),BYTE3(0x26260000),BYTE4(0x26260000)
	.DB  LOW(0x3E803E8),HIGH(0x3E803E8),BYTE3(0x3E803E8),BYTE4(0x3E803E8)
	.DB  LOW(0x5DC05DC),HIGH(0x5DC05DC),BYTE3(0x5DC05DC),BYTE4(0x5DC05DC)
	.DB  LOW(0x3FFF3FFF),HIGH(0x3FFF3FFF),BYTE3(0x3FFF3FFF),BYTE4(0x3FFF3FFF)
	.DB  LOW(0x26260000),HIGH(0x26260000),BYTE3(0x26260000),BYTE4(0x26260000)
	.DB  LOW(0x3E803E8),HIGH(0x3E803E8),BYTE3(0x3E803E8),BYTE4(0x3E803E8)
	.DB  LOW(0x5DC05DC),HIGH(0x5DC05DC),BYTE3(0x5DC05DC),BYTE4(0x5DC05DC)
	.DB  LOW(0x3FFF3FFF),HIGH(0x3FFF3FFF),BYTE3(0x3FFF3FFF),BYTE4(0x3FFF3FFF)
	.DB  LOW(0x26260000),HIGH(0x26260000),BYTE3(0x26260000),BYTE4(0x26260000)
	.DB  LOW(0x3E803E8),HIGH(0x3E803E8),BYTE3(0x3E803E8),BYTE4(0x3E803E8)
	.DB  LOW(0x5DC05DC),HIGH(0x5DC05DC),BYTE3(0x5DC05DC),BYTE4(0x5DC05DC)

	.DSEG
_tabstr:
	.BYTE 0x26
_code:
	.BYTE 0xE

	.CSEG
;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x0:
	ST   -Y,R17
	CALL _spi
	ST   -Y,R16
	JMP  _spi

;OPTIMIZER ADDED SUBROUTINE, CALLED 12 TIMES, CODE SIZE REDUCTION:19 WORDS
SUBOPT_0x1:
	ST   -Y,R31
	ST   -Y,R30
	JMP  _read_from_AD7142_spi

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x2:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(_AD7142_Config)
	LDI  R31,HIGH(_AD7142_Config)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x3:
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(8)
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x4:
	LDI  R30,LOW(0)
	OUT  0x33,R30
	OUT  0x32,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 26 TIMES, CODE SIZE REDUCTION:47 WORDS
SUBOPT_0x5:
	CALL _data_port
	JMP  _strob

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x6:
	LDI  R30,LOW(64)
	ST   -Y,R30
	RJMP SUBOPT_0x5

;OPTIMIZER ADDED SUBROUTINE, CALLED 7 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x7:
	SUBI R30,-LOW(184)
	ST   -Y,R30
	RJMP SUBOPT_0x5

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x8:
	SUBI R30,-LOW(64)
	ST   -Y,R30
	RJMP SUBOPT_0x5

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x9:
	LDD  R30,Y+7
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	LDI  R31,0
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:7 WORDS
SUBOPT_0xA:
	ADD  R30,R26
	ADC  R31,R27
	MOVW R0,R30
	LDD  R30,Y+16
	LDD  R26,Y+10
	ADD  R30,R26
	MOVW R26,R0
	LDI  R31,0
	CP   R30,R26
	CPC  R31,R27
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:7 WORDS
SUBOPT_0xB:
	LDI  R30,LOW(0)
	STD  Y+8,R30
	STD  Y+8+1,R30
	LDD  R30,Y+16
	STD  Y+7,R30
	CBI  0x12,6
	LDD  R30,Y+6
	SUBI R30,-LOW(1)
	STD  Y+6,R30
	RJMP SUBOPT_0x7

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xC:
	LDI  R30,LOW(0)
	ST   Y,R30
	STD  Y+1,R30
	STD  Y+2,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 18 TIMES, CODE SIZE REDUCTION:65 WORDS
SUBOPT_0xD:
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	CLR  R30
	ADD  R26,R20
	ADC  R27,R30
	LD   R26,X
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:13 WORDS
SUBOPT_0xE:
	LDI  R17,LOW(0)
	LDI  R16,LOW(4)
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	CLR  R30
	ADD  R26,R20
	ADC  R27,R30
	LD   R30,X
	SUBI R30,LOW(32)
	STD  Y+9,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xF:
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	CLR  R30
	ADD  R26,R20
	ADC  R27,R30
	LD   R30,X
	SUBI R30,LOW(32)
	STD  Y+9,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x10:
	LDI  R17,LOW(0)
	LDI  R16,LOW(4)
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	CLR  R30
	ADD  R26,R20
	ADC  R27,R30
	LD   R30,X
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x11:
	LDD  R30,Y+9
	LDI  R26,LOW(5)
	MUL  R30,R26
	MOVW R30,R0
	SUBI R30,LOW(-_symbols*2)
	SBCI R31,HIGH(-_symbols*2)
	MOVW R26,R30
	MOV  R30,R21
	LDI  R31,0
	ADD  R30,R26
	ADC  R31,R27
	LPM  R30,Z
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 15 TIMES, CODE SIZE REDUCTION:39 WORDS
SUBOPT_0x12:
	LDI  R26,LOW(_tek_vhod)
	LDI  R27,HIGH(_tek_vhod)
	CALL __EEPROMRDB
	CPI  R30,LOW(0x1)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x13:
	STS  _loudness,R30
	STS  _loudness+1,R31
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 67 TIMES, CODE SIZE REDUCTION:261 WORDS
SUBOPT_0x14:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(1)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 123 TIMES, CODE SIZE REDUCTION:241 WORDS
SUBOPT_0x15:
	LDI  R30,LOW(0)
	ST   -Y,R30
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x16:
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDD  R30,Y+12
	ST   -Y,R30
	JMP  _putstr

;OPTIMIZER ADDED SUBROUTINE, CALLED 9 TIMES, CODE SIZE REDUCTION:13 WORDS
SUBOPT_0x17:
	LDI  R26,LOW(_volume_ogr)
	LDI  R27,HIGH(_volume_ogr)
	CALL __EEPROMRDW
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x18:
	LDI  R26,LOW(125)
	LDI  R27,HIGH(125)
	CALL __MULW12U
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 70 TIMES, CODE SIZE REDUCTION:135 WORDS
SUBOPT_0x19:
	LDI  R30,LOW(_buffer)
	LDI  R31,HIGH(_buffer)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x1A:
	__POINTW1FN _0x0,0
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x1B:
	LDS  R26,_volume_ogr_displ
	LDS  R27,_volume_ogr_displ+1
	LDI  R30,LOW(100)
	LDI  R31,HIGH(100)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:17 WORDS
SUBOPT_0x1C:
	CALL __DIVW21U
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:37 WORDS
SUBOPT_0x1D:
	CALL __MODW21U
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,8
	CALL _sprintf
	ADIW R28,12
	RJMP SUBOPT_0x19

;OPTIMIZER ADDED SUBROUTINE, CALLED 59 TIMES, CODE SIZE REDUCTION:113 WORDS
SUBOPT_0x1E:
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(1)
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 15 TIMES, CODE SIZE REDUCTION:25 WORDS
SUBOPT_0x1F:
	LDI  R30,LOW(1)
	ST   -Y,R30
	RJMP SUBOPT_0x15

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x20:
	LDD  R30,Y+11
	ST   -Y,R30
	JMP  _putstr

;OPTIMIZER ADDED SUBROUTINE, CALLED 10 TIMES, CODE SIZE REDUCTION:15 WORDS
SUBOPT_0x21:
	LDI  R26,LOW(_volume_on_max)
	LDI  R27,HIGH(_volume_on_max)
	CALL __EEPROMRDW
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x22:
	LDS  R26,_volume_on_max_displ
	LDS  R27,_volume_on_max_displ+1
	LDI  R30,LOW(100)
	LDI  R31,HIGH(100)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 13 TIMES, CODE SIZE REDUCTION:21 WORDS
SUBOPT_0x23:
	LDI  R30,LOW(2)
	ST   -Y,R30
	RJMP SUBOPT_0x15

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x24:
	LDD  R30,Y+10
	ST   -Y,R30
	JMP  _putstr

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x25:
	LDI  R26,LOW(_att)
	LDI  R27,HIGH(_att)
	CALL __EEPROMRDW
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x26:
	LDS  R26,_att_displ
	LDS  R27,_att_displ+1
	LDI  R30,LOW(100)
	LDI  R31,HIGH(100)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x27:
	LDI  R30,LOW(3)
	ST   -Y,R30
	RJMP SUBOPT_0x15

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x28:
	LDD  R30,Y+9
	ST   -Y,R30
	JMP  _putstr

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:12 WORDS
SUBOPT_0x29:
	LDS  R30,_loudness
	LDS  R31,_loudness+1
	LDI  R26,LOW(375)
	LDI  R27,HIGH(375)
	CALL __MULW12U
	STS  _loud_displ,R30
	STS  _loud_displ+1,R31
	LDS  R26,_loudness
	LDS  R27,_loudness+1
	SBIW R26,1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x2A:
	ST   -Y,R31
	ST   -Y,R30
	LDS  R26,_loud_displ
	LDS  R27,_loud_displ+1
	LDI  R30,LOW(100)
	LDI  R31,HIGH(100)
	RJMP SUBOPT_0x1C

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x2B:
	LDS  R26,_loud_displ
	LDS  R27,_loud_displ+1
	LDI  R30,LOW(100)
	LDI  R31,HIGH(100)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x2C:
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_loud_displ
	LDS  R31,_loud_displ+1
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sprintf
	ADIW R28,8
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x2D:
	LDI  R30,LOW(0)
	ST   -Y,R30
	RJMP SUBOPT_0x28

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x2E:
	LDI  R30,LOW(4)
	ST   -Y,R30
	RJMP SUBOPT_0x15

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:7 WORDS
SUBOPT_0x2F:
	LDD  R30,Y+8
	ST   -Y,R30
	JMP  _putstr

;OPTIMIZER ADDED SUBROUTINE, CALLED 30 TIMES, CODE SIZE REDUCTION:55 WORDS
SUBOPT_0x30:
	LDI  R30,LOW(_buf)
	LDI  R31,HIGH(_buf)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 8 TIMES, CODE SIZE REDUCTION:11 WORDS
SUBOPT_0x31:
	LDI  R26,LOW(_valcoder_sens)
	LDI  R27,HIGH(_valcoder_sens)
	CALL __EEPROMRDB
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 15 TIMES, CODE SIZE REDUCTION:123 WORDS
SUBOPT_0x32:
	CLR  R31
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sprintf
	ADIW R28,8
	RJMP SUBOPT_0x30

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x33:
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	RJMP SUBOPT_0x2F

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x34:
	LDI  R30,LOW(5)
	ST   -Y,R30
	RJMP SUBOPT_0x15

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x35:
	LDD  R30,Y+7
	ST   -Y,R30
	JMP  _putstr

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:25 WORDS
SUBOPT_0x36:
	LDI  R30,LOW(123)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(16)
	ST   -Y,R30
	LDI  R30,LOW(5)
	LDI  R31,HIGH(5)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(5)
	ST   -Y,R30
	JMP  _page_kolonka_SL_massiv_nmass_inv_peren

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x37:
	LDI  R26,LOW(_bass1)
	LDI  R27,HIGH(_bass1)
	CALL __EEPROMRDB
	STS  _bass,R30
	LDI  R26,LOW(_treble1)
	LDI  R27,HIGH(_treble1)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x38:
	LDI  R26,LOW(_bass2)
	LDI  R27,HIGH(_bass2)
	CALL __EEPROMRDB
	STS  _bass,R30
	LDI  R26,LOW(_treble2)
	LDI  R27,HIGH(_treble2)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x39:
	LDI  R26,LOW(_bass3)
	LDI  R27,HIGH(_bass3)
	CALL __EEPROMRDB
	STS  _bass,R30
	LDI  R26,LOW(_treble3)
	LDI  R27,HIGH(_treble3)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:15 WORDS
SUBOPT_0x3A:
	LDS  R26,_treble
	LDI  R30,LOW(14)
	SUB  R30,R26
	MOV  R17,R30
	LDS  R30,_treble
	SUB  R30,R17
	STS  _treble_disp,R30
	LDS  R26,_bass
	LDI  R30,LOW(14)
	SUB  R30,R26
	MOV  R17,R30
	LDS  R30,_bass
	SUB  R30,R17
	STS  _bass_disp,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:30 WORDS
SUBOPT_0x3B:
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_treble_disp
	CALL __CBD1
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sprintf
	ADIW R28,8
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:30 WORDS
SUBOPT_0x3C:
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_bass_disp
	CALL __CBD1
	CALL __PUTPARD1
	LDI  R24,4
	CALL _sprintf
	ADIW R28,8
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 17 TIMES, CODE SIZE REDUCTION:29 WORDS
SUBOPT_0x3D:
	LDI  R30,LOW(0)
	ST   -Y,R30
	JMP  _putstr

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x3E:
	LDI  R30,LOW(_h)
	LDI  R31,HIGH(_h)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(_m)
	LDI  R31,HIGH(_m)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(_s)
	LDI  R31,HIGH(_s)
	ST   -Y,R31
	ST   -Y,R30
	JMP  _rtc_get_time

;OPTIMIZER ADDED SUBROUTINE, CALLED 14 TIMES, CODE SIZE REDUCTION:23 WORDS
SUBOPT_0x3F:
	__POINTW1FN _0x0,37
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x40:
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(15)
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x41:
	LDI  R30,LOW(_txt17)
	LDI  R31,HIGH(_txt17)
	ST   -Y,R31
	ST   -Y,R30
	RJMP SUBOPT_0x1E

;OPTIMIZER ADDED SUBROUTINE, CALLED 12 TIMES, CODE SIZE REDUCTION:19 WORDS
SUBOPT_0x42:
	CALL _putstr
	RJMP SUBOPT_0x30

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x43:
	LDI  R30,LOW(7)
	ST   -Y,R30
	LDI  R30,LOW(40)
	ST   -Y,R30
	RJMP SUBOPT_0x15

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x44:
	LDI  R30,LOW(_txt13)
	LDI  R31,HIGH(_txt13)
	RJMP SUBOPT_0x14

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x45:
	LDI  R30,LOW(_txt14)
	LDI  R31,HIGH(_txt14)
	RJMP SUBOPT_0x14

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x46:
	LDI  R30,LOW(_txt15)
	LDI  R31,HIGH(_txt15)
	ST   -Y,R31
	ST   -Y,R30
	RJMP SUBOPT_0x1E

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x47:
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(30)
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x48:
	CALL _putstr
	RJMP SUBOPT_0x46

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x49:
	LDI  R30,LOW(2)
	ST   -Y,R30
	LDI  R30,LOW(30)
	ST   -Y,R30
	RJMP SUBOPT_0x15

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x4A:
	CALL _putstr
	LDI  R30,LOW(_txt3)
	LDI  R31,HIGH(_txt3)
	RJMP SUBOPT_0x14

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0x4B:
	CALL __SAVELOCR4
	LDI  R17,0
	LDI  R16,0
	LDI  R19,0
	LDI  R18,0
	CALL _LCD_clear
	LDD  R30,Y+4
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:7 WORDS
SUBOPT_0x4C:
	LDI  R30,LOW(0)
	ST   -Y,R30
	ST   -Y,R17
	CALL _putstr
	RJMP SUBOPT_0x45

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x4D:
	LDI  R26,LOW(_hour_on)
	LDI  R27,HIGH(_hour_on)
	CALL __EEPROMRDB
	RJMP SUBOPT_0x32

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:15 WORDS
SUBOPT_0x4E:
	LDI  R30,LOW(0)
	ST   -Y,R30
	ST   -Y,R19
	CALL _putstr
	LDI  R30,LOW(_txt16)
	LDI  R31,HIGH(_txt16)
	ST   -Y,R31
	ST   -Y,R30
	RJMP SUBOPT_0x1E

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x4F:
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(42)
	ST   -Y,R30
	RJMP SUBOPT_0x15

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x50:
	LDI  R26,LOW(_min_on)
	LDI  R27,HIGH(_min_on)
	CALL __EEPROMRDB
	RJMP SUBOPT_0x32

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x51:
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(48)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	ST   -Y,R18
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x52:
	LDI  R26,LOW(_hour_off)
	LDI  R27,HIGH(_hour_off)
	CALL __EEPROMRDB
	RJMP SUBOPT_0x32

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x53:
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	ST   -Y,R21
	JMP  _putstr

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x54:
	ST   -Y,R31
	ST   -Y,R30
	RJMP SUBOPT_0x1E

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x55:
	LDI  R30,LOW(2)
	ST   -Y,R30
	LDI  R30,LOW(42)
	ST   -Y,R30
	RJMP SUBOPT_0x15

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x56:
	LDI  R26,LOW(_min_off)
	LDI  R27,HIGH(_min_off)
	CALL __EEPROMRDB
	RJMP SUBOPT_0x32

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x57:
	LDI  R30,LOW(2)
	ST   -Y,R30
	LDI  R30,LOW(48)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x58:
	CALL _putstr
	CALL __LOADLOCR6
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 11 TIMES, CODE SIZE REDUCTION:27 WORDS
SUBOPT_0x59:
	CLR  R31
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 30 TIMES, CODE SIZE REDUCTION:55 WORDS
SUBOPT_0x5A:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x5B:
	ST   -Y,R30
	CALL _page_kolonka_SL_massiv_nmass_inv_peren
	LDS  R26,_volume
	LDS  R27,_volume+1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x5C:
	LDS  R26,_volume_displ
	LDS  R27,_volume_displ+1
	LDI  R30,LOW(100)
	LDI  R31,HIGH(100)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x5D:
	__MULBNWRU 18,19,2
	MOVW R18,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x5E:
	LDI  R30,LOW(1)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x5F:
	LDI  R30,LOW(6)
	ST   -Y,R30
	RJMP SUBOPT_0x15

;OPTIMIZER ADDED SUBROUTINE, CALLED 17 TIMES, CODE SIZE REDUCTION:29 WORDS
SUBOPT_0x60:
	LDI  R30,LOW(16)
	ST   -Y,R30
	JMP  _page_kolonka_SL_massiv_nmass_inv_peren

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x61:
	CALL __EEPROMRDB
	STS  _treble,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 22 TIMES, CODE SIZE REDUCTION:39 WORDS
SUBOPT_0x62:
	LDI  R30,LOW(_buffer)
	LDI  R31,HIGH(_buffer)
	RJMP SUBOPT_0x14

;OPTIMIZER ADDED SUBROUTINE, CALLED 8 TIMES, CODE SIZE REDUCTION:11 WORDS
SUBOPT_0x63:
	CALL _putstr
	RJMP SUBOPT_0x19

;OPTIMIZER ADDED SUBROUTINE, CALLED 12 TIMES, CODE SIZE REDUCTION:19 WORDS
SUBOPT_0x64:
	LDI  R26,LOW(_hour_off)
	LDI  R27,HIGH(_hour_off)
	CALL __EEPROMRDB
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 12 TIMES, CODE SIZE REDUCTION:19 WORDS
SUBOPT_0x65:
	LDI  R26,LOW(_min_off)
	LDI  R27,HIGH(_min_off)
	CALL __EEPROMRDB
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x66:
	LDI  R24,8
	CALL _sprintf
	ADIW R28,12
	RJMP SUBOPT_0x19

;OPTIMIZER ADDED SUBROUTINE, CALLED 12 TIMES, CODE SIZE REDUCTION:19 WORDS
SUBOPT_0x67:
	LDI  R26,LOW(_hour_on)
	LDI  R27,HIGH(_hour_on)
	CALL __EEPROMRDB
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 12 TIMES, CODE SIZE REDUCTION:19 WORDS
SUBOPT_0x68:
	LDI  R26,LOW(_min_on)
	LDI  R27,HIGH(_min_on)
	CALL __EEPROMRDB
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 36 TIMES, CODE SIZE REDUCTION:67 WORDS
SUBOPT_0x69:
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 10 TIMES, CODE SIZE REDUCTION:15 WORDS
SUBOPT_0x6A:
	LDI  R24,8
	CALL _sprintf
	ADIW R28,12
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 9 TIMES, CODE SIZE REDUCTION:29 WORDS
SUBOPT_0x6B:
	LDI  R24,4
	CALL _sprintf
	ADIW R28,8
	RJMP SUBOPT_0x62

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x6C:
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_stage_temp
	LDS  R31,_stage_temp+1
	RJMP SUBOPT_0x69

;OPTIMIZER ADDED SUBROUTINE, CALLED 8 TIMES, CODE SIZE REDUCTION:25 WORDS
SUBOPT_0x6D:
	LDI  R24,4
	CALL _sprintf
	ADIW R28,8
	RJMP SUBOPT_0x19

;OPTIMIZER ADDED SUBROUTINE, CALLED 7 TIMES, CODE SIZE REDUCTION:21 WORDS
SUBOPT_0x6E:
	MOVW R16,R30
	ST   -Y,R17
	ST   -Y,R16
	CALL _read_from_AD7142_spi
	MOVW R18,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 7 TIMES, CODE SIZE REDUCTION:15 WORDS
SUBOPT_0x6F:
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R16
	RJMP SUBOPT_0x69

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:37 WORDS
SUBOPT_0x70:
	ST   -Y,R30
	CALL _putstr
	LDS  R26,_stage
	LDS  R27,_stage+1
	LDI  R30,LOW(36)
	CALL __MULB1W2U
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:27 WORDS
SUBOPT_0x71:
	__PUTWMRN _address_temp,0,16,17
	__PUTWMRN _res_temp,0,18,19
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x72:
	__PUTWSR 16,17,8
	LDD  R30,Y+8
	LDD  R31,Y+8+1
	RJMP SUBOPT_0x1

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x73:
	__POINTW1FN _0x0,301
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+14
	RJMP SUBOPT_0x59

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x74:
	__ADDWRR 16,17,20,21
	LDD  R30,Y+10
	SUBI R30,-LOW(1)
	STD  Y+10,R30
	SUBI R19,-1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x75:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R24,0
	CALL _sprintf
	ADIW R28,4
	RJMP SUBOPT_0x62

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x76:
	ST   -Y,R19
	ST   -Y,R18
	CALL _read_from_AD7142_spi
	MOVW R20,R30
	LDD  R26,Y+6
	CPI  R26,LOW(0x1)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0x77:
	__PUTWMRN _address_temp,0,18,19
	__PUTWMRN _res_temp,0,20,21
	LDD  R30,Y+7
	STS  _menu_temp,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x78:
	__POINTW1FN _0x0,370
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R18
	RJMP SUBOPT_0x69

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x79:
	LDD  R30,Y+13
	ST   -Y,R30
	CALL _putstr
	__ADDWRN 18,19,1
	SUBI R16,-1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:8 WORDS
SUBOPT_0x7A:
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	STS  _address_temp,R30
	STS  _address_temp+1,R31
	__PUTWMRN _res_temp,0,18,19
	LDD  R30,Y+8
	STS  _menu_temp,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x7B:
	__POINTW1FN _0x0,380
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+10
	LDD  R31,Y+10+1
	RJMP SUBOPT_0x69

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x7C:
	__POINTW1FN _0x0,158
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R18
	RJMP SUBOPT_0x69

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x7D:
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	ADIW R30,1
	STD  Y+6,R30
	STD  Y+6+1,R31
	SUBI R16,-1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:15 WORDS
SUBOPT_0x7E:
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_address_temp
	LDS  R31,_address_temp+1
	RJMP SUBOPT_0x69

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:15 WORDS
SUBOPT_0x7F:
	ST   -Y,R31
	ST   -Y,R30
	LDS  R30,_res_temp
	LDS  R31,_res_temp+1
	RJMP SUBOPT_0x69

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x80:
	ST   -Y,R30
	LDI  R30,LOW(10)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	ST   -Y,R17
	JMP  _putstr

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x81:
	CALL _LCD_clear
	RJMP SUBOPT_0x1F

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0x82:
	ST   -Y,R30
	LDI  R30,LOW(288)
	LDI  R31,HIGH(288)
	RJMP SUBOPT_0x5A

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:39 WORDS
SUBOPT_0x83:
	LDI  R30,LOW(48)
	ST   -Y,R30
	CALL _page_kolonka_SL_massiv_nmass_inv_peren
	LDI  R30,LOW(5)
	ST   -Y,R30
	LDI  R30,LOW(60)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(4)
	ST   -Y,R30
	LDI  R30,LOW(32)
	LDI  R31,HIGH(32)
	RJMP SUBOPT_0x5A

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:27 WORDS
SUBOPT_0x84:
	LDI  R30,LOW(5)
	ST   -Y,R30
	LDI  R30,LOW(77)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(5)
	ST   -Y,R30
	LDI  R30,LOW(32)
	LDI  R31,HIGH(32)
	RJMP SUBOPT_0x5A

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:27 WORDS
SUBOPT_0x85:
	LDI  R30,LOW(5)
	ST   -Y,R30
	LDI  R30,LOW(94)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(6)
	ST   -Y,R30
	LDI  R30,LOW(32)
	LDI  R31,HIGH(32)
	RJMP SUBOPT_0x5A

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:27 WORDS
SUBOPT_0x86:
	LDI  R30,LOW(5)
	ST   -Y,R30
	LDI  R30,LOW(111)
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(7)
	ST   -Y,R30
	LDI  R30,LOW(32)
	LDI  R31,HIGH(32)
	RJMP SUBOPT_0x5A

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x87:
	LDI  R30,LOW(14)
	LDI  R31,HIGH(14)
	RJMP SUBOPT_0x5A

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x88:
	LDI  R30,LOW(14)
	ST   -Y,R30
	JMP  _page_kolonka_SL_massiv_nmass_inv_peren

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x89:
	LDI  R30,LOW(2)
	ST   -Y,R30
	LDI  R30,LOW(60)
	ST   -Y,R30
	RJMP SUBOPT_0x15

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x8A:
	LD   R30,Y
	ST   -Y,R30
	JMP  _menu_19_20_21

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x8B:
	LD   R30,Y
	ST   -Y,R30
	JMP  _menu_22_23_27_28

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:15 WORDS
SUBOPT_0x8C:
	MOV  R26,R5
	LDI  R27,0
	SUBI R26,LOW(-_code)
	SBCI R27,HIGH(-_code)
	LDI  R30,0
	SBIS 0x10,2
	LDI  R30,1
	ST   X,R30
	INC  R5
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x8D:
	LD   R30,Y
	LDI  R31,0
	SUBI R30,LOW(-_code)
	SBCI R31,HIGH(-_code)
	LDI  R26,LOW(0)
	STD  Z+0,R26
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 10 TIMES, CODE SIZE REDUCTION:24 WORDS
SUBOPT_0x8E:
	STS  _tog_ch,R9
	LDI  R30,LOW(10)
	STS  _command_tx,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x8F:
	LDS  R30,_tek_menu
	ST   -Y,R30
	JMP  _display_menu

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x90:
	STS  _menu30,R30
	RJMP SUBOPT_0x8E

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x91:
	LDI  R30,LOW(0)
	STS  _d_count,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 10 TIMES, CODE SIZE REDUCTION:51 WORDS
SUBOPT_0x92:
	LDS  R30,_h
	STS  _hour,R30
	LDS  R30,_m
	STS  _min,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:12 WORDS
SUBOPT_0x93:
	STS  _com,R30
	ST   -Y,R30
	JMP  _tda7313_write

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:13 WORDS
SUBOPT_0x94:
	SBIW R30,1
	CALL __EEPROMWRW
	ADIW R30,1
	LDI  R30,LOW(10)
	STS  _command_tx,R30
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:13 WORDS
SUBOPT_0x95:
	ADIW R30,1
	CALL __EEPROMWRW
	SBIW R30,1
	LDI  R30,LOW(10)
	STS  _command_tx,R30
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:12 WORDS
SUBOPT_0x96:
	LD   R30,X+
	LD   R31,X+
	ADIW R30,1
	ST   -X,R31
	ST   -X,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 12 TIMES, CODE SIZE REDUCTION:19 WORDS
SUBOPT_0x97:
	LDS  R30,_loudness
	LDS  R31,_loudness+1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:7 WORDS
SUBOPT_0x98:
	CALL _tda7313_write
	RJMP SUBOPT_0x97

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x99:
	LDI  R26,LOW(_loudness1)
	LDI  R27,HIGH(_loudness1)
	CALL __EEPROMWRW
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x9A:
	LDI  R26,LOW(_tek_vhod)
	LDI  R27,HIGH(_tek_vhod)
	CALL __EEPROMRDB
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x9B:
	LDI  R26,LOW(_loudness2)
	LDI  R27,HIGH(_loudness2)
	CALL __EEPROMWRW
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x9C:
	LDI  R26,LOW(_loudness3)
	LDI  R27,HIGH(_loudness3)
	CALL __EEPROMWRW
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0x9D:
	LD   R30,X+
	LD   R31,X+
	SBIW R30,1
	ST   -X,R31
	ST   -X,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x9E:
	LDI  R30,LOW(10)
	STS  _command_tx,R30
	STS  _tog_ch,R9
	LDS  R30,_treble
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0x9F:
	LDI  R30,LOW(10)
	STS  _command_tx,R30
	STS  _tog_ch,R9
	LDS  R30,_bass
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:16 WORDS
SUBOPT_0xA0:
	STS  _date,R30
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
	LDS  R30,_date
	ST   -Y,R30
	LDS  R30,_mounth
	ST   -Y,R30
	LDS  R30,_year
	ST   -Y,R30
	CALL _rtc_set_date
	LDI  R30,LOW(10)
	STS  _command_tx,R30
	STS  _tog_ch,R9
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:16 WORDS
SUBOPT_0xA1:
	STS  _mounth,R30
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
	LDS  R30,_date
	ST   -Y,R30
	LDS  R30,_mounth
	ST   -Y,R30
	LDS  R30,_year
	ST   -Y,R30
	CALL _rtc_set_date
	LDI  R30,LOW(10)
	STS  _command_tx,R30
	STS  _tog_ch,R9
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:16 WORDS
SUBOPT_0xA2:
	STS  _year,R30
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
	LDS  R30,_date
	ST   -Y,R30
	LDS  R30,_mounth
	ST   -Y,R30
	LDS  R30,_year
	ST   -Y,R30
	CALL _rtc_set_date
	LDI  R30,LOW(10)
	STS  _command_tx,R30
	STS  _tog_ch,R9
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xA3:
	STS  _h,R30
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 9 TIMES, CODE SIZE REDUCTION:69 WORDS
SUBOPT_0xA4:
	LDS  R30,_h
	ST   -Y,R30
	LDS  R30,_m
	ST   -Y,R30
	LDS  R30,_s
	ST   -Y,R30
	JMP  _rtc_set_time

;OPTIMIZER ADDED SUBROUTINE, CALLED 9 TIMES, CODE SIZE REDUCTION:21 WORDS
SUBOPT_0xA5:
	LDI  R30,LOW(10)
	STS  _command_tx,R30
	STS  _tog_ch,R9
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 9 TIMES, CODE SIZE REDUCTION:37 WORDS
SUBOPT_0xA6:
	SUBI R30,-LOW(1)
	CALL __EEPROMWRB
	SUBI R30,LOW(1)
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xA7:
	LDI  R26,LOW(_hour_on)
	LDI  R27,HIGH(_hour_on)
	LDI  R30,LOW(0)
	CALL __EEPROMWRB
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0xA8:
	LDI  R26,LOW(_hour_on)
	LDI  R27,HIGH(_hour_on)
	LDI  R30,LOW(23)
	CALL __EEPROMWRB
	LDI  R30,LOW(10)
	STS  _command_tx,R30
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 9 TIMES, CODE SIZE REDUCTION:37 WORDS
SUBOPT_0xA9:
	SUBI R30,LOW(1)
	CALL __EEPROMWRB
	SUBI R30,-LOW(1)
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xAA:
	LDI  R26,LOW(_min_on)
	LDI  R27,HIGH(_min_on)
	LDI  R30,LOW(0)
	CALL __EEPROMWRB
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0xAB:
	LDI  R26,LOW(_min_on)
	LDI  R27,HIGH(_min_on)
	LDI  R30,LOW(59)
	CALL __EEPROMWRB
	LDI  R30,LOW(10)
	STS  _command_tx,R30
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0xAC:
	LDI  R26,LOW(_hour_off)
	LDI  R27,HIGH(_hour_off)
	LDI  R30,LOW(23)
	CALL __EEPROMWRB
	LDI  R30,LOW(10)
	STS  _command_tx,R30
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0xAD:
	LDI  R26,LOW(_min_off)
	LDI  R27,HIGH(_min_off)
	LDI  R30,LOW(59)
	CALL __EEPROMWRB
	LDI  R30,LOW(10)
	STS  _command_tx,R30
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0xAE:
	LDI  R26,LOW(10)
	CALL __SWAPB12
	SUB  R30,R26
	LDI  R26,LOW(_n_valc_imp)
	LDI  R27,HIGH(_n_valc_imp)
	CALL __EEPROMWRB
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:12 WORDS
SUBOPT_0xAF:
	LDI  R30,LOW(0)
	STS  _dig1,R30
	STS  _dig2,R30
	STS  _dig3,R30
	STS  _dig4,R30
	STS  _dig5,R30
	RJMP SUBOPT_0x91

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xB0:
	STS  _adr_long,R30
	STS  _adr_long+1,R30
	STS  _adr_long+2,R30
	STS  _adr_long+3,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xB1:
	LDS  R30,_rem_command
	STS  _dig1,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xB2:
	LDS  R30,_rem_command
	STS  _dig2,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0xB3:
	LDS  R30,_d_count
	SUBI R30,-LOW(1)
	STS  _d_count,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 8 TIMES, CODE SIZE REDUCTION:18 WORDS
SUBOPT_0xB4:
	LDS  R26,_dig1
	CLR  R27
	CLR  R24
	CLR  R25
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 8 TIMES, CODE SIZE REDUCTION:25 WORDS
SUBOPT_0xB5:
	__GETD1N 0xA
	CALL __MULD12
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:17 WORDS
SUBOPT_0xB6:
	__GETD1N 0x64
	CALL __MULD12
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:12 WORDS
SUBOPT_0xB7:
	LDS  R26,_dig2
	CLR  R27
	CLR  R24
	CLR  R25
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0xB8:
	__GETD1N 0x3E8
	CALL __MULD12
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0xB9:
	LDS  R26,_dig3
	CLR  R27
	CLR  R24
	CLR  R25
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xBA:
	__GETD1N 0x2710
	CALL __MULD12
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0xBB:
	LDS  R26,_dig4
	CLR  R27
	CLR  R24
	CLR  R25
	RJMP SUBOPT_0xB5

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xBC:
	CALL __GETD1P_INC
	__SUBD1N -1
	CALL __PUTDP1_DEC
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0xBD:
	CALL __GETD1P_INC
	SBIW R30,1
	SBCI R22,0
	SBCI R23,0
	CALL __PUTDP1_DEC
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xBE:
	LDS  R30,_address_temp
	LDS  R31,_address_temp+1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xBF:
	STS  _res_long,R30
	STS  _res_long+1,R30
	STS  _res_long+2,R30
	STS  _res_long+3,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xC0:
	LDS  R30,_res_temp
	LDS  R31,_res_temp+1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xC1:
	LDS  R26,_address_temp
	LDS  R27,_address_temp+1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0xC2:
	LDI  R26,LOW(_AD7142_Config)
	LDI  R27,HIGH(_AD7142_Config)
	LSL  R30
	ROL  R31
	ADD  R26,R30
	ADC  R27,R31
	RCALL SUBOPT_0xC0
	CALL __EEPROMWRW
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:13 WORDS
SUBOPT_0xC3:
	LDI  R30,LOW(0)
	STS  _dig1,R30
	STS  _dig2,R30
	STS  _dig3,R30
	STS  _dig4,R30
	STS  _dig5,R30
	STS  _d_count,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:7 WORDS
SUBOPT_0xC4:
	LDS  R30,_rem_command
	LDI  R31,0
	STS  _stage_temp,R30
	STS  _stage_temp+1,R31
	LDI  R30,LOW(0)
	STS  _d_count,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:8 WORDS
SUBOPT_0xC5:
	LDS  R26,_dig1
	LDI  R30,LOW(10)
	MUL  R30,R26
	MOVW R30,R0
	MOVW R26,R30
	LDS  R30,_dig2
	LDI  R31,0
	ADD  R30,R26
	ADC  R31,R27
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xC6:
	LDS  R30,_stage_temp
	LDS  R31,_stage_temp+1
	STS  _stage,R30
	STS  _stage+1,R31
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 8 TIMES, CODE SIZE REDUCTION:11 WORDS
SUBOPT_0xC7:
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xC8:
	LDS  R26,_volume
	LDS  R27,_volume+1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0xC9:
	LDS  R30,_volume
	ST   -Y,R30
	CALL _tda7313_write
	LDI  R30,LOW(10)
	STS  _command_tx,R30
	RJMP SUBOPT_0xC7

;OPTIMIZER ADDED SUBROUTINE, CALLED 12 TIMES, CODE SIZE REDUCTION:30 WORDS
SUBOPT_0xCA:
	ST   -Y,R30
	CALL _tda7313_write
	JMP  _povt_deistv

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0xCB:
	STS  _att_on,R30
	LDI  R30,LOW(10)
	STS  _command_tx,R30
	RJMP SUBOPT_0xC7

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xCC:
	LDI  R26,LOW(_volume_ogr)
	LDI  R27,HIGH(_volume_ogr)
	LDI  R30,LOW(30)
	LDI  R31,HIGH(30)
	CALL __EEPROMWRW
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xCD:
	LDI  R26,LOW(_save_volume)
	LDI  R27,HIGH(_save_volume)
	LDI  R30,LOW(44)
	LDI  R31,HIGH(44)
	CALL __EEPROMWRW
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xCE:
	LDI  R26,LOW(_volume_on_max)
	LDI  R27,HIGH(_volume_on_max)
	LDI  R30,LOW(30)
	LDI  R31,HIGH(30)
	CALL __EEPROMWRW
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xCF:
	LDI  R26,LOW(_loudness1)
	LDI  R27,HIGH(_loudness1)
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
	CALL __EEPROMWRW
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xD0:
	LDI  R26,LOW(_loudness2)
	LDI  R27,HIGH(_loudness2)
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
	CALL __EEPROMWRW
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xD1:
	LDI  R26,LOW(_loudness3)
	LDI  R27,HIGH(_loudness3)
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
	CALL __EEPROMWRW
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0xD2:
	LDI  R30,LOW(20)
	STS  _command_tx,R30
	LDI  R30,LOW(12)
	STS  _rem_command,R30
	LDI  R30,LOW(1)
	STS  _tog_ch,R30
	CLR  R9
	LDI  R30,LOW(0)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0xD3:
	LDI  R26,LOW(_n_valc_imp)
	LDI  R27,HIGH(_n_valc_imp)
	CALL __EEPROMRDB
	LDS  R26,_valcoder_PLUS
	CP   R30,R26
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xD4:
	LDI  R30,LOW(0)
	STS  _valcoder_PLUS,R30
	LDI  R30,LOW(20)
	STS  _command_tx,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0xD5:
	STS  _rem_command,R30
	LDI  R30,LOW(1)
	STS  _displ_refresh,R30
	LDI  R30,LOW(0)
	STS  _timer,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xD6:
	STS  _tog_ch,R30
	CLR  R9
	LDI  R30,LOW(0)
	STS  _timer,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0xD7:
	LDI  R26,LOW(_n_valc_imp)
	LDI  R27,HIGH(_n_valc_imp)
	CALL __EEPROMRDB
	LDS  R26,_valcoder_MINUS
	CP   R30,R26
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xD8:
	LDI  R30,LOW(0)
	STS  _valcoder_MINUS,R30
	LDI  R30,LOW(20)
	STS  _command_tx,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:19 WORDS
SUBOPT_0xD9:
	ST   -Y,R0
	ST   -Y,R1
	ST   -Y,R15
	ST   -Y,R22
	ST   -Y,R23
	ST   -Y,R24
	ST   -Y,R25
	ST   -Y,R26
	ST   -Y,R27
	ST   -Y,R30
	ST   -Y,R31
	IN   R30,SREG
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:21 WORDS
SUBOPT_0xDA:
	ST   -Y,R18
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+17
	LDD  R31,Y+17+1
	ICALL
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0xDB:
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	SBIW R30,4
	STD  Y+16,R30
	STD  Y+16+1,R31
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:7 WORDS
SUBOPT_0xDC:
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+17
	LDD  R31,Y+17+1
	ICALL
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0xDD:
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	ADIW R26,4
	CALL __GETW1P
	STD  Y+6,R30
	STD  Y+6+1,R31
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:2 WORDS
SUBOPT_0xDE:
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	ADIW R26,4
	CALL __GETW1P
	STD  Y+10,R30
	STD  Y+10+1,R31
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xDF:
	MOVW R26,R28
	ADIW R26,12
	CALL __ADDW2R15
	CALL __GETW1P
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:13 WORDS
SUBOPT_0xE0:
	CALL _i2c_start
	LDI  R30,LOW(208)
	ST   -Y,R30
	JMP  _i2c_write

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xE1:
	ST   -Y,R30
	CALL _i2c_write
	LDD  R30,Y+2
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:11 WORDS
SUBOPT_0xE2:
	ST   -Y,R30
	CALL _i2c_write
	CALL _i2c_start
	LDI  R30,LOW(209)
	ST   -Y,R30
	CALL _i2c_write
	LDI  R30,LOW(1)
	ST   -Y,R30
	CALL _i2c_read
	ST   -Y,R30
	JMP  _bcd2bin

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:13 WORDS
SUBOPT_0xE3:
	ST   X,R30
	LDI  R30,LOW(1)
	ST   -Y,R30
	CALL _i2c_read
	ST   -Y,R30
	CALL _bcd2bin
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	ST   X,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	CALL _i2c_read
	ST   -Y,R30
	JMP  _bcd2bin

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0xE4:
	ST   -Y,R30
	CALL _bin2bcd
	ST   -Y,R30
	CALL _i2c_write
	LDD  R30,Y+1
	ST   -Y,R30
	JMP  _bin2bcd

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:7 WORDS
SUBOPT_0xE5:
	__DELAY_USB 80
	CBI  0x14,6
	__DELAY_USB 80
	RET


	.CSEG
	.equ __i2c_dir=__i2c_port-1
	.equ __i2c_pin=__i2c_port-2
_i2c_init:
	cbi  __i2c_port,__scl_bit
	cbi  __i2c_port,__sda_bit
	sbi  __i2c_dir,__scl_bit
	cbi  __i2c_dir,__sda_bit
	rjmp __i2c_delay2
_i2c_start:
	cbi  __i2c_dir,__sda_bit
	cbi  __i2c_dir,__scl_bit
	clr  r30
	nop
	sbis __i2c_pin,__sda_bit
	ret
	sbis __i2c_pin,__scl_bit
	ret
	rcall __i2c_delay1
	sbi  __i2c_dir,__sda_bit
	rcall __i2c_delay1
	sbi  __i2c_dir,__scl_bit
	ldi  r30,1
__i2c_delay1:
	ldi  r22,27
	rjmp __i2c_delay2l
_i2c_stop:
	sbi  __i2c_dir,__sda_bit
	sbi  __i2c_dir,__scl_bit
	rcall __i2c_delay2
	cbi  __i2c_dir,__scl_bit
	rcall __i2c_delay1
	cbi  __i2c_dir,__sda_bit
__i2c_delay2:
	ldi  r22,53
__i2c_delay2l:
	dec  r22
	brne __i2c_delay2l
	ret
_i2c_read:
	ldi  r23,8
__i2c_read0:
	cbi  __i2c_dir,__scl_bit
	rcall __i2c_delay1
__i2c_read3:
	sbis __i2c_pin,__scl_bit
	rjmp __i2c_read3
	rcall __i2c_delay1
	clc
	sbic __i2c_pin,__sda_bit
	sec
	sbi  __i2c_dir,__scl_bit
	rcall __i2c_delay2
	rol  r30
	dec  r23
	brne __i2c_read0
	ld   r23,y+
	tst  r23
	brne __i2c_read1
	cbi  __i2c_dir,__sda_bit
	rjmp __i2c_read2
__i2c_read1:
	sbi  __i2c_dir,__sda_bit
__i2c_read2:
	rcall __i2c_delay1
	cbi  __i2c_dir,__scl_bit
	rcall __i2c_delay2
	sbi  __i2c_dir,__scl_bit
	rcall __i2c_delay1
	cbi  __i2c_dir,__sda_bit
	rjmp __i2c_delay1

_i2c_write:
	ld   r30,y+
	ldi  r23,8
__i2c_write0:
	lsl  r30
	brcc __i2c_write1
	cbi  __i2c_dir,__sda_bit
	rjmp __i2c_write2
__i2c_write1:
	sbi  __i2c_dir,__sda_bit
__i2c_write2:
	rcall __i2c_delay2
	cbi  __i2c_dir,__scl_bit
	rcall __i2c_delay1
__i2c_write3:
	sbis __i2c_pin,__scl_bit
	rjmp __i2c_write3
	rcall __i2c_delay1
	sbi  __i2c_dir,__scl_bit
	dec  r23
	brne __i2c_write0
	cbi  __i2c_dir,__sda_bit
	rcall __i2c_delay1
	cbi  __i2c_dir,__scl_bit
	rcall __i2c_delay2
	ldi  r30,1
	sbic __i2c_pin,__sda_bit
	clr  r30
	sbi  __i2c_dir,__scl_bit
	ret

_delay_ms:
	ld   r30,y+
	ld   r31,y+
	adiw r30,0
	breq __delay_ms1
__delay_ms0:
	__DELAY_USW 0xFA0
	wdr
	sbiw r30,1
	brne __delay_ms0
__delay_ms1:
	ret

__ADDW2R15:
	CLR  R0
	ADD  R26,R15
	ADC  R27,R0
	RET

__ADDD12:
	ADD  R30,R26
	ADC  R31,R27
	ADC  R22,R24
	ADC  R23,R25
	RET

__ADDD21:
	ADD  R26,R30
	ADC  R27,R31
	ADC  R24,R22
	ADC  R25,R23
	RET

__ANEGW1:
	NEG  R31
	NEG  R30
	SBCI R31,0
	RET

__ANEGD1:
	COM  R31
	COM  R22
	COM  R23
	NEG  R30
	SBCI R31,-1
	SBCI R22,-1
	SBCI R23,-1
	RET

__LSRB12:
	TST  R30
	MOV  R0,R30
	MOV  R30,R26
	BREQ __LSRB12R
__LSRB12L:
	LSR  R30
	DEC  R0
	BRNE __LSRB12L
__LSRB12R:
	RET

__CBD1:
	MOV  R31,R30
	ADD  R31,R31
	SBC  R31,R31
	MOV  R22,R31
	MOV  R23,R31
	RET

__MULW12U:
	MUL  R31,R26
	MOV  R31,R0
	MUL  R30,R27
	ADD  R31,R0
	MUL  R30,R26
	MOV  R30,R0
	ADD  R31,R1
	RET

__MULD12U:
	MUL  R23,R26
	MOV  R23,R0
	MUL  R22,R27
	ADD  R23,R0
	MUL  R31,R24
	ADD  R23,R0
	MUL  R30,R25
	ADD  R23,R0
	MUL  R22,R26
	MOV  R22,R0
	ADD  R23,R1
	MUL  R31,R27
	ADD  R22,R0
	ADC  R23,R1
	MUL  R30,R24
	ADD  R22,R0
	ADC  R23,R1
	CLR  R24
	MUL  R31,R26
	MOV  R31,R0
	ADD  R22,R1
	ADC  R23,R24
	MUL  R30,R27
	ADD  R31,R0
	ADC  R22,R1
	ADC  R23,R24
	MUL  R30,R26
	MOV  R30,R0
	ADD  R31,R1
	ADC  R22,R24
	ADC  R23,R24
	RET

__MULB1W2U:
	MOV  R22,R30
	MUL  R22,R26
	MOVW R30,R0
	MUL  R22,R27
	ADD  R31,R0
	RET

__MULD12:
	RCALL __CHKSIGND
	RCALL __MULD12U
	BRTC __MULD121
	RCALL __ANEGD1
__MULD121:
	RET

__DIVW21U:
	CLR  R0
	CLR  R1
	LDI  R25,16
__DIVW21U1:
	LSL  R26
	ROL  R27
	ROL  R0
	ROL  R1
	SUB  R0,R30
	SBC  R1,R31
	BRCC __DIVW21U2
	ADD  R0,R30
	ADC  R1,R31
	RJMP __DIVW21U3
__DIVW21U2:
	SBR  R26,1
__DIVW21U3:
	DEC  R25
	BRNE __DIVW21U1
	MOVW R30,R26
	MOVW R26,R0
	RET

__MODW21U:
	RCALL __DIVW21U
	MOVW R30,R26
	RET

__CHKSIGND:
	CLT
	SBRS R23,7
	RJMP __CHKSD1
	RCALL __ANEGD1
	SET
__CHKSD1:
	SBRS R25,7
	RJMP __CHKSD2
	CLR  R0
	COM  R26
	COM  R27
	COM  R24
	COM  R25
	ADIW R26,1
	ADC  R24,R0
	ADC  R25,R0
	BLD  R0,0
	INC  R0
	BST  R0,0
__CHKSD2:
	RET

__GETW1P:
	LD   R30,X+
	LD   R31,X
	SBIW R26,1
	RET

__GETD1P_INC:
	LD   R30,X+
	LD   R31,X+
	LD   R22,X+
	LD   R23,X+
	RET

__PUTDP1_DEC:
	ST   -X,R23
	ST   -X,R22
	ST   -X,R31
	ST   -X,R30
	RET

__GETW1PF:
	LPM  R0,Z+
	LPM  R31,Z
	MOV  R30,R0
	RET

__PUTPARD1:
	ST   -Y,R23
	ST   -Y,R22
	ST   -Y,R31
	ST   -Y,R30
	RET

__SWAPB12:
	MOV  R1,R26
	MOV  R26,R30
	MOV  R30,R1
	RET

__EEPROMRDW:
	ADIW R26,1
	RCALL __EEPROMRDB
	MOV  R31,R30
	SBIW R26,1

__EEPROMRDB:
	SBIC EECR,EEWE
	RJMP __EEPROMRDB
	PUSH R31
	IN   R31,SREG
	CLI
	OUT  EEARL,R26
	OUT  EEARH,R27
	SBI  EECR,EERE
	IN   R30,EEDR
	OUT  SREG,R31
	POP  R31
	RET

__EEPROMWRW:
	RCALL __EEPROMWRB
	ADIW R26,1
	PUSH R30
	MOV  R30,R31
	RCALL __EEPROMWRB
	POP  R30
	SBIW R26,1
	RET

__EEPROMWRB:
	SBIS EECR,EEWE
	RJMP __EEPROMWRB1
	WDR
	RJMP __EEPROMWRB
__EEPROMWRB1:
	IN   R25,SREG
	CLI
	OUT  EEARL,R26
	OUT  EEARH,R27
	SBI  EECR,EERE
	IN   R24,EEDR
	CP   R30,R24
	BREQ __EEPROMWRB0
	OUT  EEDR,R30
	SBI  EECR,EEMWE
	SBI  EECR,EEWE
__EEPROMWRB0:
	OUT  SREG,R25
	RET

__CPW02:
	CLR  R0
	CP   R0,R26
	CPC  R0,R27
	RET

__SAVELOCR6:
	ST   -Y,R21
__SAVELOCR5:
	ST   -Y,R20
__SAVELOCR4:
	ST   -Y,R19
__SAVELOCR3:
	ST   -Y,R18
__SAVELOCR2:
	ST   -Y,R17
	ST   -Y,R16
	RET

__LOADLOCR6:
	LDD  R21,Y+5
__LOADLOCR5:
	LDD  R20,Y+4
__LOADLOCR4:
	LDD  R19,Y+3
__LOADLOCR3:
	LDD  R18,Y+2
__LOADLOCR2:
	LDD  R17,Y+1
	LD   R16,Y
	RET

;END OF CODE MARKER
__END_OF_CODE:
